GAMMA-RAY Version 18

Navigation: »No topics above this level«

Return to chapter overview

GAMMA-RAY Version 19

Referenzhandbuch

für das Renderingprogramm

GAMMA-RAY

Version 19

Deutsche Ausgabe vom Februar 2018


Copyrights

© Software:

Gesellschaft für angewandte Mathematik mbH

GAMMA-RAY Service-Center GmbH

Weitere Lizenzgeber:

Julian R Seward

Regents of the University of California

Thomas G. Lane

Glenn Randers-Pehrson

MPEG Software Simulation Group

GSF German Software Factory GmbH

Cass Everitt, NVIDIA Corporation

David Koblas

Sam Leffler, Silicon Graphics, Inc.

Stan Melax

University of Michigan

Jean-loup Gailly and Mark Adler

GAMMA-RAY benutzt Teile des 7-Zip Programs. 7-Zip ist unter der GNU LGPL Lizenz lizenziert. Weitere Informationen und den Source-Code finden Sie unter www.7-zip.org.

© Handbuch:

GAMMA-RAY Service-Center GmbH, E-Mail: info@gamma-ray.de, http://www.gamma-ray.de


Willkommen!

Navigation: »No topics above this level«

Return to chapter overview

Willkommen bei GAMMA-RAY!

Vielen Dank, dass Sie sich für den Kauf von GAMMA-RAY entschieden haben. Sie besitzen jetzt ein hochwertiges Werkzeug zur Erstellung von photo realistischen Bildern aus CAD-Daten. Verwenden Sie diese Software zum eindrucksvollen Präsentieren Ihrer CAD-Konstruktionen, egal ob es sich um Häuser, Möbel, Maschinenteile, Straßenplanungen, oder andere handelt. Jedes Objekt, das Sie per CAD planen, werten Sie durch eine Visualisierung mit GAMMA-RAY auf. Schon während der Konstruktionsphase lassen sich photo realistische Bilder Ihres endgültigen Produktes erstellen, ohne einen Prototyp fertigen zu müssen. Diese Bilder können Sie dann bereits in einem frühen Stadium für Marketingmaßnahmen einsetzen oder Ihren Kunden präsentieren, so dass diese einen besseren Eindruck Ihrer Arbeit bekommen, als wenn Sie "nur" Konstruktionspläne vorlegen.

Aufgrund jahrelanger Erfahrung war es möglich, ein modernes Produkt zu erzeugen, das durch die Verwendung von eigenen neuen Technologien die Visualisierung einfach gestaltet, wobei die Ergebnisse jedoch höchsten Ansprüchen standhalten.

Der einzigartige Renderkern von GAMMA-RAY wurde seit 1997 immer wieder auf schnellstes Software-Rendering optimiert. Die vorliegende Version 19 unterstützt auch mehrere CPUs, so dass die im System vorhandenen Prozessoren (Dual-Core, Quad-Core, i5, i7, XEON, ...) parallel für die Berechnungen genutzt werden. Zusätzlich werden bestimmte Rechenoperation mit GPU Turbo auf den Prozessoren der Grafikkarte ausgeführt. Dies führt noch mal zu enormen Geschwindigkeitssteigerungen. Damit auch sehr große Datenmengen bewältigt werden, wird das Programm unter einem 64-Bit Windows® System als 64-Bit Programm installiert, so dass der im PC eingebaute Arbeitsspeicher auch komplett verwendet werden kann.

Ohne großen Aufwand erstellen Sie Bilder Ihrer Konstruktion oder Ihres Designs exakt mit allen Details wie Schattenwurf, Spiegelungen, Glanz oder Transparenz, Oberflächenstrukturen und Beschriftungen. Durch modernste Algorithmen berechnet GAMMA-RAY reales Tageslicht, ohne dass Sie dafür umfangreiche Einstellungen vornehmen müssen, die Sie von anderen Renderern fürchten. Über diese wirklichkeitsgetreue Beleuchtung werden die Szenerien nach kurzer Berechnungszeit realistisch und plastisch dargestellt.

Zusätzlich platzieren Sie fotografierte Gegenstände oder Personen im Projekt, wobei der Hintergrund dieser Fotos vom Programm entfernt wird. Ihr Foto kann aber auch der Hintergrund einer Szenerie sein, um Ihre Konstruktion exakt in diesen Hintergrund einzupassen, so dass Konstruktion und Hintergrund zusammen wie ein Foto wirken.

Das Programm besitzt eine graphische Benutzeroberfläche basierend auf dem Microsoft® Windows® System und ist damit sehr einfach und fast intuitiv zu bedienen. Sie benötigen kein Fachwissen oder gar eine spezielle Ausbildung, um mit diesem Programm zu arbeiten. Wenn Sie mit offenen Augen durch die Natur gehen, haben Sie die besten Voraussetzungen, photo realistische Effekte nachbilden zu können.

Die Ergebnisse lassen sich direkt über die eingebaute Druckerschnittstelle in hoher Qualität ausdrucken. Eine Weiterbearbeitung der Bilder in anderen Programmen (etwa einem Desktop-Publishing Programm) ist auch problemlos möglich. Dank der enthaltenen HDR-, TIFF-, BMP-, JPEG- und TGA-Schnittstellen, den Standardschnittstellen für die industrielle Bildverarbeitung, sind Sie hierbei sehr flexibel.

Dieses Handbuch für GAMMA-RAY dient Ihnen als Funktionsbeschreibung der Software. Dabei gibt es gleich zu Anfang eine Beschreibung der Neuerungen zu der Vorgängerversion. Anschließend folgt eine detaillierte Erklärung der einzelnen Funktionen und Funktionsgruppen. Für den fortgeschrittenen Benutzer sind allgemeine Themen rund um das Rendering eingearbeitet. Wählen Sie den gewünschten Abschnitt einfach über das nebenstehende Inhaltsverzeichnis an. Wenn Sie im Programm den Hilfe-Knopf für einen bestimmten Dialog anklicken, gelangen Sie direkt zu dem Abschnitt, der diesen Dialog ganz genau erklärt.

Das Referenzhandbuch können Sie jederzeit wieder öffnen. Klicken Sie dazu im Programm auf das Fragezeichen in der Iconleiste oder wählen Sie in der Programmgruppe, die während der Installation angelegt wurde, bei den Handbüchern das Referenzhandbuch an.

Ergänzende Informationen zu GAMMA-RAY sowie Tipps & Tricks finden Sie im Kundenbereich der Homepage http://www.gamma-ray.de.

Viel Spaß beim Rendern mit GAMMA-RAY!!


Einleitung

Um diese Dokumentation vollständig ausdrucken zu können, finden Sie auf der DVD im Unterverzeichnis Documentation\German\Pdf die Datei Referenzhanbuch.pdf. Der Inhalt entspricht dieser Hilfe.

Die Beschreibung der Menüs und Dialoge in diesem Referenzhandbuch bezieht sich auf die Benutzeroberfläche Experten-Modus. Bitte beachten Sie, dass die Einträge in den Dialogen abweichen können, wenn Sie den Standard-Modus verwenden.


Die Benutzeroberfläche

Sie können das Programm über zwei unterschiedliche Benutzeroberflächen bedienen, den Standard-Modus und den Experten-Modus. Nach der Installation ist der Standard-Modus aktiviert, mit dem Sie alle wichtigen Einstellungen vornehmen können. Im Experten-Modus stehen Ihnen weitere Optionen zur Verfügung, die Sie aber nur in seltenen Fällen benötigen, um etwaige Korrekturen und Anpassungen vorzunehmen, die dann allerhöchste Qualitäten erzeugen. Hier sind jedoch umfangreiche Kenntnisse im Bereich Rendering erforderlich.

Das Handbuch beschreibt die Funktionen anhand des Experten-Modus. Sie finden aber auch immer die Hinweise auf die Unterschiede zum Standard-Modus.


Das Tutorial

Zusätzlich zu diesem Handbuch existiert auch noch ein Tutorial, in dem das Arbeiten mit GAMMA-RAY anhand von zahlreichen Beispielen Schritt für Schritt erklärt wird. Sie rufen es auf, indem Sie im Menü Hilfe den Menüpunkt Tutorial anwählen.


Allgemeine Erläuterungen

Das GAMMA-RAY Referenzhandbuch ist in einzelne Abschnitte aufgeteilt. Diese können Sie durch Anklicken im links dargestellten Inhaltsverzeichnis direkt anwählen. Wenn Sie im Programm die Hilfefunktion verwenden, wird ebenfalls der zugehörige Abschnitt direkt angewählt.

Im Text sind folgende Symbole enthalten:

Attention

Hier finden Sie wichtige Anmerkungen, die Sie unbedingt beachten sollten.

Tip

Hier finden Sie wertvolle Tipps für die Arbeit mit Ihrem Renderer.

Wenn ein Text als Link dargestellt wird, können Sie auf diesen klicken, um an die Stelle in der Dokumentation zu springen, die eine genauere Beschreibung dazu liefert.


Neuerungen in Version 19

Folgende Punkte wurden gegenüber Version 18 von GAMMA-RAY ergänzt:

· Überarbeitung der Bedienoberfläche

· Schneller Bildaufbau durch GPU Turbo

· Einfaches Laufen durch das Projekt

· Standpunkt und Blickpunkt einfach durch Anklicken bestimmen

· TextureCreator

· TextureCutter

· Bildfüllende Darstellung durch Zeige alles

· Laden und Speichern wurde komplett überarbeitet

· Die Lichtverläufe von Materialien und Lichtquellen werden gleich in Kanäle getrennt

· Anzahl der Schritte bis Vorschau je nach Power der Grafikkarte

· Materialabstrahlen per default nur für die Außenseite

· Die Auflösung des Lichtverlaufs findet man jetzt im Kanalmanager

· Bildaufbau beim Lichtmanager

· Modernere Optik im Auswahldialog

· Projektarchiv erstellen, Projektarchiv laden

· Intelligentes Arbeiten mit 3D-Objekten

· Automatisches Zurückschalten in eine Ansicht

· Unnötige Schattenberechnung bei großen Flächen wird automatisch abgeschaltet

· Nur noch eine Einstellung für das Fenstermaterial und das Ursprungsmaterial

· Transparenzschwelle für die Fenstererkennung

· Vorgabe einer Glanzlichtquelle

· Licht von vorne mit Versatz zur Kamera

· Option Umgebungstexturen bei Einstellungen speichern

· Berechnung von 3D-Stereo-Panoramen

· Bei der Panoramaberechnung ist die Eingabe einer Schrittweite kleiner 1 o möglich

· 3D-Objekte erzeugen und Bildauswahl erzeugen im Auswahldialog

· Keine GAMMA-Korrektur mehr

· Die Aufbereitung von 3D-Strukturen ist nun komfortabler

· Aus für die Optimaldarstellung

· Aus für den Objektbuffer

· Weitere Materialkataloge mit Texturen von Herstellern

· Keine Aufbereitung für QuickTime® mehr

· Schnellerer GPU Turbo Test


Überarbeitung der Bedienoberfläche

Wenn Sie die neue Version das erste Mal starten, erkennen Sie es sofort. Die Bedienoberfläche von GAMMA-RAY wurde überarbeitet. Nicht so, dass Sie sich nicht mehr zurechtfinden, aber so, dass Sie nun einfacher und komfortabler mit dem Programm arbeiten. Das Schriftbild der Dialoge wirkt durch einen neuen Schrifttyp moderner. Viele Texte wurden so umformuliert, dass Sie die Bedeutung spontan erkennen. Die Anzahl der Ikons wurde reduziert. Die Menüs und Dialoge wurden überarbeitet, um nicht mehr benötigte Funktionen nun endgültig zu entfernen und für Sie die Übersicht zu verbessern.

Die Maus-Modi, über die alle Mausaktionen des Programms gesteuert werden, finden Sie nicht mehr auf dem Rechte-Maus-Menü, sondern in der Ikon-Leiste.

Nicht mehr zeitgemäße Maus-Modi wurden aus dem Programm entfernt.

Der Navigator

hat nun eine zentrale Aufgabe im Programm erhalten. Über ihn steuern Sie die Kamera zu jeder Zeit. Das erfolgt entweder direkt im Modus Kamera bewegen über die linke Maustaste oder in allen anderen Modi über die mittlere Maustaste.

Die Darstellungs-Modi wurden umbenannt, um Ihnen die Bedeutung zu verdeutlichen.

Menu Display Modes

Einstellungen, die nur selten benötigt werden, aber bei Verwendung die Berechnungszeiten unnötig verlängern, wurden entfernt.

Andere Dialoge haben ein moderneres Design erhalten.


Schneller Bildaufbau durch GPU Turbo

Der Beschleuniger GPU Turbo wurde weiterentwickelt, so dass nun auch eine schnelle Darstellung während der Kamerabewegung möglich ist. Dabei werden auch die Beleuchtungen der Lichtverläufe, die über den Lichtmanager erzeugt wurden, dargestellt.

Natürlich kann eine Grafikkarte nicht die hohe Qualität, die GAMMA-RAY erzeugt, darstellen. Aber für eine schnelle Bewegung der Kamera ist die Aufbereitung mit dem neuen GPU Turbo mehr als ausreichend.


Beschleunigung der farbigen Darstellung

Die einfache farbige Darstellung wird nun schneller aufgebaut. Es werden alle im Rechner vorhandenen Prozessoren für den Bildaufbau verwendet. Auch die Bildqualität der farbigen Darstellung ist verbessert.


Einfaches Laufen durch das Projekt

Das Handling zur Betrachtung eines Projekts ist bei einem Renderingprogramm anwendungsbedingt anders als bei einem CAD-Programm. Das war auch der Grund, warum ein Neueinsteiger mit der Kamerasteuerung von GAMMA-RAY anfangs nicht zurechtgekommen ist.

Dank der Beschleunigung des Bildaufbaus mit GPU Turbo wurde auch die Steuerung zum Bewegen im Projekt überarbeitet. Das Laufen ist nun intuitiv und wurde daher auch zum Standard-Modus für die Kamerabewegung. Probieren Sie es gleich mal aus!


Standpunkt und Blickpunkt einfach durch Anklicken bestimmen

Wenn vom CAD ein Blickpunkt übergeben wird, der sich nicht in der Mitte des Objekts, das Sie rendern wollen, befindet, ist die Maussteuerung für die Kamera oftmals problematisch. Sie können über den Modus Kamera mit einem Symbol einstellen einen neuen Standpunkt und einen neuen Blickpunkt festlegen. Oder verwenden Sie die neuen Funktionen des Navigators:

Standpunkt-Blickpunkt mit der Maus

Wenn Sie eine der beiden Funktionen aktivieren, müssen Sie lediglich mit dem Mauscursor auf den Punkt klicken, der als neuer Standpunkt / Blickpunkt verwendet werden soll.

Diese Funktionen eignen sich auch, um z.B. beim Durchwandern eines Gebäudes immer mal über einen neuen Blickpunkt um ein anderes Objekt herumzulaufen oder z.B. über einen neuen Standpunkt von einer Empore hinunterzublicken. Wenn Sie mit der Kamera aus einer Distanz auf Ihr Projekt blicken, können Sie einen neuen Standpunkt im Projekt einfach durch Klick anwählen und von dort aus weiter laufen.


TextureCreator

In Version 18 von GAMMA-RAY hatten Sie zum ersten Mal die Möglichkeit, Kachelungen in Materialien zu verhindern, indem Sie die Texturbilder unregelmäßig angeordnet haben. Dies war aber nur eingeschränkt möglich.

Mit dem neuen TextureCreator definieren Sie nun beliebige Zusammenstellungen mehrerer Texturbilder, die dann per Zufallsgenerator angeordnet werden.

Wählen Sie die Bilder, aus denen das neue Material gebildet werden soll, definieren Sie den Versatz der Bilder, bestimmen Sie die Farbe und die Breite einer eventuellen Fuge und speichern Sie das neue Material ab.

So lassen sich z.B. großflächige Parkettböden ganz ohne Kacheleffekt belegen, indem Sie die einzelnen Parkettriemchen mit dem TextureCreator zu einem neuen Material zusammenstellen. Haben Sie mehrere Fliesen aus einer Kollektion als Bilder zur Verfügung, liegen diese als Ergebnis ganz unregelmäßig auf der Bodenfläche.

Das neue Material kann automatisch in GAMMA-RAY geladen werden und ist dann schon so eingestellt, dass es optimal auf Flächen abgebildet wird.


TextureCutter

Ihnen stehen die Einzelbilder, die Sie für den TextureCreator verwenden wollen, nicht zur Verfügung? Dann schneiden Sie die Bilder doch einfach aus einem großen Bild selbst aus. Dazu verwenden Sie den neuen TextureCutter.

Mit dem TextureCutter schneiden Sie z.B. das Bild eines großen Holzbretts in einzelne Teilbilder, wobei Sie

·die Teilbilder selbst ausschneiden, oder

·die Anzahl in horizontaler und in vertikaler Richtung festlegen und das Programm die Einzelbilder automatisch generiert

Aus den erzeugten Teilbildern kann dann mit dem TextureCreator ein neues, unregelmäßiges Material erstellt werden.


Bildfüllende Darstellung durch Zeige alles

Oftmals will man ein Projekt bildfüllend darstellen, um es so abzuspeichern oder auszudrucken. Bisher musste man selbst eine geeignete Kamerasicht einstellen, um dies zu erreichen.

Mir den neuen Zeige-Funktionen übernimmt dies GAMMA-RAY für Sie. Hier ein Beispiel für Zeige alles.

Wenn Sie das Objekt nun z.B. für die Erstellung eines Außenpanoramas drehen, kann es passieren, dass es an den Rändern abgeschnitten wird.

Das verhindern Sie, indem Sie die Funktion Zeige alles bei Blickpunkt drehen verwenden.

Sicherlich wollen Sie aber auch mal nur einen Ausschnitt Ihres Projekts bildfüllend darstellen. In so einem Fall wählen Sie die gewünschten Objekte aus und verwenden dann die Funktionen Zeige alles in Auswahl bzw. Zeige alles in Auswahl bei Blickpunkt drehen.

Um optimale Vorschaubilder und -animationen für 3D-Bibliotheken zu erzielen, werden diese Funktionen automatisch bei der Erzeugung einer 3D-Objekte-Auswahl angewendet.


Laden und Speichern wurde komplett überarbeitet

Bisher wurde das Konzept von Microsoft® beim Laden und Speichern innerhalb von GAMMA-RAY verwendet. Optimiert wurde es durch die Vorgabe von Verzeichnissen über die Einstellungen im Dateimenü.

Durch dieses Konzept musste man immer umständliche Suchen in den Verzeichnissen hinnehmen, wenn man z.B. ein Projekt in einem Verzeichnis lädt, die Änderungen aber in ein anderes Verzeichnis speichern wollte.

Das gehört der Vergangenheit an. GAMMA-RAY speichert nun für jedes Laden und Speichern das zugehörige Verzeichnis und bietet dies bei der nächsten Operation auch wieder an.

Die Dialoge zum Laden und Speichern wurden an aktuelle Windows-Systeme angepasst, so dass Sie gewohnte Funktionalitäten für das Handling wiederfinden.

Auch doppelte Abfragen beim Überschreiben von Dateien wurden entfernt.


Die Lichtverläufe von Materialien und Lichtquellen werden gleich in Kanäle getrennt

Die PCs sind in den letzten Jahren immer leistungsfähiger geworden. Auch findet man kaum noch einen PC im CAD-Bereich, der nicht mit mindestens 8GB Arbeitsspeicher ausgestattet ist. 32-Bit Windows-Systeme verschwinden immer mehr.

Wegen der früheren Beschränkungen musste der Anwender immer selbst entscheiden, ob er genug Arbeitsspeicher zur Verfügung hat, damit die Lichtverläufe für Materialien und Lichtquellen in einzelne Kanäle getrennt werden können.

Nun überprüft GAMMA-RAY automatisch, ob mindestens 8 GB Arbeitsspeicher zur Verfügung stehen und aktiviert dann das Aufteilen in Kanäle.

Hinweis: Dies gilt nur für neue Projekte. Wenn Sie Projekte laden, die mit einer früheren Version von GAMMA-RAY bearbeitet wurden, müssen Sie die Einstellung selbst vornehmen.


Anzahl der Schritte bis Vorschau je nach Power der Grafikkarte

Durch GPU Turbo konnte die Berechnung der Lichtverläufe extrem beschleunigt werden. Nach 1.000 Berechnungsschritten erfolgte bei der indirekten Beleuchtung bisher immer ein neuer Bildaufbau. Das führte dann dazu, dass der Bildaufbau die Berechnung unnötig verlangsamte, weil er oftmals länger dauerte als die Berechnung der nächsten Schritte. Aus diesem Grund wird die Anzahl der Schritte bis zur Vorschau je nach Grafikkarte zwischen 1.000 und 10.000 Schritten angepasst. Dadurch kann die Geschwindigkeit der Berechnung des indirekten Lichts nochmal gesteigert werden.

Schritte bis Vorschau

Hinweis: Dies gilt nur für neue Projekte. Wenn Sie Projekte laden, die mit einer früheren Version von GAMMA-RAY bearbeitet wurden, müssen Sie die Einstellung selbst vornehmen.


Materialabstrahlen per default nur für die Außenseite

Nachdem sich gezeigt hat, dass es nur ganz selten benötigt wird, dass Materialien sowohl nach außen als auch nach innen strahlen, wird jetzt per default festgelegt, dass das Material nur nach außen strahlt. Dadurch wird die Berechnung des Materialabstrahlens deutlich beschleunigt.

Hinweis: Nachdem diese Optimierung einen sehr großen Nutzen für den Anwender bringt, wird diese Änderung auch bei Projekten, die mit einer früheren Version von GAMMA-RAY bearbeitet wurden, vorgenommen. Wenn Sie tatsächlich wollen, dass die Außen- und oder die Innenseite eines Materials abstrahlen, müssen Sie dies manuell anpassen.


Die Auflösung des Lichtverlaufs findet man jetzt im Kanalmanager

Bisher wurde die Auflösung des Lichtverlaufs, der gerade im Kanalmanager angewählt war, im 3D-Info-Dialog angezeigt. Jetzt sind die Auflösungen aller verwendeten Kanäle übersichtlich im Kanalmanager aufgelistet.

Auflösung im Kanalmanager


Bildaufbau beim Lichtmanager

In den früheren Versionen von GAMMA-RAY hat der Knopf OK oder auch Übernehmen immer einen neuen Bildaufbau ausgelöst. Das war vielen Anwendern nicht sofort ersichtlich.

Insbesondere beim Lichtmanager gab es Verwirrungen, da Übernehmen das Bild erneut darstellte, jedoch nicht zu einer Neuberechnung des Tageslichts führte, wenn man Änderungen an den Einstellungen vornahm.

Aus diesem Grund sind die Knöpfe, die zu einem neuen Bildaufbau führen, in allen Dialogen umbenannt worden.

Bildaufbau im Lichtmanager


Modernere Optik im Auswahldialog

Die Darstellung der Materialien und der 3D-Objekte im Auswahldialog präsentiert sich in einer neuen Optik.


Projektarchiv erstellen, Projektarchiv laden

Wenn man in GAMMA-RAY ein Projekt speichert, werden immer zwei Dateien und zwei Verzeichnisse auf der Festplatte abgelegt. Um so ein Projekt komfortabel an andere weiterzugeben, ist es nun möglich, ein Projektarchiv zu erstellen.

GAMMA-RAY erzeugt daraufhin ein Zip-Archiv, das auf einem anderen Arbeitsplatz über Projektarchiv laden... eingelesen werden kann.


Intelligentes Arbeiten mit 3D-Objekten

Wenn Sie ein 3D-Objekt per Drag&Drop in ihr Projekt hinzufügen, schaltet GAMMA-RAY automatisch in den Auswahl-Modus um, so dass Sie das Objekt sofort an die Stelle verschieben können, an die es platziert werden soll. Standardmäßig wird das Objekt normal auf eine Fläche platziert, so dass es auch auf schrägen Flächen richtig positioniert ist. Dabei spielt der Umlaufsinn der Fläche keine Rolle mehr, das Objekt wird immer aus Blickrichtung platziert.

Normal auf Fläche

Wenn sich an der Cursorposition keine Fläche befindet, auf die das Objekt abgesetzt werden kann, wird es automatisch in die Ansicht platziert.

Wenn Sie selbst eine 3D-Objekte-Auswahl erzeugen, wird automatisch eine Schnellladeinfo erzeugt; das muss nicht mehr manuell durchgeführt werden.


Automatisches Zurückschalten in eine Ansicht

Wenn Sie die Kamera oder ein Licht mit dem Symbol einstellen, schaltet GAMMA-RAY automatisch in die 4-Ansichten-Darstellung um, so dass das Symbol komfortabel in allen Richtungen verschoben werden kann.

Beim Umschalten in einen der anderen Maus-Modi wird automatisch wieder eine Ansicht dargestellt. Dadurch arbeiten Sie schneller mit GAMMA-RAY.


Unnötige Schattenberechnung bei großen Flächen wird automatisch abgeschaltet

Große Flächen verschlechtern die Schattenqualität sowohl bei der Beleuchtung über Lichtverläufe als auch über Lichtquellen.

Aus diesem Grund werden unnötige Einstellungen für die Schattenberechnung für große Flächen abgeschaltet. Das führt in solchen Fällen zu deutlich verbesserten Schattenergebnissen.


Nur noch eine Einstellung für das Fenstermaterial und das Ursprungsmaterial

Wenn man eine Innenbeleuchtung berechnet, wird nach transparenten Materialien gesucht, die von außen sichtbar sind. Diese werden dann zu einem Fenstermaterial umgewandelt, das Licht in den Innenraum wirft. Das Ursprungsmaterial bleibt erhalten, da es z.B. für die Innenseite eines Fensters bei Mehrfachverglasung verwendet wird.

Wollte man bisher nach der Lichtberechnung das Material verändern, es z.B. einfärben oder die Transparenz verstärken, musste man dies jeweils für das Fenstermaterial und das Ursprungsmaterial vornehmen. Das hat viele Anwender verwirrt. Aus diesem Grund wirkt sich eine Änderung an einem der beiden Materialien künftig auf beide Materialien aus.

Dadurch wird das Handling in diesem Bereich effektiver.


Transparenzschwelle für die Fenstererkennung

Für die Innenbeleuchtung analysiert eine automatische Fenstererkennung, welche Flächen als Fenster gewertet werden, die dann Licht in den Innenraum werfen. Bisher galt hier eine feste Transparenzschwelle von 60%. Das bedeutet, dass alle Flächen, die von außen sichtbar und zu mindestens 60% transparent sind, als Fenster gewertet werden.

Das führte gelegentlich dazu, dass transparente Objekte, die sich vor den Fenstern befinden und auch zu 60% transparent sind, als Fenster für die Innenbeleuchtung verwendet wurden. Beispiele sind etwa gläserne Balkonumrandungen. Man musste gewissen Aufwand betreiben, um dies zu verhindern.

Mit Version 19 kann man die Transparenzschwelle für die Fenstererkennung selbst wählen.

Stellen Sie also z.B. die Transparenz für die Fenster auf 80%, dann können die Glasbalkone auch noch mit einer Transparenz < 80% realistisch dargestellt werden, ohne die Innenbeleuchtung zu beeinflussen.


Vorgabe einer Glanzlichtquelle

Um Glanz von Materialien darstellen zu können, benötigt man neben den Lichtverläufen des Lichtmanagers eine zusätzliche Lichtquelle. Hier hat sich eine Kugellichtquelle bewährt, die von vorne auf das Projekt strahlt.

Damit Sie eine solche Lichtquelle nicht immer wieder selbst definieren müssen, gibt GAMMA-RAY nun ein Glanzlicht vor.

Bei Bedarf müssen Sie das Glanzlicht nur noch einschalten.


Licht von vorne mit Versatz zur Kamera

Wenn das Licht von vorne genau in die Blickrichtung der Kamera leuchtet, fehlt oft eine gute Schattenwirkung. Um dies zu verhindern, kann jetzt ein Versatz zur Kamera angegeben werden.

Licht von vorne mit Versatz zur Kamera

Somit lässt sich ein breiterer Schatten erzielen.


Option Umgebungstexturen bei Einstellungen speichern

Bisher konnte nicht getrennt werden, ob bei Einstellungen speichern nur die Texturen oder nur die Umgebungstexturen gespeichert werden sollen. Es wurden immer beide oder keine von beiden Texturarten abgelegt. Um eine Unterscheidung treffen zu können, wurde nun eine zusätzliche Option eingefügt.

Nachdem Festplatten inzwischen über eine große Speicherkapazität verfügen, werden die Optionen Texturen und Umgebungstexturen per default aktiviert.


Berechnung von 3D-Stereo-Panoramen

Für die Berechnung von Kugelbild-Panoramen ist nun auch die Erstellung von 3D-Stereo-Panoramen möglich.

Panorama in Stereo


Bei der Panoramaberechnung ist die Eingabe einer Schrittweite kleiner 1 möglich

Wenn man z.B. einen AVI-Film eines Außenpanoramas erstellt, kann es bei der bisherigen kleinsten Schrittweite von 1o zu einer ruckelnden Darstellung im Film kommen. Aus diesem Grund sind nun auch Schrittweiten bis zu 0.1o möglich, um eine gleichmäßige Bewegung zu erreichen.


3D-Objekte erzeugen und Bildauswahl erzeugen im Auswahldialog

Die Menüpunkte zum Erzeugen einer 3D-Objekte-Auswahl bzw. einer Bildauswahl finden Sie im jeweiligen Bereich des Auswahl-Dialogs. So sind alle benötigten Funktion im zugehörigen Menü zusammengefasst.


Keine GAMMA-Korrektur mehr

Was ist eigentlich eine GAMMA-Korrektur? Haben Sie sich das auch schon gefragt?

Mit der GAMMA-Korrektur konnte man ein Bild aufhellen oder abdunkeln. Das gab in den äußeren Einstellbereichen aber immer wieder Probleme. Aus diesem Grund wurde die GAMMA-Korrektur durch eine lineare Einstellung der Helligkeit ersetzt.

Dadurch ist es nun auch möglich, für ein Projekt

eine Abendszenerie zu erstellen, bei der nicht nur das Tageslicht abgedunkelt ist,

sondern auch der Hintergrund.


Die Aufbereitung von 3D-Strukturen ist nun komfortabler

Sicherlich ist es Ihnen auch schon passiert: Sie ziehen z.B. ein Material aus dem Katalog Bodenfliesen in Ihr Projekt, überlesen die angezeigte Meldung und bestätigen mit OK. Sie haben GAMMA-RAY dadurch angewiesen, das Material in eine 3D-Struktur umzuwandeln, wollten dies aber gar nicht, da 3D-Strukturen sehr viele kleine Polygone produzieren, die den Speicherbedarf und die Berechnungszeit drastisch erhöhen.

Um 3D-Strukturen nur dann zu generieren, wenn Sie das auch wirklich wollen, wurde die Vorgehensweise überarbeitet:

Wenn Sie ein Material, bei dem eine 3D-Struktur vordefiniert ist, zuweisen, erscheint folgende Meldung:

Hinweis 3D-Strukturen erzeugen

Wollen Sie für das Material also wirklich eine 3D-Struktur berechnen lassen, geht das künftig über

Menü 3D-Strukturen erzeugen


Aus für die Optimaldarstellung

Nachdem die beste Bildqualität in der besten Darstellung (früher HDRI Darstellung) erzielt werden kann, verwirrte die Optimaldarstellung den Neuanwender immer wieder. Aus Rücksicht auf Bestandskunden existierte dieser Modus in den letzten Jahren noch. Für Version 19 von GAMMA-RAY macht er jedoch endgültig keinen Sinn mehr und wurde daher aus dem Menü entfernt.


Aus für den Objektbuffer

In den letzten Jahren wurde in GAMMA-RAY die Schattenberechnung über Schattenbuffer und Radiosityschatten extrem optimiert. Das war der Grund, warum in der aktuellen Version die Schattenberechnung über den Objektbuffer entfernt wurde. Diese war nur zeit- und speicherintensiv und kann durch die beiden anderen Verfahren ersetzt werden.


Weitere Materialkataloge mit Texturen von Herstellern

Hersteller von Dekoren und Materialien sind inzwischen offener, Ihre Texturbilder an andere weiterzugeben. Aus diesem Grund ist es uns möglich, Ihnen weitere Materialkataloge kostenfrei zur Verfügung zu stellen.

In Kürze werden Materialkataloge von

·Pfleiderer

·Bauwerk-Parkett

·Jasba

·GIMA

·Röben

·Rinn Beton

·STO

·Sika

·Vorwerk

·...

erscheinen.


Keine Aufbereitung für QuickTime® mehr

Nachdem Apple® den Support für QuickTime® unter Windows eingestellt hat, wurde aus Sicherheitsgründen die Aufbereitung für QuickTime® bei der Panorama-Aufbereitung herausgenommen.


Schnellerer GPU Turbo Test

Um zu testen, ob Ihre Grafikkarte für den GPU Turbo geeignet ist, muss der GPU Turbo Test beim ersten Programmstart durchgeführt werden. Damit Sie nicht zu lange auf das Ergebnis warten müssen, wurde der Test nun beschleunigt.


Installation

Navigation: »No topics above this level«

Return to chapter overview

Installation von GAMMA-RAY

Nachdem Sie die DVD von GAMMA-RAY in Ihr DVD-ROM Laufwerk eingelegt haben, startet das Installationsprogramm automatisch.

Tip

Sollte das Installationsprogramm nicht automatisch starten, rufen Sie das Programm GAMMA-RAY.exe auf der DVD auf.

Zuerst legen Sie die Sprache für das Setupprogramm fest.

Dialog Setup Language

Anschließend erscheint der Willkommens-Dialog des Installationsprogramms.

Dialog Setup Welcome

Klicken Sie hier auf Weiter.

Als nächstes werden Sie nach Ihren Daten gefragt.

Dialog Setup Registry

Diese Angaben sind für die Erstellung des Registrierungsformulars nötig, mit dem Sie das Codewort für die Freischaltung anfragen können. Bitte füllen Sie das Formular vollständig aus.

Lesen Sie sich nun die Lizenzvereinbarung sorgfältig durch und bestätigen Sie durch Anwahl von Ich akzeptiere die Vereinbarung, wenn Sie mit der Vereinbarung einverstanden sind.

Dialog Licence Agreement

Dialog Setup Directory

Nun wählen Sie den Ziel-Ordner aus. Wenn Sie einen anderen Ordner als den vorgeschlagenen festlegen wollen (um das Programm z.B. auf einer anderen Festplatte zu installieren), klicken Sie auf Durchsuchen...

Dialog Setup Search Directory

Dieser Dialog ermöglicht es Ihnen, das Installationsverzeichnis individuell anzugeben. Wählen Sie die gewünschte Festplatte und das Verzeichnis aus und bestätigen Sie mit OK. Wenn Sie hier nicht den Verzeichnisbaum nutzen wollen, können Sie die Angaben natürlich auch in die Eingabezeile eintippen.

Attention

Ab Windows® Vista® gibt es Probleme, wenn man GAMMA-RAY in das Verzeichnis C:\Programme installiert, da Programme in dieses Verzeichnis und seine Unterverzeichnisse keine Dateien speichern dürfen. Wir empfehlen also dringend, den vorgegebenen Installationspfad zu übernehmen! Ansonsten kann GAMMA-RAY nicht gestartet werden.

Tip

Wir empfehlen, frühere Versionen von GAMMA-RAY zu deinstallieren, um nicht unnötigen Festplattenplatz zu verschwenden. Achten Sie aber darauf, für Sie wichtige Daten vorher zu sichern.

Nach Klick auf Weiter werden Sie nach den zu installierenden Komponenten gefragt.

Dialog Setup Type

Tip

Nur wenn Sie das Pflanzen-Modul für GAMMA-RAY gekauft haben, sollten Sie die Option Pflanzen-Modul aktivieren. Ansonsten installieren Sie unnötige Daten auf Ihre Festplatte.

Klicken Sie auf Weiter.

Tip

Da es unter Windows 8® kein Startmenü mehr gibt, wird der folgende Dialog unter Windows 8® nicht angezeigt.

Dialog Setup Folder

Der Startmenü-Ordner gibt den Namen an, unter dem Sie das Programm aufrufen können, wenn Sie innerhalb von Windows® auf Start -> Alle Programme klicken (hier finden Sie das Programm also über Start -> Alle Programme -> GAMMA-RAY). Übernehmen Sie den Namen über Klick auf Weiter.

Nun lassen sich noch zusätzliche Aufgaben definieren.

Dialog Additional Tasks

Wir empfehlen, zumindest ein Desktop-Symbol anzulegen, über das sich das Programm dann per Doppelklick starten lässt.

Nach Klick auf Weiter erhalten Sie noch mal eine Übersicht über die gewählten Einstellungen.

Dialog Installation Info

Diese lassen sich bei Bedarf noch korrigieren, indem Sie mit Zurück auf die entsprechende Seite wechseln.

Nach Klick auf Installieren beginnt der Installationsprozess.

Während der Installation erscheint folgender Dialog, sofern das Programmpaket auf Ihrem Rechner noch nicht installiert ist:

Dialog Setup Redistributable

GAMMA-RAY benötigt verschiedene Programmbibliotheken von Windows®, die nach Klick auf Ja installiert werden.

Im Anschluss kann eine weitere Abfrage in Bezug auf die Microsoft Visual C++ 2010 Programmbibliotheken erfolgen, sofern diese noch nicht installiert sind.

Unter einem Windows® 64-Bit Betriebssystem erfolgt eine zweite Anfrage zur Installation des 64-Bit Packs für beide Compiler, sofern auch diese fehlen.

Das Installationsprogramm kann für Sie aus dem Internet die neueste Programm-Version laden.

Wenn Sie auf Ja klicken, startet das Aktualisierungsprogramm von GAMMA-RAY.

Um die Aktualisierung durchführen zu können, müssen Sie sich für den Kundenbereich unter http://www.gamma-ray.de angemeldet haben. Sie erhalten dann einen persönlichen Benutzernamen und ein Passwort für diesen Bereich. Beide Angaben werden auch für die Programmaktualisierung benötigt.

Wenn eine Programmaktualisierung verfügbar ist, wird das aktuelle ServicePack auf Ihren PC geladen und gleich gestartet.

Die Installation des Programms ist anschließend abgeschlossen.

Dialog Setup Finished

Installation einer Netzwerklizenz

GAMMA-RAY kann auch über eine Netzwerklizenz freigeschaltet werden. Nähere Informationen dazu erhalten Sie von Ihrem Händler.

Installation auf dem Server

Der Netzwerkdongle, den Sie für die Netzwerklizenzierung erhalten, wird an den Server angeschlossen. Damit er von der Software erkannt wird, muss der Netzwerkdienst installiert werden. Starten Sie dazu das Installationsprogramm Server.exe, das Sie im Unterverzeichnis NetDongle auf der DVD finden.

Folgen Sie den Anweisungen des Installationsprogramms. Nach der Installation startet das Konfigurationsprogramm.

Aktivieren Sie die Option Server und klicken Sie auf OK.

In der Regel muss hier keine Änderung vorgenommen werden, so dass Sie die Konfiguration mit Save abschließen können.

Tip

Wenn Sie die Konfiguration nachträglich anpassen müssen, wählen Sie den Menüpunkt Start->Alle-Programme->GAMMA-RAY->Server konfigurieren. Unter Windows® 8 finden Sie auf dem Startbildschirm eine Kachel zum Staren der Konfiguration.

Installation auf dem Client

Damit die Lizenz/Lizenzen auch auf anderen PCs genutzt werden kann/können, muss dort noch eine weitere Installation erfolgen. Starten Sie dazu das Installationsprogramm Client.exe, das Sie im Unterverzeichnis NetDongle auf der DVD finden.

Folgen Sie den Anweisungen des Installationsprogramms. Nach der Installation startet das Konfigurationsprogramm.

Geben Sie unter Server IP list die IP-Adresse des Lizenz-Servers an, an den der Netzwerkdongle angeschlossen und wie oben beschrieben installiert wurde. Schließen Sie dann die Konfiguration mit Save ab.

Tip

Wenn Sie die Konfiguration nachträglich anpassen müssen, wählen Sie den Menüpunkt Start->Alle-Programme->GAMMA-RAY->Client konfigurieren. Unter Windows® 8 finden Sie auf dem Startbildschirm eine Kachel zum Staren der Konfiguration.


Der Navigator

Dem Neueinsteiger erschließt es sich nicht immer gleich, dass man durch Klick auf die rechte Maustaste im Kamera-Dreh-Modus zwischen den einzelnen Möglichkeiten entscheiden kann, wie man durch Drücken der linken Maustaste die Kameraperspektive verändert. Aus diesem Grund wurde der Navigator in GAMMA-RAY implementiert.

Für die einzelnen Funktionen des Rechte-Maus-Menüs finden Sie ein Ikon im Navigator. Der umrahmte Modus ist der aktuell aktive Modus.

Tip

Soll der Navigator beim Programmstart nicht angezeigt werden, deaktivieren Sie die Option Navigator anzeigen im Dialog Programmstart bei den Programmeinstellungen.

Dialog Start Options Show Navigator


Der Farbeinstellungs-Dialog

Zur Farbeinstellung wird in GAMMA-RAY immer derselbe Dialog verwendet.

Im Farbeinstellungs-Dialog bestimmt man die Farbe entweder über das RGB-Modell oder das HSL-Modell. Die Farbwerte können entweder mit den Schiebereglern eingestellt oder in den zugehörigen Eingabefeldern eingetippt werden. Wenn Sie einen Schieberegler mit Hilfe der gedrückten linken Maustaste bewegen und diese dann loslassen oder eine Eingabe in einem der Felder vornehmen und das Feld dann (z.B. über die TAB-Taste) verlassen, wird die Änderung sofort angezeigt.

Das Farbfeld Vorschau stellt die aktuell eingestellte Farbe dar.

Über den Knopf Vom Bildschirm abgreifen kann eine Farbe an einer beliebigen Stelle des Bildschirms bestimmt und übernommen werden.

Tip

Über diese Funktionalität lassen sich auch Farben außerhalb des GAMMA-RAY Fensters bestimmen. Verkleinern Sie dazu das GAMMA-RAY Fenster und klicken Sie in einen Bereich außerhalb (z.B. irgendwo auf dem Windows®-Desktop).

Dies ist auch eine sehr komfortable Möglichkeit, Farbwerte von anderen Farbmodellen zu übernehmen. Wenn Sie z.B. in einem anderen Programm eine Farbe nur über das CMYK-Modell festlegen können, Ihnen aber keinerlei RGB- oder HSL-Werte dargestellt werden, klicken Sie einfach die erzeugte Farbe an, um sie in GAMMA-RAY zu übernehmen.

Wollen Sie den Farbeinstellungs-Dialog von Windows® verwenden, klicken Sie auf den Knopf Windows-Farbdialog...


Einstellen der Farbe über Rot, Grün und Blau

Eine Farbe kann über seine Rot-, Grün- und Blau-Anteile festgelegt werden. Die Mischung der Farben entspricht dabei der additiven Farbmischung. Hier einige Beispiele:

Rot-Anteil | Grün-Anteil | Blau-Anteil | Farbe
0 % | 0 % | 0% | schwarz
100 % | 100 % | 100 % | weiß
100 % | 0 % | 0 % | rot
0 % | 100 % | 0 % | grün
0 % | 0 % | 100 % | blau
100 % | 100 % | 0 % | gelb
100 % | 0 % | 100 % | magenta (lila)
0 % | 100 % | 100 % | cyan (hellblau)
100 % | 50 % | 0 % | orange
50 % | 50 % | 50 % | grau

Über die Schieberegler für Rot, Grün und Blau wird der jeweilige Farbwert angewählt. Sie können die Werte aber auch direkt in das zugehörige Eingabefeld eintippen.


Einstellen der Farbe über Farbton, Sättigung und Helligkeit

Eventuell ziehen Sie die Farbeinstellung über Farbton, Sättigung und Helligkeit vor.

Über den Farbton stellen Sie die Grundfarbe ein. Der Schieberegler geht dabei das Spektrum der Farben in der Reihenfolge Rot, Gelb, Grün, Cyan, Blau, Magenta und Rot durch. Anschließend können Sie die genaue Farbe noch über ihre Sättigung und die Helligkeit verändern.

Die Sättigung gibt an, wie gesättigt die Farbe ist. Steht der Schieberegler auf 100%, ist das der volle Farbton. Sie können sich die Farbe als aus 100% Farbpigmenten gemischt vorstellen. Die Sättigung entspricht dem Anteil der Farbpigmente an der Farbe. Bei 0% haben Sie nur den entsprechenden Grauton mit der gleichen Helligkeit. Es wird also ein entsprechend größerer Weißanteil der Farbe beigemischt. Bei einer Sättigung von 0% kann nur die Helligkeit der Farbe beeinflusst werden. Eine Änderung des Farbtons hat keine Auswirkung, da die "Farbe" nur noch aus weiß bzw. grau besteht.

Mit dem Schieberegler für die Helligkeit lässt sich die Helligkeit der Farbe beeinflussen. Bei 0% hat die Farbe keine Helligkeit mehr, sie ist schwarz. Bei 100% ist sie weiß. In beiden Einstellungen haben sowohl der Farbton als auch die Sättigung keinen Einfluss mehr auf die Farbe. Den vollen Farbton erhalten Sie bei der Einstellung 50%.


Einstellen der Farbe über den Windows-Farbdialog

Navigation: Der Farbeinstellungs-Dialog >

Return to chapter overview

Einstellen der Farbe über den Windows®-Farbdialog

Den meisten Anwendern ist wahrscheinlich der Standard-Farbdialog von Windows® bekannt. Diesen öffnen Sie über den Knopf Windows-Farbdialog...

Dialog Windows Dialog1

Neben den vorgegebenen Grundfarben können Sie eigene Farben über das HSL-Modell oder das RGB-Modell bestimmen.

Attention

Wenn Sie die Farbe über den Standard-Farbdialog von Windows® einstellen, wird die Änderung erst nach Schließen des Dialogs angezeigt. Eine sofortige Darstellung ist hier nicht möglich.

Auch die Funktion Vom Bildschirm abgreifen ist von Microsoft® hier nicht realisiert.


Die Icons

Navigation: »No topics above this level«

Return to chapter overview

Die Icons von GAMMA-RAY

Die Hauptfunktionen von GAMMA-RAY werden durch Icons in der Iconleiste aufgerufen. So haben Sie einen schnellen Zugriff auf diese Funktionen.

Folgende Icons stehen Ihnen zur Verfügung:


Neues Projekt erstellen

Icon New Project

Die Funktion erzeugt ein neues Fenster mit einem leeren Projekt. Sie können beliebig viele dieser Fenster öffnen. In so ein leeres Fenster können Sie z.B. 3D-Objekte aus der 3D-Objekte-Auswahl einfügen, um ein neues Projekt aus Einzelteilen zusammenzustellen.

Tip

Um ein neues Projekt zu laden, verwenden Sie das Icon Projekt laden… Sie müssen also nicht erst ein neues Projekt erstellen.

Tip

Nach dem Aufruf der Funktion werden nacheinander folgende Einstellungsdateien geladen:

·Installationsverzeichnis\Prog_19\Startup.par: enthält allgemeine Einstellungen

·Installationsverzeichnis\Prog_19\Material.cat: enthält den Standard-Material-Katalog

·Installationsverzeichnis\Default.par: enthält Einstellungen, die von Ihnen persönlich vorgenommen werden können, um individuelle Einstellungen nach dem Programmstart zu verwenden

·Installationsverzeichnis\Prog_19\New.par enthält spezielle Einstellungen für ein neues Projekt

Um individuelle Vorgaben zu treffen, können Sie an den Dateien Änderungen vornehmen. Wir empfehlen jedoch, die Dateien Startup.par und Material.cat nicht zu verändern.

Attention

Bevor Sie Änderungen an diesen Einstellungsdateien vornehmen, sollten Sie unbedingt eine Sicherungskopie des Originals anlegen. Nur so haben Sie die Chance, bei Fehlern in der neuen Datei auf den ursprünglichen Stand zurückgreifen zu können, ohne dass die Software neu installiert werden muss.


Projekt laden...

Icon Load Project

Dialog Load Project

Hier wählen Sie das Projekt, das geladen werden soll, wie gewohnt aus.

Tip

Wenn Sie auf das Symbol Symbol Open List in der Liste Dateiname klicken, können Sie eine der zuletzt geöffneten Dateien auswählen.

Wenn Sie auf das Symbol Symbol Open List in der Liste Dateityp klicken, öffnet sich eine Liste der Dateiformate, die durch GAMMA-RAY geladen werden können. Wenn Sie hier ein spezielles Format auswählen, werden nur solche Dateien in der Dateiansicht aufgelistet. Ansonsten zeigt die Liste alle Dateien im Verzeichnis, die mit GAMMA-RAY geladen werden können.

Wurde das Projekt, das Sie in der Dateiansicht anklicken, mit GAMMA-RAY ab Version 14 abgespeichert, wird unter Vorschau ein Vorschaubild des Projekts angezeigt.

Wenn Sie den Lichtverlauf für das Projekt neu berechnen wollen, müssen die Lichtverlaufdaten gar nicht erst mit eingelesen werden. Das beschleunigt den Ladevorgang und setzt die Lichtverlaufeinstellungen zurück.

Haben Sie bereits ein Projekt geladen, erscheint folgende Meldung, nachdem Sie auf Öffnen geklickt haben:

Question Close Projekt

Beantworten Sie die Frage mit Ja, so wird das aktuelle Projekt geschlossen, wobei alle Einstellungen des bisherigen Projekts verloren gehen. Dies schließt auch ein schon berechnetes Bild mit ein. Antworten Sie mit Nein, wird ein zweites Fenster geöffnet und das Projekt dort geladen.

Wenn sich in dem Verzeichnis, aus dem das Projekt geladen wird, auch eine Einstellungsdatei (mit der Endung .par) mit dem gleichen Namen befindet, werden deren Einstellungen übernommen.

Tip

Nach Anwahl der Datei werden nacheinander folgende Dateien geladen:

Dateiname z.B. gamma

·Installationsverzeichnis\Prog_19\Startup.par: enthält allgemeine Einstellungen

·gamma.ray: enthält die 3D-Geometrie

·wenn vorhanden: gamma.par: enthält Einstellungen, die schon in einer vorherigen Bearbeitung vorgenommen wurden. Einstellungen aus den bereits eingelesenen Einstellungsdateien, die in gamma.par ebenfalls enthalten sind, werden überschrieben.

·wenn gamma.par nicht vorhanden: Installationsverzeichnis\Default.par: enthält Einstellungen, die von Ihnen persönlich vorgenommen werden können, um individuelle Einstellungen nach dem Start zu verwenden.

·Installationsverzeichnis\Prog_19\overwrite.par: enthält Einstellungen, die direkt nach dem Laden von Projekten nachgeladen werden, um diese generell zu verwenden

In den Einstellungsdateien können Verweise auf Texturdateien enthalten sein. Um eine Texturdatei wieder aufzufinden, wird sie nacheinander in folgenden Verzeichnissen gesucht:

1.in dem Pfad, der in der Einstellungsdatei angegebenen ist

2.im Unterverzeichnis Dateiname.tex des Verzeichnisses der Einstellungsdatei, wobei Dateiname für den Namen der Einstellungsdatei steht (im obigen Beispiel also gamma.tex)

3.in allen Verzeichnissen, die in den Suchpfaden für Materialien der Material-Auswahl enthalten sind.

Entsprechend können auch Verweise auf Textursymboldateien enthalten sein. Textursymbole sind die verkleinerten Bilder der Texturen, die für die Vorschaubilder in den Material-Dialogen verwendet werden. Damit diese nicht immer wieder neu berechnet werden müssen, werden sie mit abgespeichert. Eine Textursymboldatei wird nacheinander in folgenden Verzeichnissen gesucht:

1.in dem Pfad, der in der Einstellungsdatei angegebenen ist

2.im Unterverzeichnis Dateiname.prv des Verzeichnisses der Einstellungsdatei, wobei Dateiname für den Namen der Einstellungsdatei steht (im obigen Beispiel also gamma.prv)

3.im Verzeichnis system.prv im Installationsverzeichnis

Ist die Textursymboldatei nicht vorhanden, berechnet GAMMA-RAY ein Symbol für die Textur.

Bei verschiedenen Dateiformaten werden Ihnen noch einige Einleseoptionen angeboten, die es Ihnen erlauben, nicht in der Datei vorhandene Informationen für die Visualisierung automatisch berechnen zu lassen. Diese Berechnungen lassen sich auch nachträglich nach dem Laden des Projekts über die Auswahlfunktionen durchführen.

Nach dem erfolgreichen Laden wird der Dialog 3D Info angezeigt, der Ihnen Informationen über die Größe und Strukturierung des geladenen Projekts liefert.


Projekt speichern

Icon Save Project

Projekte, die Sie in verschiedenen Dateiformaten geladen haben, werden über diese Funktion im RAY-Format abgespeichert. Es handelt sich dabei um ein Datenformat, das für GAMMA-RAY optimiert ist.

Über Projekt speichern sichern Sie das Projekt (als Datei mit der Endung .ray), die Einstellungen, die Sie vorgenommen haben (als Datei mit der Endung .par), die Textursymbole der Materialien, die Sie in dem Projekt verwenden (als Verzeichnis mit der Endung .prv) und die Texturen, die Sie in dem Projekt verwenden (als Verzeichnis mit der Endung .tex). Es wird der aktuelle Dateiname des Projekts verwendet, so dass das bisherige Projekt überschrieben wird. Vorher erfolgt aber noch eine Sicherheitsabfrage, ob dies wirklich gewünscht ist.


Bild drucken...

Icon Print Image

Tip

Wenn gerade kein Projekt angezeigt wird, ist dieses Ikon / dieser Menüpunkt nicht anwählbar, sondern ist grau dargestellt.

Wenn Sie die Bilder in optimaler Qualität berechnet haben, können Sie diese abspeichern, um sie in anderen Programmen weiter zu verwenden. Aber natürlich lassen sich diese Bilder auch direkt aus GAMMA-RAY heraus ausdrucken. Hier eignet sich prinzipiell jeder Drucker, der unter Windows® installiert wurde.

Attention

Um ein Bild in guter Qualität auszudrucken, muss eine gewisse Anzahl Bildpunkte an den Drucker übergeben werden. Ein Bild in einer Größe von z.B. 800 * 600 Pixel wird nur sehr unzureichende Ausdrucke liefern. Da die übertragene Information zu gering ist, wird der Drucker das Bild sehr gepixelt ausgeben. Es ist aber auch unnötig, die volle theoretische Druckerauflösung zu berechnen. Dies würde zu unnötig großen Bildern führen, die lange Berechnungszeiten in Anspruch nehmen würden. GAMMA-RAY bietet bei den Berechnungseinstellungen Bildgrößen im DIN-Verhältnis, die für die meisten Drucker gute Ergebnisse liefern. Ist die Qualität wider Erwarten noch nicht ausreichend, können Sie eine einstellbare Bildgröße wählen, bei der Sie die Bildbreite und -höhe selbst einstellen.

Nach Anwahl der Funktion erscheint der folgende Dialog:

Dialog Print Image

Über den Knopf Einrichten… wählen Sie einen anderen Drucker und passen wie gewohnt dessen Einstellungen an. Diese Einstellungen sind druckerspezifisch und durch den jeweiligen Druckertreiber vorgegeben.

Tip

Um die beste Druckqualität zu erzielen, empfehlen wir die Verwendung von Tintenstrahldruckern, die eine Photoqualität erzielen können. Achten Sie auch darauf, dass nur die Tinte und auch das Papier des jeweiligen Herstellers verwendet wird, da nur dann garantiert werden kann, dass Tinte und Papier optimal aufeinander abgestimmt sind. Die spezielle Phototinte erzeugt brillantere Ausdrucke als normale Tinte. Für die meisten Drucker ist spezielles glänzendes Papier erhältlich, das den Ausdruck besonders aufwertet.

Weitere Druck-Optionen stehen zur Verfügung:


Gamma-Korrektur

Dieser Wert dient zum Aufhellen bzw. Abdunkeln des Druckbildes. Werte größer 1 hellen das Bild auf, Werte kleiner 1 dunkeln das Bild ab. Bei einem Wert von 1 wird das Bild ohne Änderung ausgedruckt.

Die Erfahrung hat gezeigt, dass diese Einstellung von Drucker zu Drucker unterschiedlich ist und Sie anhand einiger Probedrucke die korrekte Einstellung austesten müssen.


Skalierung

Hier wählen Sie einen bestimmten Skalierungsfaktor für die Bildausgabe aus. Besser ist es jedoch, die Option Auf Blattgröße skalieren aktiviert zu lassen. Dann wird der maximale Druckbereich ausgenutzt. Wollen Sie jedoch selbst einen Faktor eingeben, muss vorher diese Option deaktiviert werden.

Tip

Um nicht unnötigen weißen Rand im Ausdruck zu erzeugen, empfehlen wir, bei der Bildgröße ein DIN Seitenverhältnis (also 1,41 : 1) zu wählen. Dies ist bei einigen vordefinierten Bildgrößen realisiert. Bei einem anderen Seitenverhältnis wird zuerst die Bildseite bestimmt, die maximal abgebildet wird. Da der Ausdruck aber nicht verzerrt werden darf, wird die andere Seite entsprechend dem vorgewählten Bildseitenverhältnis angepasst. Dies kann dann dazu führen, dass in Richtung dieser Seite das Blatt nicht vollständig ausgenutzt wird.


Kopien

Hier legen Sie die Anzahl der gewünschten Kopien des aktuellen Bildes fest.


Rückgängig

Über diese Funktion lassen sich die letzten Operationen, die Sie vorgenommen haben, einzeln zurücknehmen. Der Name der letzten Funktion wird angezeigt, wenn Sie den Mauscursor über das Icon bewegen.


Wiederherstellen

Über diese Funktion lassen sich die letzten Operationen, die Sie rückgängig gemacht haben, einzeln wiederherstellen. Der Name der letzten zurückgenommenen Funktion wird angezeigt, wenn Sie den Mauscursor über das Icon bewegen.


Berechnung abbrechen

Nach Klick auf dieses Icon wird die aktuelle Berechnung abgebrochen.

Tip

Diese Funktion wird auch nach Drücken der Esc-Taste ausgeführt.

Tip

Nachdem das Programm nicht andauernd abprüft, ob der Anwender einen Abbruch wünscht (dies würde die Berechnungszeiten unnötig erhöhen), ist es möglich, dass der Abbruch nicht sofort erfolgt. Klicken Sie bei Bedarf mehrfach auf dieses Icon oder auf die Esc-Taste.


Berechnung starten - Die Darstellungs-Modi

Menu Display Modes

Die Projekte können in unterschiedlichen Darstellungs-Qualitäten angezeigt werden. Folgende Darstellungs-Modi stehen zur Verfügung:

Drahtmodell | Anzeige der Polygonkanten
Hiddenline | Anzeige der Polygonkanten, wobei die durch andere Polygone verdeckten Kanten ausgeblendet sind
Farbdarstellung | Anzeige eines einfachen farbigen Bildes ohne Schattenwurf und Kantenglättung
Shadingdarstellung | Anzeige von farbigen Bildern mit Schattenwurf ohne Kantenglättung
Optimaldarstellung | Anzeige des endgültigen Bildes mit allen Berechnungs-Optionen in optimaler Farbqualität
HDRI-Darstellung | Anzeige des endgültigen Bildes mit allen Berechnungs-Optionen in optimaler Farbqualität, wobei eine Änderung der Bildhelligkeit in Echtzeit möglich ist

Die Farbdarstellung verwenden Sie für die Positionierung der Kamera und die Darstellung von einfachen Materialien.

Die Shadingdarstellung verwenden Sie für die Darstellung von aufwändigeren Materialien mit Spiegelungen und der Einstellung von Kunstlicht.

Die Optimaldarstellung verwenden Sie für die Darstellung des endgültigen Bildes, das Sie anschließend abspeichern und ausdrucken können.

Die HDRI-Darstellung verwenden Sie für die Darstellung des endgültigen Bildes, das Sie anschließend abspeichern und ausdrucken können. Nur in der HDRI-Darstellung können die Bilder nachträglich in der Helligkeit in Echtzeit verändert werden.


bearbeiten - Die Berechnungseinstellungen

Tip

Die Berechnungseinstellungen können auch durch Klick auf die rechte Maustaste geöffnet werden, nachdem Sie den Mauscursor über das Darstellungs-Modi-Icon bewegt haben.

Mit Hilfe der Funktion bearbeiten… bestimmen Sie die Eigenschaften für die Berechnung des Projekts. Diese legen z.B. die Größe des Bildes, Genauigkeit und Auflösung bei der Berechnung fest. Weiterhin lassen sich auch die Berechnung von Schatten, Spiegelungen, Kantenglättung, ... aktivieren. Diese Einstellungen sind per default vorgegeben und können durch Sie bei Bedarf verändert werden.

Tip

Je nach zugeschalteter Option erhöht sich die Rechenzeit für die Berechnung des Bildes. Daher sollten Sie für die gerade anliegende Aufgabe immer nur die tatsächlich benötigten Optionen zuschalten, um nicht unnötig Zeit zu verschwenden. Wenn Sie z.B. Materialien zuweisen, muss nicht immer der Schattenwurf oder gar sichtbares Licht berechnet werden. Aktivieren Sie diese Optionen nur bei der Einstellung der entsprechenden Eigenschaft und schalten Sie diese wieder aus, wenn die Einstellung abgeschlossen ist.

Testen Sie also z.B. den gewünschten Spiegelgrad für ein Material. Nachdem der richtige Wert eingestellt ist, deaktivieren Sie die globale Option Spiegelung und Brechung bei den Berechnungseinstellungen wieder.

Tip

Die Einstellungen beziehen sich immer auf das aktuelle Projekt und werden zu diesem Projekt als Einstellung mit abgespeichert.

Durch Aufruf des Menüpunktes bearbeiten… öffnen Sie den Berechnungs-Editor.


Berechnungseinstellungsliste

In der Berechnungseinstellungsliste werden die Berechnungseinstellungen aufgelistet, die für das aktuelle Projekt definiert sind.

Links neben dem Namen wird in der Liste ein Symbol dargestellt. Bei den vordefinierten Modi entspricht dieses Symbol dem Icon für den zugehörigen Darstellungs-Modus.

Tip

Durch Anklicken der Berechnungseinstellung in der Liste werden die Eigenschaften dieser Einstellung im unteren Teil des Dialogs angezeigt und können dann auch verändert werden. Um die Einstellungen eines anderen Berechnungs-Modus zu bearbeiten, muss dieser zuerst in der Berechnungseinstellungsliste angeklickt werden.

Wird ein bereits angewählter Berechnungs-Modus gleich wieder angeklickt, lässt sich der Name dieser Einstellung verändern.


Neu...

Mit diesem Dialog erzeugen Sie neue Berechnungseinstellungen.

Dialog New Calculation

Geben Sie in der Eingabezeile Name der neuen Berechnungseinstellungen: den Namen für die neuen Einstellungen ein.

Über die Option Kopie der aktuellen Berechnungseinstellungen bestimmen Sie, dass alle Einstellungen, die gerade aktuell sind, für die neuen Berechnungseinstellungen übernommen werden. Wollen Sie alle Einstellungen selbst definieren, deaktivieren Sie diese Option.


Löschen...

Über diese Funktion löschen Sie die aktuell ausgewählten Berechnungseinstellungen.

Tip

Berechnungseinstellungen löschen Sie auch durch Drücken der Entf-Taste.

Bevor die Einstellungen wirklich gelöscht werden, erfolgt noch mal eine Sicherheitsabfrage, ob dies wirklich gewünscht ist.


Typ

GAMMA-RAY basiert auf einer schnellen Grafiklibrary, die durch neue Berechnungsalgorithmen Rendering in optimaler Qualität und mit kurzen Rechenzeiten ermöglicht. Hier können gegenüber dem Hardware-Rendering wirklich realistische Bilder in beliebigen Bildgrößen erzeugt werden. Die Berechnung über die integrierte Grafiklibrary ist aktiviert, wenn der Typ auf Software eingestellt ist.

Ist in Ihren PC eine Grafikkarte eingebaut, deren Treiber eine Hardwarebeschleunigung unter OpenGL ermöglicht, wird zusätzlich auch die Auswahlmöglichkeit Hardware angeboten. Hier erfolgt ein beschleunigtes Rendering über die Grafikkarte. Eine optimale Bilddarstellung (mit realistischer Lichtdarstellung, Schattenwurf, Spiegelung, ...) ist dann aber nicht mehr möglich.

Tip

Wir empfehlen, die Einstellung Software zu verwenden. Nur wenn Sie sich schnell einen Überblick über das Projekt verschaffen oder auch eine Vorschau von Animationen vornehmen wollen, können Sie auf Hardware umschalten. Da die Unterstützung der unterschiedlichen Effekte zwischen unterschiedlichen Grafikkarten stark differiert, können wir hier eine korrekte Darstellung nicht garantieren!

Attention

Da die Darstellung über Hardwarebeschleuniger nur über den Darstellungsmodus Gouraud erfolgt, muss für eine einigermaßen gute Darstellung der Beleuchtung eine Dreieckszerlegung erfolgen. GAMMA-RAY benötigt schon seit vielen Jahren nicht mehr Dreiecke zum Rendern (was zu einer enormen Datenreduktion führte), so dass diese für die Darstellung über OpenGL erst neu erzeugt werden müssen. Daher kann bei größeren Projekten ein gewisser Vorlauf vor der ersten hardwarebeschleunigten Darstellung nötig sein. Zusätzlich erhöht sich der Bedarf an Arbeitsspeicher.


Bildgröße

Die Bildgröße bestimmt die Größe des berechneten Bildes in Pixel. Die maximale Größe ist dabei durch Ihr Rechnersystem (Arbeitsspeicher und virtueller Speicher) beschränkt. Bitte beachten Sie, dass ein größeres Bild auch mehr Speicherplatz beansprucht. Bei einer Verdopplung von 100 * 100 Pixel auf 200 * 200 Pixel vervierfacht sich der Speicherbedarf für das Pixelbild sowohl während der Berechnung als auch für die gespeicherte, unkomprimierte Bilddatei.

Folgende Bildgrößen sind vordefiniert:

sichtbar | Das Bild wird vollständig im Darstellungsfenster angezeigt. Wenn Sie die Größe des Fensters verändern, wird automatisch die neue Bildgröße verwendet.
800x600 1024x768 1280x1024 | Die Bildgröße wird auf die angegebene Breite und Höhe gesetzt.
640x453 (DIN) 1280x906 (DIN) 2560x1812 (DIN) | Die Bildgröße wird auf die angegebene Breite und Höhe gesetzt. Dies entspricht einem Ausdruck im Querformat im A-Verhältnis für kleine, mittlere und große Formate.
453x640 (DIN) 906x1280 (DIN) 1812x2560 (DIN) | Die Bildgröße wird auf die angegebene Breite und Höhe gesetzt. Dies entspricht einem Ausdruck im Hochformat im A-Verhältnis für kleine, mittlere und große Formate.
A4 200 dpi | Die Bildgröße für einen A4-Ausdruck in 200 dpi. Diese Einstellung verwenden Sie, wenn das Bild an eine Druckerei weitergegeben wird.
A4 300 dpi | Die Bildgröße für einen A4-Ausdruck in 300 dpi. Diese Einstellung verwenden Sie, wenn das Bild an eine Druckerei weitergegeben wird.
einstellbar | Sie bestimmen eine individuelle Bildgröße im Dialog Erweitert...
wie Hintergrund | Benutzt die größte Größe, die Sie für die Darstellung unter Erweitert... festgelegt haben, verwendet jedoch das Seitenverhältnis, das durch das aktuelle Hintergrundbild vorgegeben ist. Diese Einstellung verwenden Sie, wenn Sie die Kamera einpassen wollen.
Full HD (1920x1080) HD (1280x720) | Die Bildgröße wird auf die angegebene Breite und Höhe gesetzt. Diese sind für die Erzeugung von Animationen in Full HD oder HD geeignet.
VCD PAL (352x288) VCD NTSC (352x240) DVD PAL (720x576) DVD NTSC (720x480) | Die Bildgröße wird auf die angegebene Breite und Höhe gesetzt. Diese sind für die Erzeugung von Animationen geeignet, die Sie dann auf VideoCD oder DVD weitergeben.

Tip

Die Bildgröße des zuletzt berechneten Bildes wird in der Titelzeile des Ausgabefensters in eckigen Klammern hinter dem Namen des Projekts angezeigt.


Kantenqualität

Die Tatsache, dass die Anzeige auf Computer-Monitoren über einzelne Bildpunkte erfolgt, führt dazu, dass Kanten oft treppenartig dargestellt werden. Diese sieht man besonders bei schräg verlaufenden Kanten.

Linien, die schmaler als ein Bildpunkt sind (beispielsweise, wenn Flächen aus großer Entfernung betrachtet werden), weisen ohne Erhöhung der Kantenqualität unerwünschte Sprünge auf.

Durch die Erhöhung der Kantenqualität lässt sich die Bildqualität erheblich verbessern, indem jeder Bildpunkt virtuell zusätzlich in kleinere Punkte unterteilt wird.

Die Kantenqualität wird in den Optionen normal, gut, sehr gut, perfekt (8x8), perfekt (16x16) und perfekt (32x32) eingestellt. Die Qualität der dargestellten Kanten verbessert sich entsprechend der Einstellungen von oben nach unten immer mehr, die Berechnungszeit steigt jedoch an. Zusätzlich erhöht sich auch der Bedarf an Arbeitsspeicher.

Tip

In der Regel reicht eine Kantenqualität von sehr gut aus.


Bildqualität

Mit diesem speziellen Verfahren kann die Kanten- und die Texturqualität noch weiter verbessert werden. Jeder Bildpunkt wird je nach Einstellung mit einer höheren Auflösung berechnet und dann optimiert wiedergegeben. Hier stehen Ihnen die Optionen normal, gut, sehr gut, perfekt (8x8), perfekt (16x16) und perfekt (32x32) zur Verfügung.

Tip

In der Regel reicht eine Bildqualität von sehr gut aus.

Attention

Durch die Erhöhung der Bildqualität wird die Berechnungszeit erhöht. Der Bedarf an Arbeitsspeicher steigt.

Tip

Da jeder Bildpunkt optimiert wird, erreicht man mit der Erhöhung der Bildqualität eine Verbesserung der Texturdarstellung, der Schatten, der Spiegelung und der Transparenzen.

Um mehrere dieser Effekte in der Qualität zu verbessern, empfiehlt es sich, mit der Erhöhung der Bildqualität statt der Erhöhung der einzelnen Kantenqualitäten zu arbeiten, da in diesen Fällen die höhere Bildqualität schnellere Ergebnisse erzielt.

Attention

Über die Option Texturqualität verbessern wird die Darstellungsqualität von Materialien durch einen Weichzeichner erhöht. Bei Erhöhung der Bildqualität sollten Sie diese Option deaktivieren, da diese Optimierung wesentlich effektiver ist. Sie vermeiden eventuell störende Effekte und reduzieren die Berechnungszeit.


Berechnung

Die Berechnung bestimmt die grundlegende Berechnungsart der Bilddarstellung. Mit höherer Berechnungsart steigt die benötigte Berechnungszeit.


Drahtmodell

Die Kanten der Polygone werden dargestellt. Die Linienfarbe entspricht der Materialgrundfarbe. Somit werden Linien mit Materialien, die nur farbig sind, in diesen Farben dargestellt. Materialien mit Texturen haben normalerweise eine weiße Grundfarbe. Daher ist für Flächen, die solche Materialien besitzen, die Linienfarbe weiß.


Navigation: Die Icons > Berechnung starten - Die Darstellungs-Modi > bearbeiten - Die Berechnungseinstellungen > Berechnung >

Return to chapter overview

Hiddenline

Entspricht der Drahtmodell-Darstellung. Kanten, die durch andere Polygone verdeckt sind, werden jedoch nicht dargestellt.


Solid

Alle Flächen werden in der jeweiligen Farbe oder der Textur hintergrundunterdrückt dargestellt. Es werden jedoch keinerlei Lichtquellen berücksichtigt noch irgendwelche Materialeigenschaften, die Lichtquellen betreffen.


Flat

Beim Flat-Rendering erfolgt bereits die erste Lichtberechnung. Das Programm überprüft, ob der Schwerpunkt einer Fläche vom Lichtstrahl getroffen wird. Ist dies der Fall, wird die komplette Fläche gleichmäßig ausgeleuchtet, ansonsten ist die komplette Fläche dunkel.

Über das Flat-Rendering erhalten Sie eine erste gute Näherung der Beleuchtungssituation; die Körper werden schon schattiert dargestellt. Facetten von runden Körpern sind sichtbar.


Gouraud

Über das Gouraud-Rendering erhalten Sie eine genauere Lichtberechnung. Dieses Verfahren wird auch von den Grafikkarten mit Hardwarebeschleunigung genutzt.

An den Eckpunkten der Flächen wird die Beleuchtung ermittelt und dann über den Flächenverlauf interpoliert. Das Ergebnis ist gegenüber dem Flat-Rendering genauer, da die Beleuchtungssituation nicht nur über einen sondern über vier Punkte berechnet wird.

Zusätzlich werden ab diesem Berechnungsverfahren runde Oberflächen nicht mehr facettiert, sondern wirklich rund dargestellt. Die Berechnungszeit ist geringfügig höher als beim Flat-Rendering.


Hybrid

Erst ab dem Hybrid-Rendering wird die Beleuchtung wirklich für jeden einzelnen Flächenpunkt exakt berechnet. Über dieses Verfahren erzielt man die genaueste Lichtberechnung. Hier wird der Kegel eines Strahlers exakt dargestellt. Die Schattenberechnung kann nur in diesem Modus erfolgen, ebenso Effekte wie Spiegelung, Reflektionen, Nebel, Tiefenunschärfe, Oberflächenstrukturen, ... Da sämtliche Punkte aller Flächen analysiert werden, erhöht sich die Berechnungszeit gegenüber den anderen Verfahren.

Beim Hybrid-Rendering wird für jedes Material automatisch immer das Rendering-Verfahren verwendet, das für den gewünschten Effekt optimal ist. Optimal heißt hier, dass der Effekt (Farbe, Textur, Glanz, Spiegelung, Transparenz, …) in kürzester Zeit in bester Qualität dargestellt wird.

Hybrid bedeutet also, dass der Berechnungsmodus material bezogen festgelegt werden kann. Für jedes Material lässt sich individuell definieren, in welchem Modus dieses Material berechnet werden soll.

Attention

Für animierte Materialien empfiehlt es sich, hier das Solid-Rendering zu verwenden, damit der Animationsfilm nicht unnötig durch Schatten abgedunkelt wird, sondern in der Originalhelligkeit abgespielt wird.


HDRI

Die Berechnung erfolgt ähnlich wie bei dem Hybrid-Verfahren. GAMMA-RAY rechnet intern immer mit einer hohen Qualität mit einer Farbtabelle, die eine hohe Anzahl von Einträgen für Rot/Grün/Blau realisiert, da hier Fließkommazahlen (also mit Mantisse und Exponent) verwendet werden. Als Ergebnis erhalten Sie wesentlich feinere Abstufungen in der Farbdarstellung, was zu wirklich realistischen Bildern führt. Bei Berechnung in HDRI (High Dynamic Range Image) werden diese Informationen auch in speziellen Bild-Formate abgespeichert.

Tip

Nur Bilder, die über HDRI erzeugt wurden, können nachträglich in der Helligkeit in Echtzeit verändert werden. Bei anderen Berechnungen muss für jede Änderung ein erneuter Bildaufbau vorgenommen werden.


Schatten

Diese Option steuert global die Berechnung von Schattenwurf beim Rendering. Hier bestimmen Sie, ob Schatten überhaupt dargestellt werden sollen. Die individuelle Schattenaktivierung pro Lichtquelle legen Sie dann bei den Einstellungen der Lichtquellen fest.


Spiegelung und Brechung

Die Option bestimmt global, ob Spiegelungen und Brechungen berechnet werden. Ob und mit welchen Eigenschaften ein Material spiegelt, definieren Sie bei den Materialeigenschaften.

Tip

Da Spiegelungen und Brechungen zu den rechenintensiven Berechnungen beim Rendering zählen, sollten Sie regen Gebrauch von dieser Option machen, um nicht unnötige Rechenzeit zu vergeuden. Aktivieren Sie die Spiegelung und Brechung während der Materialdefinition und für die endgültige Berechnung, schalten Sie sie ansonsten ab.


Oberflächenstruktur

Hier bestimmen Sie global, ob Struktureffekte von Materialien berechnet werden sollen. Die 3D-Struktur eines Materials definieren Sie bei den Materialeigenschaften.

Tip

Da für Strukturen spezielle Lichtmanipulationen auf den Flächenpunkten erfolgen, ist die Strukturberechnung ebenfalls rechenintensiv. Aktivieren Sie daher diese Option nur während der Materialdefinition und für die endgültige Berechnung, während sie ansonsten deaktiviert sein sollte.

Attention

Solche Lichtmanipulationen sind nur in den Darstellungs-Modi sichtbar, die eine genauere Lichtberechnung durchführen. Wählen Sie also mindestens die Shading-Darstellung.


Texturqualität verbessern

Über diese Option legen Sie global fest, ob die Texturqualität für die Berechnung erhöht wird. Wie diese Verbesserung erfolgt, definieren Sie bei den Materialeigenschaften.

Tip

Die Verbesserung der Texturqualität ist unter Umständen rechenintensiv. Aktivieren Sie daher diese Option nur während der Materialdefinition und für die endgültige Berechnung.

Attention

Bei einer Erhöhung der Bildqualität sollten Sie diese Option deaktivieren, da diese Optimierung wesentlich effektiver ist. Sie vermeiden eventuell störende Effekte und reduzieren die Berechnungszeit.


Lichtverlauf verbessern

Aktivieren Sie diese Option, um die Darstellung der Flächen, die vom Tageslicht und indirekten Licht beleuchtet werden, zu verbessern. Flecken in der Darstellung werden herausgefiltert. Dies bedeutet zwar eine längere Berechnungszeit, das Ergebnis ist jedoch oftmals deutlich besser.

Einstellungen für diese Optimierung treffen Sie im Bereich Erweitert...


Reflexe von Lichtquellen

Diese Option aktiviert die Berechnung der Licht-Reflektionseffekte. Diese definieren Sie bei den Eigenschaften der Lichtquellen.

Tip

Nachdem das Bild berechnet wurde, wird der Reflektionseffekt bestimmt. Dies erhöht die Rechenzeit. Aktivieren Sie daher diese Option während der Lichtdefinition und für die endgültige Berechnung, während sie ansonsten deaktiviert sein sollte.


Reflexe auf Materialien

Diese Option aktiviert die Berechnung der Material-Reflektionseffekte. Diese definieren Sie bei den Eigenschaften der Materialien.

Tip

Nachdem das Bild berechnet wurde, wird der Reflektionseffekt bestimmt. Dies erhöht die Rechenzeit. Aktivieren Sie daher diese Option während der Materialdefinition und für die endgültige Berechnung, während sie ansonsten deaktiviert sein sollte.


Sichtbares Licht

Über diese Option bestimmen Sie, ob sichtbares Licht dargestellt werden soll. Dieses definieren Sie bei den Eigenschaften der Lichtquellen.

Tip

Nachdem das Bild berechnet wurde, wird das sichtbare Licht bestimmt. Dies kann je nach Genauigkeit rechenintensiv sein. Aktivieren Sie daher diese Option während der Lichtdefinition und für die endgültige Berechnung, während sie ansonsten deaktiviert sein sollte.


Navigation: Die Icons > Berechnung starten - Die Darstellungs-Modi > bearbeiten - Die Berechnungseinstellungen > Erweitert... >

Return to chapter overview

Allgemein

Dialog Advanced Generell


Materialänderung sofort darstellen

Durch selektives Rendering kann GAMMA-RAY Änderungen an Materialien sofort darstellen. Wenn Sie jedoch in einer hohen Qualität rendern und dazu auch noch rechenintensive Einstellungen treffen, kann dies zu störenden Rechenzeiten führen. Deaktivieren Sie in diesem Fall die Option Materialänderung sofort darstellen. Sie können mehrere Änderungen vornehmen und dann selbst den neuen Bildaufbau auslösen.


Texturen darstellen

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Diese Option bestimmt, ob Texturen auf den Flächen dargestellt werden oder stattdessen eine der Textur angenäherte Farbe verwendet wird. Ist die Option deaktiviert, kann die Darstellung geringfügig beschleunigt werden.


Umgebungstextur bei Berechnung verwenden

Ist diese Option deaktiviert, werden die Umgebungsbilder nicht dargestellt. Stattdessen wird für die Umgebung eine der Umgebungstextur angenäherte Farbe verwendet.

Tip

Nutzen Sie diese Möglichkeit während der Designphase insbesondere dann, wenn Sie für die Umgebungstexturen die Texturqualität verbessern.


weiche Schatten können berechnet werden

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Aktiviert global die Darstellung von weichen Schatten.

Tip

Bei Verwendung von Projekten, die mit einer früheren GAMMA-RAY Version erzeugt wurden, die noch keine Berechnung von weichen Schatten ermöglichte, müssen Sie diese Option aktivieren, damit weiche Schatten erzeugt werden.


Rückflächen ausblenden

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Ist diese Option aktiviert, werden die Flächen nicht dargestellt, deren Normalvektoren vom Beobachter weg gerichtet sind, sich also auf der rückwärtigen Seite des Modells befinden. Dies führte bei früheren PCs zu einer schnelleren Darstellung von geschlossenen Körpern, kann jedoch bei nicht geschlossenen Körpern oder nicht richtig ausgerichteten Normalvektoren fehlerhafte Ergebnisse erzeugen. Auch in Spiegelungen können verwirrende Ergebnisse erzielt werden. Daher sollte diese Option deaktiviert bleiben.


Navigation: Die Icons > Berechnung starten - Die Darstellungs-Modi > bearbeiten - Die Berechnungseinstellungen > Erweitert... > Allgemein >

Return to chapter overview

Polygonkanten der Objekte darstellen

Ist diese Option aktiviert, wird das Bild als pastellfarbenes Kantenmodell dargestellt.


nur Umrisskanten darstellen

Diese Option ist in der Grunddarstellung aktiviert. Dadurch werden nur die Außenkanten der Körper dargestellt.

Wenn Sie die Option deaktivieren, werden alle Polygonlinien sichtbar.


Lichtverlauf in Spiegelungen verbessern

Tip

Diese Option kann nur dann aktiviert werden, wenn ein Lichtverlauf berechnet wurde.

Aktivieren Sie diese Option, um die Darstellung des Lichtverlaufs in Spiegelungen zu optimieren.


Kantenfarbe

Für den Modus Polygonkanten der Objekte darstellen lässt sich die Kantenfarbe definieren. Diese kann entweder die Materialfarbe sein (Materialfarbe verwenden),

oder auch über den Modus andere Farbe verwenden vorgegeben werden. Klicken Sie dazu auf den Knopf Farbe bestimmen... und geben Sie über den Farbeinstellungs-Dialog die Kantenfarbe vor.


einstellbare Bildgröße

In diese zwei Eingabefelder tragen Sie die Bildbreite und die Bildhöhe ein, die dann bei der Berechnung verwendet wird, wenn die Bildgröße auf einstellbar gestellt wurde.


aktuelles Seitenverhältnis beibehalten

Ist diese Option aktiviert, wird bei Eingabe der Breite / Höhe die Höhe / Breite automatisch entsprechend dem aktuellen Bildseitenverhältnis berechnet.


Erhöhung der Texturqualität

Attention

Diese Einstellungen sind nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Ist die Option Texturqualität verbessern aktiviert, so wird die Qualität der Texturen über einen Weichzeichner verbessert. Je nach gewähltem Verfahren kann dies einen erhöhten Bedarf an Arbeitsspeicher bedeuten, was bei 32-Bit Windows® Systemen zu einem Speicherüberlauf führen kann. Um dies zu vermeiden, kann man die Einstellungen global verändern, ohne die einzelnen Materialeigenschaften anpassen zu müssen.


auch in Spiegelungen verwenden

Da oftmals die Verbesserung der Texturqualität innerhalb von Spiegelungen nur unnötige Rechenzeit in Anspruch nimmt, ohne tatsächlich einen sichtbaren Effekt zu erzielen, kann diese Option deaktiviert werden. Dann wird die Verbesserung der Texturqualität für spiegelnde Materialien nicht vorgenommen. Die Berechnung erfolgt dadurch schneller.

Tip

Bei Verwendung von Projekten, die mit einer früheren GAMMA-RAY Version erzeugt wurden, ist diese Option aktiviert. Schalten Sie diese ab, um die Berechnung zu beschleunigen.


wie beim Material eingestellt

Ist diese Option aktiviert, wird die Verbesserung der Texturqualität individuell für jedes Material so vorgenommen, wie es bei den Materialeigenschaften definiert wurde.

Beispiel:

Berechnung eines Projektes mit zahlreichen Texturen für einen A3-Ausdruck. Der Speicher-Monitor

Dialog Memory Monitor Texturefilter Example1

zeigt einen aktuellen Speicherbedarf von insgesamt 841,2MB an.

Die Berechnungszeit lag bei 171,91 sec.


"für kleine Bilder" auf "für große Bilder" setzen

Wenn bei den Materialien die Texturqualität sehr gut (für kleine Texturbilder) gesetzt ist, wird für das Verbessern der Texturqualität zusätzlicher Arbeitsspeicher verwendet. Wenn Sie zahlreiche Texturen auf diese Weise behandeln, steigt der Speicherbedarf spürbar an. Um dies zu verhindern, können Sie über diese Option für alle diese Materialien die Einstellung sehr gut (für kleine Texturbilder) auf sehr gut (für große Texturbilder) ändern. Dadurch müssen Sie diese Einstellung nicht für jedes Material einzeln anpassen.

Beispiel:

siehe wie beim Material eingestellt. Der Speicher-Monitor

Dialog Memory Monitor Texturefilter Example2

zeigt einen aktuellen Speicherbedarf von insgesamt 703,1MB an.

Die Berechnungszeit lag bei 224,74 sec, ist also nicht wesentlich angestiegen.


alle auf "für große Texturbilder" setzen

Sind bei den Materialien auch andere Einstellungen als sehr gut (für kleine Texturbilder) für die Texturqualität gesetzt sind, können alle Einstellungen auf sehr gut (für große Texturbilder) geändert werden. Dies kann zu einer weiteren Verringerung des Speicherbedarfs führen.

Beispiel:

siehe wie beim Material eingestellt. Der Speicher-Monitor

Dialog Memory Monitor Texturefilter Example3

zeigt einen aktuellen Speicherbedarf von insgesamt 695,4MB an, ist also noch mal reduziert.

Die Berechnungszeit lag bei 442,89 sec, ist also deutlich angestiegen. Bei anderen Beispielen kann sich jedoch eine noch drastischer Speicherersparnis ergeben.


automatisch bestimmen

Wenn bei den Materialien die Texturqualität sehr gut (für kleine Texturbilder) gesetzt ist, wird für das Verbessern der Texturqualität zusätzlicher Arbeitsspeicher verwendet. Wenn Sie zahlreiche Texturen auf diese Weise behandeln, steigt der Speicherbedarf spürbar an. Um dies zu verhindern, können Sie über diese Option für alle diese Materialien die Einstellung sehr gut (für kleine Texturbilder) auf sehr gut (für große Texturbilder) ändern. Dadurch müssen Sie diese Einstellung nicht für jedes Material einzeln anpassen.

Ist die Option automatisch bestimmen aktiviert, wird automatisch von sehr gut (für kleine Texturbilder) auf sehr gut (für große Texturbilder) umgeschaltet, wenn das Texturbild nicht auf zu viele Flächen aufgelegt wird.


Navigation: Die Icons > Berechnung starten - Die Darstellungs-Modi > bearbeiten - Die Berechnungseinstellungen > Erweitert... >

Return to chapter overview

Kantenqualität

Dialog Advanced Anti Aliasing


Navigation: Die Icons > Berechnung starten - Die Darstellungs-Modi > bearbeiten - Die Berechnungseinstellungen > Erweitert... > Kantenqualität >

Return to chapter overview

Kantenqualität

Bestimmt die Qualität der Kanten für den aktuellen Berechnungs-Modus. Diese kann auch im Dialog der Berechnungseinstellungen direkt eingestellt werden.


Schnittlinien glätten

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Ist diese Option aktiviert, werden auch Schnittkanten geglättet, die durch eine Durchdringung von Körpern entstehen. Dadurch wird die Berechnungszeit geringfügig erhöht.


Glättung in Spiegelungen

Hier bestimmen Sie, dass die Kantenqualität auch in Spiegelungen erhöht wird.

Die Kantenqualität analysiert Polygonkanten von Körpern in dem Projekt und erhöht dann ausschließlich diese Kantenqualität. Kanten, die in Spiegelungen dargestellt werden, sind dann eventuell immer noch gezackt. Legen Sie eine Qualität in den Stufen normal, gut, sehr gut und perfekt (8x8) fest. Das Programm analysiert dann Objektkanten, die in Spiegelungen sichtbar sind und glättet diese.

Tip

Bevorzugen Sie statt dieser Einstellung die Erhöhung der Bildqualität, da diese insgesamt zur verbesserten Darstellung beiträgt, also auch zur Glättung von Kanten in Spiegelungen. Die Erhöhung der Bildqualität kann jedoch nicht bei der Berechnung von großen Bildern verwendet werden, da dabei der Speicherbedarf zu groß wäre.


Anzahl der Strahlengenerationen

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Die Erhöhung der Kantenqualität erfolgt über ein Raytracingverfahren. Hier werden Strahlen in das Projekt gesendet und deren Weg dann verfolgt. Wenn ein Strahl auf eine Spiegelung oder eine Transparenz trifft, wird er in mehrere Unterstrahlen unterteilt. Damit sich dies nicht unendlich ausdehnt, geben Sie hier ein, nach der wievielten Strahlenaufspaltung eine weitere Berechnung unterbunden wird. Höhere Werte führen zu genaueren Ergebnissen, aber auch zu längeren Rechenzeiten.


Mindestbeitrag des Strahls

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Hier geben Sie an, welchen Beitrag der Strahl für einen Bildpunkt haben muss, damit er noch berechnet wird. Kleinere Werte führen zu genaueren Ergebnissen, aber auch zu längeren Rechenzeiten.


Glättung in Transparenzen

Auch bei Transparenzen wird die Kantenqualität, die innerhalb einer transparenten Fläche erscheint, über die oben beschriebenen Verfahren nicht erhöht. Legen Sie hier eine Kantenqualität in den Stufen normal, gut, sehr gut und perfekt (8x8) fest. Das Programm analysiert dann Objektkanten, die in Transparenzen sichtbar sind und erhöht deren Qualität.

Tip

Bevorzugen Sie statt dieser Einstellung die Erhöhung der Bildqualität, da diese insgesamt zur verbesserten Darstellung beiträgt, also auch zur Glättung von Kanten in Transparenzen. Die Erhöhung der Bildqualität kann jedoch nicht bei der Berechnung von großen Bildern verwendet werden, da dabei der Speicherbedarf zu groß wäre.


Glättung von Schatten

In ganz seltenen Fällen macht es Sinn, die Qualität von Schattenkanten zu erhöhen. Legen Sie dann die Qualität in den Stufen normal, gut, sehr gut und perfekt (8x8) fest. Das Programm analysiert die Schattenkanten und erhöht deren Qualität.

Tip

Bevorzugen Sie statt dieser Einstellung die Erhöhung der Bildqualität, da diese insgesamt zur verbesserten Darstellung beiträgt, also auch zur Glättung von Kanten in Schatten. Die Erhöhung der Bildqualität kann jedoch nicht bei der Berechnung von großen Bildern verwendet werden, da dabei der Speicherbedarf zu groß wäre.


Navigation: Die Icons > Berechnung starten - Die Darstellungs-Modi > bearbeiten - Die Berechnungseinstellungen > Erweitert... >

Return to chapter overview

Lichtverlauf und Raytracing

Dialog Advanced Daylight,Raytracing&Radiosity


Anzahl der Strahlengenerationen

Die Erhöhung der Kantenqualität erfolgt über ein Raytracingverfahren. Hier werden Strahlen in das Projekt gesendet und deren Weg dann verfolgt. Wenn ein Strahl auf eine Spiegelung oder eine Transparenz trifft, wird er in mehrere Unterstrahlen unterteilt. Damit sich dies nicht unendlich ausdehnt, geben Sie hier ein, nach der wievielten Strahlenaufspaltung eine weitere Berechnung unterbunden wird. Höhere Werte führen zu genaueren Ergebnissen, aber auch zu längeren Rechenzeiten.

Ist nur eine Strahlengeneration erlaubt, werden keine Spiegeleffekte und keine Transparenzeffekte erzeugt. Bei zwei Strahlengenerationen ist eine Spiegelung möglich. Bei drei Generationen kann man auch die Spiegelung im Spiegel erkennen. Entsprechendes gilt für Transparenzeffekte.

Tip

Nach der eingestellten Strahlengeneration bricht die Raytracing-Berechnung ab. Wenn Sie also in Mehrfachspiegelungen oder -transparenzen dunkle Flächen erkennen, die dort nicht dargestellt werden sollten, kann es sein, dass die Raytracing-Berechnung zu früh abgebrochen wurde. Dann müssen Sie die Anzahl der Strahlengenerationen erhöhen.


Mindestbeitrag des Strahls

Hier geben Sie an, welchen Beitrag der Strahl für einen Bildpunkt haben muss, damit er noch berechnet wird. Kleinere Werte führen zu genaueren Ergebnissen, aber auch zu längeren Rechenzeiten.


Navigation: Die Icons > Berechnung starten - Die Darstellungs-Modi > bearbeiten - Die Berechnungseinstellungen > Erweitert... > Lichtverlauf und Raytracing >

Return to chapter overview

Lichtverlauf darstellen

Haben Sie für das Projekt einen Lichtverlauf über den Lichtmanager berechnet, bestimmen Sie über diese Option, ob diese dargestellt werden.


Lichtverlauf glätten

Diese Option gibt an, ob die Beleuchtungswerte unterteilter Flächen über die Gesamtfläche interpoliert werden sollen. Ist sie nicht aktiviert, wird jede unterteilte Fläche konstant beleuchtet, so dass Sie die Unterteilungsgüte der Flächen beurteilen können. Bei aktivierter Option werden die Beleuchtungswerte benachbarter Unterteilungen der ursprünglichen Fläche zusammen gemischt, so dass ein weicher Übergang zwischen den Teilflächen entsteht.


Navigation: Die Icons > Berechnung starten - Die Darstellungs-Modi > bearbeiten - Die Berechnungseinstellungen > Erweitert... > Lichtverlauf und Raytracing >

Return to chapter overview

Lichtkanäle insgesamt regeln

Mit dieser Einstellung lassen sich alle Lichtkanäle, die im Lichtmanager erzeugt wurden, insgesamt heller oder dunkler regeln.


in Datei...

Damit auch extrem große Bilder unter 32-Bit Windows®-Systemen berechnet werden können, gibt es die Berechnungs-Funktion in Datei...

Menu Render in File

Die Bilder werden streifenweise direkt in einer Bilddatei auf der Festplatte abgespeichert und können dann mit Bildbearbeitungsprogrammen weiterverarbeitet werden. Somit sind Bildgrößen von 10.000 * 10.000 Bildpunkten und mehr auch unter 32-Bit realisierbar.

Dialog Render in File

Nach Aufruf der Funktion bestimmen Sie, ob eine der vordefinierten Bildgrößen verwendet werden soll oder ob Sie diese selbst einstellen wollen. Über den Knopf Speichern starten Sie den Rendervorgang, der im Hintergrund abläuft.

Die Berechnung kontrollieren Sie über den JobManager, der automatisch gestartet wird.

Nachdem die Berechnung beendet wurde, laden Sie das Ergebnis über den Knopf Ergebnis anzeigen in das Programm, das Sie standardmäßig für die Bildbetrachtung verwenden.


Grauschattierung an/aus

Über diesen Menüpunkt zeigen Sie das gerade dargestellte Bild in Grautönen oder farbig an.


1-Ansicht / 4-Ansichten

Icon One View Icon Four Views

Über dieses Icon schalten Sie zwischen der Ansicht in einem Fenster und der Ansicht in vier Fenstern um.

Bei der 4-Ansichten Darstellung sehen Sie im Fenster unten links die XY-Ansicht (Draufsicht), im Fenster oben links die XZ-Ansicht (Vorderansicht), im Fenster oben rechts die YZ-Ansicht (Seitenansicht) und im Fenster unten rechts die isometrische Ansicht (die Ansicht in der 1-Ansichten Darstellung).

Tip

Bei der Darstellung in 4-Ansichten haben Sie die Möglichkeit, die drei parallelen Ansichten in einer anderen Darstellungsqualität als der der isometrischen Ansicht anzuzeigen. Drücken Sie dazu in einem der drei Fenster die rechte Maustaste und wählen Sie dann als Darstellungs-Modus z.B. Drahtmodell. Bei jedem weiteren Bildaufbau werden alle drei Fenster als Drahtmodell dargestellt.

Image Wireframe in three Views


Die Maus-Modi

Bei der Entwicklung von GAMMA-RAY wurde größter Wert darauf gelegt, dass die Oberfläche weitestgehend mit der Maus bedienbar ist. Die Tastatur wird nur für die Eingabe von Namen und Tastaturbefehlen benötigt oder wenn Sie einen Zahlenwert direkt eintippen wollen, statt ihn über einen Schieberegler einzustellen.

Dies mag für den CAD-Anwender anfangs etwas ungewohnt sein. Sie werden aber schnell erkennen, dass dies Ihre Renderarbeit stark vereinfacht.

In der Iconleiste finden Sie das Icon, mit dem Sie den Maus-Modus wählen können.

Icons Mouse Mode

Den eingestellten Modus erkennen Sie an dem zugehörigen Ikon.

Jeder Modus hat ein eigenes Menü, das Sie durch Klicken der rechten Maustaste aufrufen.

Tip

In allen Maus-Modi haben Sie bei Verwendung einer 3-Knopf-Maus die Möglichkeit, das Projekt über die mittlere Maustaste in dem Modus zu bewegen, der aktuell im Kamera-Dreh-Modus bzw. im Navigator eingestellt ist.

Tip

Verwenden Sie eine Maus mit Mausrad, können Sie über das Rädchen in allen Maus-Modi den Dynamischen Zoom des Kamera-Dreh-Modus einstellen. Dazu muss diese Funktion bei den Einstellungen für den Programmstart aktiviert sein. Bei Bedarf müssen Sie noch mal in das Darstellungsfenster klicken, damit dieses Fenster das aktuelle Fenster ist.


Kamera-Dreh-Modus

Icon: Icon Camera Rotate Mode

Cursorsymbol: Cursor Camera Rotate Mode

Tastaturbefehl: Strg+D

Dieser Maus-Modus ermöglicht es Ihnen, die Kamera mit der Maus zu verändern.

Wenn Sie auf die rechte Maustaste klicken, öffnet sich folgendes Menü:

Right Mouse Menu Camera Rotate Mode

Tip

Wenn sich der Blickpunkt nicht in Projektmitte befindet, ist es möglich, dass das Drehen um diesen Punkt nur schwer durchzuführen ist. In diesem Fall sollten Sie die Funktion Kameraansicht von vorne verwenden, um eine Sicht von vorne mit dem Blickpunkt in Projektmitte zu realisieren.

Bei einer Bewegung um den Standpunkt drehen Sie den Kopf. Wenn der Kopf nach rechts gedreht wird, läuft die Projektansicht nach links, wird er nach links gedreht, läuft die Projektansicht nach rechts. Über eine Bewegung nach oben läuft die Projektansicht nach unten, über eine Bewegung nach unten läuft sie nach oben.

Beim Verändern der Brennweite kann es sein, dass man die Grenze der Einstellmöglichkeit erreicht. Dies wird durch eine entsprechende Meldung angezeigt.

Verwenden Sie die Funktion Laufen mit Kollisionsprüfung z.B. dann, wenn Sie sich in einem Innenraum bewegen. So wird verhindert, dass beim Laufen die Kamera die Wand durchdringt und der Beobachter auf einmal vor der Außenwand steht. Sie bewegen sich also "immer mit dem Rücken an der Wand entlang".


Maus-Modus

Mouse Menu Mouse Modes

Über diese Funktion des Maus-Menüs können Sie in einen anderen Maus-Modus wechseln.


Darstellungs-Modus

Mouse Menu Display-Mode

Über diese Funktion des Maus-Menüs können Sie in einen anderen Darstellungs-Modus wechseln.


Darstellungs-Modus bearbeiten...

Rufen Sie hier den Editor für die Berechnungseinstellungen auf.


Darstellungs-Modus während der Bewegung

Mouse Menu Move-Mode

Hier legen Sie fest, welcher Darstellungsmodus benutzt wird, während Sie die Kamera mit der Maus bewegen.

So ist es z.B. möglich, das Projekt während dem Bewegen in der Farbdarstellung zu sehen, während nach dem Loslassen der linken Maustaste ein Bild in der HDRI-Darstellung angezeigt wird.


Kamera

Mouse Menu Camera

Hier können neben den für das Projekt vorgegebenen, veränderbaren Kameras auch Kameras gewählt werden, die durch das Programm definiert sind (Isometrische Ansicht, XY Grundriss, ...).

Attention

Diese zusätzlichen Kameras sind fest definiert und können nur gezoomt werden.


Kamerasicht in Ausgangsposition zurücksetzen

Setzen Sie die Kamera an die Position zurück, die nach der Definition der Kamera aktiv war oder als neue Ausgangsposition definiert wurde.

Nutzen Sie diese Funktion, wenn Sie die Kamera so verdreht haben, dass das Projekt außerhalb des Sichtbereichs liegt.


Kamerasicht als Ausgangsposition übernehmen

Legen Sie die aktuelle Kameraposition als neue Ausgangsposition fest.

Anschließend wird durch die Funktion Kamerasicht in Ausgangsposition zurücksetzen für diese Kamera immer diese Sicht angezeigt.


Kamerasicht von vorne

Über diese Funktion zeigen Sie das Projekt von vorne an. Zusätzlich wird der Blickpunkt automatisch in Projektmitte gesetzt.

Die Sicht ist so eingestellt, dass alle Flächen des Projekts komplett sichtbar sind.


Zoomen

Nach Aufruf klicken Sie mit der linken Maustaste den ersten Punkt des Zoomrechtecks an, halten die Maustaste gedrückt und ziehen ein Rechteck auf.

Image Camera Rotate Mode6

Nach Loslassen der Maustaste wird der Zoomausschnitt dargestellt.

Image Camera Rotate Mode7

Es handelt sich hier um einen geometrischen Zoom, d.h. das gezoomte Projekt wird in der aktuellen Darstellungs-Qualität neu gerendert. Im Gegensatz dazu gibt es auch einen Pixelzoom, der das berechnete Bild zoomt.


Zoom ausschalten

Nach Auswahl dieser Funktion kehrt man wieder in die ungezoomte Darstellung zurück.


Letzter Zoom

Haben Sie die Funktion Zoomen mehrfach verwendet, kehren Sie über diese Funktion immer zum letzten Zoom zurück.


Nächster Zoom

Kehren Sie zu dem Zoom zurück, der angezeigt wurde, bevor die Funktion Letzter Zoom aufgerufen wurde.


Vollbild darstellen

Stellen Sie das aktuelle Fenster als Vollbild am Bildschirm dar. Um zur normalen Darstellung zurückzukehren, klicken Sie erneut auf die rechte Maustaste und schalten diese Funktion wieder ab.


Kamera um den Blickpunkt drehen

Dreht die Kamera um den Blickpunkt der Ansicht. Dieser befindet sich immer in der Bildmitte. Damit lässt sich das Projekt bei gedrückter linker Maustaste um diesen Punkt verdrehen und kippen.


Navigation: Die Icons > Die Maus-Modi > Kamera-Dreh-Modus >

Return to chapter overview

Kamera um den Standpunkt drehen

Dreht die Kamera um deren Position.


Kamera verschieben und um den Blickpunkt in Z drehen

Ein Verschieben der Maus nach vorne / hinten bewirkt ein Nähern / Entfernen der Kamera. Eine Mausbewegung nach rechts / links dreht die Kamera um die Hochachse (Z-Achse) des Blickpunkts der Ansicht. Dieser befindet sich immer in Bildmitte.

Attention

Bei der VRML-Spezifikation ist nicht genau festgelegt, welche Achse in VRML die Achse ist, die nach oben zeigt. So gibt es VRML-Dateien, bei denen die Hochachse wie bei GAMMA-RAY die Z-Achse ist. Leider gibt es aber auch Dateien, bei denen die Hochachse die Y-Achse ist. Dadurch kommt natürlich die Maussteuerung durcheinander. In diesem Fall müssen Sie das Projekt um -90o um die X-Achse drehen. Wechseln Sie dazu in den Auswahl-Modus und wählen Sie über die Tastenkombination ALT+A alles aus. Anschließend klicken Sie auf die rechte Maustaste und rufen die Funktion Transformationen->Auswahl drehen... auf. In dem Dialog geben Sie als Drehwinkel -90 ein und wählen als Drehachse die X-Achse aus. Wenn Sie nun die Funktion Kamerasicht von vorne anwählen, wird das Projekt wie erwartet dargestellt.


Brennweite verändern

Ein Verschieben der Maus nach vorne / hinten verändert den Öffnungswinkel (die Brennweite) der Kamera.


Laufen

Bewegt die Kamera immer in der gleichen Sichthöhe.

Wenn Sie also eine Augenhöhe von z.B. 1,60m angeben, bewegen Sie sich immer in dieser Höhe im Raum. Wollen Sie darstellen, wie ein Kind diesen Raum erlebt, wählen Sie eine Sichthöhe von z.B.1m.


Laufen mit Kollisionsprüfung

Wie Laufen. Zusätzlich erfolgt noch eine Prüfung, ob der Betrachter mit anderen Objekten kollidiert.

So wird verhindert, dass Sie durch Objekte (wie z.B. eine Wand) hindurch laufen. Zusätzlich springt die Kamera noch bei Höhenunterschieden nach oben oder unten. Beachten Sie hier die Einstellungen für die Abmessungen.

Tip

Manchmal ist es eher hinderlich, wenn man die Kollisionsprüfung auf alle Objekte durchführt. Läuft man z.B. durch ein Wohnzimmer, stört es, dass man mit kleineren Objekten (Beistelltisch, kleinere Gegenstände am Boden, ...) kollidiert. Um dies zu verhindern, kann man die Kollisionsprüfung für die Materialien dieser Objekte abschalten.

Dialog Material Properties Options CollisionTest

Dieses Material wird dann bei der Kollisionsprüfung nicht mehr berücksichtigt.


Kamera aufwärts / abwärts

Bewegt die Kamera in Höhenrichtung (Z) nach oben und unten. Eine Bewegung in den anderen Richtungen findet nicht statt.

Attention

Bei der VRML-Spezifikation ist nicht genau festgelegt, welche Achse in VRML die Achse ist, die nach oben zeigt. So gibt es VRML-Dateien, bei denen die Hochachse wie bei GAMMA-RAY die Z-Achse ist. Leider gibt es aber auch Dateien, bei denen die Hochachse die Y-Achse ist. Dadurch kommt natürlich die Maussteuerung durcheinander. In diesem Fall müssen Sie das Projekt um -90o um die X-Achse drehen. Wechseln Sie dazu in den Auswahl-Modus und wählen Sie über die Tastenkombination ALT+A alles aus. Anschließend klicken Sie auf die rechte Maustaste und rufen die Funktion Transformationen->Auswahl drehen... auf. In dem Dialog geben Sie als Drehwinkel -90 ein und wählen als Drehachse die X-Achse aus. Wenn Sie nun die Funktion Kamerasicht von vorne anwählen, wird das Projekt wie erwartet dargestellt.


Fortlaufend bewegen

Ist diese Option aktiviert, erzeugen Sie eine kontinuierliche Bewegung mit der Maus. Im anderen Fall folgt die Bewegung genau den Bewegungen, die Sie mit der Maus durchführen.


Standpunkt und Blickpunkt mit der Maus anklicken

Legt einen neuen Standpunkt und Blickpunkt der Kamera fest. Nach Anwahl der Funktion wechselt die Darstellung automatisch in die 4-Ansichten-Darstellung. Nun müssen Sie zwei Punkte im Projekt anklicken. Der erste bestimmt den neuen Standpunkt der Kamera, der zweite den neuen Blickpunkt der Kamera.


Standpunkt mit der Maus anklicken

Legt einen neuen Standpunkt der Kamera fest. Nach Anwahl der Funktion wechselt die Darstellung automatisch in die 4-Ansichten-Darstellung. Der Punkt, auf den Sie klicken, bestimmt den neuen Standpunkt der Kamera.


Blickpunkt mit der Maus anklicken

Legt einen neuen Blickpunkt der Kamera fest. Nach Anwahl der Funktion wechselt die Darstellung automatisch in die 4-Ansichten-Darstellung. Der Punkt, auf den Sie klicken, bestimmt den neuen Blickpunkt der Kamera


Dynamischer Zoom

Vergrößert bzw. verkleinert den aktuellen Zoomausschnitt durch die Vor- und Zurückbewegung mit der Maus.


Pan verschieben

Bewegt das Sichtfenster über das aktuelle Bild, so dass Sie den Bildausschnitt nach links / rechts / oben und unten verschieben können.


Clipping

Erlaubt es, bestimmte Bereiche im vorderen und hinteren Bildbereich weg zuschneiden (Tiefenclipping).

Right Mouse Menu Camera Rotate Mode Clipping

Sie legen fest, dass diese Funktion deaktiviert ist (ohne), ein Wegschneiden nur im vorderen Bereich (vorne) oder im vorderen und hinteren Bildbereich (vorne und hinten) stattfindet. Die Tiefenwerte, ab denen ein Clipping stattfindet, geben Sie bei der Kameraeinstellung ein.


Drehknöpfe anzeigen...

Dialog Knob Box

Die Drehknöpfe lassen eine Verdrehung und eine Verschiebung zu. Hierbei wählen Sie, ob Sie diese Operationen für

die Kamera,

Icon Knobbox Camera

die 3D-Objekte

Icon Knobbox 3D-Objects

oder die Auswahl

Icon Knobbox Selection

durchführen wollen.

Zusätzlich zu den Manipulationen um die X/Y/Z-Achsen können Sie auch eine freie Achse bestimmen, die dann als Rotations- und Verschiebeachse dient.

Wenn Sie das Projekt z.B. um die X-Achse drehen wollen, klicken Sie auf den Drehknopf mit der Bezeichnung Drehe X. Dieser wird dann aktiv geschaltet. Nun nehmen Sie die Drehung vor, indem Sie die linke Maustaste gedrückt halten und den Knopf mit der Maus drehen. In dem Anzeigefeld unter dem Knopf sehen Sie den eingestellten Wert. Dieser kann bei Bedarf auch manuell eingegeben werden. Hier setzen Sie die Einstellung auch wieder auf 0 zurück, wenn Sie den Vorgang rückgängig machen wollen. Sobald Sie einen anderen Drehknopf anwählen, wird die zuletzt vorgenommene Einstellung vom Programm intern übernommen und als neuer Wert 0 verwendet.


Einstellungen

Über diese Funktion geben Sie die Feinheit der Bewegung für die Drehknöpfe, die Maus, die Tastatur, den Joystick und die 3D-Maus vor.

Wählen Sie aus folgenden Einstellwerten:

Für die Drehknöpfe:

Faktor für die Verschiebung: Gibt die Verschiebung an, die bei einer kompletten Umdrehung eines Drehknopfs zurückgelegt wird.

Faktor für die Rotation: Gibt die Rotation an, die bei einer kompletten Umdrehung eines Drehknopfs durchgeführt wird.

Raster für die Verschiebung: Ist diese Option aktiviert, stellt man hier ein, in welchen Rasterschritten die Drehknöpfe für die Verschiebungen arbeiten. Ist die Option deaktiviert, erfolgt die Einstellung der Drehknöpfe kontinuierlich.

Raster für die Rotation: Ist diese Option aktiviert, stellt man hier ein, in welchen Rasterschritten die Drehknöpfe für die Rotationen arbeiten. Ist die Option deaktiviert, erfolgt die Einstellung der Drehknöpfe kontinuierlich.

Für die Maus:

fortlaufend bewegen: Ist diese Option aktiviert, führen Sie eine kontinuierliche Bewegung mit der Maus durch, d.h. die Bewegung wird ständig durchgeführt, solange Sie die Maustaste gedrückt halten. Im anderen Fall folgt die Bewegung genau den Bewegungen, die Sie mit der Maus durchführen.

Faktor für die absolute Verschiebung: Bestimmt die Geschwindigkeit, mit der Sie sich durch das Projekt bei einer Verschiebung bewegen, wenn die Option fortlaufend bewegen deaktiviert ist.

Faktor für die absolute Rotation: Bestimmt die Geschwindigkeit, mit der Sie sich durch das Projekt bei einer Rotation bewegen, wenn die Option fortlaufend bewegen deaktiviert ist.

Faktor für die fortlaufende Verschiebung: Bestimmt die Geschwindigkeit, mit der Sie sich durch das Projekt bei einer Verschiebung bewegen, wenn die Option fortlaufend bewegen aktiviert ist.

Faktor für die fortlaufende Rotation: Bestimmt die Geschwindigkeit, mit der Sie sich durch das Projekt bei einer Rotation bewegen, wenn die Option fortlaufend bewegen aktiviert ist.

Faktor für den fortlaufenden Pan: Bestimmt die Geschwindigkeit für die Funktion Pan verschieben, wenn die Option fortlaufend bewegen aktiviert ist.

Für die Tastatur / den Joystick:

Faktor für die Verschiebung: Bestimmt die Geschwindigkeit, mit der Sie eine Verschiebung über die Tastatur oder einen Joystick vornehmen.

Faktor für die Rotation: Bestimmt die Geschwindigkeit, mit der Sie eine Rotation über die Tastatur oder einen Joystick vornehmen.

Faktor für den Pan: Bestimmt die Geschwindigkeit für die Funktion Pan verschieben, wenn Sie diese mit der Tastatur oder dem Joystick vornehmen.

Für die 3D-Maus:

Faktor für die Verschiebung: Bestimmt die Geschwindigkeit, mit der Sie eine Verschiebung über die 3D-Maus vornehmen.

Faktor für die Rotation: Bestimmt die Geschwindigkeit, mit der Sie eine Rotation über die 3D-Maus vornehmen.

Diese Einstellungen können entweder nur temporär gelten oder über den Knopf Diese Einstellungen als neuen Standard übernehmen generell übernommen werden.

Für die Einstellungen der Abmessungen gibt es einen eigenen Bereich:

Dialog Settings Size

Diese Einstellungen werden berücksichtigt, wenn Sie den Modus Laufen mit Kollisionsprüfung verwenden. Stellen Sie sich eine Person vor, die durch das Projekt bewegt wird. Hier wird eine Kollisionsprüfung mit den Objekten des Projekts durchgeführt, so dass Sie immer am Boden entlang laufen und Objekte, die im Weg stehen, nicht durchdringen können. Es gibt folgende Einstellungen:

Größe: Bestimmt die Größe der Person, die durch die Szenerie läuft. Diese legt fest, wann in der Höhe eine Kollision stattfindet.

Augenhöhe: Bestimmt die Sichthöhe der Person, die durch die Szenerie läuft. Aus dieser Höhe wird das Projekt betrachtet.

Schulterbreite: Bestimmt die maximale Breite der Person, die durch die Szenerie läuft. Diese legt fest, wann in der Breite eine Kollision stattfindet.

Dicke: Bestimmt die übrige Dicke der Person, die durch die Szenerie läuft.

Steighöhe: Bis zu dieser Höhe kann die Person, die durch die Szenerie läuft, Höhenunterschiede (z.B. Stufen) überwinden. Bei höheren Objekten erfolgt eine Kollision.


Kamera-Symbol-Modus

Icon: Icon Camera Symbol Mode

Cursorsymbol: Cursor Selection Mode

Tastaturbefehl: Strg+K

Über diesen Maus-Modus ist es möglich, die Kamera über ein Kamerasymbol zu verändern. Das Projekt wird automatisch in vier Ansichten dargestellt.

Das Kamerasymbol verfügt über einzelne Punkte, über die Einstellungen vorgenommen werden. Diese sind im Einzelnen:

Camera Symbol Position | Position der Kamera zum Setzen des Standpunkts des Beobachters
Camera Symbol Parallel | Parallelpunkt der Kamera zum parallelen Verschieben von Standpunkt und Blickpunkt
Camera Symbol Reference | Blickpunkt der Kamera zum Setzen des Blickpunkts des Beobachters
Camera Symbol Angle | Vier Punkte zum Ändern des Öffnungswinkels / der Brennweite

Wenn Sie einen der Punkte mit der linken Maustaste anklicken und anschließend die linke Maustaste erneut drücken, gedrückt halten und die Maus dann bewegen, ändern Sie die zugehörige Eigenschaft der Kamera.

Wenn Sie die rechte Maustaste im unteren rechten Fenster klicken, öffnet sich folgendes Menü:

Right Mouse Menu Camera Symbol Mode

Attention

Die Funktionen können nur über die mittlere Maustaste angewendet werden.

Wenn Sie die rechte Maustaste in einem der anderen Fenster klicken, öffnet sich folgendes Menü:

Right Mouse Menu Camera Symbol Mode1

Da es sich bei diesen Fenstern um fixe Kameraeinstellungen handelt, fehlen gegenüber dem vorherigen Menü die Funktionen, mit denen man die Kamera verändert. Es kann lediglich gezoomt werden.


Objekt-Dreh-Modus

Icon: Icon Rotate Mode

Cursorsymbole: Cursor Rotate Mode1 Cursor Rotate Mode2 Cursor Rotate Mode3

Tastaturbefehl: Strg+O

Im Objekt-Dreh-Modus bewegt man die Objekte des Projekts, während man von vorne darauf blickt. Stellen Sie sich vor, Sie halten das Objekt in Händen und drehen es dann in alle Richtungen.

Tip

Die Erfahrung hat gezeigt, dass Anwender aus dem Maschinenbau mit diesem Modus besser zurechtkommen als mit den anderen Modi, bei denen die Kameraposition verändert wird.

Wie Sie in der Meldungszeile lesen können,

Message Mouse Mode Rotate

verwenden Sie hier die drei Maustasten in Verbindung mit der Strg-Taste der Tastatur. Je nach Art der Bewegung ändert sich das Cursorsymbol.

Wenn Sie also die Strg-Taste drücken und dabei auf die linke Maustaste klicken und diese während der Mausbewegung halten, verschieben Sie die Objekte. Mit der mittleren Maustaste drehen Sie die Objekte. Wenn Sie hier in die Nähe der Bildmitte geklickt haben, wird um die vertikale bzw. horizontale Bildachse gedreht, ansonsten um die Achse senkrecht zum Bildschirm. Über die rechte Maustaste können Sie zoomen.

Wenn Sie die rechte Maustaste klicken, öffnet sich folgendes Menü:

Right Mouse Menu Object Rotate Mode


Licht-Symbol-Modus

Icon: Icon Light Symbol Mode

Cursorsymbol: Cursor Selection Mode

Tastaturbefehl: Strg+L

Dieser Modus ermöglicht es, die Lichtquelle mit der Maus zu verändern. Mit der Maus können die Parameterpunkte der Lichtquelle angewählt und dann verändert werden. Diese sind:

Light Symbol Position | Position der Lichtquelle
Light Symbol Parallel | Parallelpunkt der Lichtquelle zum parallelen Verschieben von Position und Zielpunkt
Light Symbol Reference | Zielpunkt der Lichtquelle zum Setzen der Richtung
Light Symbol Angle | Vier Punkte zum Ändern des Öffnungswinkels

Wenn Sie einen der Punkte mit der linken Maustaste anklicken und anschließend die linke Maustaste erneut drücken, gedrückt halten und die Maus dann bewegen, ändern Sie die entsprechende Eigenschaft der Lichtquelle.

Wenn Sie die rechte Maustaste klicken, öffnet sich folgendes Menü:

Right Mouse Menu Light Mode

Nähere Informationen zu den Lichtquellen finden Sie bei der Beschreibung der Lichtquellen-Einstellungen.


Lichtquelle auswählen

Wenn Sie eine Lichtquelle anklicken, wird diese ausgewählt. Ein Anklicken eines der Symbolpunkte ist dann nicht möglich.


Richtung um den Positionspunkt drehen

Lässt die Lichtquelle um den aktuellen Positionspunkt drehen.


Richtung um den Zielpunkt drehen

Lässt die Lichtquelle um den aktuellen Zielpunkt drehen.


Auswahl-Modus

Icon: Icon Selection Mode

Cursorsymbol: Cursor Selection Mode

Tastaturbefehl: Strg+A

In GAMMA-RAY haben Sie keine Möglichkeiten, eigene Objekte zu modellieren. Dennoch lassen sich Veränderungen an bestehenden Objekten vornehmen. Sie müssen diese Objekte, die Sie manipulieren wollen, zuerst auswählen. Dazu steht Ihnen der Auswahl-Modus zur Verfügung. Nur an den Flächen, die in die Auswahl geladen wurden, finden die Veränderungen statt. Alle nicht ausgewählten Flächen bleiben unberührt.

Die ausgewählten Flächen erkennen Sie an einer blauen Box, die um die Auswahl herum dargestellt wird.

Tip

Um zu überprüfen, welche Flächen sich aktuell in der Auswahl befinden, können Sie den Inhalt der Auswahl separat am Bildschirm darstellen. Verwenden Sie dazu den Menüpunkt Auswahl darstellen aus dem Menü Darstellung.

Menu View Draw Selection

Wenn Sie die rechte Maustaste klicken, öffnet sich folgendes Menü:

Right Mouse Menu Selection Mode


Auswahl ändern

Wechselt in den Modus Auswahl ändern. Über diesem Modus wählen Sie die Flächen und Objekte aus, an denen Sie Manipulationen vornehmen wollen.

Ein Klick mit der linken Maustaste innerhalb des Projekts führt dazu, dass die aktuelle Auswahl geleert wird und Flächen entsprechend dem aktuell eingestellten Auswahl-Modus in die Auswahl aufgenommen werden.

Beispiel: Es befinden sich gerade 10 Flächen in der Auswahl. Der Auswahl-Modus ist auf Auswählen durch Anklicken einer Fläche gesetzt.

Wenn Sie jetzt eine Fläche im Projekt mit der linken Maustaste anklicken, wird die Auswahl geleert und die neue Fläche in die Auswahl aufgenommen. Es befindet sich nur noch eine Fläche in der Auswahl.

Attention

Wenn Sie den Maus-Modus Auswahl-Modus gewählt haben und in das Projekt klicken, wird die aktuelle Auswahl immer geleert. Dies kann in ungünstigen Fällen dazu führen, dass die bisher getroffene Auswahl verloren geht. Verwenden Sie dann die Funktion Rückgängig, um wieder zur vorherigen Auswahl zurückzukehren.

Ein Klick mit der linken Maustaste und gedrückter Shift-Taste der Tastatur innerhalb des Projekts führt dazu, dass Flächen entsprechend dem aktuell eingestellten Auswahl-Modus zu der aktuellen Auswahl hinzugefügt werden. Ein Leeren der Auswahl vor der Aufnahme findet hier nicht statt.

Beispiel: Es befinden sich gerade 10 Flächen in der Auswahl. Der Auswahl-Modus ist auf Auswählen durch Anklicken einer Fläche gesetzt.

Wenn Sie jetzt eine Fläche im Projekt mit der linken Maustaste anklicken und dabei die Shift-Taste drücken, wird die neue Fläche zu der Auswahl hinzugefügt. Es befinden sich nun 11 Flächen in der Auswahl.

Ein Klick mit der linken Maustaste und gedrückter Strg-Taste der Tastatur innerhalb des Projekts führt dazu, dass Flächen entsprechend dem aktuell eingestellten Auswahl-Modus aus der Auswahl entfernt werden.

Beispiel: Es befinden sich gerade 10 Flächen in der Auswahl. Der Auswahl-Modus ist auf Auswählen durch Anklicken einer Fläche gesetzt.

Wenn Sie jetzt eine Fläche im Projekt mit der linken Maustaste anklicken, die sich bereits innerhalb der Auswahl befindet und dabei die Strg-Taste drücken, wird die angewählte Fläche aus der Auswahl herausgenommen. Es befinden sich nun 9 Flächen in der Auswahl.

Wenn Sie die linke Maustaste drücken und bei gedrückter Maustaste einen Bereich aufziehen, wird zuerst die aktuelle Auswahl geleert und dann werden alle Flächen, die sich vollständig innerhalb dieses Bereichs befinden, in die Auswahl aufgenommen. Flächen, die sich nur teilweise in diesem Bereich befinden, werden nicht in die Auswahl aufgenommen.

Wenn Sie die linke Maustaste drücken und bei gedrückter Maustaste und gedrückter Shift-Taste der Tastatur einen Bereich aufziehen, werden alle Flächen, die sich vollständig innerhalb dieses Bereichs befinden, zu der aktuellen Auswahl hinzugefügt. Flächen, die sich nur teilweise in diesem Bereich befinden, werden nicht in die Auswahl aufgenommen. Ein Leeren der Auswahl vor der Aufnahme findet hier nicht statt.

Wenn Sie die linke Maustaste drücken und bei gedrückter Maustaste und gedrückter Strg-Taste der Tastatur einen Bereich aufziehen, werden alle Flächen, die sich vollständig innerhalb dieses Bereichs befinden, aus der aktuellen Auswahl entfernt. Flächen, die sich nur teilweise in diesem Bereich befinden, bleiben ausgewählt.


Auswählen durch Anklicken

Hier bestimmen Sie, wie die Auswahl bestückt bzw. geleert wird. Es stehen folgende Möglichkeiten zur Verfügung:

Right Mouse Menu Selection Mode Mode

einer Kennung | Auswählen / Abwählen von Flächen, die die gleiche Kennung besitzen wie die Fläche, die angeklickt wird. Die Kennung steht für das Unterscheidungsmerkmal, über das Ihr CAD-Programm eine Strukturierung vornimmt.
 | Tip | Um die Kennungsstruktur zu überprüfen, verwenden Sie die Menüpunkte Kennungen auswählen... und Ausgewählte Kennungen darstellen aus dem Menü Darstellung. Menu View Select-Draw Attribute
eines Materials | Auswählen / Abwählen von Flächen, die das gleiche Material besitzen wie die Fläche, die angeklickt wird.
einer Gruppe | Auswählen / Abwählen von Flächen, die zu der gleichen Gruppe gehören wie die Fläche, die angeklickt wird. Gruppen können über den Menüpunkt Auswahl zusammenfassen gebildet werden.
eines Objekts | Auswählen / Abwählen von Flächen, die zu dem gleichen Objekt gehören wie die Fläche, die angeklickt wird. Die Objektstruktur ist schnittstellenabhängig.
 | Tip | Um die Objektstruktur zu überprüfen, verwenden Sie die Menüpunkte Objekte auswählen... und Ausgewählte Objekte darstellen aus dem Menü Darstellung. Menu View Select-Draw Objects
einer Fläche | Auswählen / Abwählen von Flächen, die einzeln angeklickt werden.
eines Textes / einer Pflanze | Auswählen / Abwählen von 3D-Texten / Pflanzen, die zu dem 3D-Text / der Pflanze gehören, die angeklickt werden.
eines Teilprojekts | Auswählen / Abwählen von Teilprojekten. Teilprojekte sind die Projekte, die Sie zu dem Projekt hinzu geladen haben.
einer Text-Info | Auswählen / Abwählen von Flächen, die eine gleiche Text-Info besitzen.


Auswählen über einen Dialog für

Menu In Selection

Attention

Im Gegensatz zum Auswählen durch Anklicken fügen die nachfolgend beschriebenen Funktionen Flächen zur Auswahl hinzu, ohne die Auswahl vorher zu ändern (entsprechend der gedrückten Strg-Taste der oben beschriebenen Funktionen). Wollen Sie eine Auswahlfunktion auf einen komplett neuen Bereich des Projekts anwenden, muss die Auswahl vorher geleert werden. Dazu verwenden Sie die Abwählen-Funktionen oder die Funktion Auswahl leeren....


Kennungen...

Wählen Sie Flächen aus, die bestimmte Kennungen besitzen.

Dialog Selection by Attribute

Die Liste Kennung / Material zeigt die im aktuellen Projekt enthaltenen Kennungsnummern mit den zugewiesenen Materialien.

Treffen Sie die Auswahl / Abwahl, indem Sie

·die gewünschten Einträge in der Liste nacheinander auswählen,

·einen Eintrag auswählen und einen darunter liegenden Eintrag mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und der zweiten Eintrag auszuwählen, oder

·nach Anwahl des Knopfs ... über Fläche wählen auf eine Fläche mit dem gewünschten Strukturelement klicken, um alle Flächen, die dieses Strukturelement besitzen, auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Nachdem in der Liste die gewünschten Einträge angewählt sind, werden die zugehörigen Flächen über den Knopf Auswählen / Abwählen in die Auswahl aufgenommen / aus der Auswahl entfernt.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Strukturelemente als Drahtmodell gelb und die übrigen Strukturelemente weiß anzuzeigen.


Materialien...

Wählen Sie Flächen aus, die bestimmte Materialien besitzen.

Dialog Selection by Material

Die Liste Materialien zeigt die im aktuellen Projekt enthaltenen Materialien.

Treffen Sie die Auswahl / Abwahl, indem Sie

·die gewünschten Einträge in der Liste nacheinander auswählen,

·einen Eintrag auswählen und einen darunter liegenden Eintrag mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und der zweiten Eintrag auszuwählen, oder

·nach Anwahl des Knopfs ... über Fläche wählen auf eine Fläche mit dem gewünschten Strukturelement klicken, um alle Flächen, die dieses Strukturelement besitzen, auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Nachdem in der Liste die gewünschten Einträge angewählt sind, werden die zugehörigen Flächen über den Knopf Auswählen / Abwählen in die Auswahl aufgenommen / aus der Auswahl entfernt.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Strukturelemente als Drahtmodell gelb und die übrigen Strukturelemente weiß anzuzeigen.


Gruppen...

Wählen Sie Flächen aus, die zu bestimmten Gruppen gehören.

Dialog Selection by Group

Die Liste Gruppen zeigt die im aktuellen Projekt enthaltenen Gruppennummern.

Treffen Sie die Auswahl / Abwahl, indem Sie

·die gewünschten Einträge in der Liste nacheinander auswählen,

·einen Eintrag auswählen und einen darunter liegenden Eintrag mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und der zweiten Eintrag auszuwählen, oder

·nach Anwahl des Knopfs ... über Fläche wählen auf eine Fläche mit dem gewünschten Strukturelement klicken, um alle Flächen, die dieses Strukturelement besitzen, auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Nachdem in der Liste die gewünschten Einträge angewählt sind, werden die zugehörigen Flächen über den Knopf Auswählen / Abwählen in die Auswahl aufgenommen / aus der Auswahl entfernt.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Strukturelemente als Drahtmodell gelb und die übrigen Strukturelemente weiß anzuzeigen.


Objekte...

Wählen Sie Flächen aus, die zu bestimmten Objekten gehören.

Dialog Selection by Object

Die Liste Objekte zeigt die im aktuellen Projekt enthaltenen Objektnummern.

Treffen Sie die Auswahl / Abwahl, indem Sie

·die gewünschten Einträge in der Liste nacheinander auswählen,

·einen Eintrag auswählen und einen darunter liegenden Eintrag mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und der zweiten Eintrag auszuwählen, oder

·nach Anwahl des Knopfs ... über Fläche wählen auf eine Fläche mit dem gewünschten Strukturelement klicken, um alle Flächen, die dieses Strukturelement besitzen, auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Nachdem in der Liste die gewünschten Einträge angewählt sind, werden die zugehörigen Flächen über den Knopf Auswählen / Abwählen in die Auswahl aufgenommen / aus der Auswahl entfernt.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Strukturelemente als Drahtmodell gelb und die übrigen Strukturelemente weiß anzuzeigen.


Flächen...

Wählen Sie einzelne Flächen der Objekte aus.

Dialog Selection by Polygon

Die Liste Flächen zeigt die im aktuellen Projekt enthaltenen Flächennummern.

Treffen Sie die Auswahl / Abwahl, indem Sie

·die gewünschten Einträge in der Liste nacheinander auswählen,

·einen Eintrag auswählen und einen darunter liegenden Eintrag mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und der zweiten Eintrag auszuwählen, oder

·nach Anwahl des Knopfs ... über Fläche wählen auf eine Fläche mit dem gewünschten Strukturelement klicken, um alle Flächen, die dieses Strukturelement besitzen, auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Nachdem in der Liste die gewünschten Einträge angewählt sind, werden die zugehörigen Flächen über den Knopf Auswählen / Abwählen in die Auswahl aufgenommen / aus der Auswahl entfernt.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Strukturelemente als Drahtmodell gelb und die übrigen Strukturelemente weiß anzuzeigen.


Teilprojekte...

Wählen Sie hier Teilprojekte aus.

Dialog Selection by Partial Projects

Die Liste Teilprojekte zeigt die im aktuellen Projekt aufgenommenen Teilprojekte, d.h. Dateien, die Sie nachträglich zu dem Projekt hinzugefügt haben.

Treffen Sie die Auswahl / Abwahl, indem Sie

·die gewünschten Einträge in der Liste nacheinander auswählen,

·einen Eintrag auswählen und einen darunter liegenden Eintrag mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und der zweiten Eintrag auszuwählen, oder

·nach Anwahl des Knopfs ... über Fläche wählen auf eine Fläche mit dem gewünschten Strukturelement klicken, um alle Flächen, die dieses Strukturelement besitzen, auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Nachdem in der Liste die gewünschten Einträge angewählt sind, werden die zugehörigen Flächen über den Knopf Auswählen / Abwählen in die Auswahl aufgenommen / aus der Auswahl entfernt.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Strukturelemente als Drahtmodell gelb und die übrigen Strukturelemente weiß anzuzeigen.


Text-Infos...

Wählen Sie hier Flächen aus, die bestimmte Text-Infos besitzen.

Dialog Selection by Text-Info

Die Liste Text-Infos zeigt die im aktuellen Projekt eingetragenen Text-Infos.

Treffen Sie die Auswahl / Abwahl, indem Sie

·die gewünschten Einträge in der Liste nacheinander auswählen,

·einen Eintrag auswählen und einen darunter liegenden Eintrag mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und der zweiten Eintrag auszuwählen, oder

·nach Anwahl des Knopfs ... über Fläche wählen auf eine Fläche mit dem gewünschten Strukturelement klicken, um alle Flächen, die dieses Strukturelement besitzen, auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Nachdem in der Liste die gewünschten Einträge angewählt sind, werden die zugehörigen Flächen über den Knopf Auswählen / Abwählen in die Auswahl aufgenommen / aus der Auswahl entfernt.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Strukturelemente als Drahtmodell gelb und die übrigen Strukturelemente weiß anzuzeigen.


Abwählen über einen Dialog für

Flächen, die in die Auswahl aufgenommen wurden, können auch wieder aus der Auswahl entfernt werden. Dazu stehen Ihnen die gleichen Kriterien wie beim Auswählen zur Verfügung.

Menu In Selection


Kennungen...

Wählen Sie Flächen ab, die bestimmte Kennungen besitzen.

Dialog Selection by Attribute

Die Liste Kennung / Material zeigt die in der Auswahl enthaltenen Kennungsnummern mit den zugewiesenen Materialien.

Treffen Sie die Auswahl / Abwahl, indem Sie

·die gewünschten Einträge in der Liste nacheinander auswählen,

·einen Eintrag auswählen und einen darunter liegenden Eintrag mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und der zweiten Eintrag auszuwählen, oder

·nach Anwahl des Knopfs ... über Fläche wählen auf eine Fläche mit dem gewünschten Strukturelement klicken, um alle Flächen, die dieses Strukturelement besitzen, auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Nachdem in der Liste die gewünschten Einträge angewählt sind, werden die zugehörigen Flächen über den Knopf Auswählen / Abwählen in die Auswahl aufgenommen / aus der Auswahl entfernt.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Strukturelemente als Drahtmodell gelb und die übrigen Strukturelemente weiß anzuzeigen.


Materialien...

Wählen Sie Flächen ab, die bestimmte Materialien besitzen.

Dialog Selection by Material

Die Liste Materialien zeigt die in der Auswahl enthaltenen Materialien.

Treffen Sie die Auswahl / Abwahl, indem Sie

·die gewünschten Einträge in der Liste nacheinander auswählen,

·einen Eintrag auswählen und einen darunter liegenden Eintrag mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und der zweiten Eintrag auszuwählen, oder

·nach Anwahl des Knopfs ... über Fläche wählen auf eine Fläche mit dem gewünschten Strukturelement klicken, um alle Flächen, die dieses Strukturelement besitzen, auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Nachdem in der Liste die gewünschten Einträge angewählt sind, werden die zugehörigen Flächen über den Knopf Auswählen / Abwählen in die Auswahl aufgenommen / aus der Auswahl entfernt.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Strukturelemente als Drahtmodell gelb und die übrigen Strukturelemente weiß anzuzeigen.


Gruppen...

Wählen Sie Flächen ab, die zu bestimmten Gruppen gehören.

Dialog Selection by Group

Die Liste Gruppen zeigt die in der Auswahl enthaltenen Gruppennummern.

Treffen Sie die Auswahl / Abwahl, indem Sie

·die gewünschten Einträge in der Liste nacheinander auswählen,

·einen Eintrag auswählen und einen darunter liegenden Eintrag mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und der zweiten Eintrag auszuwählen, oder

·nach Anwahl des Knopfs ... über Fläche wählen auf eine Fläche mit dem gewünschten Strukturelement klicken, um alle Flächen, die dieses Strukturelement besitzen, auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Nachdem in der Liste die gewünschten Einträge angewählt sind, werden die zugehörigen Flächen über den Knopf Auswählen / Abwählen in die Auswahl aufgenommen / aus der Auswahl entfernt.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Strukturelemente als Drahtmodell gelb und die übrigen Strukturelemente weiß anzuzeigen.


Objekte...

Wählen Sie Flächen ab, die zu bestimmten Objekten gehören.

Dialog Selection by Object

Die Liste Objekte zeigt die in der Auswahl enthaltenen Objektnummern.

Treffen Sie die Auswahl / Abwahl, indem Sie

·die gewünschten Einträge in der Liste nacheinander auswählen,

·einen Eintrag auswählen und einen darunter liegenden Eintrag mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und der zweiten Eintrag auszuwählen, oder

·nach Anwahl des Knopfs ... über Fläche wählen auf eine Fläche mit dem gewünschten Strukturelement klicken, um alle Flächen, die dieses Strukturelement besitzen, auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Nachdem in der Liste die gewünschten Einträge angewählt sind, werden die zugehörigen Flächen über den Knopf Auswählen / Abwählen in die Auswahl aufgenommen / aus der Auswahl entfernt.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Strukturelemente als Drahtmodell gelb und die übrigen Strukturelemente weiß anzuzeigen.


Flächen...

Wählen Sie einzelne Flächen der Objekte ab.

Dialog Selection by Polygon

Die Liste Flächen zeigt die in der Auswahl enthaltenen Flächennummern.

Treffen Sie die Auswahl / Abwahl, indem Sie

·die gewünschten Einträge in der Liste nacheinander auswählen,

·einen Eintrag auswählen und einen darunter liegenden Eintrag mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und der zweiten Eintrag auszuwählen, oder

·nach Anwahl des Knopfs ... über Fläche wählen auf eine Fläche mit dem gewünschten Strukturelement klicken, um alle Flächen, die dieses Strukturelement besitzen, auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Nachdem in der Liste die gewünschten Einträge angewählt sind, werden die zugehörigen Flächen über den Knopf Auswählen / Abwählen in die Auswahl aufgenommen / aus der Auswahl entfernt.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Strukturelemente als Drahtmodell gelb und die übrigen Strukturelemente weiß anzuzeigen.


Teilprojekte...

Wählen Sie hier Teilprojekte ab.

Dialog Selection by Partial Projects

Die Liste Teilprojekte zeigt die in der Auswahl aufgenommenen Teilprojekte, d.h. Dateien, die Sie nachträglich zu dem Projekt hinzugefügt haben.

Treffen Sie die Auswahl / Abwahl, indem Sie

·die gewünschten Einträge in der Liste nacheinander auswählen,

·einen Eintrag auswählen und einen darunter liegenden Eintrag mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und der zweiten Eintrag auszuwählen, oder

·nach Anwahl des Knopfs ... über Fläche wählen auf eine Fläche mit dem gewünschten Strukturelement klicken, um alle Flächen, die dieses Strukturelement besitzen, auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Nachdem in der Liste die gewünschten Einträge angewählt sind, werden die zugehörigen Flächen über den Knopf Auswählen / Abwählen in die Auswahl aufgenommen / aus der Auswahl entfernt.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Strukturelemente als Drahtmodell gelb und die übrigen Strukturelemente weiß anzuzeigen.


Text-Infos...

Wählen Sie Flächen ab, die bestimmte Text-Infos besitzen.

Dialog Selection by Text-Info

Die Liste Text-Infos zeigt die in der Auswahl eingetragenen Text-Infos.

Treffen Sie die Auswahl / Abwahl, indem Sie

·die gewünschten Einträge in der Liste nacheinander auswählen,

·einen Eintrag auswählen und einen darunter liegenden Eintrag mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und der zweiten Eintrag auszuwählen, oder

·nach Anwahl des Knopfs ... über Fläche wählen auf eine Fläche mit dem gewünschten Strukturelement klicken, um alle Flächen, die dieses Strukturelement besitzen, auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Nachdem in der Liste die gewünschten Einträge angewählt sind, werden die zugehörigen Flächen über den Knopf Auswählen / Abwählen in die Auswahl aufgenommen / aus der Auswahl entfernt.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Strukturelemente als Drahtmodell gelb und die übrigen Strukturelemente weiß anzuzeigen.


Alles auswählen...

Tastaturbefehl: Alt+A

Über diese Funktion wählen Sie das komplette Projekt aus.


Bild auswählen...

Alle Flächen, die über die Menüpunkte Kennungen auswählen… und / oder Objekte auswählen… des Menüs Darstellung selektiert wurden, werden in die Auswahl aufgenommen.


Auswahl leeren...

Tastaturbefehl: Alt+L

Die Auswahl wird komplett geleert. Anschließend sind keine Flächen mehr ausgewählt. Vor Ausführung erfolgt noch mal eine Sicherheitsabfrage.


Auswahl löschen...

Über diesen Menüpunkt löschen Sie alle Flächen, die sich in der Auswahl befinden, unwiderruflich. Vor dem Löschen wird noch eine Sicherheitsabfrage angezeigt.


Auswahl verschieben

Wechselt in den Modus Auswahl verschieben. In diesem Modus lassen sich die ausgewählten Flächen und Objekte verschieben. Bewegen Sie dazu den Cursor über die Auswahl (dargestellt durch eine blaue, umschreibende Box). Es wird ein Kreuzcursor dargestellt, der Ihnen anzeigt, in welchen Ebenen die Verschiebung erfolgen kann.

Wenn Sie den Mauscursor in die Nähe einer Boxkante bewegen, wird aus dem Kreuz eine Linie in Richtung der Boxkante. Sie können die Auswahl dann nur noch in einer Ebene verschieben.

Die Verschiebung führen Sie mit gedrückter linker Maustaste durch.

Tip

Wenn Sie die Verschiebung mit gedrückter Strg-Taste der Tastatur durchführen, erfolgt die Bewegung in feineren Schritten.


Auswahl drehen um Boxmitte

Wechselt in den Modus Auswahl drehen um Boxmitte. In diesem Modus verdrehen Sie die ausgewählten Flächen und Objekte um den Mittelpunkt der umschreibenden Box. Bewegen Sie dazu den Cursor über die Auswahl (dargestellt durch eine blaue, umschreibende Box). Es wird ein Rotationscursor dargestellt, der Ihnen ähnlich wie beim Verschieben anzeigt, in welchen Ebenen die Verdrehung erfolgen kann.

Die Verdrehung führen Sie mit gedrückter linker Maustaste durch.

Tip

Wenn Sie die Rotation mit gedrückter Strg-Taste der Tastatur durchführen, erfolgt die Drehung in feineren Schritten.


Boxmitte festlegen...

Nur wenn Sie den Modus Auswahl drehen um Boxmitte wählen, steht Ihnen dieser Menüpunkt zur Verfügung. In dem folgenden Dialog legen Sie fest, um welchen Punkt die Funktion Auswahl drehen um Boxmitte dreht.

Dialog Rotation Axis XYZ

Wollen Sie nicht um den Mittelpunkt der Auswahlbox drehen, deaktivieren Sie die Option Um den Mittelpunkt der Box rotieren. Anschließend können Sie den neuen Rotationspunkt entweder eingeben oder mit der Maus auf einer Fläche, in einer Ansicht oder über einen Eckpunkt anklicken.


Auswahl drehen um Rotationsachse

Wechselt in den Modus Auswahl drehen um Rotationsachse. In diesem Modus können Sie die ausgewählten Flächen und Objekte um eine frei definierbare Rotationsachse verdrehen. Bewegen Sie dazu den Cursor über die Auswahl (dargestellt durch eine blaue, umschreibende Box). Es wird ein Rotationscursor dargestellt, der Ihnen ähnlich wie beim Verschieben anzeigt, in welchen Ebenen die Verdrehung erfolgen kann.

Die Verdrehung führen Sie mit gedrückter linker Maustaste durch.

Die Rotationsachse legen Sie über die Funktion Rotationsachse festlegen fest.

Tip

Sobald Sie die Funktion angewählt haben, wird die aktuelle Rotationsachse als gelb gestrichelte Linie im Bild angezeigt.

Tip

Wenn Sie die Rotation mit gedrückter Strg-Taste der Tastatur durchführen, erfolgt die Drehung feiner abgestuft.


Rotationsachse festlegen...

Nur wenn Sie den Modus Auswahl drehen um Rotationsachse wählen, steht Ihnen dieser Menüpunkt zur Verfügung. In dem folgenden Dialog legen Sie die Rotationsachse fest, um die mit der Funktion Auswahl drehen um Rotationsachse gedreht wird.

Dialog Rotation Axis Free

Sie müssen zwei Punkte (Punkt 1 und Punkt 2) anwählen. Die Koordinaten dieser Punkte können Sie entweder in die Eingabezeilen eintippen oder im Projekt mit der Maus anklicken.


Auswahl skalieren

Wechselt in den Modus Auswahl skalieren. In diesem Modus können Sie die ausgewählten Flächen und Objekte in allen Richtungen skalieren. Bewegen Sie dazu den Cursor über die Auswahl (dargestellt durch eine blaue, umschreibende Box). Es wird ein Skalierungscursor dargestellt, der Ihnen ähnlich wie beim Verschieben anzeigt, in welchen Ebenen die Skalierung erfolgen kann.

Die Skalierung führen Sie mit gedrückter linker Maustaste durch.

Tip

Wenn die Texturgröße insgesamt erhalten bleiben soll, so dass das Erscheinungsbild gleich bleibt, aktivieren Sie die Option Texturen mitskalieren. Lassen Sie diese Option abgeschaltet, ändert sich das Texturbild. Es wird entweder größer oder kleiner.

Um in alle Richtungen gleichmäßig zu skalieren, klicken Sie auf die Funktion In alle Richtungen gleichmäßig skalieren

Right Mouse Menu Selection Mode Scale All Axis Sym1

die im Menü der rechten Maustaste erscheint, wenn Sie diese Funktion angewählt haben.

Tip

Wenn Sie die Skalierung mit gedrückter Strg-Taste der Tastatur durchführen, erfolgt sie in feineren Schritten.


Auswahl kopieren

Der Inhalt der Auswahl wird kopiert und liegt dann zweimal im Projekt an der gleichen Position vor.

Tip

Der Vorteil dieser Funktion liegt darin, dass die geometrischen Daten nur einmal in der Datenbasis gehalten werden. Wenn Sie also ein Objekt über Auswahl kopieren fünfmal kopieren, ist im Geometriespeicher ein Objekt mit fünf Referenzen abgelegt.

Nach dem Kopieren können Sie das Objekt verschieben, drehen, skalieren...

Tip

Sie manipulieren nach dem Kopieren nicht das kopierte Objekt, sondern das ursprüngliche Objekt, das sich auch nach dem Kopiervorgang immer noch in der Auswahl befindet. Das kopierte Objekt bleibt unberührt.


Auswahl umkehren

Dies ist eine nützliche Funktion zum Auswählen oder Abwählen von vielen Flächen. Alle Flächen des Projekts, die sich in der Auswahl befinden, werden aus der Auswahl herausgenommen. Die Flächen des Projekts, die bisher nicht ausgewählt waren, werden in die Auswahl aufgenommen.

Wenn Sie z.B. alle Kennungen eines Projekts bis auf eine einzelne auswählen wollen, wählen Sie zuerst die Kennung aus, die nicht in die Auswahl aufgenommen werden soll. Wenn Sie dann die Auswahl umkehren, haben Sie das Ziel schon erreicht.


Kennungen

Attention

Diese Einstellungen sind nur bei der Benutzeroberfläche Experten-Modus verfügbar.

GAMMA-RAY übernimmt die Strukturierung aus den CAD-Daten. Hier gibt es unterschiedliche Bezeichnungen wie Layer, Ebenen, Folien, Farben, ... Damit keine Verwechslungen aufkommen, wurde der neue Begriff Kennung eingeführt, um diese Strukturierung abzubilden. Objekte, die zu einem Strukturelement gehören, bekommen eine gemeinsame Kennungsnummer.

Wenn Sie diese Funktion anwählen, öffnet sich ein Untermenü.

Menu Selection Change Attribute


Kennung ändern...

Wenn Sie die Struktur noch weiter aufteilen wollen, haben Sie die Möglichkeit, Einzelteile eines Strukturelements (einer Kennung) in die Auswahl aufzunehmen (z.B. indem Sie einen Bereich aufziehen) und dieser Auswahl dann eine neue Kennungsnummer zu geben. Wählen Sie dazu Kennung ändern... und geben Sie die neue Kennungsnummer ein.

Dialog Change Attribute

Attention

Weisen Sie möglichst eine Kennungsnummer zu, die noch nicht vergeben wurde. Ansonsten wird der Auswahl das Material zugeordnet, das der gewählten Kennungsnummer zugewiesen wurde.

Natürlich ist es auch möglich, dass dies genau Ihr Wunsch ist.

Tip

Um zu überprüfen, welche Kennungsnummern im Projekt verwendet werden, benutzen Sie die Funktion Kennungen auswählen... im Menü Darstellung.

Menu View Select Attributes

Der folgende Dialog zeigt eine Übersicht der aktuellen Kennungen.

Dialog Draw Attributes


Kennung renummerieren...

Wenn Sie die Liste der Kennungen neu sortieren wollen, um Lücken in den Kennungsnummern zu schließen oder auch mit einer neuen Nummer zu starten, rufen Sie diese Funktion auf. In dem folgenden Dialog legen Sie die neue Startnummer fest.

Dialog Selection Renumber Attributes


Texturausrichtung

Unter Texturausrichtung versteht man die Art und Weise, wie Texturbilder auf 3D-Objekte aufgelegt werden können. Ein 2-dimensionales Bild wird einem 3-dimensionalen Körper zugewiesen.

Eventuell kommt es einmal vor, dass Sie die Texturausrichtung für einzelne Flächen ändern müssen. Laden Sie diese Flächen in die Auswahl und rufen Sie die Funktion Texturausrichtung... auf.

Menu Texture Mapping

Sie können dann verschiedene Ausrichtungsarten auswählen.


Standard-Texturausrichtung...

Nicht jedes CAD-Programm ist in der Lage, den Geometrien Texturkoordinaten mitzugeben, über die die Texturausrichtung eindeutig bestimmt ist. Sie können dann eines der folgenden Verfahren verwenden, um die Texturkoordinaten nachträglich zu bestimmen.

Dialog Standard Texturmapping

Für die Auswahl lässt sich die Texturausrichtung wie folgt verändern:


Navigation: Die Icons > Die Maus-Modi > Auswahl-Modus > Texturausrichtung > Standard-Texturausrichtung... >

Return to chapter overview

Ebene-Ausrichtung

In diesem Bereich richten Sie die Textur entlang einer Ebene aus. Die Richtungen lassen sich wie folgt festlegen:


Navigation: Die Icons > Die Maus-Modi > Auswahl-Modus > Texturausrichtung > Standard-Texturausrichtung... > Ebene-Ausrichtung >

Return to chapter overview

auf die Sichtebene

Das Texturbild wird von vorne auf die aktuelle Sicht aufgelegt.

Image Texture Mapping2


auf die YZ-Ebene

Das Texturbild wird auf die YZ-Ebene aufgelegt.

Tip

Die Koordinatenachsen blenden Sie über den Menüpunkt Darstellung -> Koordinatensysteme darstellen ein.

Image Texture Mapping5


auf die XZ-Ebene

Das Texturbild wird auf die XZ-Ebene aufgelegt.

Tip

Die Koordinatenachsen blenden Sie über den Menüpunkt Darstellung -> Koordinatensysteme darstellen ein.

Image Texture Mapping4


auf die XY-Ebene

Das Texturbild wird auf die XY-Ebene aufgelegt.

Tip

Die Koordinatenachsen blenden Sie über den Menüpunkt Darstellung -> Koordinatensysteme darstellen ein.

Image Texture Mapping3


Zylinder-Ausrichtung

In diesem Bereich richten Sie die Textur entlang eines Zylinders aus. Die Richtungen lassen sich wie folgt festlegen:


Achse in X-Richtung

Die Achse, die den Zylinder bestimmt, entlang dem ausgerichtet wird, liegt in der X-Richtung.

Tip

Die Koordinatenachsen blenden Sie über den Menüpunkt Darstellung -> Koordinatensysteme darstellen ein.


Achse in Y-Richtung

Die Achse, die den Zylinder bestimmt, entlang dem ausgerichtet wird, liegt in der Y-Richtung.

Tip

Die Koordinatenachsen blenden Sie über den Menüpunkt Darstellung -> Koordinatensysteme darstellen ein.


Achse in Z-Richtung

Die Achse, die den Zylinder bestimmt, entlang dem ausgerichtet wird, liegt in der Z-Richtung.

Tip

Die Koordinatenachsen blenden Sie über den Menüpunkt Darstellung -> Koordinatensysteme darstellen ein.


Navigation: Die Icons > Die Maus-Modi > Auswahl-Modus > Texturausrichtung > Standard-Texturausrichtung... >

Return to chapter overview

Kugel-Ausrichtung

In diesem Bereich richten Sie die Textur entlang einer Kugel aus. Die Richtungen lassen sich wie folgt festlegen:


Achse in X-Richtung

Die Achse, die die Kugel bestimmt, entlang der ausgerichtet wird, liegt in der X-Richtung.

Tip

Die Koordinatenachsen blenden Sie über den Menüpunkt Darstellung -> Koordinatensysteme darstellen ein.


Achse in Y-Richtung

Die Achse, die die Kugel bestimmt, entlang der ausgerichtet wird, liegt in der X-Richtung.

Tip

Die Koordinatenachsen blenden Sie über den Menüpunkt Darstellung -> Koordinatensysteme darstellen ein.


Achse in Z-Richtung

Die Achse, die die Kugel bestimmt, entlang der ausgerichtet wird, liegt in der X-Richtung.

Tip

Die Koordinatenachsen blenden Sie über den Menüpunkt Darstellung -> Koordinatensysteme darstellen ein.


Wrap-Ausrichtung

Wenn keine der oben genannten Verfahren zum gewünschten Ergebnis führt, verwenden Sie eines der folgenden Verfahren. Dabei wird das Texturbild entlang der gewählten Seite auf das ausgewählte Objekt aufgelegt und um das Objekt herum "gewickelt".


von X+ wrappen

Die Ausrichtung erfolgt entlang der positiven X-Richtung.

Tip

Die Koordinatenachsen blenden Sie über den Menüpunkt Darstellung -> Koordinatensysteme darstellen ein.


von Y+ wrappen

Die Ausrichtung erfolgt entlang der positiven Y-Richtung.

Tip

Die Koordinatenachsen blenden Sie über den Menüpunkt Darstellung -> Koordinatensysteme darstellen ein.


von Z+ wrappen

Die Ausrichtung erfolgt entlang der positiven Z-Richtung.

Tip

Die Koordinatenachsen blenden Sie über den Menüpunkt Darstellung -> Koordinatensysteme darstellen ein.


von X- wrappen

Die Ausrichtung erfolgt entlang der negativen X-Richtung.

Tip

Die Koordinatenachsen blenden Sie über den Menüpunkt Darstellung -> Koordinatensysteme darstellen ein.


von Y- wrappen

Die Ausrichtung erfolgt entlang der negativen Y-Richtung.

Tip

Die Koordinatenachsen blenden Sie über den Menüpunkt Darstellung -> Koordinatensysteme darstellen ein.

.


von Z- wrappen

Die Ausrichtung erfolgt entlang der negativen Z-Richtung.

Tip

Die Koordinatenachsen blenden Sie über den Menüpunkt Darstellung -> Koordinatensysteme darstellen ein.


Größenrichtige Ausrichtung

GAMMA-RAY kann die Größe der einzelnen Flächen bestimmen und bei der Texturausrichtung berücksichtigen. Nur so kann eine optisch korrekte Darstellung der Texturbilder garantiert werden.

Attention

Die Texturbilder werden nur dann korrekt dargestellt, wenn sie die korrekte Größe besitzen. Die stellen Sie bei den Materialeigenschaften ein.


größenrichtig auf die Ebenen

Das Texturbild wird so auf die Ebenen der Körper aufgelegt, dass es größenrichtig entsprechend der Größendefinition der Textur abgebildet wird. Flächen, die in der gleichen Ebene liegen und das gleiche Material besitzen, werden als ein Flächenverbund behandelt.

Tip

Dies ist bei den meisten CAD-Daten das Verfahren, das direkt beim Einlesen der 3D-Daten verwendet wird, wenn im Datensatz keine Texturkoordinaten enthalten sind.


größenrichtig auf Ebenen und Rundungen

Das Texturbild wird so auf die Ebenen der Körper aufgelegt, dass es größenrichtig entsprechend der Größendefinition der Textur abgebildet wird. Dabei werden Rundungen korrekt dargestellt.

Image Texture Mapping8


entlang der Dachkanten

Das Texturbild wird so auf Körper aufgelegt, dass es der unteren Kante folgt. Dies führt oftmals bei Dachkanten zu korrekten Ergebnissen, wenn die Ausrichtung auf die Ebenen nicht das gewünschte Resultat bringt.


Holzmapping

Das Texturbild wird entlang der längsten Kante ausgerichtet. Dies führt z.B. bei schräg laufenden Holzbalken zu korrekten Ergebnissen, wenn die Ausrichtung auf die Ebenen nicht das gewünschte Resultat bringt.

Image Texture Mapping7a


Navigation: Die Icons > Die Maus-Modi > Auswahl-Modus > Texturausrichtung > Standard-Texturausrichtung... > Größenrichtige Ausrichtung >

Return to chapter overview

Ausrichtung pro Material

Ist diese Option aktiviert, wird die Ausrichtung für jedes Material getrennt neu berechnet.


Ausrichtung am Referenzpunkt der Box

Ist diese Option aktiviert, so wird die Texturausrichtung anhand des Minimalpunktes der Auswahlbox bestimmt. Das führt beispielsweise zu einem höhenrichtigen Übergang für den Fall, dass ein Klinkermaterial auf einem Mauerwerk mit Fenster- und Türlaibungen aufgelegt ist.


Texturbild nur einmal auf die Auswahl auflegen

Ist diese Option aktiviert, wird das Texturbild genau 1-mal auf die ausgewählten Objekte aufgelegt, egal, wie groß die Ausdehnung der Auswahl ist. Diese Skalierung erfolgt auf das oben gewählte Ausrichtungsverfahren.

Attention

Damit das Bild auch wirklich nur 1-mal erscheint, muss die Größe der Textur auf 1m horizontal und vertikal eingestellt werden.

Eine detaillierte Beschreibung der Standard-Texturausrichtung finden Sie im Tutorial.


ebene Texturausrichtung...

Dialog Texturemapping Plain

Über diesen Dialog bestimmen Sie eine Ebene, in der das Texturbild dann abgebildet wird.

Eine detaillierte Beschreibung der ebenen Texturausrichtung finden Sie im Tutorial.


Kugel / Zylinder-Texturausrichtung...

Dialog Texturemapping Cylinder

Über diesen Dialog bestimmen Sie einen Zylinder oder eine Kugel, auf den/die das Texturbild dann abgebildet wird.

Eine detaillierte Beschreibung der Kugel / Zylinder-Texturausrichtung finden Sie im Tutorial.


Texturbild auf jede Fläche legen...

Über diese Funktion werden die Texturen immer nur einmal auf die Flächen der Auswahl aufgelegt (siehe auch die Option Texturbild nur einmal auf die Fläche auflegen bei den Materialeigenschaften).


Transformationen

Wenn Sie eine Auswahl getroffen haben, stehen Ihnen folgende Transformationen zur Verfügung:

Right Mouse Menu Selection Transformation


Auswahl skalieren...

Mit dieser Funktion ändern Sie die Ausdehnung der ausgewählten Flächen.

Dialog Transformation Scale

Im oberen Teil des Dialogs lesen Sie die Daten der umschreibenden (blauen) Box der Auswahl ab. D.h., Sie erkennen die Ausdehnung aller Flächen, die in die Auswahl aufgenommen wurden. Hier legen Sie auch fest, ob die Skalierung in alle Richtungen erfolgen soll oder ob Sie nur in bestimmte Richtungen skalieren wollen. U und V beziehen sich hier auf die Koordinaten der Texturausrichtung.

Im Bereich Skalieren über Punkt geben Sie den Mittelpunkt an, um den die Skalierung erfolgen soll. Die Position dieses Punktes ändert sich durch die Skalierung nicht. Nachdem der Dialog geöffnet wurde, ist dort immer der Mittelpunkt der blauen Auswahlbox eingetragen. Sie können entweder um diesen Mittelpunkt skalieren oder einen Eckpunkt im Projekt mit der Maus anklicken, der als Nullpunkt der Skalierung dienen soll.

Im Eingabefeld Skalierungsfaktor geben Sie den Faktor für die Skalierung an.

Eine detaillierte Beschreibung der Skalierung finden Sie im Tutorial.


Auswahl verschieben/kopieren...

Hiermit verschieben Sie die Geometriedaten der Auswahl an einen neuen Ort. Sie entscheiden zusätzlich, ob die Auswahl nur verschoben oder auch gleich eine Kopie der Flächen erzeugt werden soll. Im Gegensatz zu der Funktion Auswahl verschieben geben Sie hier Koordinaten an, statt die Auswahl mit der Maus zu verschieben.

Dialog Transformation Move Copy

Sie müssen einen Ausgangspunkt innerhalb der Auswahl bestimmen, der an einen Zielpunkt bewegt werden soll. Dazu tippen Sie Koordinaten ein oder wählen diese im Projekt an. Hier stehen Ihnen wieder die bereits bekannten Möglichkeiten zur Verfügung.

Eine detaillierte Beschreibung der Verschiebung finden Sie im Tutorial.


Auswahl drehen...

Auch eine definierte Verdrehung um eine bestimmte Achse mit einem bestimmten Winkel ist mit GAMMA-RAY möglich.

Dialog Transformation Rotate

Sie führen eine Drehung um die X-Achse, die Y-Achse, die Z-Achse oder um eine freie Achse durch. Den Drehwinkel geben Sie in der oberen Zeile ein. Über den Knopf Drehen lösen Sie die Drehung aus. Der Knopf freie Achse festlegen... öffnet einen Dialog, mit dessen Hilfe die freie Achse zu definieren ist.

Tip

Durch wiederholtes Drücken des Knopfes Drehen führen Sie die Drehung mehrfach durch. Nutzen Sie dies z.B. bei der Objektanimation.

Eine detaillierte Beschreibung der Drehung finden Sie im Tutorial.


Normalenvektor ändern...

Ein Normalenvektor ist wichtig für die Weichzeichnung von runden Körpern, die facettiert vom CAD-Programm übergeben wurden.

Beispiel: Ein Zylinder, der als Volumen übertragen wurde, besteht aus vielen Facetten.

Image Normal Vectors1

Über korrekte Normalenvektoren kann man dann die Oberfläche rund darstellen.

Image Normal Vectors2

Tip

Die Auswertung der Normalenvektoren erfolgt ab der Darstellung im Gouraud-Rendering.

Hier ist etwas Theorie nötig:

Der Normalenvektor steht immer senkrecht auf einer Fläche. Bei dem facettierten Zylinder besteht zwischen benachbarten Flächen ein Winkel zwischen den Normalenvektoren:

Diesen Winkel zwischen den Normalenvektoren der Facetten nennt man Grenzwinkel. Über den Grenzwinkel bestimmen Sie, bis zu welcher Winkeldifferenz die Normalenvektoren zusammengefasst werden, so dass ein weicher Übergang zwischen den Flächen entsteht. Ist der Winkel größer als der Grenzwinkel, wird eine Kante dargestellt.

Nach Anwahl der Funktion öffnet sich folgender Dialog:

Dialog Normal Vectors

Über Normalen für ebene Flächen berechnen bestimmen Sie die so genannten Flächennormalen für ebene Flächen. Dadurch werden die Facetten immer kantig dargestellt. Es handelt sich um die Umkehrung der Option Normalen für runde Objekte berechnen.

Mit Hilfe von Richtung der Normalen umkehren kehren Sie die Normalenrichtung um. In manchen Fällen sind die Normalen nicht vom Körper weg gerichtet sondern zeigen in den Körper hinein. Im ungünstigsten Fall führt dies dazu, dass der Körper immer dunkler wird, je höher die Intensität des Lichtes ist, die ihn beleuchtet und umgekehrt. Dann müssen Sie die betroffenen Flächen in die Auswahl aufnehmen und die Normalenrichtung umdrehen.

Normalen für runde Objekte berechnen ist die Berechnung, die beim Einlesen automatisch ausgelöst wird, um die facettierten Körper rund darzustellen. Hier können Sie im Nachhinein den Grenzwinkel verändern.

Tip

Wenn Sie alle runden Körper auch wirklich rund darstellen wollen, geben Sie hier einen möglichst großen Winkel (z.B. 80o) ein. Eine rechtwinklige Ecke (Winkel 90o) wird dann als Kante dargestellt, alle anderen runden Körper rund.

Über die Option Analyse über Objektränder hinaus bestimmen Sie, dass die Zusammenfassung der Normalen nicht nur innerhalb eines CAD-Objektes sondern übergreifend auch über umliegende Objekte erfolgen soll.

Tip

Wie gut, dass Sie sich für GAMMA-RAY entschieden haben. Durch verschiedene Automatismen beim Einlesen, die nur durch die enge Kopplung zwischen CAD-Programmen und GAMMA-RAY möglich ist, sind die Normalenvektoren richtig ausgerichtet. Dadurch ist eine nachträgliche Manipulation der Normalenvektoren nur äußerst selten nötig.

Tip

Auch für die Darstellung nach einer Tageslichtberechnung sind korrekte Normalenvektoren besonders wichtig. Durch mangelhafte Daten des CAD-Programms ArCon kommt es im Bereich von Fenstern in ArCon-Projekten zu fehlerhaften Darstellungen, nachdem Tageslicht berechnet wurde. In solchen Fällen müssen Sie die Normalenvektoren über die Option Normalen für runde Objekte berechnen korrigieren.

Tip

Sind Normalenvektoren total falsch, ist es eventuell nötig, zuerst die Normalen für ebene Flächen zu berechnen und dann die Normalen für runde Objekte zu berechnen.

In seltenen Fällen kann es vorkommen, dass auch dann noch falsche Normalenvektoren die Darstellung negativ beeinflussen. Wenden Sie sich in diesem Fall an den Hersteller Ihres CAD-Programms.


In Dreiecke aufteilen

Attention

Diese Einstellungen sind nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Diese Funktionen teilen alle Flächen der Auswahl in Dreiecke auf. Verwenden Sie die Dreieckszerlegung für nicht ebene Flächen im Projekt, die zu Fehlern in der Beleuchtung oder Schattenberechnung führen. Solche nicht ebenen Flächen werden beispielsweise über die DXF-Schnittstelle eingelesen.

Right Mouse Menu Selection Triangulate


Komplette Auswahl in Dreiecke aufteilen

Alle Flächen der Auswahl werden in Dreiecke aufgeteilt. Diese Funktion erzeugt größere Datenmengen als die Funktion Nur nicht ebene Flächen in Dreiecke aufteilen, hat jedoch keine Probleme mit sich überschneidenden Flächen.


Nur nicht ebene Flächen in Dreiecke aufteilen

Es werden nur die Flächen der Auswahl in Dreiecke aufgeteilt, die nicht eben sind. Über diese Funktion werden geringere Datenmengen als bei Komplette Auswahl in Dreiecke aufteilen erzeugt, bei sich überschneidenden Flächen können jedoch Fehler auftreten.


Auswahl korrigieren

Wenn es bei der Darstellung von Projekten Probleme gibt, kann dies an fehlerhaften Geometriedaten liegen. Um dies zu beheben, können Sie ausgewählte Daten korrigieren. Dazu stehen Ihnen folgende Funktionen zur Verfügung:

Menu Correct Selection

Tip

Leider kann nicht garantiert werden, dass nach Anwendung dieser Funktionen alle Probleme, die auf fehlerhaften Geometriedaten beruhen, behoben sind. Daher ist es besser, solche Fehler direkt in der Konstruktion zu beheben.


Normalen korrigieren

Wenn sich nach der Tageslichtberechnung auffällige Schlieren auf Flächen zeigen, kann dies ein Zeichen dafür sein, dass die sogenannten Normalenvektoren, die vom CAD-Programm übergeben wurden, nicht korrekt sind. Diese sind jedoch besonders wichtig für eine Lichtberechnung. Beispielsweise werden aus dem CAD-Programm ArCon immer wieder Normalen übergeben, die parallel zu den Flächen sind, was mathematisch vollkommen falsch ist. Den Fehler erkennt man schon in der einfachen Farbdarstellung.

Obwohl alle Fenster das gleiche Material besitzen, werden sie mit unterschiedlichen Farben dargestellt.

Um dies zu beheben, nehmen Sie alles in die Auswahl auf und wählen den Menüpunkt Auswahl korrigieren->Normalen korrigieren.

Right Mouse Menu Selection Correct Correct Normals

Nach erfolgter Korrektur

Message Normals corrected

werden die Fenster richtig dargestellt.


Identische Flächen löschen

Ein Renderer hat immer in solchen Bereichen Probleme bei der Darstellung, in denen Flächen identisch aufeinander liegen. Dann kann nicht entschieden werden, welche die obere (sichtbare) und welche die untere (verdeckte) Fläche ist. In diesen Fällen wird dann eher zufällig entweder die obere oder die untere Fläche dargestellt, was zu unerwünschten Schmiereffekten führt. So kann es bei der Tageslichtberechnung zu dunklen Flecken kommen, weil zwar die eine der doppelten Flächen beleuchtet wurde, aber die andere, dunkle Fläche dargestellt wird. Wenn die Flächen unterschiedliche Materialien besitzen, kann je nach Kamerasicht entweder das eine oder das andere Material angezeigt werden. Es kommt sogar zu unterschiedlichen Darstellung auf einer einzelnen Fläche.

Um dies zu verhindern, nehmen Sie alles in die Auswahl auf und wählen die Funktion Auswahl korrigieren->identische Flächen löschen.

Right Mouse Menu Selection Correct Delete Identical Polygons

Doppelte Flächen werden dadurch entfernt.

Message Identical Polygons deleted

Die störenden Schatten bei den Fensterrahmen sind verschwunden. Wenn Sie das Tageslicht nun in normaler Flächenqualität berechnen, ist das Ergebnis in Ordnung.


Identische Flächen auswählen

Ein Renderer hat immer in solchen Bereichen Probleme bei der Darstellung, in denen Flächen identisch aufeinander liegen. Dann kann nicht entschieden werden, welche die obere (sichtbare) und welche die untere (verdeckte) Fläche ist. In diesen Fällen wird dann eher zufällig entweder die obere oder die untere Fläche dargestellt, was zu unerwünschten Effekten führt. So kann es bei der Tageslichtberechnung zu dunklen Flecken kommen, weil zwar die eine der doppelten Flächen beleuchtet wurde, aber die andere, dunkle Fläche dargestellt wird. Wenn die Flächen unterschiedliche Materialien besitzen, kann je nach Kamerasicht entweder das eine oder das andere Material angezeigt werden. Es kommt sogar zu unterschiedlichen Darstellung auf einer Fläche.

Um dies zu analysieren, nehmen Sie solche Bereiche über diese Funktion in die Auswahl auf. Mit der Funktion Auswahl darstellen lassen Sie sich anzeigen, welche identischen Flächen gefunden wurden. Sie können dann erkennen, wo Sie eventuell konstruktive Fehler gemacht haben. Die Auswahl kann anschließend gelöscht werden.


Auswahl zusammenfassen

Das CAD-Programm gibt für die Objekte über die Datenschnittstelle Strukturierungen vor, die während der Planung vorgenommen wurden. Diese lassen sich im Nachhinein ändern.

Wählen Sie die gewünschten Flächen aus und fassen Sie sie neu zusammen:

Right Mouse Menu Selection Combine

Tip

Über die beiden unteren Funktion reduzieren Sie die Daten, indem Polygone, die in einer Ebene liegen, zu einem Polygon kombiniert werden. Dadurch fassen Sie z.B. unnötige Dreiecke zu Polygonen zusammen, was die Darstellung und Berechnung beschleunigt.


zu neuem Objekt

Flächen können zu Objekten zusammengefasst werden. So ist eine Strukturierung des Projekts möglich. Dem kompletten Objekt kann dann ein Material zugeordnet werden (über die Einstellung Zuordnung auf ein Objekt der Material-Auswahl).

Alle Flächen dieses Objekts können in die Auswahl aufgenommen werden, indem Sie die Funktion Auswählen durch Anklicken eines Objekts aufrufen und dann eine Fläche des gewünschten Objekts mit der Maus anklicken.

Um Flächen, die unterschiedlichen Objekten zugeordnet sind, zu einem Objekt zu verschmelzen, laden Sie diese Flächen in die Auswahl und erzeugen aus dieser Auswahl ein neues Objekt. Dies benötigen Sie z.B. für die Animation von Objekten, da eine Animationsbewegung immer nur für ein Objekt erstellt werden kann.


zu neuer Gruppe

Flächen können zu Gruppen zusammengefasst werden. So ist neben den Objekten eine weitere Strukturierung des Projekts möglich. Der kompletten Gruppe kann dann ein Material zugeordnet werden (über die Einstellung Zuordnung auf eine Gruppe der Material-Auswahl). Alle Flächen dieser Gruppe können in die Auswahl aufgenommen werden, indem Sie die Funktion Auswählen durch Anklicken einer Gruppe aufrufen und dann eine Fläche der gewünschten Gruppe mit der Maus anklicken.

Um Flächen, die unterschiedlichen Gruppen zugeordnet sind, zu einer Gruppe zu verschmelzen, laden Sie diese Flächen in die Auswahl und erzeugen aus dieser Auswahl eine neue Gruppe.


zu neuer Text-Info...

Zu den ausgewählten Körpern und Flächen lassen sich alphanumerische Informationen anhängen. Diese werden dann über den Maus-Modus Info-Modus angezeigt.

Wählen Sie also die gewünschten Objekte aus,

rufen Sie dann die Funktion zu neuer Text-Info... auf und geben Sie den gewünschten Text ein:

Tip

Um für einen mehrzeiligen Text einen Zeilenumbruch zu erzeugen, verwenden Sie die Tastenkombination Strg + Return.

Dieser Text wird nach Klick auf OK der aktuellen Auswahl zugeordnet.

Im Maus-Modus Info-Modus (erreichbar über den Tastaturbefehl Strg+I) erhalten Sie die soeben eingegebenen Informationen, wenn Sie den Cursor über das Objekt bewegen:

Der Text hat zu viele Zeilen (mehr als 10), so dass er nicht vollständig angezeigt wird. Um ihn komplett lesen zu können, klicken Sie doppelt auf das Objekt. Dann kann der Text auch editiert werden.


benachbarte Flächen in einer Ebene

Oftmals werden Objekte in CAD-Programmen durch sehr viele Polygone repräsentiert. Mit dieser Polygonanzahl soll im CAD-Programm z.B. eine runde Oberfläche dargestellt werden. In GAMMA-RAY kommt man mit viel weniger Polygonen aus, da die Oberflächen über die Normalenvektoren weich erscheinen. Auch ist es nicht nötig, die Flächen in Dreiecken darzustellen. Im Gegensatz zu anderen Renderern kann GAMMA-RAY beliebige Polygone darstellen. Es macht daher Sinn, die Anzahl der Polygone zu reduzieren. Laden Sie die entsprechenden Körper und Objekte in die Auswahl und rufen Sie diese Funktion auf.

Im Rendering, bei der Tageslichtberechnung und auch bei der Darstellung in der VR-Machine werden die Berechnungszeiten dadurch stark reduziert.

Im Gegensatz zu der Funktion beliebige Flächen in einer Ebene werden nur Flächen zusammengefasst, die auch tatsächlich aneinander grenzen, d.h. eine gemeinsame Kante haben. Dadurch werden unter Umständen weniger Flächen zusammengefasst, die Fehleranfälligkeit ist aber auch geringer.


beliebige Flächen in einer Ebene

Oftmals werden Objekte in CAD-Programmen durch sehr viele Polygone repräsentiert. Mit dieser Polygonanzahl soll im CAD-Programm z.B. eine runde Oberfläche dargestellt werden. In GAMMA-RAY kommt man mit viel weniger Polygonen aus, da die Oberflächen über die Normalenvektoren weich erscheinen. Auch ist es nicht nötig, die Flächen in Dreiecken darzustellen. Im Gegensatz zu anderen Renderern kann GAMMA-RAY beliebige Polygone darstellen. Es macht daher Sinn, die Anzahl der Polygone zu reduzieren. Laden Sie die entsprechenden Körper und Objekte in die Auswahl und rufen Sie diese Funktion auf.

Im Rendering, bei der Tageslichtberechnung und auch bei der Darstellung in der VR-Machine werden die Berechnungszeiten dadurch stark reduziert.

Im Gegensatz zu der Funktion benachbarte Flächen in einer Ebene werden alle Flächen zusammengefasst, die in einer Ebene liegen. Diese müssen nicht notwendigerweise nebeneinander liegen. Dadurch werden unter Umständen mehr Flächen einer Ebene zusammengefasst, im ungünstigsten Fall kann es aber auch zu Fehlern kommen.


Lupen-Modus

Icon: Icon Pixel Zoom

Cursorsymbol: Cursor Pixel Zoom

Tastaturbefehl: Strg+E

Ein berechnetes Bild kann in der Darstellung (also auf Pixelbasis) vergrößert oder verkleinert werden. Wenn Sie im Lupen-Modus innerhalb des Ausgabefensters auf die linke Maustaste klicken, vergrößern Sie das Bild. Dies wird auch in der Titelzeile des Fensters angezeigt.

Ein Vergrößern ist in den Stufen 2:1 bis 10:1 möglich.

Wenn Sie die Shift-Taste der Tastatur drücken und innerhalb des Ausgabefensters auf die linke Maustaste klicken, verkleinern Sie das Bild.

Ein Verkleinern ist in den Stufen 1:2 bis 1:10 möglich.

Wenn Sie die Strg-Taste der Tastatur drücken und innerhalb des Ausgabefensters auf die linke Maustaste klicken, wird der Mittelpunkt des dargestellten Bildausschnitts auf den angewählten Punkt gelegt.

Sie können auch einen eigenen Zoomausschnitt definieren. Klicken Sie dazu im Lupen-Modus auf die linke Maustaste und ziehen Sie bei gedrückter Maustaste den gewünschten Bereich auf. Nachdem Sie die Maustaste losgelassen haben, wird der entsprechende Zoombereich dargestellt. Bei jedem Aufziehen vergrößern Sie den Zoombereich um eine Stufe. Der Mittelpunkt des aufgezogenen Bereichs bestimmt den Mittelpunkt des gezoomten Bildes.

Wenn Sie die rechte Maustaste klicken, öffnet sich folgendes Menü:

Right Mouse Menu Zoom Mode


Kein Bildzoom (1 : 1)

Zeigt das Bild wieder in der Originalgröße, ohne dass die Zoomschritte einzeln rückgängig gemacht werden müssen.


Bild vergrößern

Vergrößert das Bild, wobei eine der Stufen 2 : 1, 3 : 1 ... bis 10 : 1 direkt anwählbar ist.


Bild verkleinern

Verkleinert das Bild, wobei eine der Stufen 1 : 2, 1 : 3 ... bis 1 : 10 direkt anwählbar ist.


Pan-Modus

Icon: Icon Pan Mode

Cursorsymbol: Cursor Pan Mode

Tastaturbefehl: Strg+P

Wenn ein Bild so groß ist, dass es nicht komplett im Darstellungsfenster angezeigt werden kann, verschieben Sie es im Pan-Modus innerhalb des Fensters.

Halten Sie die linke Maustaste gedrückt, um das Bild zu verschieben.

Wenn Sie die rechte Maustaste klicken, öffnet sich folgendes Menü:

Right Mouse Menu Pan Mode


Textur-Modus

Icon: Icon Texture Mode

Cursorsymbol: Cursor Selection Mode

Tastaturbefehl: Strg+T

Über die Materialeigenschaften lassen sich die Einstellungen der Materialien ganz genau festlegen. Hier geben Sie unter anderem die exakte Größe eines Texturbildes in der realen Welt an, um das Material größenrichtig darzustellen.

Wenn es Ihnen nicht darauf ankommt, die genaue Größe vorzugeben, haben Sie auch die Möglichkeit, Größe, Position und Richtung des Texturbildes mit der Maus zu verändern.

Wenn Sie die rechte Maustaste klicken, öffnet sich folgendes Menü:

Right Mouse Menu Textur Mode


Texturbild verschieben

Das Texturbild des aktuell angewählten Materials (in der Material-Auswahl farblich unterlegt angezeigt) wird auf der Oberfläche verschoben. Dabei verändert sich die Position der Textur.

Diese Funktion eignet sich, wenn das Texturbild an einer bestimmten Stelle beginnen soll.


Texturbild drehen

Das Texturbild des aktuell angewählten Materials (in der Material-Auswahl farblich unterlegt angezeigt) wird auf der Oberfläche gedreht. Dabei verändert sich die Richtung der Textur.


Texturbild skalieren

Die Größe des Texturbildes des aktuell angewählten Materials (in der Material-Auswahl farblich unterlegt angezeigt) wird verändert. Eine Mausbewegung nach links / oben verkleinert die Textur horizontal / vertikal, eine Mausbewegung nach rechts / unten vergrößert die Textur horizontal / vertikal.


Umgebungstextur-Modus

Icon: Icon Environment Texture Mode

Cursorsymbol: Cursor Selection Mode

Tastaturbefehl: Strg+U

Bei den Einstellungen für die Umgebung lassen sich die Einstellungen der Umgebungsbilder ganz genau einstellen. Hier verändern Sie unter anderem die Größe eines Umgebungsbildes.

Wenn es Ihnen nicht darauf ankommt, die genaue Größe vorzugeben, haben Sie auch die Möglichkeit, Größe, Position und Richtung des Umgebungstexturbildes mit der Maus zu verändern.

Wenn Sie die rechte Maustaste klicken, öffnet sich folgendes Menü:

Right Mouse Menu Environment Textur Mode


Umgebungstexturbild verschieben

Das aktuell angewählte Umgebungstexturbild (in der Umgebungsliste farblich unterlegt angezeigt) wird verschoben. Dabei verändert sich die Position der Umgebungstextur.

Diese Funktion eignet sich, wenn die Umgebungstextur an einer bestimmten Stelle beginnen soll.


Umgebungstexturbild drehen

Das aktuell angewählte Umgebungstexturbild (in der Umgebungsliste farblich unterlegt angezeigt) wird gedreht. Dabei verändert sich die Richtung der Umgebungstextur.


Umgebungstexturbild skalieren

Die Größe des aktuell angewählten Umgebungstexturbildes (in der Umgebungsliste farblich unterlegt angezeigt) wird verändert. Eine Mausbewegung nach links / oben verkleinert die Umgebungstextur horizontal / vertikal, eine Mausbewegung nach rechts / unten vergrößert die Umgebungstextur horizontal / vertikal.


Zuordnungs-Modus

Icon: Icon Assign

Cursorsymbol: Cursor Selection Mode

Tastaturbefehl: Strg+N

Wenn Sie ein Material auf mehrere Kennungen, Objekte, Flächen, ... zuordnen wollen, verwenden Sie den Zuordnungs-Modus. Hier weisen Sie das angewählte Material mehrfach zu, ohne immer wieder den Cursor in die Material-Auswahl zurück bewegen zu müssen. Das Material "hängt" am Cursor. Klicken Sie einfach die Kennungen, Objekte, Flächen, ... an. Das Material wird sofort zugewiesen. Um ein anderes Material für diesen Modus auszuwählen, müssen Sie es lediglich in der Material-Auswahl anwählen. Dann steht es zur Zuweisung bereit.

Wenn Sie die rechte Maustaste klicken, öffnet sich folgendes Menü:

Right Mouse Menu Material Assignment Mode


Material mit der Maus anklicken...

Tastaturbefehl: F2

Sie können an jedem Material Änderungen an den Materialeigenschaften vornehmen. Das Material muss angewählt werden. Dazu können Sie natürlich einfach das entsprechende Material in der Material-Auswahl mit der linken Maustaste anklicken. Wenn Sie jedoch das Material, mit dem ein Objekt belegt ist, nicht auf Anhieb kennen, wählen Sie es einfach mit dieser Funktion an. Nach Aufruf der Funktion klicken Sie eine Fläche an, die das Material besitzt, das Sie ändern wollen. Anschließend wird das angeklickte Material in der Material-Auswahl farblich unterlegt angezeigt und kann bearbeitet werden.

Wenn Sie auf ein transparentes Material klicken, können Sie entscheiden, ob Sie das vordere transparente oder ein dahinter liegendes Material wählen wollen.

Dialog Transparent Material Selected

Von oben nach unten werden die transparenten Materialien aufgelistet. Das transparente Material mat_005 liegt also vor dem nicht transparenten Material mat_004.


Materialeigenschaften...

Tip

Diese Funktion können Sie auch aufrufen, indem Sie ein Material in der Material-Auswahl mit der linken Maustaste doppelt anklicken.

Ein Material wird durch seine Materialeigenschaften beschrieben. Das endgültige Erscheinungsbild des Materials wird von zahlreichen Faktoren bestimmt. Diese ergänzen sich additiv.

Tip

Wenn Sie die Materialeigenschaften eines Materials verändern, werden diese Änderungen für alle Flächen übernommen, die dieses Material besitzen. Die Veränderungen beziehen sich also auf das Material und nicht auf einzelne Flächen.

Wenn Sie ein Material, das auch anderen Objekten zugeordnet ist, für ein einzelnes Objekt verändern wollen, müssen Sie zuerst ein neues Material erzeugen, dieses verändern und dann dem gewünschten Objekt zuweisen.

Der Dialog der Materialeigenschaften unterscheidet einzelne Gruppen. Wenn Sie die Materialeigenschaften für ein zweidimensionales Material ändern wollen, erscheint folgender Dialog:

Dialog Material Properties

Im rechten Teil des Dialogs erhalten Sie eine Vorschau des definierten Materials. Über die Auswahlliste Vorschaubild haben Sie folgende Einstellmöglichkeiten:

Menu Preview Images

Sie bestimmen hier, welches Aussehen das Materialvorschaubild erhält. Da verschiedene Eigenschaften wie z.B. Glanz erst auf runden Objekten wirken, sollten Sie bei Bedarf auf den Vorschautyp umschalten, der dem Objekt, das Sie mit dem Material belegen wollen, am nächsten kommt.

Tip

In den Materialkatalogen, die bei GAMMA-RAY mitgeliefert werden, sind die zweidimensionalen Bitmaptexturen immer in der Einstellung auf Probefläche dargestellt, während dreidimensionale prozedurale Materialien auf einer Kugel abgebildet sind.

Bei der Einstellung auf Probefläche wird das Material so dargestellt, wie es auf einer Probefläche angezeigt werden würde. Die Ausdehnung der Probefläche legen Sie über den Menüpunkt Bildgröße setzen... der Material-Auswahl fest. Das Material ist hier entsprechend den Einstellungen für die Texturgröße größenrichtig zu sehen.

Bei der Einstellung Benutzerdefiniert können eigene 3D-Körper als Vorschaukörper definiert werden. Diese Körper müssen als .ray und .par Dateien in dem Verzeichnis Installationsverzeichnis\Prog_19\Preview abgelegt werden. Nach der Programminstallation sind Kugeln als benutzerdefinierte Körper abgelegt. Die Namen der Dateien lauten Kugel_10, Kugel_11 und Kugel_12. Wenn Sie ein eigenes 3D-Objekt stattdessen anzeigen wollen, muss dieses am Ende des Dateinamens die jeweilige Zahl (also 10, 11 oder 12) erhalten und das Material muss den Namen mat_001 besitzen.

Die Option zentriert darstellen ist nur bei 3D-Texturen und bei den Einstellungen auf Probefläche und als Bild verfügbar. Ist sie aktiviert, werden die Texturen bei diesen Darstellungen zentriert.


Vorschaufenster

Zeigt das aktuelle Material in einem eigenen Vorschaufenster an.

In diesem Fenster kann die Ansicht auf das 3D-Objekt dann gemäß den Einstellungen, die durch Drücken der rechten Maustaste gewählt werden können, manipuliert werden.

Menu Preview Window

Nach Anwahl der gewünschten Option verändern Sie die Ansicht dann über die linke Maustaste. Eine Beschreibung der Einstellungen finden Sie beim Maus-Modus Kamera-Dreh-Modus .


Zuordnung auf eine Kennung

Der Begriff Kennung bezeichnet die Strukturierung, die aus den Daten des CAD-Programms übernommen wird.

Wenn der Menüpunkt Zuordnung auf eine Kennung aktiviert ist (sichtbar an dem Häkchen, das diesem Menüpunkt vorangestellt ist), wird das Material, das Sie per Drag & Drop auf eine Fläche ziehen, allen Flächen, die eine gleiche Kennung wie diese Fläche besitzen, zugewiesen.

Tip

GAMMA-RAY bietet Ihnen mit dem Menüpunkt Ausgewählte Kennungen darstellen im Menü Darstellung die Möglichkeit, einzelne Kennungen anzuzeigen, um sich so einen Überblick über die Kennungsstruktur zu verschaffen.


Zuordnung auf ein Material

Ist dieser Menüpunkt aktiviert (sichtbar an dem Häkchen, das diesem Menüpunkt vorangestellt ist), wird das Material, das Sie per Drag & Drop auf eine Fläche ziehen, allen Flächen, die das gleiche Material wie diese Fläche besitzen, zugewiesen.

Tip

Über diese Funktion können Sie sehr schnell Materialien tauschen, also z.B. einen Teppichboden im gesamten Haus durch Parkettboden ersetzen, obwohl die Bodenflächen unterschiedliche Kennungen besitzen.


Zuordnung auf eine Gruppe

GAMMA-RAY fasst intern Flächen zu Gruppen zusammen. Gruppen lassen sich auch über die Auswahlfunktion bilden.

Ist dieser Menüpunkt ausgewählt (sichtbar an dem Häkchen, das diesem Menüpunkt vorangestellt ist), wird das Material, das Sie per Drag & Drop auf eine Fläche ziehen, allen Flächen, die zu der gleichen Gruppe wie diese Fläche gehören, zugewiesen.


Zuordnung auf ein Objekt

Neben der Kennungsstruktur kann über die Datenschnittstelle des CAD-Programms auch noch eine Objektstruktur übertragen werden. Zusätzlich können Sie über die Auswahlfunktion selbst Flächen zu Objekten zusammenfassen.

Ist dieser Menüpunkt ausgewählt (sichtbar an dem Häkchen, das diesem Menüpunkt vorangestellt ist), wird das Material, das Sie per Drag & Drop auf eine Fläche ziehen, allen Flächen, die zu dem gleichen Objekt wie diese Fläche gehören, zugewiesen.


Zuordnung auf eine Fläche

Eine Fläche ist das kleinste Strukturierungselement zur Zuweisung eines Materials.

Ist dieser Menüpunkt aktiviert (sichtbar an dem Häkchen, das diesem Menüpunkt vorangestellt ist), wird das Material, das Sie per Drag & Drop auf eine Fläche ziehen, genau dieser Fläche zugeordnet.

Tip

Bei manchen Schnittstellen (DXF-3D, VRML, STL, ...) werden Flächen in Dreiecke zerlegt. Wenn Sie also ein Material auf eine Fläche zuweisen, wird das jeweilige Dreieck mit dem Material belegt.


Zuordnung auf ein Teilprojekt

Wenn Sie zu dem eingelesenen Projekt weitere Objekte hinzufügen, werden diese als Teilprojekte verwaltet.

Ist dieser Menüpunkt aktiviert (sichtbar an dem Häkchen, das diesem Menüpunkt vorangestellt ist), wird das Material, das Sie per Drag & Drop auf eine Fläche ziehen, allen Flächen, die zu dem gleichen Teilprojekt wie diese Fläche gehören, zugewiesen.


Zuordnung auf eine Auswahl

Flächen und Objekte lassen sich in die Auswahl aufnehmen, um an ihnen Manipulationen vorzunehmen. Die Auswahl kann jedoch auch dazu dienen, um allen ausgewählten Objekten ein neues Material zuzuordnen.

Ist dieser Menüpunkt aktiviert (sichtbar an dem Häkchen, das diesem Menüpunkt vorangestellt ist), wird das Material, das Sie per Drag & Drop auf eine Fläche ziehen, allen Flächen, die sich in der Auswahl befinden, zugeordnet.

Attention

Wenn diese Funktion aktiviert ist, jedoch die Auswahl leer ist, kann das Material nur dem Hintergrund zugeordnet werden. Der Einsteiger wundert sich hier, warum das Material, das er per Drag & Drop auf eine Fläche zieht, vom Programm nicht als Material für das Projekt angenommen wird.


Zuordnung auf eine Bildauswahl

Im Menü Darstellung können Sie verschiedene Bildfilter setzen, um eine Bildauswahl zu treffen. Es werden dann nur die über die Filter gewählten Elemente des Projekts angezeigt.

Ist dieser Menüpunkt angewählt (sichtbar an dem Häkchen, das diesem Menüpunkt vorangestellt ist), wird das Material, das Sie per Drag & Drop auf eine Fläche ziehen, allen Flächen, die über die Bildauswahl aktuell dargestellt werden, zugeordnet.

Attention

Es gibt Fälle, in denen die Bildauswahl geleert ist, dies aber noch nicht dargestellt wird, weil kein neuer Bildaufbau erzeugt wurde. Wenn diese Funktion aktiviert ist und dieser Fall eintritt, kann das Material nur dem Hintergrund zugeordnet werden. Der Einsteiger wundert sich hier, warum das Material, das er per Drag & Drop auf eine Fläche zieht, vom Programm nicht als Material für das Projekt angenommen wird.


Zuordnung ersetzt das bisherige Material

Dies ist die Standardeinstellung für die Materialzuweisung. Wenn Sie ein Material zuweisen, wird das bisherige Material durch das neue Material ersetzt.


Schicht auf die sichtbare Seite zufügen

Ist dieser Menüpunkt aktiviert, fügen Sie zu dem Material, auf das Sie ein anderes zuweisen, eine weitere Materialschicht hinzu. Das bisherige Material bleibt also erhalten und wird mit einer weiteren Schicht überlagert. Die neue Schicht sollte transparente Bereiche (erzeugt über die Bluescreen-Technik) aufweisen, damit an diesen Stellen das darunter liegende Material zum Vorschein kommen kann.

Das Material wird nur der sichtbaren Seite des Basis-Materials zugeordnet.


Schicht auf beide Seiten zufügen

Ist dieser Menüpunkt aktiviert, fügen Sie zu dem Material, auf das Sie ein anderes zuweisen, eine weitere Materialschicht hinzu. Das bisherige Material bleibt also erhalten und wird mit einer weiteren Schicht überlagert. Die neue Schicht sollte transparente Bereiche (erzeugt über die Bluescreen-Technik) aufweisen, damit an diesen Stellen das darunter liegende Material zum Vorschein kommen kann.

Das Material wird dem Basis-Material komplett zugeordnet.


Render-Modus

Icon: Icon Render Mode

Cursorsymbol: Cursor Render Mode

Tastaturbefehl: Strg+R

Bei extrem großen Projekten kann ein neuer Bildaufbau längere Zeit beanspruchen. Daher ist es möglich, mit dem Render-Modus einen bestimmten Bildbereich aufzuziehen, der dann separat gerendert wird. Das übrige Bild bleibt unberührt.

Sobald Sie den Modus angewählt haben, bewegen Sie den Mauscursor auf den unteren linken Punkt des Bereichs, der neu gerendert werden soll. Anschließend drücken Sie die linke Maustaste und ziehen einen Bereich auf. Sobald Sie die linke Maustaste wieder loslassen, wird der Bereich, den Sie aufgezogen haben, neu berechnet.

Tip

Da dieser Modus nur benötigt wird, um Bereiche im finalen Bild neu zu berechnen, wird beim Render-Modus automatisch in der Qualität der Optimaldarstellung gerechnet.

Right Mouse Menu Render Mode


Info-Modus

Icon: Icon Info Mode

Cursorsymbol: Cursor Selection Mode

Tastaturbefehl: Strg+I

Zu den Objekten des Projekts können alphanumerische Informationen hinzugefügt werden. Solche Informationen übertragen Sie entweder aus dem CAD-Programm oder geben sie in GAMMA-RAY ein. Um diese Informationen im Projekt anzuzeigen, bewegen Sie den Cursor im Info-Modus über die Objekte. Die Informationen werden dann auf einem kleinen Feld am Cursor angezeigt.

Wenn der Text zu lang ist bzw. zu viele Zeilen enthält, wird er rechts und unten abgeschnitten. Um den kompletten Text lesen zu können, klicken Sie doppelt auf das gewünschte Objekt. Es öffnet sich dann ein Dialog, in dem der Text komplett dargestellt wird.

Wenn Sie die rechte Maustaste klicken, öffnet sich folgendes Menü:

Right Mouse Menu Info Mode


Bildhelligkeit einstellen

Icon Image Brightness

Die Helligkeit der berechneten Bilder lässt sich nachträglich verändern.

Tip

Die Helligkeit von Bildern, die in der HDRI-Darstellung berechnet wurden, wird in Echtzeit verändert. Sind die Bilder in einer anderen Qualität erzeugt worden, ändert sich die Helligkeit erst nach einem erneuten Bildaufbau.

Dialog Image Brightness

Attention

Beachten Sie, dass durch diese Einstellungen das Bild insgesamt beeinflusst wird. Bei einer Erhöhung der Helligkeit kann dies dazu führen, dass die Darstellung von dunklen Materialien und Bildern verfälscht wird. Um dies zu verhindern, sollten Sie die Lichthelligkeit erst über den Tageslichtkontrast einstellen und dann bei Bedarf die Bildhelligkeit fein abstimmen.


Navigation: Die Icons > Bildhelligkeit einstellen >

Return to chapter overview

Helligkeit

Über diesen Schieberegler passen Sie die Bildhelligkeit an.


Navigation: Die Icons > Bildhelligkeit einstellen >

Return to chapter overview

Kontrast

Über diesen Schieberegler passen Sie den Bildkontrast an.


Beleuchtungsautomatik verwenden

Wenn Sie auf den Knopf Beleuchtungsautomatik verwenden klicken, wird der Wert für die Bildhelligkeit automatisch aus der aktuellen Beleuchtung bestimmt. Dieser eignet sich sehr gut als Basis, von der ausgehend man noch mal feine Änderungen vornehmen kann.


diese Helligkeit für VR übernehmen

Wenn Sie die Option diese Helligkeit für VR übernehmen aktivieren, werden die Einstellungen auch in der VR-Machine verwendet, eine Änderung der Bildhelligkeit in Echtzeit ist in der HDRI-Darstellung dann aber nicht mehr möglich.


Hintergrund auch ändern

Manchmal ist es gewünscht, dass das Hintergrundbild in gleichem Maße aufgehellt werden soll wie das Projekt. Aktivieren Sie in solchen Fällen diese Option.


Darstellung wie bei Digitalkamera

Bei Bildern von Digitalkameras ist es oft zu sehen, dass helle Bereiche übersteuert weiß dargestellt werden. Diesen Effekt erzielen Sie durch Aktivierung dieser Option.

Image Brightness like in Photo

Bei abgeschalteter Option erscheinen diese Bereiche nicht weiß sondern farbig.


Grauschattierung

Wenn Sie das berechnete Bild nur in Graustufen darstellen wollen, aktivieren Sie diese Option.

Image Daylight Brightness


Quellwerte

In diesem Diagramm sehen Sie, wie das Licht im Projekt verteilt ist. In der unteren Zeile erkennen Sie drei unterschiedliche Pfeile:

Black Triangle | Intensität des dunkelsten Bildpunktes
Grey Triangle | mittlere Intensität im Bild
White Triangle | Intensität des hellsten Bildpunktes

Über diese Intensitäten bestimmen Sie genau, in welchen Bereichen eine Einstellung der Bildhelligkeit erfolgen soll. Schieben Sie dazu den schwarzen und den weißen Pfeil an den Anfang und das Ende des Bereiches der Quellwerte.

Tip

Oftmals liegt der Bereich der Bildhelligkeit rechts neben dem schwarzen Pfeils und links neben dem weißen Pfeil. Verschieben Sie die Pfeile an den Bereich heran, damit die Helligkeit feiner eingestellt werden kann.

Tip

Über den grauen Pfeil verändern Sie den Kontrast.


Lichtmanager

Mit GAMMA-RAY ist es auf einfachste Weise möglich, ein Projekt mit Tageslicht und indirekten Beleuchtungen auszuleuchten. Dadurch erhalten Sie einen realistischen Eindruck der Objekte. Es wird eine natürliche Beleuchtung durch atmosphärisches Licht berechnet. Bei Bedarf fügen Sie noch Kunstlichtquellen hinzu, um bestimmte Bereiche speziell auszuleuchten.


Tageslicht

Dialog Daylight before

Bevor Sie das Tageslicht berechnen lassen, müssen Sie angeben, ob das Licht von außen auf das Projekt leuchten soll (sinnvoll bei der Betrachtung von Gebäuden, Möbeln, Designteilen, ...), oder ob eine Innenbeleuchtung für einen Raum berechnet werden soll.

Auch die Qualität, in der das Tageslicht berechnet werden soll, müssen Sie festlegen.

Tip

Berechnen Sie das Tageslicht zuerst in der Entwurf-Qualität, um einen ersten Eindruck der Beleuchtung zu erhalten. Wenn Sie nachträglich Änderungen an der Geometrie vornehmen, muss eventuell die Tageslichtberechnung erneut durchgeführt werden.

Erst wenn Sie überzeugt sind, dass alle Einstellungen korrekt sind, berechnen Sie das Projekt in höherer Qualität.

Eine genaue Beschreibung zum Einstellen von Lichtverläufen erhalten Sie im Tutorial.


Berechnung der Beleuchtung für

Für die Tageslichtberechnung von GAMMA-RAY werden die Flächen der Objekte in Teilflächen unterteilt. Die Größe der Teilflächen bestimmt die Qualität des Tageslichts. Je kleiner diese Teilflächen sind, um so besser ist die Darstellung des Tageslichts, um so mehr Arbeitsspeicher wird aber auch benötigt und um so länger dauern die Berechnungen. Aus diesem Grund gibt es unterschiedliche Verfahren, durch die man in speziellen Fällen die Qualität verbessern kann, ohne den Speicherbedarf und den Zeitaufwand unnötig zu erhöhen.

Generell unterscheidet man die Außenbeleuchtung von der Innenbeleuchtung. Eine Außenbeleuchtung verwenden Sie, wenn Sie Objekte von außen beleuchten wollen. Über die Innenbeleuchtung werden geschlossene Innenräume beleuchtet, indem das Tageslicht durch die Fenster in den Raum strahlt.


Außen, für Detailausschnitt

Wenn Sie eine Außenbeleuchtung nur für eine bestimmte Sicht berechnen wollen, wählen Sie dieses Verfahren. Es wird dann nur eine Berechnung des Tageslichts aus Kamerasicht erzeugt. Das spart Arbeitsspeicher, da alle Objekte, die sich hinter der Kamera befinden, nicht beleuchtet werden. Dies gilt auch für alle Flächen der sichtbaren Objekte, die von der Kamera abgewandt sind.

Beispiel:

Berechnung Außen, für das komplette Projekt, Normale Flächenqualität

Dialog Daylight Modes1

Berechnung Außen, für Detailausschnitt, Normale Flächenqualität

Dialog Daylight Modes2

Der Speicherbedarf hat sich von 740,8 MB auf 579,7 MB reduziert.

Ein weiterer Vorteil dieser Einstellung ist, dass sich die Qualität des Tageslichts beim Zoomen steigert, da immer der aktuelle Ausschnitt für die Bestimmung der Teilflächengröße verwendet wird.

Beispiel:

Zoom bei Außen, für das komplette Projekt, Normale Flächenqualität

Wenn Sie in ein Detail zoomen, wird dieses mit der Flächenqualität dargestellt, die über die Ausdehnung des kompletten Projekts ermittelt wurde. Da in diesem Fall die Teilflächengröße sehr groß ist, werden kleine Objekte nur grob dargestellt.

Um die Flecken auf den Flächen zu vermeiden, müssten Sie die Flächenqualität auf Optimal stellen.

Zoom bei Außen, für Detailausschnitt, Normale Flächenqualität

Wenn Sie in das Detail zoomen und das Tageslicht für den Detailausschnitt erneut berechnen, wird auch dieses Detail in sehr guter Qualität angezeigt, ohne dass die Flächenqualität angepasst werden muss.

Neben der Speicherersparnis verringert sich also auch die Berechnungszeit, da Sie eine geringere Qualität einstellen können.

Eine genaue Beschreibung zur Außenbeleuchtung mit Tageslicht erhalten Sie im Tutorial.


Außen, für Detailausschnitt - exakt

In dieser Einstellung wird das Tageslicht nur für einen Detailausschnitt berechnet, wobei das exakte Rechenverfahren verwendet wird.

Eine genaue Beschreibung zur Außenbeleuchtung mit Tageslicht erhalten Sie im Tutorial.


Außen, für das komplette Projekt

Damit ein Projekt von allen Seiten von außen mit Tageslicht beleuchtet wird, wählen Sie diese Einstellung. Dann ist es möglich, auch andere Kameraperspektiven zu verwenden, ohne dass das Tageslicht erneut berechnet werden muss.

Im Gegensatz zu der Einstellung Außen, für Detailausschnitt benötigt man für die Berechnung mit dieser Einstellung mehr Arbeitsspeicher.

Tip

Verwenden Sie diese Einstellung also, wenn Sie mehrere Ansichten für das Projekt berechnen und wenn Sie Kameraanimationen, Panoramen oder VR-Projekte erstellen wollen.

Eine genaue Beschreibung zur Außenbeleuchtung mit Tageslicht erhalten Sie im Tutorial.


Außen, für das komplette Projekt - exakt

In dieser Einstellung wird für die Tageslichtberechnung ein anderes Berechnungsverfahren als bei Außen, für das komplette Projekt verwendet. Es eignet sich insbesondere, wenn Sie kleine Objekte beleuchten, die aus vielen kleinen Flächen bestehen. Solche Objekte werden meist im Bereich Maschinenbau / Design erzeugt. Diese werden dann von allen Seiten mit Tageslicht beleuchtet. Aber auch bei der Außenbeleuchtung von Gebäuden ist das Ergebnis unterschiedlich zu Außen, für das komplette Projekt.

Im Gegensatz zu Außen, für das komplette Projekt werden auch kleinste Flächen der Objekte durch das Tageslichts beleuchtet. Jede Fläche geht zumindest einmal in die Berechnung ein, während bei Außen, für das komplette Projekt Teilflächen beleuchtet werden, die auch größer als die kleinsten Flächen sein können.

Entscheiden Sie also selbst, welches der beiden Berechnungsverfahren Sie verwenden wollen.

Im Gegensatz zu der Einstellung Außen, für Detailausschnitt - exakt benötigt man für die Berechnung mit dieser Einstellung mehr Arbeitsspeicher.

Tip

Verwenden Sie diese Einstellung also, wenn Sie mehrere Ansichten für das Projekt berechnen und wenn Sie Kameraanimationen, Panoramen oder VR-Projekte erstellen wollen.

Eine genaue Beschreibung zur Außenbeleuchtung mit Tageslicht erhalten Sie im Tutorial.


Innen, nur für die aktuelle Sicht

Wenn Sie eine Innenbeleuchtung nur für eine bestimmte Sicht berechnen wollen, wählen Sie dieses Verfahren. Es wird dann nur eine Berechnung des Tageslichts aus Kamerasicht erzeugt. Das spart deutlich Arbeitsspeicher und Berechnungszeit in den Fällen, wenn Sie in einem Gebäude, das aus zahlreichen Räumen mit vielen Fenstern besteht, nur eine spezielle Ansicht darstellen wollen. Der Rest, der nicht in der aktuellen Blickrichtung sichtbar ist, wird bei der Berechnung nicht berücksichtigt.

Eine genaue Beschreibung zur Innenbeleuchtung mit Tageslicht erhalten Sie im Tutorial.


Innen, nur für die aktuelle Rundumsicht

Wenn Sie eine Innenbeleuchtung nur für einen Raum eines Gebäudes berechnen wollen, wählen Sie dieses Verfahren. Es wird dann nur eine Berechnung des Tageslichts rund um die Kamerasicht erzeugt. Das spart deutlich Arbeitsspeicher und Berechnungszeit in den Fällen, wenn Sie in einem Gebäude, das aus zahlreichen Räumen mit vielen Fenstern besteht, nur einen speziellen Raum darstellen wollen. Der Rest, der nicht in der direkten Umgebung der Kamera ist, wird bei der Berechnung nicht berücksichtigt.

Diese Einstellung ist optimiert für die Erstellung von Innenpanoramen.

Eine genaue Beschreibung zur Innenbeleuchtung mit Tageslicht erhalten Sie im Tutorial.


Innen, nur für die festgelegten Kameras

Wenn Sie eine Innenbeleuchtung nur für einzelne Räume eines Gebäudes berechnen wollen, wählen Sie dieses Verfahren. Es wird dann nur eine Berechnung des Tageslichts für die festgelegten Kameras erzeugt. Das spart deutlich Arbeitsspeicher und Berechnungszeit in den Fällen, wenn das Gebäude aus zahlreichen Räumen mit vielen Fenstern besteht. Die übrigen Räume werden bei der Berechnung nicht berücksichtigt.

Im Kameradialog bestimmen Sie die Kameras für die Räume, für die eine Innenbeleuchtung berechnet werden sollen.

Eine genaue Beschreibung zur Innenbeleuchtung mit Tageslicht erhalten Sie im Tutorial.


Innen, für das komplette Projekt

Berechnung des Tageslichts, bei der das Licht durch die Fenster in den Raum strahlt. Nach der Berechnung ist das Projekt komplett innen beleuchtet.

Eine genaue Beschreibung zur Innenbeleuchtung mit Tageslicht erhalten Sie im Tutorial.


Qualität Flächen

Für die Tageslichtberechnung werden die einzelnen Flächen der Objekte in Teilflächen unterteilt. Über die Qualität der Flächen bestimmen Sie, wie fein die Unterteilung in diese Teilflächen sein soll.

Die Qualität der Flächenunterteilung stellen Sie in den Stufen Entwurf, Normal und Optimal ein. Entwurf erzeugt die gröbste Unterteilung, Optimal die feinste.

Attention

Mit der Einstellung Entwurf können schon gute Ergebnisse erzielt werden, die mit der Einstellung Normal noch verbessert werden. Verwenden Sie die Einstellung Optimal für die Berechnung des endgültigen Bildes. Bitte beachten Sie aber, dass dabei ein höherer Speicherbedarf auftreten kann. Auch der Zeitaufwand für die Berechnung steigt.

Wenn Sie im Experten-Modus arbeiten, steht die weitere Einstellung Einstellbar zur Verfügung. Über diese kann die Qualität im Dialog Einstellungen individuell angepasst werden.

Attention

Da falsche Einstellungen zu unnötig hohen Berechnungszeiten führen, ist nur für den absoluten Profi empfehlenswert, einstellbare Anpassungen vorzunehmen.


Qualität Fensterflächen

Attention

Diese Einstellung kann nur vorgenommen werden, wenn Sie eine Innenbeleuchtung berechnen.

Für die Innenbeleuchtung strahlt Licht über die Glasfläche von Fenstern in den Innenraum. Über die Qualität der Fensterflächen steuern Sie, wie dicht die Lichtquellen auf dem Fenster angeordnet sind.

Die Qualität der Lichtabstrahlung der Fenster stellen Sie in den Stufen Entwurf, Normal und Optimal ein. Bei Entwurf werden die wenigsten Lichtquellen auf der Glasfläche angeordnet, bei Optimal die meisten.

Attention

Mit der Einstellung Entwurf können schon sehr gute Ergebnisse erzielt werden. Verwenden Sie die Einstellung Optimal nur dann, wenn selbst mit der Einstellung Normal nicht das gewünschte Ergebnis erzielt wird. Bitte beachten Sie aber, dass dabei ein großer Speicherbedarf auftreten kann. Auch der Zeitaufwand für die Berechnung steigt stark an.

Wenn Sie im Experten-Modus arbeiten, steht die weitere Einstellung Einstellbar zur Verfügung. Über diese kann die Qualität im Dialog Einstellungen individuell angepasst werden.

Attention

Da falsche Einstellungen zu unnötig hohen Berechnungszeiten führen, ist nur für den absoluten Profi empfehlenswert, einstellbare Anpassungen vorzunehmen.


Himmel

Attention

Diese Einstellung kann nur vorgenommen werden, wenn Sie eine Außenbeleuchtung berechnen.

Legen Sie die Intensität des Lichts fest, das vom Himmel abgestrahlt wird. In der Regel muss dieser Wert nicht verändert werden.


Umgebung

Bei der Tageslichtberechnung erfolgt die Beleuchtung mit einem weißen Licht. Besondere Stimmungen erzeugen Sie durch das Einfärben des Tageslichts. Dazu können bei der Tageslichtberechnung Eigenschaften für die Umgebung eingestellt werden.

Dialog Environment Outside


Farbe

Das Tageslicht kann über eine Farbe der Umgebung eingefärbt werden. Diese stellen Sie über den Farbeinstellungs-Dialog ein.


Texturdatei

Das Tageslicht kann über ein Texturbild eingefärbt werden. Die einzelnen Farbpunkte beleuchten das Projekt. Es kann sich dabei entweder um ein Bild oder ein Umgebungspanorama handeln.

Wenn Sie eine Texturdatei wählen,

Dialog Daylight Environment6

können Sie z.B. aus vorgegebenen Umgebungspanoramen auswählen. Durch die Panoramen erreichen Sie, dass das Tageslicht für verschiedene Richtungen in verschiedene Farben auf das Projekt strahlt.

Image Daylight Environment7


Texturbild aus den Umgebungs-Einstellungen übernehmen...

Umgebungsbilder und Panoramen, die für die aktuelle Umgebung gewählt wurden, lassen sich für die Farbwahl der Umgebung verwenden. Wenn Sie bei diesem Beispiel

Image Daylight Environment4

die Tageslichtfarbe über das Hintergrundbild bestimmen,

Dialog Daylight Environment3

Dialog Daylight Environment4

kommt die grüne Farbe des Umgebungsbildes stark zur Geltung.

Image Daylight Environment5

Erhöhen Sie die Gamma-Korrektur, um das Bild aufzuhellen.

Dialog Daylight Environment5

Image Daylight Environment6


Navigation: Die Icons > Lichtmanager > Tageslicht > Helligkeit für außen > Umgebung >

Return to chapter overview

Textur-Typ

Zusätzlich bestimmen Sie auch noch, welchen Typ das Umgebungsbild hat:

Menu Texture Mappingtype


Ebene

Entspricht der normalen flächigen Darstellung von Bildern. Jedes Bild, das Sie fotografieren oder einscannen, ist vom Typ Ebene. Wenn Sie das Projekt bewegen, bleibt der Hintergrund fix, er bewegt sich nicht mit.

Die weiteren Einstellungen beziehen sich auf Panoramaumgebungen. Wenn Sie ein Panorama in den Hintergrund des Projekts setzen, erhalten Sie bei einem Schwenk des Projekts einen Rundumblick über den Hintergrund. Panoramen können auf unterschiedliche Art und Weise erzeugt werden. Wenn Sie nicht wissen, auf welcher Basis das Panorama, das Sie verwenden wollen, erzeugt wurde, müssen Sie die unterschiedlichen Textur-Typen durchtesten.


Würfelpanorama

GAMMA-RAY erzeugt Panoramen auf Basis eines Würfels. Dazu werden die sechs Seiten eines Würfels (Seitenflächen, oben, unten) berechnet und dann auf eine Kugel projiziert. Ein Schwenk nach oben und unten ist möglich. Solche Panoramen lassen sich dann auch für die Umgebung verwenden.


Zylinderpanorama

Eine gängige, aber auch aufwändigere Panoramaerzeugung basiert auf einen Zylinder. Hier stellt man eine Kamera in der Mitte der Umgebung auf und nimmt dann einzelne Bilder auf, wobei die Kamera immer um einen bestimmten Winkel gedreht wird. Die Bildanzahl richtet sich somit nach dem Drehwinkel. Ein Schwenk nach oben und unten ist nur eingeschränkt möglich.


Grenzwinkel für die Zylindertextur

Hier geben Sie den vertikalen Öffnungswinkel der Kamera ein, mit der das Panorama aufgenommen wurde. Sie bestimmen dadurch die Höhe des virtuellen Zylinders, auf den das Bild aufgelegt wird.


Kugelpanorama

In seltenen Fällen ist ein Panorama auch auf Basis einer Kugel erzeugt. Hier wird die Kamera auch noch in einer zweiten Ebene gedreht. Ein Schwenk nach oben und unten ist möglich.


Drehung

Drehen Sie das Umgebungsbild / -panorama horizontal und vertikal, um die abgestrahlte Farbe der Umgebung ausrichten zu können.


Gamma-Korrektur

Eine Gamma-Korrektur dient dazu, Bilder aufzuhellen (Werte größer 1) bzw. abzudunkeln (Werte kleiner 1). Aus historischen Gründen wurde bis zur Version 9 von GAMMA-RAY programmintern mit einer Gamma-Korrektur von 2.2 gearbeitet. Da dies immer wieder zu Verwirrungen geführt hatte, wurde es geändert. Aus diesem Grund müssen aber Texturen, die mit früheren Versionen erzeugt wurden, mit einem Gamma-Korrekturwert von 2.2 korrigiert werden.

Tip

Wenn Sie selbst neue Texturen erzeugen, ist natürlich keine Korrektur erforderlich, so dass Sie diesen Wert auf 1.0 belassen können.


Fensterflächen

Attention

Diese Einstellung kann nur vorgenommen werden, wenn Sie eine Innenbeleuchtung berechnen.

Bestimmen Sie hier die Helligkeit, in der das Licht zu den Fensterflächen eintritt. In der Regel muss dieser Wert nicht verändert werden.


Farbe

Das Tageslicht kann über eine Farbe der Umgebung eingefärbt werden. Diese stellen Sie über den Farbeinstellungs-Dialog ein.

Geben Sie dem Bild

Image Daylight Environment1

z.B. einen leichten Blaustich. Dazu wählen Sie für die Umgebung einen hellblauen Farbton.

Dialog Daylight Environment2

Image Daylight Environment2

Oder wollen Sie das Sonnenlicht leicht gelblich andeuten? Dann ändern Sie die Farbe auf hellgelb.

Image Daylight Environment3


Texturdatei

Das Tageslicht kann über ein Texturbild eingefärbt werden. Die einzelnen Farbpunkte beleuchten das Projekt. Es kann sich dabei entweder um ein Bild oder ein Umgebungspanorama handeln.

Wenn Sie eine Texturdatei wählen,

Dialog Daylight Environment6

können Sie z.B. aus vorgegebenen Umgebungspanoramen auswählen. Durch die Panoramen erreichen Sie, dass das Tageslicht für verschiedene Richtungen in verschiedene Farben auf das Projekt strahlt.


Texturbild aus den Umgebungs-Einstellungen übernehmen...

Umgebungsbilder und Panoramen, die für die aktuelle Umgebung gewählt wurden, lassen sich für die Farbwahl der Umgebung verwenden.


Einstellungen...

Für die Beleuchtung mit Tageslicht und indirektem Tageslicht lassen sich folgende Qualitäts-Einstellungen vornehmen:


Tageslicht

Wenn Sie bei der Qualität für die Tageslichtberechnung eine einstellbare Qualität gewählt haben, lassen sich die Einstellungen anpassen.

Dialog Daylight Settings Direct

Wir empfehlen, die Einstellungen nicht zu verändern.


Größe der emfangenden Teilflächen

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Die Qualität für die Tageslichtberechnung wird in entscheidendem Maß durch die Größe der Flächen bestimmt, die das Tageslicht empfangen. Dazu werden die großen Flächen in kleine Teilflächen aufgeteilt. Die Größe berechnet sich durch die Ausdehnung des Projekts. Je nach eingestellter Flächenqualität werden von GAMMA-RAY größere oder kleinere Teilflächen erzeugt. Auf diese Größen haben Sie nur dann einen Einfluss, wenn Sie für die Qualität der Flächen Einstellbar wählen. Dann können Sie selbst die Größe der Teilflächen festlegen.

Attention

Diese Einstellung sollten nur erfahrene Anwender vornehmen. Ist die Größe zu groß, ist das Ergebnis der Tageslichtberechnung nur unbefriedigend. Ist sie zu klein, dauert die Berechnung unnötig lange und auch der Bedarf an Arbeitsspeicher ist unnötig hoch.


Auflösung Himmel

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Geben Sie hier an, wie dicht das Netz der Lichtsimulation ist, das von außen auf das Projekt strahlt. Höhere Werte verlängern die Berechnungszeit.


Auflösung der Projektionsfläche

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar, sofern das exakte Verfahren nicht aktiviert wurde.

Die indirekte Beleuchtung wird für jede Fläche berechnet. Hier geben Sie an, wie genau diese Fläche bewertet wird:

Daylight Singleplane Resolution

An diesem Wert sollten keine Änderungen vorgenommen werden.


Auflösung pro Fenster

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Bei der Innenbeleuchtung tritt das Licht zu den Fenstern in den Raum hinein. Geben Sie hier an, wie dicht das Netz der Lichtsimulation ist. Höhere Werte verlängern die Berechnungszeit.


Detailausschnitt mit Umgebung

Wenn Sie die Einstellung Außen, für Detailausschnitt für die Außenbeleuchtung verwenden, erfolgt die Beleuchtung für die aktuelle Kamerasicht. Dies bedeutet jedoch für spiegelnde Flächen, dass sich die Objekte, die im Hintergrund stehen, nicht spiegeln, da sie nicht mit dem Tageslicht beleuchtet werden und somit dunkel sind.

Um dies zu vermeiden, aktivieren Sie die Option Detailausschnitt mit Umgebung. Dann wird nach der Berechnung des Detailausschnitts in einem zweiten Durchlauf der Rest des Projekts in einer einfachen Qualität beleuchtet. Dadurch sind auch die Objekte in der Umgebung beleuchtet und in der Spiegelung sichtbar.

Tip

Verwenden Sie die Option Detailausschnitt mit Umgebung also immer dann, wenn man aus Sicht der aktuellen Kamera auf spiegelnde Flächen blickt. Der Detailausschnitt wird verbessert berechnet, während die Umgebung in der Qualität des kompletten Projekts berechnet wird.


Umgebung in Spiegelung und Transparenz

Attention

Diese Option ist nur verfügbar, wenn Sie eine Innenbeleuchtung berechnen.

Wenn Sie eine Innenbeleuchtung aus einer festgelegten Blickrichtung berechnen, erfolgt die Beleuchtung für die aktuelle Kamerasicht. Dies bedeutet jedoch für spiegelnde Flächen, dass sich die Objekte, die im Hintergrund stehen, nicht spiegeln, da sie nicht mit dem Tageslicht beleuchtet werden und somit dunkel sind.

Example Reflection and Transparency1

Wenn Sie diese Option aktivieren, wird der Rest des Projekts in einem zweiten Durchlauf in einer einfachen Qualität beleuchtet. Dadurch sind auch die Objekte in der Umgebung beleuchtet und in der Spiegelung sichtbar.

Example Reflection and Transparency2


Himmel als Vollkugel berechnen

Attention

Diese Einstellung kann nur vorgenommen werden, wenn Sie eine Außenbeleuchtung berechnen.

Wenn Sie eine Außenbeleuchtung berechnen, wird das Tageslicht quasi über eine Himmelskuppel, also eine Halbkugel, auf das Projekt gerichtet.

Wenn Sie ein einzelnes Objekt von außen mit Tageslicht beleuchten, führt dies dazu, dass das Objekt dunkel ist, wenn man es von unten betrachtet. Um dies zu vermeiden, bestimmen Sie über diese Option, dass das Tageslicht über eine Vollkugel berechnet wird, so dass Tageslicht auch von unten auf das Projekt gerichtet wird.

Das erhöht natürlich den Speicherbedarf und die Berechnungszeit.

Halbkugel:

Image without Fullsphere

Vollkugel:

Image with Fullsphere


Tageslicht in Kanäle trennen

Die Ergebnisse einer Tageslichtberechnung können in Kanäle für die direkte Beleuchtung (ein Kanal für Tageslicht Außen, ein Kanal für Tageslicht Innen) und für die indirekte Beleuchtung (ein Kanal für indirektes Licht Außen, ein Kanal für indirektes Licht Innen) aufgeteilt werden. Dies erhöht den Speicherbedarf, führt aber dazu, dass man diese Kanäle im Kanalmanager einzeln aufeinander abstimmen kann.

Tip

Der erhöhte Speicherbedarf kann auf 32-Bit Windows®-Systemen bei größeren Projekten zu einem Speicherüberlauf führen. Deshalb wird diese Option während der Installation von GAMMA-RAY deaktiviert.

Auf 64-Bit Windows®-Systemen sollte genug Arbeitsspeicher verfügbar sein, so dass diese Option während der Installation aktiviert wird.


im Hintergrund in eine Datei berechnen

Wenn Sie für umfangreiche Projekte das Tageslicht in hoher Qualität berechnen, kann diese Berechnung auch im Hintergrund durchgeführt werden.

Die Berechnung wird über den JobManager kontrolliert, der automatisch nach Klick auf Tageslicht gestartet wird.

Während die Berechnung im Hintergrund ausgeführt wird, ist es also möglich, weitere Projekte vorzubereiten, sofern Ihr PC über mehrere Prozessoren verfügt.

Wenn die Berechnung beendet ist, kann das Ergebnis über den Knopf Ergebnis anzeigen in einem eigenen Prozess angezeigt und weiter bearbeitet werden.

Tip

Bevorzugen Sie die Berechnung im Hintergrund auf 32-Bit Windows® Systemen, wenn mehr als 2 GB Arbeitsspeicher in Ihrem PC eingebaut ist. Bei großen Projekten kann es vorkommen, dass der Berechnung innerhalb von GAMMA-RAY nicht genug Arbeitsspeicher zur Verfügung gestellt wird. Der JobManager wird als eigenes Programm gestartet, so dass dadurch mehr Arbeitsspeicher genutzt werden kann.


Daten reduzieren

Attention

Diese Funktion steht nur für die Berechnung des Tageslichts im Hintergrund zur Verfügung.

GAMMA-RAY speichert die Tageslichtinformationen intern ab, damit unnötige Neuberechnungen vermieden werden. Dies erhöht natürlich den Speicherbedarf sowohl im Arbeitsspeicher als auch für die gespeicherte Datei.

Wenn Sie solche Informationen nicht mehr benötigen, können Sie die Daten reduzieren. Die Datei, die dann an den JobManager übertragen wird, ist deutlich kleiner. Auch der Bedarf an den Arbeitsspeicher für den JobManager ist geringer.


Eckenqualität erhöhen

Gerade unter 32-Bit Windows®-Systemen ist es oftmals wegen zu geringem Arbeitsspeicher nicht möglich, die Lichtverläufe in höherer Qualität zu berechnen. Dann kommt es vor, dass bei Kanten und Ecken Schmiereffekte im Schatten entstehen.

Image Improve Edge Quality

Um nicht zu höheren Berechnungsqualitäten wechseln zu müssen, die mehr Arbeitsspeicherbedarf bedeuten, kann man im obigen Fall die Option Eckenqualität erhöhen für die indirekte Beleuchtung aktivieren und das indirekte Licht erneut berechnen. Die Berechnung dauert zwar länger, aber das Ergebnis wird dann auch bei geringer Qualitätseinstellung schon wesentlich besser.

Image Improve Edge Quality1

Tip

Wenn auf Ihrem Rechner ein 64-Bit Windows®-System installiert ist, kann man davon auszugehen, dass genügend Arbeitsspeicher im PC verfügbar ist. Dann können Sie auch die Berechnungsqualitäten erhöhen. Ist auch noch der GPU Turbo aktiviert, sind die Berechnungszeiten im Verhältnis zur Qualität des Ergebnisses vernachlässigbar.

Tip

Wenn das Projekt eine größere Ausdehnung hat, so kann es sein, dass solche Schmiereffekte in Ecken und Kanten auch bei hohen Berechnungsqualitäten auftreten. Auch dann sollte man die Eckenqualität erhöhen.


Indirektes Tageslicht

Wenn Sie bei der Qualität für die Tageslichtberechnung eine einstellbare Qualität eingestellt haben, lassen sich die Einstellungen anpassen.

Wir empfehlen, die Einstellungen nicht zu verändern.


Exaktes Verfahren

Um die Berechnungen des indirekten Lichts mit GPU Turbo durchführen zu können, muss das exakte Verfahren aktiviert sein.


Qualität des exakten Verfahrens

Attention

Diese Funktion ist nur verfügbar, wenn die Option Exaktes Verfahren aktiv ist.

Stellen Sie die Qualität des exakten Verfahrens in den Stufen schneller, normal und genauer ein. Durch die Einstellungen schneller und normal erfolgt eine Datenreduktion.


Umgebungsanalyse durchführen

Für die indirekte Tageslichtbeleuchtung im Außenbereich wurde ein Verfahren entwickelt, bei dem durch eine Analyse der Umgebung der einzelnen Objekte im Projekt die Qualität des indirekten Tageslichts enorm gesteigert und die Berechnungszeiten reduziert werden konnten.

Aus diesem Grund sollte diese Option für die Berechnung im Außenbereich aktiviert bleiben.


Feinheit für die Umgebungsanalyse

Attention

Diese Funktion ist nur verfügbar, wenn die Option Umgebungsanalyse durchführen aktiv ist.

Um zu bestimmen, in welchen Bereichen das indirekte Licht auf Körper trifft, wird die Umgebung der Körper analysiert. Nur relevante Bereiche werden dann mit indirektem Licht ausgeleuchtet, was zu einer drastischen Beschleunigung bei der Berechnung des indirekten Lichts führt.

Stellen Sie hier ein, wie fein die Umgebung analysiert werden soll. In der Regel reicht eine niedrige Feinheit aus. Je höher dieser Wert ist, um so länger dauert die Umgebungsanalyse.


Energieschranke bei Umgebungsanalyse

Navigation: Die Icons > Lichtmanager > Tageslicht > Einstellungen... > Indirektes Tageslicht >

Return to chapter overview

Energieschranke

Wenn sehr viel Lichtenergie auf eine Fläche auftrifft, kann es vorkommen, dass diese auch im Gesamten sehr grob zurückgestrahlt wird. Wenn der Wert der Energieschranke in solchen Fällen reduziert wird, erfolgt eine feinere Lichtverteilung.

Beispiel:

Image Energy Limit1

Nach der Berechnung des Innenlichts mit indirektem Licht erscheinen im Schatten an der Decke Schlieren. Während der Berechnung wurden helle Bereiche stark zusammengefasst und strahlen dadurch über eine große Fläche das Licht ab.

Stellt man die Berechnung über die Umgebungsanalyse ein und reduziert die Energieschranke z.B. auf 5,

Dialog Energy Limit

so wird der Schatten schlierenfrei dargestellt.

Image Energy Limit2

Verringert man die Lichtschranke auf 1, erhöht sich die Rechenzeit, das Ergebnis wird aber noch genauer.

Image Energy Limit3


Einstellungen ohne Umgebungsanalyse

Attention

Diese Funktionen sind nur verfügbar, wenn die Option Umgebungsanalyse durchführen inaktiv ist.

Diese Einstellungen werden bei der indirekten Beleuchtung des Innenlichts verwendet.


Flächen zusammenfassen beim Start

Beim klassischen Radiosityverfahren, das bei anderen Renderern verwendet wird, erfolgt am Anfang der Berechnung des indirekten Lichts eine aufwändige Analyse der gegebenen Situation und dann eine Energieverteilung, die nach hinten hin immer genauer wird. Das führt zu sehr langen Berechnungszeiten.

Bei der optimierten Energieverteilung von GAMMA-RAY konnte erreicht werden, dass die meiste Energie am Anfang der Berechnung optimal verteilt wird, so dass nach hinten hin immer weniger Veränderungen an der Beleuchtung stattfinden. Damit eine feine Verteilung des Lichts erreicht werden kann, sollten Sie den Wert für Flächen zusammenfassen beim Start auf 1 lassen, um ein optimales Ergebnis zu erhalten.


Flächen zusammenfassen maximal

Beim klassischen Radiosityverfahren, das bei anderen Renderern verwendet wird, erfolgt am Anfang der Berechnung des indirekten Lichts eine aufwändige Analyse der gegebenen Situation und dann eine Energieverteilung, die nach hinten hin immer genauer wird. Das führt zu sehr langen Berechnungszeiten von mehreren Stunden.

Bei der optimierten Energieverteilung von GAMMA-RAY konnte erreicht werden, dass die meiste Energie am Anfang der Berechnung optimal verteilt wird, so dass nach hinten hin immer weniger Veränderungen an der Beleuchtung stattfinden. Somit muss auch nicht mehr so genau berechnet werden. Aus diesem Grund fasst das Programm automatisch nach dem Erreichen einer Schwelle immer mehr von den für das Tageslicht ermittelten Teilflächen zusammen, um die Bereiche, in denen die weitere Energieverteilung erfolgt, immer größer werden zu lassen (2x bedeutet 2*2=4 Flächen werden zusammengefasst, 8x bedeutet 8*8=64 Flächen werden zusammengefasst, usw.). Das beschleunigt die Berechnung enorm.

Geben Sie hier an, bis zu welchem Faktor die Teilflächen maximal zusammengefasst werden sollen. Kleinere Werte verlängern die Berechnungszeit, können unter Umständen das Ergebnis jedoch verfeinern.


Umschalten bei Energie

Je nach eingestelltem Wert für Flächen zusammenfassen maximal werden für die Berechnung der indirekten Beleuchtung immer mehr Teilflächen zu größeren Flächen zusammengefasst. Die Schwelle, ab der weitere Flächen zusammengefasst werden, legen Sie hier fest.

Ein Wert von 10 bedeutet also, dass die Berechnung des indirekten Lichts mit den Original-Teilflächen begonnen wird. Wenn dann die Energiemenge (kann in der Meldungszeile abgelesen werden) unter 10% fällt, wird automatisch in die nächste Stufe (2x) umgeschaltet. Der Wert der Energiemenge erhöht sich dadurch wieder und wird nun weiter runtergezählt. Fällt er erneut unter 10%, erfolgt die nächste Umschaltung, usw.


Auflösung der Projektionsfläche

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar, sofern das exakte Verfahren nicht aktiviert wurde.

Die indirekte Beleuchtung wird für jede Fläche berechnet. Hier geben Sie an, wie genau diese Fläche bewertet wird.

An diesem Wert sollten keine Änderungen vorgenommen werden.


Anzahl der Schritte bis zur Vorschau

Geben Sie hier an, nach wie viel Berechnungsschritten des indirekten Lichts das jeweils aktuelle Ergebnis angezeigt werden soll.


Berechnen bis zu folgender Energie

Durch die Optimierung der Berechnung des indirekten Lichts von GAMMA-RAY muss die Lichtenergie nicht bis 100% verteilt werden. Dazu ist hier vorgegeben, dass die indirekte Beleuchtung bei Erreichen einer Verteilung von 60% beendet wird. Nur in seltenen Fällen (z.B. ein lang gezogener Raum mit nur einem Fenster) müssen Sie diesen Wert erhöhen.


Licht-Transfermenge

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Dieser Wert bestimmt den maximalen Wert der Energie für einen Punkt. Dies verhindert eine Überleuchtung im Nahbereich des Lichts.


Farbkontrast

Bei der Berechnung des indirekten Lichts werden die Lichtverläufe berechnet, die dadurch entstehen, dass Körper das auftreffende Licht zurück strahlen. Mit dem Farbkontrast legen Sie fest, wie intensiv die Materialien dieser Körper ihre Eigenfarbe abstrahlen. Wenn Sie erreichen wollen, dass die Materialien Ihre Farbe intensiver abstrahlen, erhöhen Sie diesen Wert.


pro Teilfläche nur einmal abstrahlen

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Ist diese Option aktiviert, wird das indirekte Licht von jeder Teilfläche nur einmal abgestrahlt. Ansonsten wird auch jede weitere Reflektion eines Lichtstrahls an Materialien weiter berechnet.


Teilflächen zusammenfassen beim Start

Attention

Diese Funktion ist nur verfügbar, wenn die Option Exaktes Verfahren nicht aktiv ist.

Für das indirekte Licht werden die Teilflächen verwendet, die bei der Berechnung des direkten Lichts ermittelt wurden.

Beim indirekten Zurückstrahlen müssen die Teilflächen aber gar nicht so fein aufgeteilt sein, so dass man sie beim Start z.B. auch auf 4x zusammenfassen kann. Das bedeutet, dass 4x4 Flächen zu einer Fläche zusammengefasst wird, was gerade bei 32 Bit Windows® Systemen zu weniger Speicherbedarf führt.


Tageslicht

Klicken Sie auf diesen Knopf, um die Berechnung des Tageslichts mit den vorgenommenen Einstellungen zu starten.

Wenn im Projekt zusätzliches Kunstlicht definiert ist, schlägt das Programm vor, dieses abzustellen, um das Ergebnis nicht zu verfälschen. Die Lichtquellen können bei Bedarf nachträglich wieder eingeschaltet werden.


Indirektes Licht

Das Tageslicht wird als direktes Licht entweder ausgehend von der Himmelskuppel oder vom Fenster in den Raum abgestrahlt. Damit auch Bereiche außerhalb dieser Lichtrichtung aufgehellt werden, muss eine Energieverteilung des Lichts erfolgen. Die Energie sammelt sich an den Objekten und wird so stark, dass sie in die Umgebung abgestrahlt wird. Diese Energie berechnen Sie als indirektes Licht.

In einzelnen Stufen wird die Lichtenergie verteilt, wobei gegenüber klassischen Verfahren diese Verteilung wesentlich schneller erfolgt, da durch neue Algorithmen die Umgebung der Objekte analysiert und dann die Energie gezielt verteilt wird. Immer mehr Teilflächen, die für die Tageslichtberechnung erzeugt wurden, können dadurch zu größeren Polygonen zusammengefasst werden, so dass die Berechnung gegen Ende hin sogar immer schneller erfolgt.

Genaue Informationen über den aktuellen Stand der Berechnung liefert Ihnen die Meldungszeile.

Tip

Sie können jederzeit die Berechnung über das Stopp Ikon oder durch mehrfaches Drücken der Esc Taste unterbrechen. Nach einem neuen Bildaufbau entscheiden Sie dann, ob Ihnen das aktuelle Ergebnis bereits ausreicht oder ob die Berechnung durch erneutes Klicken auf Indirektes Licht fortgesetzt werden soll. Die Berechnung wird an dem Berechnungsschritt, an dem Sie vorher unterbrochen haben, fortgesetzt.

Tip

Da durch die optimierten Algorithmen von GAMMA-RAY am Anfang der Berechnung die meiste Energie verteilt wird, muss die Berechnung nur in ganz seltenen Fällen bis 100% erfolgen. Je nach Szenerie kann die Berechnung des indirekten Lichts sogar schon nach einer Lichtverteilung von 30% abgebrochen werden.


Tageslicht und indirektes Licht berechnen

Klicken Sie auf diesen Knopf, um zuerst das Tageslicht und dann die indirekte Beleuchtung zu berechnen.

Diese Variante wählen Sie, wenn Sie sich sicher sind, dass alle Tageslicht-Einstellungen korrekt vorgenommen sind. Um die Einstellungen zu testen, führen Sie die einzelnen Berechnungen getrennt durch.


Kanalmanager

Die Lichtverläufe, die über das Tageslicht, die indirekte Beleuchtung von Lichtquellen und abstrahlenden Materialien berechnet werden, können in einzelne Kanäle aufgeteilt werden. Das hat den großen Vorteil, dass diese einzelnen Beiträge zur Beleuchtung nachträglich in der Helligkeit und dem Kontrast aufeinander abgestimmt werden können, ohne dass eine neue Berechnung des Lichtverlaufs erfolgen muss. Die Zeitersparnis beim Erstellen von realen Beleuchtungen ist dadurch enorm.

Sie können die einzelnen Kanäle also nacheinander berechnen lassen und anschließend die Feinabstimmung im Kanalmanager vornehmen.

Dialog Channel Manager

In der oberen Liste sind die einzelnen Kanäle, die berechnet wurden, aufgeführt. Die Liste besteht aus folgenden Spalten:

Kanalname

Name des Kanals, der während der Berechnung des Lichtverlaufs erzeugt wurde. Hier bestehen folgende Möglichkeiten:

Außen, Außen indirekt: direkter und indirekter Lichtverlauf nach der Berechnung des Tageslichts von außen

Innen, Innen indirekt: direkter und indirekter Lichtverlauf nach der Berechnung des Tageslichts für Innen

Lichtquellen: indirekter Lichtverlauf nach der Berechnung des indirekten Lichts von Lichtquellen (es ist auch möglich, für jede Lichtquelle einen eigenen Kanal erzeugen zu lassen)

Material, Material indirekt: Lichtverlauf nach der Berechnung von abstrahlenden Materialien (es ist auch möglich, für jedes Material einen eigenen Kanal erzeugen zu lassen)

Name von Objekt: Lichtverlauf eines 3D-Objektes, das mit Tageslicht vorberechnet wurde und dem Projekt hinzugefügt wurde

Speicher

Hier erhalten Sie die genaue Angabe, wie viel Arbeitsspeicher für den Kanal benötigt wird.

aktiv

Jeder Kanal kann nachträglich inaktiv und wieder aktiv geschaltet werden, indem man auf das Häkchen in der Spalte klickt. Nutzen Sie diese Möglichkeit auch dazu, die Auswirkung der einzelnen Kanäle zu überprüfen, indem Sie immer nur einen Kanal aktiv und die anderen inaktiv schalten.

Helligkeit

Stellt die Helligkeit des Kanals dar. Mit Hilfe des Schiebers kann die Helligkeit geregelt werden. Die Auswirkung wird nach Klick auf Übernehmen dargestellt.


Helligkeit

Die Helligkeit des in der Liste angewählten Kanals kann entweder über den Schieberegler oder durch Eingabe eines Wertes geändert werden. Die Helligkeit wird für jeden Bildpunkt gleichmäßig verändert.

Die Änderung wird erst nach einem neuen Bildaufbau (durch Klick auf Übernehmen oder das Darstellungsikon) sichtbar.


Kontrast

Wenn Sie diese Option aktivieren, kann der Kontrast des in der Liste angewählten Kanals entweder über den Schieberegler oder durch Eingabe eines Wertes geändert werden.

Die Änderung wird erst nach einem neuen Bildaufbau (durch Klick auf Übernehmen oder das Darstellungsikon) sichtbar.


Aufhellen

Wenn Sie diese Option aktivieren, kann die Helligkeit des in der Liste angewählten Kanals entweder über den Schieberegler oder durch Eingabe eines Wertes geändert werden. Für jeden Bildpunkt erfolgt eine Gewichtung der dunklen und der hellen Bereiche, so dass dunkle Bereiche weniger aufgehellt werden als helle Bereiche, was zu einer Verbesserung des Kontrastes führt.

Die Änderung wird erst nach einem neuen Bildaufbau (durch Klick auf Übernehmen oder das Darstellungsikon) sichtbar.


Glättung flächenweise

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Wenn Tageslicht berechnet wird, teilt das Programm jede Fläche in Teilflächen auf. Mit diesem Schieberegler bestimmen Sie die Ausdehnung des Bereichs, in dem der Lichtverlauf von Teilflächenpunkten innerhalb einer Fläche geglättet wird. Höhere Werte schließen größere Bereiche in der Nachbarschaft des Flächenpunktes innerhalb der Fläche ein.

Beispiel: Ein Wert von 400% bedeutet, dass die Interpolation über einen Bereich mit einer Ausdehnung des 4-fachen der aktuellen Teilfläche rundum berechnet wird.


Glättung flächenübergreifend

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Mit diesem Schieberegler bestimmen Sie die Ausdehnung des Bereichs, in dem der Lichtverlauf von Flächenpunkten zwischen verschiedenen Flächen geglättet wird. Höhere Werte schließen größere Bereiche in der Nachbarschaft der Fläche ein.

Beispiel: Ein Wert von 200% bedeutet, dass die Interpolation über einen Bereich mit einer Ausdehnung des 2-fachen der aktuellen Fläche rundum berechnet wird.

Dadurch, dass auch die Nachbarflächen berücksichtigt werden, wird z.B. bei einem Zylinder verhindert, dass er facettiert dargestellt wird.


Glättungsgrenze unten

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Kleinster Wert in Lumen, der für den Lichtverlauf berücksichtigt wird. Kleinere Lichtintensitäten werden ausgeschlossen.


Kanal umbenennen

Wenn Sie z.B. das Tageslicht für Außen berechnet haben, wird dieser Kanal im Kanalmanager unter dem Namen Außen angezeigt. Wenn Sie das Tageslicht für Außen erneut berechnen, wird dieser Kanal mit den Daten der neuen Berechnung gefüllt. Wenn Sie aber die bisherigen Daten aufheben wollen, gibt es die Möglichkeit, den Kanal umzubenennen.

Dialog Channel Rename

Geben Sie dem Kanal z.B. den Namen Außen_alt, so werden nach der erneuten Berechnung zwei Kanäle im Kanalmanager angezeigt: Außen (der Kanal für die neue Berechnung) und Außen_alt (der Kanal für die vorherige Berechnung).


Kanal reduzieren

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

GAMMA-RAY speichert alle Lichtverlaufsinformationen intern ab, damit unnötige Neuberechnungen vermieden werden. Dies erhöht den Speicherbedarf sowohl im Arbeitsspeicher als auch für die gespeicherte Datei auf der Festplatte.

Wenn Sie solche Informationen für den gewählten Kanal nicht mehr benötigen, können Sie den Kanal reduzieren.

Tip

Haben Sie die Daten reduziert, ist es nicht mehr möglich, eine abgebrochene Berechnung des indirekten Lichts an dem Berechnungsschritt fortzusetzen, an dem Sie die Berechnung unterbrochen haben. Statt dessen wird die Berechnung neu gestartet.


Kanal löschen

Wenn der Kanal nicht mehr benötigt wird, können Sie ihn mit dieser Funktion entfernen.


Kanal komprimieren mit

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Um den Speicherbedarf im Arbeitsspeicher und für die gespeicherte Datei zu reduzieren, kann man Bereiche zusammenfassen, die eine ähnliche Beleuchtung haben. Geben Sie an, in welchem Bereich die Beleuchtung als ähnlich gewertet werden sollen und klicken Sie dann auf den Knopf Kanal komprimieren mit.

Attention

Wenn der Wert zu groß gewählt ist, kann dies zu einem deutlichem Qualitätsverlust führen.


Lichtquellen

Für die Lichtquellen, die im Projekt definiert sind, kann auch der indirekte Lichtverlauf berechnet werden. Der direkte Lichtverlauf wird im Licht-Editor definiert. Richten Sie zuerst die Lichtquellen mit Position, Richtung, Helligkeit, ... ein und lassen Sie dann vom Lichtmanager die indirekte Beleuchtung dieser Lichtquellen berechnen.

Eine genaue Beschreibung zum Einstellen der indirekten Beleuchtung von Lichtquellen erhalten Sie im Tutorial.


Flächen

Für die Berechnung des indirekten Lichts werden die einzelnen Flächen der beleuchteten Objekte in Teilflächen unterteilt. Über die Qualität der Flächen bestimmen Sie, wie fein die Unterteilung in diese Teilflächen sein soll.

Die Qualität der Flächenunterteilung stellen Sie in den Stufen Entwurf, Normal und Optimal ein. Entwurf erzeugt die gröbste Unterteilung, Optimal die feinste.

Attention

Mit der Einstellung Entwurf können schon gute Ergebnisse erzielt werden, die mit der Einstellung Normal noch verbessert werden.. Verwenden Sie die Einstellung Optimal nur dann, wenn selbst mit der Einstellung Normal nicht das gewünschte Ergebnis erzielt wird. Bitte beachten Sie aber, dass dabei ein höherer Speicherbedarf auftreten kann. Auch der Zeitaufwand für die Berechnung steigt.

Wenn Sie im Experten-Modus arbeiten, steht die weitere Einstellung Einstellbar zur Verfügung. Über diese kann die Qualität im Dialog Einstellungen individuell angepasst werden.

Attention

Da falsche Einstellungen zu unnötig hohen Berechnungszeiten führen, ist nur für den absoluten Profi empfehlenswert, einstellbare Anpassungen vorzunehmen.


Lichtquellenliste

In dieser Liste werden alle Lichtquellen angezeigt, die im Projekt definiert sind.

In der Spalte an erkennen Sie, welche Lichtquellen derzeit angeschaltet sind. Durch Klicken auf die Option an können Sie die Lichtquellen auch in der Liste an- und ausschalten, ohne extra in den Licht-Editor wechseln zu müssen.

In der Spalte direkt erkennen Sie, für welche Lichtquellen das direkte Licht berechnet werden kann. Nur für die Lichtquellen, bei denen die Option direkt aktiviert ist, wird das direkte Licht berechnet, wenn Sie auf Direktes und indirektes Licht klicken.

In der Spalte indirekt erkennen Sie, für welche Lichtquellen das indirekte Licht berechnet werden kann. Nur für die Lichtquellen, bei denen die Option indirekt aktiviert ist, wird das indirekte Licht berechnet, wenn Sie auf Direktes und indirektes Licht klicken.

In der Spalte Intensität erkennen Sie, mit welcher Intensität die Lichtquelle auf das Projekt strahlt.

Attention

Wenn Sie eine Option ändern, müssen Sie das indirekte Licht der Lichtquellen neu berechnen, damit die Änderungen wirksam werden.


Lichtquelle

In diese Bereich stellen Sie die Farbe und die Intensität der Lichtquelle ein.


Navigation: Die Icons > Lichtmanager > Lichtquellen >

Return to chapter overview

Einstellungen

Dialog Lightsources Settings


Größe der emfangenden Teilflächen

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Die Qualität für die Berechnung des indirekten Lichtverlaufs wird in entscheidendem Maß durch die Größe der Flächen bestimmt, die das Licht empfangen. Dazu werden die großen Flächen in kleine Teilflächen aufgeteilt. Die Größe berechnet sich durch die Ausdehnung des Projekts. Je nach eingestellter Flächenqualität werden von GAMMA-RAY größere oder kleinere Teilflächen erzeugt. Auf diese Größen haben Sie nur dann einen Einfluss, wenn Sie die Qualität der Flächen auf Einstellbar einstellen. Dann können Sie selbst die Größe der Teilflächen festlegen.

Attention

Diese Einstellung sollten nur erfahrene Anwender vornehmen. Ist die Größe zu groß, ist das Ergebnis der Tageslichtberechnung nur unbefriedigend. Ist sie zu klein, dauert die Berechnung unnötig lange und auch der Bedarf an Arbeitsspeicher ist unnötig hoch.


Eckenqualität erhöhen (indirekt)

Gerade unter 32-Bit Windows®-Systemen ist es oftmals wegen zu geringem Arbeitsspeicher nicht möglich, die Lichtverläufe in höherer Qualität zu berechnen. Dann kommt es vor, dass bei Kanten und Ecken Schmiereffekte im Schatten entstehen.

Image Improve Edge Quality

Um nicht zu höheren Berechnungsqualitäten wechseln zu müssen, die mehr Arbeitsspeicherbedarf bedeuten, kann man im obigen Fall die Option Eckenqualität erhöhen für die indirekte Beleuchtung aktivieren und das indirekte Licht erneut berechnen. Die Berechnung dauert zwar länger, aber das Ergebnis wird dann auch bei geringer Qualitätseinstellung schon wesentlich besser.

Image Improve Edge Quality1

Tip

Wenn auf Ihrem Rechner ein 64-Bit Windows®-System installiert ist, kann man davon auszugehen, dass genügend Arbeitsspeicher im PC verfügbar ist. Dann können Sie auch die Berechnungsqualitäten erhöhen. Ist auch noch der GPU Turbo aktiviert, sind die Berechnungszeiten im Verhältnis zur Qualität des Ergebnisses vernachlässigbar.

Tip

Wenn das Projekt eine größere Ausdehnung hat, so kann es sein, dass solche Schmiereffekte in Ecken und Kanten auch bei hohen Berechnungsqualitäten auftreten. Auch dann sollte man die Eckenqualität erhöhen.


Feinheit für die Umgebungsanalyse

Um zu bestimmen, in welchen Bereichen das indirekte Licht auf Körper trifft, wird die Umgebung der Körper analysiert. Nur relevante Bereiche werden dann mit indirektem Licht ausgeleuchtet, was zu einer drastischen Beschleunigung bei der Berechnung des indirekten Lichts führt.

Stellen Sie hier ein, wie fein die Umgebung analysiert werden soll. In der Regel reicht eine niedrige Feinheit aus. Je höher dieser Wert ist, um so länger dauert die Umgebungsanalyse.


Berechnen bis zu folgender Energie

Durch die Optimierung der Berechnung des indirekten Lichts von GAMMA-RAY muss die Lichtenergie nicht bis 100% verteilt werden. Dazu ist hier vorgegeben, dass die indirekte Beleuchtung bei Erreichen einer Verteilung von 60% beendet wird.

Tip

Es ist möglich, einen Raum komplett nur mit Lichtquellen über deren direkten und indirekten Lichtanteil auszuleuchten, ohne dass Tageslicht berechnet wird. In diesem Fall sollte das indirekte Licht vollständig berechnet werden, indem man den Wert Berechnen bis zu folgender Energie auf 100% erhöht.


Lichtverläufe in Kanäle trennen

Die Ergebnisse einer Berechnung des direkten und des indirekten Lichtverlaufs von Lichtquellen können in Kanäle für die direkte Beleuchtung und für die indirekte Beleuchtung aufgeteilt werden. Dies erhöht den Speicherbedarf, führt aber dazu, dass man diese Kanäle im Kanalmanager einzeln aufeinander abstimmen kann.

Tip

Der erhöhte Speicherbedarf kann auf 32-Bit Windows®-Systemen bei größeren Projekten zu einem Speicherüberlauf führen. Deshalb wird diese Option während der Installation von GAMMA-RAY deaktiviert.

Auf 64-Bit Windows®-Systemen sollte genug Arbeitsspeicher verfügbar sein, so dass diese Option während der Installation aktiviert wird.


Lichtquellen in Kanäle trennen

Im Kanalmanager wird per default die Lichtverteilung aller Lichtquellen in einen Kanal für den direkten Lichtverlauf und einen Kanal für den indirekten Lichtverlauf zusammengefasst. Damit wirken sich Anpassungen am Lichtquellen-Kanal auf die Lichtverläufe aller Lichtquellen aus. Wenn Sie die Option Lichtquellen in Kanäle trennen aktivieren, wird die Lichtverteilung einer jeden Lichtquelle in einem eigenen Kanal abgelegt, so dass diese im Anschluss einzeln angepasst werden können.

Attention

Jeder Kanal benötigt Arbeitsspeicher, um die Informationen abzulegen. Sie sollten eine Aufteilung also nur dann vornehmen, wenn Ihr Rechner über genügend Arbeitsspeicher verfügt.


Direktes und indirektes Licht

Wenn Sie auf diesen Knopf klicken, starten Se die Berechnung der direkten / indirekten Lichtverläufe für die Lichtquellen, die angeschaltet sind und bei denen die Option direkt / indirekt aktiviert ist.


Materialien

Für die Materialien, die im Projekt definiert sind, kann auch der direkte und indirekte Lichtverlauf berechnet werden, der dadurch entsteht, dass diese Materialien Licht abstrahlen. Sie können also für beliebige Körper bestimmen, dass diese Licht abstrahlen. Damit lassen sich z.B. Hintergrundbeleuchtungen erstellen. Wollen Sie eine Leuchtschrift im Projekt darstellen, konstruieren Sie die Buchstaben und lassen die zugeordneten Materialien abstrahlen.

Eine genaue Beschreibung zum Einstellen der indirekten Beleuchtung von Materialien erhalten Sie im Tutorial.


Flächen

Für die Berechnung des indirekten Lichts der abstrahlenden Materialien werden die einzelnen Flächen der beleuchteten Objekte in Teilflächen unterteilt. Über die Qualität der Flächen bestimmen Sie, wie fein die Unterteilung in diese Teilflächen sein soll.

Die Qualität der Flächenunterteilung stellen Sie in den Stufen Entwurf, Normal und Optimal ein. Entwurf erzeugt die gröbste Unterteilung, Optimal die feinste.

Attention

Mit der Einstellung Entwurf können erste Ergebnisse erzielt werden, die mit der Einstellung Normal noch verbessert werden. Um das beste Ergebnis zu erhalten, verwenden Sie die Einstellung Optimal. Dank GPU Turbo halten sich die Berechnungszeiten im Rahmen. Außerdem können Sie die Berechnung noch durch weitere Einstellungen beschleunigen.

Wenn Sie im Experten-Modus arbeiten, steht die weitere Einstellung Einstellbar zur Verfügung. Über diese kann die Qualität im Dialog Einstellungen individuell angepasst werden.

Attention

Da falsche Einstellungen zu unnötig hohen Berechnungszeiten führen, ist nur für den absoluten Profi empfehlenswert, einstellbare Anpassungen vorzunehmen.


Materialliste

In dieser Liste werden alle Materialien angezeigt, die im Projekt definiert sind.

In der Spalte aktiv erkennen Sie, für welche Materialien das Abstrahlen derzeit aktiv ist. Nur für die Materialien, bei denen die Option aktiv aktiviert ist, wird das Abstrahlen berechnet.

Attention

Wenn Sie die Optionen aktiv ändern, müssen Sie das Abstrahlen der Materialien neu berechnen, damit die Änderungen wirksam werden.

Tip

Wenn Sie in der Spalte aktiv auf die Titelzeile klicken, sortiert sich die Liste so, dass die für das Abstrahlen aktivierten Materialien oben aufgelistet sind.

Die Intensität zeigt die Intensität des abstrahlenden Materials an, die Sie unter Intensität eingestellt haben. Damit ein Material Licht abstrahlen kann, muss die Intensität größer als 0 sein.


Material mit der Maus anklicken...

Um das Material, das abstrahlen soll, im Projekt anzuwählen, können Sie es direkt mit der Maus anklicken. Nach Aufruf der Funktion klicken Sie eine Fläche an, die das Material besitzt, das abstrahlen soll. Anschließend wird das angeklickte Material in der Materialliste farblich unterlegt angezeigt und kann bearbeitet werden.

Wenn Sie auf ein transparentes Material klicken, können Sie entscheiden, ob Sie das vordere transparente oder ein dahinter liegendes Material wählen wollen.

Dialog Transparent Material Selected

Von oben nach unten werden die transparenten Materialien aufgelistet. Das transparente Material mat_005 liegt also vor dem nicht transparenten Material mat_004.


Abstrahlende Flächen

Für die Berechnung werden die einzelnen Flächen der Objekte mit abstrahlenden Materialien in Teilflächen unterteilt. Über die Qualität der Flächen bestimmen Sie, wie fein die Unterteilung in diese Teilflächen sein soll.

Die Qualität der Flächenunterteilung stellen Sie in den Stufen Entwurf, Normal und Optimal ein. Entwurf erzeugt die gröbste Unterteilung, Optimal die feinste.

Attention

Um das beste Ergebnis zu erzielen, verwenden Sie die Einstellung Optimal .

Wenn Sie im Experten-Modus arbeiten, steht die weitere Einstellung Einstellbar zur Verfügung. Über diese kann die Qualität im Dialog Einstellungen individuell angepasst werden.

Attention

Da falsche Einstellungen zu unnötig hohen Berechnungszeiten führen, ist nur für den absoluten Profi empfehlenswert, einstellbare Anpassungen vorzunehmen.


Farbe

Hier bestimmen Sie die Farbe, in der das Material Licht abstrahlt. Per default wird hier die Grundfarbe des Materials verwendet.

Sie können die abstrahlende Farbe aber auch über den Farbeinstellungs-Dialog ändern.


Intensität

Mit der Intensität bestimmen Sie die Helligkeit des abstrahlenden Lichts.

Das Materialabstrahlen ist Lumen basiert. Sie stellen somit die tatsächliche Energie in Lumen ein. Diese ist konstant, egal, ob sie von einer großen oder von einer kleinen Fläche abgestrahlt wird. Dadurch erhalten Sie mit den gleichen Werten auch immer die gleiche Lichtmenge, die in den Raum abgestrahlt wird.

Es werden folgende Richtwerte empfohlen:

·Ein Zimmer sollte mit 2.000 bis 10.000 Lumen bestrahlt werden.

·Ein großer Saal kann mit bis zu 100.000 Lumen bestrahlt werden.

·Eine Nachttischlampe strahlt mit ca. 500 bis 1.000 Lumen.

Die Deckenstrahler in folgendem Beispiel strahlen mit 5.065 Lumen in den Raum, um ihn zu beleuchten.

Image Lumen Based Material

Tip

Die Skalierung des Intensitätsreglers ist auf Grund des großen Regelbereiches nicht linear, d.h das erste Segment regelt von 0-10000 Lumen und das zweite von 10000 - 100000 Lumen.


Einstellungen

Bei abstrahlenden Materialien können Sie Einstellungen für das Abstrahlen und für das indirekte Abstrahlen sowie für Materialeinstellungen vornehmen.


Navigation: Die Icons > Lichtmanager > Materialien > Einstellungen >

Return to chapter overview

Abstrahlen

Dialog Material Radiate Settings


Abstand für Schatten

Für die Schattenberechnung muss immer ein Abstand zwischen der Lichtquelle und der ersten beschatteten Fläche existieren. Dies gilt auch, wenn Materialien Licht abstrahlen. Hier ist der Defaultwert 1cm, der in der Regel ausreicht.

In seltenen Fällen kann es vorkommen, dass das Licht durch die nahe Fläche hindurch dringt.

Image Material Shadow Distance 1

Die Blende ist näher als 1 cm, so dass sie nicht berücksichtigt und daher auch kein Schatten berechnet wird. Reduzieren Sie den Wert des Schattenabstands.

Dialog Material Shadow Distance

Dann wird der Schatten korrekt berechnet.

Image Material Shadow Distance 2

Attention

Reduzieren Sie den Wert nur bei Bedarf. Versuchen Sie auch, den Wert so groß wie möglich einzustellen, da mit zu kleinen Werten die Schattenqualität nach hinten hin immer schlechter wird.

Aus diesem Grund ist diese Einstellung auch nur im Experten-Modus verfügbar.

Tip

Es kann aber auch Sinn machen, diesen Wert zu vergrößern. Wenn Sie das Licht, das zum Fenster in den Raum scheint, durch das abstrahlende Material der Glasscheibe realisieren und sich vor dem Fenster ein Vorhang befindet, können Sie durch einen Wert größer als dem Abstand Fenster / Vorhang verhindern, dass durch den Vorhang das Licht zu stark reduziert wird. Die Beleuchtung setzt dann hinter dem Vorhang ein.


Tiefengenauigkeit

In seltenen Fällen kommt es vor, dass auf Flächen dunkle Flecken erscheinen und der Schatten dadurch unsauber erscheint.

Dies verhindern Sie durch Erhöhung der Tiefengenauigkeit, damit eine Selbstabschattung unterbunden wird.


Lichtverläufe in Kanäle trennen

Die Ergebnisse einer Lichtverlaufsberechnung können in Kanäle aufgeteilt werden (ein Kanal für das Material, ein Kanal für das indirekte Material). Dies erhöht den Speicherbedarf, führt aber dazu, dass man diese Kanäle im Kanalmanager einzeln aufeinander abstimmen kann.

Tip

Der erhöhte Speicherbedarf kann auf 32-Bit Windows®-Systemen bei größeren Projekten zu einem Speicherüberlauf führen. Deshalb wird diese Option während der Installation von GAMMA-RAY deaktiviert.

Auf 64-Bit Windows®-Systemen sollte genug Arbeitsspeicher verfügbar sein, so dass diese Option während der Installation aktiviert wird.


Materialien in Kanäle trennen

Im Kanalmanager wird per default die Lichtverteilung aller Materialien in einem Kanal zusammengefasst. Damit wirken sich Anpassungen am Material-Kanal auf die Lichtverläufe aller Materialien aus. Wenn Sie die Option Materialien in Kanäle trennen aktivieren, wird die Lichtverteilung von jedem Material in einem eigenen Kanal abgelegt, so dass diese im Anschluss einzeln angepasst werden können.

Attention

Jeder Kanal benötigt Arbeitsspeicher, um die Informationen abzulegen. Sie sollten eine Aufteilung also nur dann vornehmen, wenn Ihr Rechner über genügend Arbeitsspeicher verfügt.


Navigation: Die Icons > Lichtmanager > Materialien > Einstellungen >

Return to chapter overview

Indirektes Abstrahlen

Dialog Material Radiate Indirect Settings


Berechnen bis zu folgender Energie

Durch die Optimierung der Berechnung des indirekten Lichts von GAMMA-RAY muss die Lichtenergie nicht bis 100% verteilt werden. Dazu ist hier vorgegeben, dass die indirekte Beleuchtung bei Erreichen einer Verteilung von 60% beendet wird.


Materialeinstellungen

Attention

Diese Einstellungen sind materialbezogen und wirken sich nur auf das Material aus, das Sie in der Materialliste ausgewählt haben.

Dialog Material Radiate Material Settings


Größe der abstrahlenden Teilflächen

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Die Qualität für die Berechnung des indirekten Lichtverlaufs wird in entscheidendem Maß durch die Größe der Flächen bestimmt, die das Licht empfangen. Dazu werden die großen Flächen in kleine Teilflächen aufgeteilt. Die Größe berechnet sich durch die Ausdehnung des Projekts. Je nach eingestellter Flächenqualität werden von GAMMA-RAY größere oder kleinere Teilflächen erzeugt. Auf diese Größen haben Sie nur dann einen Einfluss, wenn Sie die Qualität der Flächen auf Einstellbar einstellen. Dann können Sie selbst die Größe der Teilflächen festlegen.

Attention

Diese Einstellung sollten nur erfahrene Anwender vornehmen. Ist die Größe zu groß, ist das Ergebnis der Tageslichtberechnung nur unbefriedigend. Ist sie zu klein, dauert die Berechnung unnötig lange und auch der Bedarf an Arbeitsspeicher ist unnötig hoch.


Grenzwinkel für Zusammenfassen

Um die Berechnung beim Materialabstrahlen zu beschleunigen, lassen sich Facetten zusammenfassen, um so quasi ein Ersatznetz zu erstellen. Dazu dient die Einstellung Grenzwinkel für Zusammenfassen.

Dialog Material Limit Angle

Je größer der Winkel gewählt wird, desto mehr Flächen werden zusammengefasst, d.h. um so weniger Lichtquellen müssen berechnet werden. Nutzen Sie diese Reduktion, wenn Sie z.B. eine Glühlampe in einer Leuchte als Geometrieobjekt konstruiert haben und diese das Licht abstrahlen soll. Hier muss nicht eine perfekte Kugel für das Abstrahlen genutzt werden. Es reicht vielmehr, wenn nur wenige Lichter rundum strahlen.


abstrahlende Seite

Legen Sie hier fest, welche Seite der Fläche das Licht abstrahlt.

Über die Einstellung Vorder- und Rückseite senden sowohl die vordere als auch die hintere Seite von Flächen, die mit dem Material belegt sind, das Licht ab. Wenn dies stört (z.B. eine Fläche an der Decke soll das Licht nur nach unten, aber nicht nach oben abstrahlen), können Sie auch nur eine Seite für das Abstrahlen bestimmen. Das führt dann zusätzlich zu einer Beschleunigung der Berechnung, da nur die halbe Anzahl der Polygone berechnet werden muss.


Abstrahl-Transfermenge

Attention

Diese Einstellung ist nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Dieser Wert bestimmt den maximalen Wert der Energie für einen Punkt. Dies verhindert eine Überleuchtung im Nahbereich des Lichts.


harmonische Lichtverteilung

Ähnlich wie bei der Überleuchtungsbegrenzung kann man auch mit der harmonischen Lichtverteilung eine Überleuchtung des direkten Abstrahlens im Nahbereich verhindern. Im Gegensatz zur Überleuchtungsbegrenzung muss aber kein Wert vorgegeben werden. Die Beleuchtung wird nach hinten verstärkt und im vorderen Bereich des abstrahlenden Materials gedämpft.

Beispiel:

Das Material der Leuchtstoffröhre strahlt im Nahbereich sehr stark und führt zu einer starken Überleuchtung.

Image Material Harmonic 1

Nach Aktivierung der harmonischen Lichtverteilung

Dialog Material Harmonic

und Neuberechnung des Materialabstrahlens wird die Überleuchtung im Nahbereich der Röhre reduziert und der hintere Bereich des Bades heller.

Image Material Harmonic 2


Textur berücksichtigen

Bestimmen Sie hier, ob die verschiedenen Farben, die im Texturbild enthalten sind, für das Abstrahlen verwendet werden oder die Grundfarbe.


Überleuchtungsbegrenzung

Um einen Raum mit genügend Licht auszuleuchten, muss man für das Materialabstrahlen einen hohen Lumenwert verwenden. Dadurch kann es im Nahbereich des abstrahlenden Materials (im folgenden Beispiel die Fensterscheibe) zu Überleuchtungen kommen.

Image Material Over-lightning 1

Um dies zu verhindern, reduzieren Sie den Wert für die Überleuchtungsbegrenzung.

Dialog Material Over-lightning

Dadurch wird die Austrittsintensität des Lichts gedämpft und die Überleuchtung der nahen Flächen verhindert.

Image Material Over-lightning 2


Abstrahlen

Klicken Sie auf diesen Knopf, um die Berechnung des direkten Abstrahlens für die aktivierten Materialien mit den vorgenommenen Einstellungen zu starten.


Indirektes Abstrahlen

Das Licht, das von Materialien abgestrahlt wird, trifft auf andere Körper. Auf diesen sammelt sich die Lichtenergie, bis sie dann so stark ist, dass sie als indirektes Licht weiter abgestrahlt wird. Diese Energie berechnen Sie als indirektes Abstrahlen.

In einzelnen Stufen wird die Lichtenergie verteilt, wobei gegenüber klassischen Verfahren diese Verteilung wesentlich schneller erfolgt, da durch neue Algorithmen die Umgebung der Objekte analysiert und dann die Energie gezielt verteilt wird. Es erfolgt immer wieder eine neue Umgebungsanalyse, so dass die Berechnung gegen Ende hin sogar immer schneller erfolgt.

Genaue Informationen über den aktuellen Stand der Berechnung liefert Ihnen die Meldungszeile.


Abstrahlen und indirektes Abstrahlen

Klicken Sie auf diesen Knopf, um zuerst das Abstrahlen und dann das indirekte Abstrahlen zu berechnen.

Diese Variante wählen Sie, wenn Sie sich sicher sind, dass alle Einstellungen korrekt vorgenommen sind. Um die Einstellungen zu testen, führen Sie die einzelnen Berechnungen getrennt durch.


nach der Berechnung

Dialog Daylight after

Im Anschluss an die Berechnung der Lichtverläufe können Sie noch Änderungen an der Beleuchtung vornehmen. Dies realisieren Sie durch Anpassung an den Helligkeiten der bestehenden Beleuchtungen und durch Hinzufügen weiterer Lichter (Sonne, Licht von vorne).

Tip

Änderungen an diesen Einstellungen beeinflussen die berechneten Lichtverläufe nicht. Sie können daher über einen neuen Bildaufbau (z.B. durch Klick auf Übernehmen) sofort sichtbar gemacht werden, ohne zuerst eine neue Berechnung zu starten.


Sonne

Wenn der Lichtverlauf berechnet wurde, kann noch weiteres Licht hinzugefügt werden, das die Beleuchtung in bestimmten Bereichen ergänzt. Wenn Sie neben dem weichen Schatten des Lichtverlaufs auch einen gerichteten Schatten darstellen wollen, der über eine Sonnenrichtung vorgegeben wird, wählen Sie eine Intensität für die Sonne (z.B. 40% bis 50%). Das Sonnenlicht kann dann über den Knopf Einstellungen... im Detail im Licht-Editor eingestellt werden. Auch die Berechnung eines realen Sonnenstands ist möglich.


Licht von vorne

Das Licht von vorne leuchtet aus der aktuellen Kamerasicht in das Projekt. Sie kennen dies von einem Spiegel, über den ein Fotograf das Sonnenlicht bündelt und auf sein Motiv lenkt. Verwenden Sie hier nicht zu hohe Intensitäten, um das Projekt nicht zu überleuchten. Das Licht von vorne kann über den Knopf Einstellungen... im Detail im Licht-Editor eingestellt werden.


Bodenstrahlung

Haben Gebäude einen Dachüberstand, kommt es vor, dass die Flächen bei einer Außenbeleuchtung von unten dunkel sind, wenn kein indirektes Licht berechnet wurde.

Example From Below1

Um dies zu verhindern, erhöhen Sie die Intensität der Bodenstrahlung.

Example From Below2

Das Projekt wird dann automatisch von unten beleuchtet.

Die Bodenstrahlung kann über den Knopf Einstellungen... im Detail im Licht-Editor eingestellt werden.


Grundhelligkeit

Mit der Grundhelligkeit werden alle Bildpunkte in gleicher Intensität beleuchtet.

Attention

Ist die Grundhelligkeit zu hoch, werden die Konturen im Bild immer undeutlicher. Aus diesem Grund sollten Sie diesen Wert auf 0 lassen.

Mit einer Erhöhung der Grundhelligkeit kann man erreichen, dass Innenräume erhellt dargestellt werden, wenn man ein Gebäude von außen beleuchtet. Aber gehen Sie hier maßvoll vor, damit das Bild seine Konturen nicht verliert.

Tip

Realistischere Ergebnisse erzielen Sie mit der Berechnung des indirekten Lichts.


Sonstige Lichtquellen

Die Lichtquellen, die Sie im Bereich Lichtquellen einzeln einstellen können, lassen sich auch im Gesamten regeln.

Über diesen Schieberegler können Sie alle sonstigen Lichtquellen abschwächen oder auch abschalten, indem Sie die Intensität auf 0 ziehen.


Glanzlichtquellen auf Fenster erzeugen

Wenn man Lichtverläufe für ein Projekt berechnen lässt, fehlen direkte Lichtquellen, die dann für die Erzeugung von Glanzpunkten genutzt werden können.

Image Highlights On Windows

Klicken Sie auf Glanzlichtquellen auf Fenster erzeugen, so wird für jedes Fenster eine Lichtquelle auf den Mittelpunkt des Fensters gesetzt, um einen Glanzeffekt zu erzeugen.

Image Highlights On Windows1

Über Einstellungen gelangen Sie zum Licht-Editor, in dem Sie weitere Einstellungen vornehmen können, um den Glanz z.B. zu intensivieren.

Image Highlights On Windows2

Soll der Glanz nicht mehr angezeigt werden, kann man die Intensität des Glanzlichts auf 0 stellen oder die Lichtquelle auch löschen.


Glanzlichtquellen auf Fenster löschen

Wenn die Glanzlichtquellen auf den Fenstern nicht mehr benötigt werden, können Sie sie mit dieser Funktion entfernen.


Einstellungen...

Über diese Funktion lassen sich die Einstellungen für die Glanzlichtquellen auf den Fenstern anpassen. Sie können die Einstellungen der Glanzlichtquellen, die auf den Fenstern erzeugt wurden, im Licht-Editor bearbeiten.


Helligkeit

Dialog Daylight Brightness

Im Anschluss an die Berechnung der Lichtverläufe können Sie noch Änderungen an der Helligkeit der Lichtverläufe und an den Kontrasten vornehmen.

Tip

Änderungen an diesen Einstellungen beeinflussen die berechneten Lichtverläufe nicht. Sie können daher über einen neuen Bildaufbau (z.B. durch Klick auf Übernehmen) sofort sichtbar gemacht werden, ohne zuerst eine neue Berechnung zu starten.


Helligkeit für Lichtverlauf

Nachdem die Berechnung des Lichtverlaufs durchgeführt wurde, kann die Helligkeit für den gesamten Lichtverlauf hier angepasst werden. Die Anpassung wird durch einen neuen Bildaufbau über den Knopf Übernehmen sichtbar.

Die Intensität der berechneten Lichtverläufe steht per default auf 70% und kann heller oder dunkler gestellt werden.

Tip

Um die einzelnen Lichtverläufe individuell anzupassen, verwenden Sie den Kanalmanager.


Kontrast für Tageslicht außen

Wenn Sie eine Tageslichtberechnung für außen vorgenommen haben, lässt sich mit dem Schieberegler der Lichtkontrast dafür nachträglich erhöhen oder verringern.

Die Änderung erkennen Sie nach einem neuen Bildaufbau.

Eine Feinjustierung der Bildhelligkeit nehmen Sie über das Ikon Bildhelligkeit einstellen vor.


Kontrast für Tageslicht innen

Wenn Sie eine Tageslichtberechnung für innen vorgenommen haben, lässt sich mit dem Schieberegler der Lichtkontrast dafür nachträglich erhöhen oder verringern.

Die Änderung erkennen Sie nach einem neuen Bildaufbau.

Eine Feinjustierung der Bildhelligkeit nehmen Sie über das Ikon Bildhelligkeit einstellen vor.


Kontrast für Lichtquellen

Wenn Sie eine direkte und/oder indirekte Lichtberechnung für Lichtquellen vorgenommen haben, lässt sich mit dem Schieberegler der Lichtkontrast dafür nachträglich erhöhen oder verringern.

Die Änderung erkennen Sie nach einem neuen Bildaufbau.

Eine Feinjustierung der Bildhelligkeit nehmen Sie über das Ikon Bildhelligkeit einstellen vor.


Kontrast für Materialien

Wenn Sie eine Berechnung für das Abstrahlen von Materialien vorgenommen haben, lässt sich mit dem Schieberegler der Lichtkontrast dafür nachträglich erhöhen oder verringern.

Die Änderung erkennen Sie nach einem neuen Bildaufbau.

Eine Feinjustierung der Bildhelligkeit nehmen Sie über das Ikon Bildhelligkeit einstellen vor.


Werkzeuge

Dialog Daylight Tools

Eine Berechnung des Lichtverlaufs erzeugt qualitativ hochwertigste Bilder. Voraussetzung dafür ist natürlich, dass die zugrunde liegenden Daten optimal sind.

Leider ist dies nicht immer gewährt. Um Fehler in der Darstellung nach einer Tageslichtberechnung zu unterdrücken, finden Sie hier verschiedene Werkzeuge, die zu einer Optimierung führen können.

Außerdem lassen sich Werkzeuge verwenden, die den bisher berechneten Lichtverlauf löschen.


Ebenenübergänge glätten

Sollten bei den Übergängen der Flächen Schatten sichtbar sein, so kann dies aus Ungenauigkeiten des CAD-Programms resultieren. Mit dieser Funktion können die Ungenauigkeiten bereinigt werden. Sollte das Ergebnis sich nicht verbessern, sollten Sie die Glättung wieder zurücknehmen.

Normalerweise reicht die vorgegebene Toleranz von 0.5mm aus.


Ebenenübergänge für Gruppen glätten

Sollten bei den Übergängen der Flächen Schatten sichtbar sein, so kann dies aus Ungenauigkeiten des CAD-Programms resultieren. Mit dieser Funktion können die Ungenauigkeiten bereinigt werden, indem die Übergänge zwischen einzelnen Gruppen geglättet werden. Sollte das Ergebnis sich nicht verbessern, sollten Sie die Glättung wieder zurücknehmen.

Normalerweise reicht die vorgegebene Toleranz von 0.05mm aus.


Glättung der Übergänge zurücknehmen

Die Glättungen der Ebenen lassen sich über diese Funktion wieder zurücknehmen.


Weitere Fenster suchen

Tip

Diese Einstellung kann nur vorgenommen werden, wenn Sie eine Innenbeleuchtung berechnen.

Tip

Bei der ersten Tageslichtberechnung für innen sucht GAMMA-RAY automatisch nach Fenstern.

Nach Klick auf diesen Knopf sucht das Programm nach weiteren Fenstern, indem man von außen auf die einzelnen Objekte des Projekts blickt. Eine Fläche wird als Fenster erkannt, wenn sie ein Material besitzt, das mindestens zu 60% transparent ist und wenn sie nicht verdeckt wird. Die Materialien von solchen Flächen werden jeweils in ein neues Material kopiert, das dann ein Fenster kennzeichnet. Dadurch haben Sie die Möglichkeit,

·Flächen, die als Fenster erkannt wurden, von der Innenbeleuchtung auszuschließen, indem Sie ihnen wieder das ursprüngliche Material zuweisen. Beispiel hierfür wäre ein Balkon mit einer Glasverkleidung.

oder

·Flächen, die nicht als Fenster erkannt wurden, in die Innenbeleuchtung aufzunehmen, indem Sie ihnen ein Fenstermaterial zuweisen. Beispiel hierfür wären Fenster, die durch einen vorgesetzten Balkon mit Glasverkleidung nicht als Fenster erkannt wurden. Diesen Flächen weisen Sie eines der erzeugten Fenstermaterialien zu.

Wurden seit der ersten Tageslichtberechnung keine weiteren Fenster mit transparenten Materialien belegt, werden auch keine weiteren Fenster gefunden.


Lichtverlaufdaten löschen...

Wenn die berechneten Informationen für den Lichtverlauf nicht mehr benötigt werden, löscht man sie über diesen Knopf. Neben dem Entfernen der Lichtquellen des Lichtverlaufs aus dem Licht-Editor werden auch die Informationen, die mit der Geometrie abgespeichert werden, gelöscht. Dies führt zu kleineren Dateien.

Wenn Sie auch die Lichtmanagereinstellungen löschen wollen, verwenden Sie die Funktion Lichtmanagereinstellungen und -daten löschen.


Lichtmanagereinstellungen und -daten löschen

Wenn die berechneten Informationen für den Lichtverlauf und die Einstellungen im Lichtmanager nicht mehr benötigt werden, löscht man sie über diesen Knopf. Neben dem Entfernen der Lichtquellen des Lichtverlaufs aus dem Licht-Editor werden auch die Informationen, die mit der Geometrie abgespeichert werden, gelöscht. Dies führt zu kleineren Dateien. Außerdem werden die Einstellungen im Lichtmanager zurückgesetzt.

Wenn Sie nur die Lichtverlaufdaten löschen wollen, verwenden Sie die Funktion Lichtverlaufdaten löschen.

Tip

Wenn Sie bereits eine Tageslichtberechnung mit einer früheren Version von GAMMA-RAY erzeugt haben, kann es sein, dass die Optimierungen, die in Version 19 vorgenommen wurden, sich nicht auf die aktuelle Berechnung auswirken. Dies liegt daran, dass in der Einstellungsdatei des Projekts (.par) noch frühere, nicht optimierte Einstellungen enthalten sind. In diesem Fall löschen Sie das Lichtmanagereinstellungen und -daten und berechnen den Lichtverlauf neu. Dann werden die Optimierungen auch wirklich angewendet.


Licht-Editor

Nachdem der Lichtverlauf berechnet ist, kann man ihn durch weitere Kunstlichtquellen ergänzen. So können bestimmte Bereiche des Projekts zusätzlich aufgehellt werden.

Tip

Die Effekte von Lichtquellen werden erst ab einer Berechnung in der Darstellungsqualität Hybrid oder höher sichtbar. Stellen Sie bei den Berechnungseinstellungen entweder für den gewünschten Darstellungsmodus die Darstellung auf diese Qualität um oder verwenden Sie den Darstellungsmodus Shadingdarstellung oder höher.

Der Licht-Editor liefert Ihnen alle Werkzeuge zum Einstellen von Lichtquellen.

Dialog Light Editor

Tip

In diesem Editor lassen sich auch direkt die Editoren für die Einstellungen der Berechnung, der Kamera und der Umgebung aufrufen.


Lichtquellenliste

In der Lichtquellenliste werden die Lichtquellen angezeigt, die für das aktuelle Projekt definiert sind. Ein Symbol vor dem Namen der Lichtquelle zeigt den Typ der Lichtquelle an und auch, ob die Lichtquelle an- oder ausgeschaltet ist.

Durch Anklicken der Lichtquelle in der Liste werden die Eigenschaften dieser Lichtquelle im unteren Teil des Dialogs angezeigt und können dann auch verändert werden. Um die Einstellungen einer anderen Lichtquelle zu editieren, muss diese zuerst in der Lichtquellenliste angeklickt werden.

Ein Doppelklick auf die Lichtquelle ändert den Zustand der Lichtquelle, d.h. eine angeschaltete Lichtquelle wird ausgeschaltet und eine ausgeschaltete Lichtquelle wird angeschaltet. Ist eine Lichtquelle angeschaltet, wird dies durch ein Häkchen links neben dem Lichtquellensymbol gekennzeichnet.

Wird eine bereits angewählte Lichtquelle erneut einmal angeklickt, lässt sich der Name dieser Lichtquelle verändern.


Neu...

Mit diesem Dialog erzeugen Sie eine neue Lichtquelle.

Dialog New Light

In der Eingabezeile Name der neuen Lichtquelle wird automatisch ein Name vorgegeben. Entweder übernehmen Sie diesen oder geben einen anderen Namen ein.

Über die Option Kopie der aktuellen Lichtquelle bestimmen Sie, dass alle Einstellungen der Lichtquelle, die gerade aktuell ist, für die neue Lichtquelle übernommen werden. Ist diese Option deaktiviert, wird per default ein Strahler definiert.

Ist die Option Standard-Lichtquelle aktiviert, definieren Sie eine neue Lichtquelle je nach gewähltem Lichttyp.

Ist die Option Lichtgruppe aktiviert, definieren Sie eine Gruppe von mehreren Lichtquellen, die gleiche Eigenschaften aber unterschiedliche Positionen besitzen. In die Gruppe werden dann weitere Lichtquellen aufgenommen, die über die Option Mitglied der Lichtgruppe definiert wurden.

Um eine Lichtgruppe zu definieren, gehen Sie wie folgt vor:

Erzeugen Sie eine neue Lichtquelle und aktivieren Sie die Option Lichtgruppe.

Dialog Define Lightgroup1

Die neue Lichtgruppe erscheint in der Lichtquellenliste ohne Symbol.

Dialog Define Lightgroup2

Wählen Sie für diese Lichtgruppe nun Eigenschaften wie Lichttyp und weitere Optionen (diese werden im Anschluss noch detailliert erklärt).

Dialog Define Lightgroup4

Die Eigenschaften der Lichtgruppe sind bestimmt. Nun definieren Sie Mitglieder der Lichtgruppe, die alle die gleichen Eigenschaften erhalten, aber an unterschiedlichen Positionen angeordnet sind. Lassen Sie dazu die Lichtgruppe in der Lichtquellenliste aktiv und klicken Sie auf den Knopf Neu...

Dialog Define Lightgroup5

Im Dialog ist automatisch die Option Mitglied der Lichtgruppe aktiviert. Achten Sie auch darauf, dass die Option Kopie der aktuellen Lichtquelle aktiv ist, damit das neue Mitglied die Einstellungen der Lichtgruppe erhält.

Die neue Lichtquelle wird in die Gruppe aufgenommen.

Dialog Define Lightgroup6

Setzen Sie die Lichtquelle an die gewünschte Position. Eine genaue Beschreibung folgt.

Erzeugen Sie noch weitere Mitglieder der Lichtgruppe in gleicher Art und Weise.

Dialog Define Lightgroup7

Tip

Wollen Sie bereits definierte Lichtquellen in die Lichtgruppe aufnehmen, können Sie diese einfach mit der Maus in die Liste ziehen.

Um die globalen Eigenschaften der Lichtgruppe zu verändern, klicken Sie in der Lichtquellenliste auf die Lichtgruppe und führen Sie die Anpassungen durch. Im unteren Bereich des Licht-Editors legen Sie fest, wie die Änderungen für die Mitglieder der Lichtgruppe übernommen werden.

Dialog Define Lightgroup8

Bitte wählen Sie:

keine Änderung: die bisherigen Mitglieder der Lichtgruppe bleiben unverändert, die neuen Eigenschaften wirken sich nur auf neu definierte Mitglieder der Lichtgruppe aus.

nur geänderte Werte: lediglich die Eigenschaften, die Sie im Anschluss verändern, werden für die Mitglieder der Lichtgruppe übernommen, die anderen Einstellungen bleiben erhalten. Wenn in der Lichtgruppe also Mitglieder mit unterschiedlichen Eigenschaften enthalten sind, bleiben diese erhalten, sofern sie im Anschluss nicht für die Gruppe gesamt geändert werden.

alle Werte: alle Mitglieder der Lichtgruppe erhalten alle Einstellungen der Lichtgruppe, also die bisherigen und die im Anschluss geänderten Einstellungen. Enthält die Lichtgruppe also Mitglieder mit unterschiedlichen Eigenschaften, werden diese gesamt geändert und auf die Eigenschaften der Lichtgruppe gesetzt.

Wenn Sie die Option animierte Lichtquelle aktivieren, legen Sie fest, dass es sich bei der neuen Lichtquelle um eine animierte Lichtquelle handelt, die in die Animation mit aufgenommen wird. Nähere Informationen zu animierten Lichtquellen finden Sie im Tutorial.


Löschen...

Über diese Funktion löschen Sie die aktuell ausgewählte Lichtquelle. Dies kann auch eine Lichtgruppe oder eine animierte Lichtquelle sein.

Tip

Eine Lichtquelle löschen Sie auch durch Drücken der Entf-Taste.


Lichttyp

In dieser Auswahl legen Sie den Typ der Lichtquelle fest. Folgende Typen stehen zur Verfügung:

Symbol Ambient Light On Symbol Ambient Light Off | Ambient | Beleuchtet alle Flächen gleichmäßig, ohne dabei einen Schatten zu werfen. Sie steht für das diffuse Umgebungslicht eines Projekts, also das Licht, das nicht direkt von einer Lichtquelle kommt. Statt dieses Typs verwenden Sie besser Tageslicht, um ein wesentlich realistischeres Ergebnis zu erhalten.
Symbol Point Light On Symbol Point Light Off | Rundum | Entspricht einer Glühlampe. Das Licht wird von einem Punkt ausgehend rundum (unter 360o) in alle Richtungen gleichmäßig abgestrahlt.
Symbol Sun Light On Symbol Sun Light Off | Sonne | Beleuchtet das Projekt mit parallelem Licht wie eine Sonne. Das bedeutet, das Licht kommt aus dem Unendlichen und strahlt unendlich breit parallel auf das Projekt.
Symbol Spot Light On Symbol Spot Light Off | Strahler | Simuliert einen Strahler, der eine Position, eine Richtung, einen Öffnungswinkel und eine Lichtkonzentration besitzt.
Symbol Spot On Symbol Spot Off | Spot | Erweiterung des Typs Strahler. Zusätzlich lassen sich ein Außenwinkel und ein Innenwinkel bestimmen, so dass man dem Innenbereich eine andere Farbe als dem Außenbereich des Lichtkegels geben kann. Bei der Form des Lichtkegels unterscheidet man zwischen rund und eckig.
Symbol Parallel Light On Symbol Parallel Light Off | Parallel | Erweiterung des Typs Sonne. Zusätzlich lassen sich eine Seitenlänge außen und eine Seitenlänge innen bestimmen, so dass man dem Innenbereich eine andere Farbe als dem Außenbereich des Lichtes geben kann. Bei der Form des Lichtes unterscheidet man zwischen Sonne (unendlich breit), eckig und rund.
Symbol LDT Light On Symbol LDT Light Off | LDT-Lampe | Eine Lampe, die auf Herstellerangaben beruht. Sie kann über eine Datei im Eulumndat-Format eingelesen werden.
Symbol Tube Light On Symbol Tube Light Off | Röhre | Beleuchtet das Projekt über Lichtquellen, die entlang einer Linie verlaufen. Hier bestimmt man die Seitenlänge der Röhre.
Symbol Plain Light On Symbol Plain Light Off | Fläche | Simuliert eine Fläche, die ein Licht abstrahlt. Hier bestimmt man die Seitenlänge und das Seitenverhältnis der Fläche.
Symbol Animated Light | Animiertes Licht | Steht für eine Ansammlung von Lichtquellen, die für eine Animation verwendet werden.

Je nach Typ können über den Knopf Erweitert... unterschiedliche Einstellungen für die Lichtquelle getroffen werden.


Licht an

Lichtquellen, die sich in der Lichtquellenliste befinden, können an- und ausgeschaltet werden. Dadurch lassen sich Studien mit unterschiedlicher Anzahl und Arten von Lichtquellen durchführen.


Schatten werfen

Ist diese Option aktiviert, wird die aktuelle Lichtquelle für die Schattenberechnung mit aufgenommen, sofern die Schattenberechnung bei den aktuellen Berechnungseinstellungen global eingeschaltet wurde.

Menu Calculation Parameters Shadow

Tip

Für manches Projekt ist es sinnvoll, zusätzliche Lichtquellen einzusetzen, die kleinere Bereiche aufhellen, um z.B. Glanzpunkte zu betonen. Diese Lichtquellen sollten dann aber auf keinen Fall Schatten werfen, da ansonsten mehrere Schattenrichtungen auftreten, was zu unnatürlichen Effekten führt.


Nur das aktuelle Licht anzeigen

Um zu verhindern, dass bei Verwendung zahlreicher Lichtquellen viele Lichtquellensymbole im Bild dargestellt werden, aktivieren Sie diese Option. Dann wird immer nur das Lichtsymbol der Lichtquelle angezeigt, die gerade in der Lichtquellenliste angewählt ist.

Wollen Sie die Symbole aller im Projekt verwendeten Lichtquellen sehen, deaktivieren Sie diese Option.


Lichthelligkeit (Dimmer)

Über diesen Schieberegler dunkeln Sie die eingestellte Lichtfarbe ab oder hellen sie auf. Die Einstellungen der Lichtfarbe ändern sich hierbei nicht.

Tip

Damit auch eine Übersteuerung der Lichtintensität erfolgen kann, geht der Einstellbereich für diesen Schieberegler bis 200%. Bei Bedarf können Sie sogar noch höhere Werte eingeben.


Glanzhelligkeit (Dimmer)

Ein Glanzpunkt wird bei glänzenden Materialien dann sichtbar, wenn eine Lichtquelle darauf leuchtet.

Über diesen Schieberegler bestimmen Sie die Intensität des Lichts, das den Glanz erzeugt. Die Einstellungen der Lichtfarbe ändern sich hierbei nicht. Ist die Option Glanzhelligkeit wie Lichthelligkeit aktiviert, so regeln Sie die Intensität des Lichts für den Glanz zusammen mit der Lichthelligkeit. Um auf der einen Seite einen recht hellen Glanzpunkt zu erzeugen, auf der anderen Seite aber das Projekt nicht zu überleuchten, können Sie die Lichthelligkeit und die Glanzhelligkeit getrennt voneinander regeln. Dazu schalten Sie die Option aus. Dann können Sie eine geringe oder auch gar keine Lichthelligkeit einstellen und die Intensität des Glanzlichts z.B. auf 100% belassen.

Tip

Damit auch eine Übersteuerung der Lichtintensität erfolgen kann, geht der Einstellbereich für diesen Schieberegler bis 200%. Bei Bedarf können Sie sogar noch höhere Werte eingeben.


Glanzlicht wie Lichthelligkeit

Um die Glanzhelligkeit unabhängig von der Lichthelligkeit einzustellen, deaktivieren Sie diese Option.


In der VR-Machine verwenden

Mit dieser Option bestimmen Sie, ob die Lichtquelle bei der Berechnung in der VR-Machine über eine optimierte Lichtverlaufsberechnung berücksichtigt werden soll.


Belichtungsmesser...

Ab und zu kommt es vor, dass ein Bereich von mehreren Lichtquellen bestrahlt wird, was dazu führt, dass dieser dann überleuchtet ist. In so einem Fall kann man über den Belichtungsmesser analysieren, welche Lichtquellen diese Stelle beleuchten.

Image Advanced Settings51

Dialog Advanced Settings Light Meter


Punkt mit der Maus anklicken

Klicken Sie auf den Knopf Punkt mit der Maus anklicken und anschließend mit dem Mauscursor auf die überleuchtete Stelle. Im oberen Bereich des Dialogs werden nun die Lichtquellen mit den Lichtanteilen angezeigt, die zur Beleuchtung des angewählten Punktes beitragen.

Dialog Advanced Settings Light Meter1

Die einzelnen Spalten haben folgende Bedeutung:

H | Helligkeit
R | Rot-Anteil
G | Grün-Anteil
B | Blau-Anteil
Name | Name der Lichtquelle

Wenn Sie auf einen der Spaltennamen (z.B. R) klicken, wird die Tabelle entsprechend dem angewählten Namen neu sortiert (z.B. beginnend mit dem höchsten Rot-Anteil).

Wenn Sie nun eine der Lichtquellen in der Liste per Doppelklick anwählen, wird diese Lichtquelle sofort in der Lichtquellenliste aktiviert und der Dialog der erweiterten Lichteinstellungen für die Lichtquelle geöffnet, so dass Sie die nötigen Einstellungen vornehmen können.


Werte aktualisieren

Über den Knopf Werte aktualisieren bringen Sie die Liste der beteiligten Lichtquellen nach Änderungen auf den aktuellen Stand.


Zeige auch schattenwerfende Lichtquellen

Wenn Sie auf eine Stelle im Projekt klicken, auf die ein Schatten geworfen wird, wird die Lichtquelle, die zu diesem Schattenwurf gehört, nicht in der Liste angezeigt, da hier ja nur die Lichtquellen aufgeführt sind, die zur Aufhellung des Bereichs beitragen. Erst wenn Sie die Option Zeige auch schattenwerfende Lichtquellen aktivieren, wird auch diese Lichtquelle in die Liste eingefügt. Dies können natürlich auch mehrere Lichtquellen sein.


Beleuchtung auf Fläche anzeigen

Ist diese Option aktiv, so wird die Lichtintensität der Lichtquelle an dem Punkt angezeigt, der auf einer Fläche angeklickt wurde. Es handelt sich also um die reduzierte Intensität, bei der Eigenschaften wie Winkelabnahme und Entfernungsabnahme berücksichtigt sind.

Ist diese Option nicht aktiv, so wird die Lichtintensität der Lichtquelle angezeigt, die den Punkt beleuchtet, der angeklickt wurde. Es handelt sich also um die Originalintensität der Lichtquelle.


Erweitert...

In diesem Dialog stellt man spezielle Lichteigenschaften ein. Je nach Lichttyp sind auch noch weitere Gruppen vorhanden.

Dialog Advanced Settings

Die Einstellungen sind in einzelne Bereiche unterteilt. Für den jeweiligen Bereich wählen Sie dann spezifische Einstellungen. Im rechten Teil des Dialogs wird immer ein Vorschaubild angezeigt, in dem die vorgenommenen Änderungen sofort sichtbar sind.


Öffnungswinkel

Attention

Diese Einstellung ist nur verfügbar für den Lichttyp Strahler, Spot, Röhre und Fläche.

Der Öffnungswinkel bestimmt den halben Winkel des Strahlkegels. Dabei wird ein Wert von 0 als eine Rundumlichtquelle interpretiert.

Je nach Öffnungswinkel sehen Sie einen kleineren oder einen größeren Lichtkegel auf den Flächen, die vom Lichtstrahl getroffen werden.

Die Ausdehnung des Kegels ist auch vom Abstand der Lichtquelle zum Objekt abhängig.


Abnahme über den Winkel

Attention

Diese Einstellung ist nur verfügbar für den Lichttyp Strahler.

Ohne die Abnahme über den Winkel wird ein scharf nach außen abgegrenzter Lichtkegel eines Strahlers dargestellt.

Image Advanced Settings1

Dies wirkt aber nicht sehr natürlich. Vielmehr nimmt die Intensität eines Strahlerlichts in den meisten Fällen über den Winkel nach außen hin ab. Dieser Effekt lässt sich über den Schieberegler Abnahme über den Winkel nachbilden. Sie bestimmen damit die Lichtverteilung innerhalb des Strahlkegels. Wenn Sie einen Wert über den Schieberegler einstellen, erkennen Sie den gewünschten Effekt.

Image Advanced Settings2

Tip

Der Wert der Abnahme über den Winkel ist abhängig von dem Abstand der Position der Lichtquelle zu der Fläche, die beleuchtet wird. Eine pauschale Aussage über Vorgaben kann hier also nicht getroffen werden. Ist der Wert groß, konzentriert sich die Intensität des Strahls in der Mitte, für kleinere Werte hingegen verteilt sich die Intensität gleichmäßig auf den gesamten Strahlbereich.


Abnahme über die Entfernung

Attention

Diese Einstellung ist nur verfügbar für den Lichttyp Rundum, Strahler, Spot, Röhre und Fläche.

Über diese Einstellung lässt sich die Abnahme der Intensität des Lichts mit der Entfernung von der Lichtquelle einstellen. Bis zu dem eingestellten Wert bleibt die Intensität konstant und nimmt danach entsprechend der Formel

1

Entfernung

(bei deaktivierter Option quadratische Abnahme)

oder

1

Entfernung2

(bei aktivierter Option quadratische Abnahme)

ab. Ist der Wert 0, bleibt die Intensität über die gesamte Entfernung konstant.

Tip

Einen großen Nutzen hat die Entfernungsabnahme z.B. in einer Darstellung am Abend. Wenn Sie innerhalb eines Gebäudes Lichtquellen einschalten, deren Licht auch nach außen trifft, wirkt es sehr unnatürlich, wenn das Licht über die Entfernung konstant bleibt.

Image Advanced Settings3

Verwenden Sie hier jedoch eine Entfernungsabnahme, verringert sich die Lichtintensität, so dass ein natürlicher Effekt entsteht.

Image Advanced Settings4


Farbe...

Attention

Diese Einstellung ist nur verfügbar für den Lichttyp Ambient, Rundum, Sonne und Strahler.

Die Lichtfarbe bestimmen Sie über den bekannten Farbeinstellungs-Dialog.

Attention

Das Ambientlicht und das Sonnenlicht sollten gleiche Werte für Rot, Grün und Blau erhalten, um zu vermeiden, dass das komplette Projekt in einem bestimmten Farbton eingefärbt wird.


Lichthelligkeit (in Lumen)

Über diesen Wert geben Sie die tatsächliche Lichtintensität für eine Einstellung von 100% im Lichteditor ein (z.B. bei der Regelung über den Lichtdimmer).


Darstellung aus Sicht der Lichtquelle

Wird diese Option aktiviert, stellt GAMMA-RAY das Projekt in dem Vorschaufenster aus der Sicht der aktuellen Lichtquelle dar. Hier erkennen Sie sehr leicht, ob eine Lichtquelle eventuell in einem Körper steckt und dadurch kein Licht abstrahlen kann.


Vorschau mit Schatten

Wird diese Option aktiviert, stellt GAMMA-RAY die Vorschau in dem Vorschaufenster mit Schattenwurf dar. Ansonsten erfolgt eine schnellere Voransicht ohne Schattenwurf.


Spot

Attention

Dieser Bereich ist nur verfügbar für den Lichttyp Spot.

Dialog Advanced Settings Spot

Für einen Spot können ein Außen- und ein Innenbereich bestimmt werden. Dem Innenbereich geben Sie dann eine andere Farbe als dem Außenbereich.

Der Spot strahlt von einem Punkt aus über die eingestellten Winkel zu einem Zielpunkt. Die beleuchtete Fläche wird über die Entfernung also immer größer.


Außenbereich bis

Der Winkel des Außenbereichs entspricht dem Öffnungswinkel eines Strahlers und bestimmt den halben Winkel des Strahlkegels. Dabei wird ein Wert von 0 als eine Rundumlichtquelle interpretiert.


Innenbereich bis

Der Winkel des Innenbereichs kann festgelegt werden, wenn die Option Für inneren Bereich andere Farbe verwenden aktiviert ist. Dadurch legen Sie einen inneren Bereich des Strahlers fest, der dann auch eine andere Farbe erhalten kann.

Tip

Der Innenbereich ist immer kleiner oder gleich dem Außenbereich. Wenn Sie den Winkel für den Außenbereich geringer als den Winkel des Innenbereichs setzen, wird dieser automatisch angepasst.


Form

Neben einem runden Spot kann auch ein eckiger Spot definiert werden. Schalten Sie dazu die Form von Rund auf Eckig.


Seitenverhältnis

Für den runden Spot und den eckigen Spot kann ein Seitenverhältnis angegeben werden. Dadurch wird die ursprüngliche kreisförmige bzw. quadratische Form in eine elliptische bzw. rechteckige Form geändert.

Werte größer 1 vergrößern die Form in der vertikalen Richtung, während Werte kleiner 1 die Form in der vertikalen Richtung verkleinern.


Drehung um die Position

Mit dem Schieberegler wird die Lichtquelle um die Achse Position -> Richtung um bis zu 360o gedreht.

Tip

Um den Spot auszurichten, verwenden Sie die Funktion Licht mit der Maus einstellen.


Leuchtbereich

Der Leuchtbereich bestimmt, an welcher Position die Beleuchtung des Spots anfängt und wo sie endet. Geben Sie hier die gewünschten Werte ein oder klicken Sie die Punkte im Projekt an, nachdem Sie auf den zugehörigen Knopf Punkt mit der Maus anklicken geklickt haben. Sie grenzen dadurch den Leuchtbereich des Spots genau ein.


Farbe

Über die Knöpfe Außen... und Innen... legen Sie die Farbe des Außen- und des Innenbereichs fest. Sie verwenden dazu den Farbeinstellungs-Dialog.

Attention

Die Innenfarbe wird erst sichtbar, wenn Sie die Option Für inneren Bereich andere Farbe verwenden aktiviert haben.


Für inneren Bereich andere Farbe verwenden

Aktiviert die Darstellung der Farbe, die Sie über den Knopf Innen... eingestellt haben.


Abnahme über den Winkel außen

Entspricht der Abnahme über den Winkel des Typs Strahler und bestimmt somit die Verteilung des Lichts an dem Außenrand des Strahlkegels.


Abnahme über den Winkel innen

Ist diese Option aktiviert, wird auch der Bereich des Innenwinkels außen weich auslaufen. Dadurch erreichen Sie einen weichen Übergang zu der Farbe des Außenbereichs.


Parallel

Attention

Dieser Bereich ist nur verfügbar für den Lichttyp Parallel.

Dialog Advanced Settings Parallel

Für ein Parallellicht können ein Außen- und ein Innenbereich bestimmt werden. Dadurch legen Sie einen Innenbereich mit anderer Farbe fest. Das Parallellicht strahlt von einem Punkt aus parallel zu einem Zielpunkt. Die beleuchtete Fläche bleibt also über die Entfernung immer gleich.


Navigation: Die Icons > Licht-Editor > Erweitert... > Parallel >

Return to chapter overview

Außenbereich bis

Gibt die Länge der Seite des äußeren Parallellichts an.


Navigation: Die Icons > Licht-Editor > Erweitert... > Parallel >

Return to chapter overview

Innenbereich bis

Gibt die Länge der Seite des inneren Parallellichts an.


Form

Neben einem runden Parallellicht kann auch ein eckiges Parallellicht definiert werden. Schalten Sie dazu die Form von Rund auf Eckig.


Seitenverhältnis

Für das runde Parallellicht und das eckige Parallellicht kann ein Seitenverhältnis angegeben werden. Dadurch wird die ursprüngliche kreisförmige bzw. quadratische Form in eine elliptische bzw. rechteckige Form geändert.

Werte größer 1 vergrößern die Form in der vertikalen Richtung, während Werte kleiner 1 die Form in der horizontaler Richtung verkleinern.


Drehung um die Position

Mit dem Schieberegler wird die Lichtquelle um die Achse Position -> Richtung um bis zu 360o gedreht.

Tip

Um die Parallellichtquelle auszurichten, verwenden Sie die Funktion Licht mit der Maus einstellen.


Leuchtbereich

Der Leuchtbereich bestimmt, an welcher Position die Beleuchtung des Parallellichts anfängt und wo sie endet. Geben Sie hier die gewünschten Werte ein oder klicken Sie die Punkte im Projekt an, nachdem Sie auf den zugehörigen Knopf Punkt mit der Maus anklicken geklickt haben. Sie grenzen dadurch den Leuchtbereich des Parallellichts genau ein.


LDT-Lampe

Dialog Advanced Settings LDT

LDT-Lampen lassen sich im Eulumndat-Datenformat laden. In diesem Format wird die Leuchtencharakteristik von zahlreichen Leuchten von den namhaften Leuchtenherstellern abgelegt. Diese Dateien sind direkt beim Leuchtenhersteller erhältlich.

Nach dem Einlesen der Daten sind die weiteren Einstellungen für die Leuchte gesetzt. Änderungen an diesen Einstellungen sind also normalerweise nicht nötig.


Fläche/Röhre

Attention

Dieser Bereich ist nur verfügbar für die Lichttypen Röhre und Fläche.

Dialog Advanced Settings Plain

Eine Flächenlichtquelle ist eine "einfache" Parallellichtquelle. Es gibt hier keinen Außen- und Innenbereich. Sie definieren lediglich die Ausdehnung der Fläche. Bei einer Röhre erfolgt die Beleuchtung durch eine Linie, die nur eine horizontale Ausdehnung hat. Es handelt sich immer um eine eckige Lichtquelle. Beim Röhrenlicht erfolgt die Beleuchtung ausgehend von den beiden äußeren Punkten und dem Mittelpunkt. Beim Flächenlicht erfolgt die Beleuchtung ausgehend von den Flächeneckpunkten und dem Mittelpunkt der Fläche.


Navigation: Die Icons > Licht-Editor > Erweitert... > Fläche/Röhre >

Return to chapter overview

Länge

Geben Sie in dieses Eingabefeld die Länge der Lichtquelle ein.


Breite

Attention

Dieser Bereich ist nicht verfügbar für den Lichtquellentyp Röhre.

Geben Sie in dieses Eingabefeld die Breite der Flächenlichtquelle ein.


Drehung um die Position

Mit dem Schieberegler wird die Lichtquelle um die Achse Position -> Richtung um bis zu 360o gedreht.

Tip

Um die Röhre / Fläche auszurichten, verwenden Sie die Funktion Licht mit der Maus einstellen.


Anzahl auf der Länge

Für diesen Lichttyp bestimmen Sie die Anzahl der Lichtquellen, die auf die Länge der Lichtquelle verteilt werden.


Anzahl auf der Breite

Attention

Dieser Bereich ist nicht verfügbar für den Lichtquellentyp Röhre.

Für diesen Lichttyp bestimmen Sie die Anzahl der Lichtquellen, die auf die Breite der Lichtquelle verteilt werden.


Typ der Lichtquelle

Über diese Auswahl bestimmen Sie, welcher Lichttyp auf Länge und Breite der Lichtquelle verteilt wird.

Menu Spot Selection Lighttype

Je nach Untertyp ergeben sich andere Darstellungen, insbesondere im Bereich des Schattens. Definieren Sie über die Anzahl auf der Länge, die Anzahl auf der Breite und den Typ der Lichtquelle genau den Effekt in der Beleuchtung, den Sie bevorzugen.


Navigation: Die Icons > Licht-Editor > Erweitert... > Fläche/Röhre >

Return to chapter overview

Farbe...

Die Lichtfarbe bestimmen Sie über den bekannten Farbeinstellungs-Dialog.


Lichtquellen auf einer Kugel anordnen

Attention

Diese Option ist nicht verfügbar für den Lichtquellentyp Röhre.

Wenn die Lichtquellen anstatt auf einer ebenen Fläche auf einer Kugel angeordnet werden sollen, aktivieren Sie diese Option. Dann sind die oberen Eingabefelder nicht mehr verfügbar.


Winkel für die Kugel

Attention

Dieses Eingabefeld ist nicht verfügbar für den Lichtquellentyp Röhre.

Wenn die Lichtquellen auf einer Kugel angeordnet werden, bestimmen Sie hier den Winkel für die Kugel. Ein Wert von z.B. 180o legt eine Halbkugel fest.


Anzahl der Lichtquellen

Attention

Dieses Eingabefeld ist nicht verfügbar für den Lichtquellentyp Röhre.

Wenn die Lichtquellen auf einer Kugel angeordnet werden, bestimmen Sie hier die Anzahl der Lichtquellen, die verteilt werden.


Schatten

Attention

Dieser Bereich ist nicht verfügbar für den Lichttyp Ambient.

Hier definieren Sie das Aussehen des Schattens, der durch die Beleuchtung mit der aktuellen Lichtquelle erzeugt wird.

Dialog Advanced Settings Shadow


Schattenart

GAMMA-RAY unterscheidet einen weichen und einen harten Schatten.

In der Natur gibt es hauptsächlich weiche Schatten. Wenn Sie sich in Ihrem Raum umschauen, werden Sie erkennen, dass alle Schatten weich auslaufen. Dies liegt an der unterschiedlichen Energieverteilung des Lichts.

Image Advanced Settings5

Harte Schatten sind eher die Seltenheit. Um diese scharfe Abgrenzung des Schattens an seinen Rändern zu erreichen, müssen Sie mit einem starken Strahler auf die Objekte leuchten. In dem obigen Bild würde ein harter Schatten unnatürlich wirken, weil er viel zu exakt wäre.

Image Advanced Settings6

Die Rechenzeit für den weichen Schatten ist zudem viel kürzer. In dem Beispiel müssten die Schattenkanten zusätzlich noch geglättet werden, was dann die Rechenzeit noch mal erhöht.


Transparenzen berücksichtigen

Ist diese Option aktiviert, werden auch transparente Flächen in die Berechnung mit dem Schattenbuffer einbezogen. Somit werden auch für dieses schnelle Schattenberechnungsverfahren Schatten von transparenten Körpern berechnet.

Attention

Für die transparenten Flächen wird immer ein dunkler Schatten berechnet. So wird z.B. für einen Glastisch ein dunkler Schatten am Boden sichtbar. Das führt aber bei einer Außenansicht dazu, dass ein Innenraum, bei dem das Licht durch die Fensterscheiben eintritt, trotzdem dunkel ist. In so einem Fall sollte diese Option für die Lichtquelle deaktiviert werden.

Um das korrekte Schattenabbild zu berechnen, müssen Sie für die Lichtquelle das Raytracing-Schatten-Verfahren anwenden.


Berechnung über

Für die Berechnung des Schattens stehen drei verschiedene Berechnungstypen zur Verfügung. Diese unterscheiden sich in der Darstellung und Berechnungszeit des Schattens.


Schattenbuffer

Das Schattenbuffer-Verfahren löst die Schattenberechnung, indem die sichtbaren Flächen von der Lichtquelle aus in einem Vorablauf bestimmt werden und dieses Ergebnis in einer so genannten Shadowmap abgelegt wird. Hierbei werden nur die Tiefeninformationen in der Shadowmap abgelegt, d.h. wie weit das Licht von der Lichtquelle aus in das Projekt vordringt. Das Nachschlagen in der Shadowmap ist viel schneller als die Berechnung des Schattens über einen Strahltest, wie er z.B. durch das Raytracing-Verfahren aktiviert wird.

Das Projekt wird in kleine Würfelchen unterteilt und für jedes Würfelchen analysiert, ob es beschattet ist oder nicht. Diese Information gilt dann für alle Pixel auf dem Würfelchen. Die Anzahl der Würfelchen bestimmen Sie über die Schattenauflösung. Diese hat nach dem Programmstart einen Wert von 1000.

Ist die Schattenauflösung zu klein, erhalten Sie einen sehr verwaschenen weichen Schatten.

Image Advanced Settings7

Wenn Sie den harten Schatten aktivieren, erkennen Sie, warum dies so ist.

Image Advanced Settings8

Durch die geringe Schattenauflösung werden für den Schatten sehr große Würfel berechnet und dann über den Algorithmus des weichen Schattens an den Rändern verschmiert. Da aber das Grundbild des Schattens schon ungenau ist, kann ein weicher Schatten nicht zu einem sinnvollen Ergebnis führen. Sie müssen also die Schattenauflösung erhöhen.

Wenn die Schattenauflösung zu hoch eingestellt ist, wird der Arbeitsspeicher unnötig belastet, da die Informationen im Arbeitsspeicher gehalten werden. Reicht dieser nicht aus, werden Teile des Bildes auf Festplatte ausgelagert, was zu Verzögerungen in der Berechnung führt. Außerdem kommt hinzu, dass eventuell die Grundlage für den weichen Schatten zu genau wird, wodurch dann keine Ränder vorhanden sind, die verschmiert werden können.

Stellen Sie also einen Wert ein, der nicht zu groß und nicht zu klein ist. Dieser ist natürlich von der Ausdehnung des Projekts abhängig.

Image Advanced Settings9

Auf so einer Basis wird dann auch ein ansprechender weicher Schatten berechnet.

Image Advanced Settings5

Wenn das Projekt sehr groß ist, müssen Sie einen sehr hohen Wert für die Schattenauflösung eingeben, um einen guten Schatten darzustellen. Dies liegt natürlich daran, dass die Anzahl der Würfelchen entsprechend hoch gewählt werden muss, damit sie nicht so stark auffallen. Dadurch wird aber auch viel Arbeitsspeicher belegt.

Wenn Sie hier aber die Schattenauflösung zu klein wählen, wird der Schatten nur sehr undeutlich dargestellt.

Image Advanced Settings11

Um dies zu verhindern, gibt es die Möglichkeit, Materialien bei der Schattenberechnung nicht zu berücksichtigen. Bei den Materialeigenschaften finden Sie die Optionen für den Schatten.

Dialog Material Properties Options2

Gerade bei den Materialien, die bis weit an die Grenze des Projekts reichen (Gelände, Wege, Straßen, ...), muss nicht unbedingt die Option werfen aktiviert sein, da diese Materialien ohnehin keinen Schatten werfen. Wenn Sie die Option für solche Materialien deaktivieren, verringern Sie jedoch die Ausdehnung für den benötigten Schattenbuffer enorm. Somit können Sie mit einer geringeren Schattenauflösung arbeiten, um den benötigten Speicherbedarf zu reduzieren und trotzdem ein gutes Resultat zu erhalten.

Tip

Wenn Sie den Schattenbuffer noch weiter verringern wollen, sollten Sie z.B. das Gelände in zwei unterschiedliche Flächen aufteilen: in einen Bereich rund um das Gebäude, der dann auch Schatten empfangen soll und einen Bereich für die Außenfläche, auf dem dann auch kein Schatten mehr zu sehen sein wird. Für diese zweite Fläche deaktivieren Sie die Schattenoption empfangen des zugewiesenen Materials. Dadurch wird oft der Schattenbereich noch mal drastisch verkleinert.


Objektbuffer

Das Objektbuffer-Verfahren arbeitet ähnlich wie das Schattenbuffer-Verfahren, legt jedoch nicht die Information über die Tiefe ab, sondern über die sichtbaren Flächen. Zuerst wird über den Schattenbuffer analysiert, wo sich in dem Projekt Schattenbereiche befinden und nur diese werden dann anschließend über ein Raytracingverfahren sehr genau berechnet. Da die Berechnungszeit für das Raytracingverfahren höher ist und für den Objektbuffer auch der doppelte Speicherplatz gegenüber dem Schattenbuffer benötigt wird, sollte dieses Verfahren nur in den Fällen verwendet werden, in denen Sie über den Schattenbuffer in Verbindung mit weichen Schatten kein akzeptables Ergebnis erhalten.

Tip

Da der Schattenbuffer nur zur Bestimmung der Schattenzonen verwendet wird, ist die Schattenauflösung nicht so groß zu wählen wie bei der Berechnung über das Schattenbuffer-Verfahren. Wenn sie zu klein ist, kann es jedoch vorkommen, dass gewisse Schattengebiete nicht erkannt und deshalb auch nicht dargestellt werden.


Raytracing

Bei diesem Verfahren wird die Schattenberechnung durch eine Strahlenverfolgung von der aktuellen Position zur Lichtquelle gelöst. Dieses Verfahren benötigt die meiste Rechenzeit. Aktivieren Sie Raytracing nur dann, wenn Sie exakte Schatteneffekte von transparenten oder farbtransparenten Flächen (Diaeffekt) berechnen müssen.

Setzen Sie das Raytracing-Verfahren also nur dann ein, wenn Sie farbige Schatten erzeugen wollen.

Beispiel: Wenn Sie mit einer Lichtquelle durch ein Dia leuchten, tritt das Licht durch das transparente Material hindurch. Über das Schattenbuffer- und das Objektbuffer-Verfahren bildet sich eine erhellte Stelle hinter dem Dia (deaktivierte Option Transparenzen berücksichtigen)

Image Advanced Settings13

oder es wird ein dunkler Schatten der Diafolie abgebildet (aktivierte Option Transparenzen berücksichtigten).

Image Advanced Settings52

Erst wenn Sie den Raytracing-Schatten aktivieren, zeichnet sich auch das Bild des Dias ab.

Image Advanced Settings14


Schattenauflösung

Über die Schattenauflösung bestimmen Sie die Schattengenauigkeit. Kleinere Werte führen zu ungenaueren Schatten, größere Werte zu erhöhtem Speicherbedarf. Sie müssen also entscheiden, ab welcher Schattenauflösung Sie mit dem Ergebnis zufrieden sind. Diese hängt natürlich auch entscheidend von der Ausdehnung des Projekts ab.

Eine Schattenauflösung n entspricht einem Bild von n * n Pixel, gerechnet von der Lichtquelle aus. Hierfür werden 4 * n2 Byte Speicherplatz je Shadowmap verbraucht, wobei z.B. Sonnenlicht und Strahlerlichtquellen eine Shadowmap generieren, Rundumlichtquellen jedoch 6 Shadowmaps.

Tip

Meist reicht eine Schattenauflösung im Bereich von 1000 bis 3000 aus.


Abstand für Schatten

Für den Schattenbuffer muss ein bestimmter Clipping-Bereich eingehalten werden, ab dem erst eine Schattenberechnung möglich ist. Der Bereich vor dem Clipping ist immer beleuchtet.

Dies kann in wenigen Fällen zu Problemen führen, z.B. wenn der Lampenschirm, in den ein Rundumlicht positioniert wurde, nur einen sehr kleinen Durchmesser hat. Dann kommt es vor, dass das Licht ungehindert durch den Lampenschirm dringt, so dass die Umgebung beleuchtet ist. In solchen Fällen verringern Sie den Abstand für das Clipping.


Breite am Schattenrand

Dieser Wert bestimmt die Umgebungsbreite am Schattenrand, innerhalb derer der Schatten im Schattenbuffer interpoliert wird, um einen weichen Schatten zu erzeugen. Er repräsentiert also die Schmierbreite des weichen Schattens. Kleinere Werte erzeugen somit einen härteren Schatten, größere Werte einen weicheren Schatten.


Typ des Schattenrands

Der Schattenrand kann in 3 unterschiedlichen Grundtypen eingestellt:

normal

Image Shadow Edge Normal

angepasst (für einen scharfen Schatten)

Image Shadow Edge Adjusted

gleichmäßig (für einen weichen, verschmierten Schatten)

Image Shadow Edge Evenly


Ausdehnung Lichtquelle

Attention

Diese Einstellung ist nur verfügbar, wenn die Schattenart verlaufend und die Berechnung über Raytracing gewählt wurde.

Auch der Raytracingschatten kann am Rand weich verlaufen. Dazu müssen Sie festlegen, wie groß das Gebiet sein soll, über das eine Beleuchtung simuliert werden soll. Zusätzlich bestimmen Sie noch die Anzahl der Lichtquellen.


Anzahl Lichtquellen

Attention

Diese Einstellung ist nur verfügbar, wenn die Schattenart verlaufend und die Berechnung über Raytracing gewählt wurde.

Auch der Raytracingschatten kann am Rand weich verlaufen. Dazu müssen Sie festlegen, wie viele Lichtquellen auf dem Gebiet für die Beleuchtung verwendet werden, das Sie über Ausdehnung Lichtquelle bestimmen.


Schattenauflösung für Lichtmanager

Attention

Dieser Wert ist nur einstellbar für den Lichttyp Röhre und Fläche.

Für die Lichtquelle, die über die Einstellungen im Licht-Editor zu einer Beschattung führt, können Sie eine Schattenauflösung bestimmen.

Wenn die Lichtquelle im Lichtmanager auch für eine direkte Beleuchtung aktiviert ist, können Sie hier eine Schattenauflösung festlegen, die sich von dem obigen Wert unterscheidet.


Schattenhelligkeit

Über diese Einstellung lässt sich die Helligkeit des Schattens beeinflussen. Während ein Wert von 0 einen dunklen Schatten darstellt, hellen höhere Werte den Schatten auf.


nur den Schatten aufhellen

Diese Option bestimmt, ob das gesamte Projekt mit dem Wert der Schattenhelligkeit aufgehellt wird oder nur der Schatten selbst. In dem ersten Fall werden also auch die Flächen aufgehellt, die außerhalb des Schattens der Lichtquelle liegen, im zweiten Fall wird nur die Schattendarstellung aufgehellt.


Sichtbares Licht

Attention

Dieser Bereich ist nicht verfügbar für den Lichttyp Ambient.

Um Partikel im Licht darzustellen, verwenden Sie sichtbares Licht. Dadurch wird der Lichtkegel vom Ursprung ausgehend dargestellt.

Attention

Sichtbares Licht wird nur dann dargestellt, wenn die Option Sichtbares Licht bei den aktuellen Berechnungseinstellungen aktiviert ist.

Menu Calculation Parameters Visible Light

Mit dem Dialog für sichtbares Licht entwerfen Sie das Aussehen des sichtbaren Lichts.

Dialog Advanced Settings Visible Light

Für die Einstellung gelten folgende Koordinatensysteme:

·die Z-Achse liegt in der Richtung des Lichtes

·die X- und die Y-Achse stehen jeweils senkrecht zur Lichtrichtung


Dichte

Die Dichte steuert die grundlegende Abnahme des sichtbaren Lichts. Folgende Optionen stehen zur Verfügung:

Dialog Advanced Settings Visible Light1

keine: Das sichtbare Licht ist ausgeschaltet.

XYZ abnehmend: Die Intensität des sichtbaren Lichts nimmt entlang aller drei Achsen ab.

Image Advanced Settings25

XY abnehmend: Die Intensität des sichtbaren Lichts nimmt entlang der Lichtrichtung nicht, aber außerhalb dieser Achse gemäß der Entfernung von dieser Achse ab. Dadurch erfolgt keine Abschwächung über die Entfernung.

Image Advanced Settings26

Z abnehmend: Die Intensität des sichtbaren Lichts nimmt nur gemäß der Entfernung entlang der Lichtrichtung ab.

Image Advanced Settings27

konstant: Die Intensität des sichtbaren Lichts ist im gesamten Lichtverlauf konstant.

Image Advanced Settings28


Navigation: Die Icons > Licht-Editor > Erweitert... > Sichtbares Licht >

Return to chapter overview

Helligkeit

Mit diesem Schieberegler steuern Sie die Helligkeit des sichtbaren Lichts.


Abnahme

Über diesen Schieberegler bestimmen Sie die Stärke der Intensitätsabnahme gemäß der gewählten Dichteverteilung. Kleinere Werte führen zu einem intensiveren Lichtkegel,

Image Advanced Settings29

größere Werte lassen die Intensität nach außen hin stärker abnehmen.

Image Advanced Settings30


Ausdehnung des Lichtkegels

Über diese Einstellung weiten Sie den Lichtkegel auf oder verengen ihn. Große Werte erzeugen einen breiten Lichtkegel, kleine Werte einen schmalen Lichtkegel.

Tip

Image Advanced Settings33

Diese Einstellung wirkt in dem Bild unrealistisch. Sie benötigen diese Einstellung jedoch dann, wenn Sie mit einer Abnahme über den Winkel arbeiten, wodurch dann der Lichtkegel auch kleiner wird.


Navigation: Die Icons > Licht-Editor > Erweitert... > Sichtbares Licht >

Return to chapter overview

Verformung des Lichtkegels

Verformen Sie den Kegel im Querschnitt von einem Kreis zu einer Ellipse.


Austrittsöffnung

Attention

Dieser Bereich ist nur verfügbar für den Lichtquellentyp Strahler und Spot.

Legen Sie die Größe der Austrittsöffnung bei Strahlerlichtquellen fest. Dadurch können Sie auch nicht-punktförmige Lichtquellen simulieren.

Image Advanced Settings34


Durchmesser

Attention

Dieser Bereich ist nur verfügbar für den Lichtquellentyp Rundum- und Sonnenlichtquellen.

Hier geben Sie den Durchmesser des sichtbaren Lichts für Rundumlichtquellen und die Sonne an.


Beginn der Beleuchtung, Ende in Beleuchtung

Um den Lichtkegel auf einen bestimmten Bereich zu begrenzen, stellen Sie einen Entfernungsbereich ein. Die entsprechenden Werte geben Sie entweder in die Eingabefelder ein oder bestimmen den jeweiligen Punkt im Projekt. Klicken Sie dazu auf den zugehörigen Knopf Anklicken und wählen Sie dann den Punkt im Projekt aus. Der Lichtkegel des sichtbaren Lichts wird dann in der angegeben Entfernung abgeschnitten.

Image Advanced Settings35


Vorschau wie im Projekt

Wenn Sie diese Option aktivieren, wird in dem Vorschaufeld die Ausrichtung des sichtbaren Lichtkegels entsprechend der tatsächlichen Ausrichtung des Lichts im Projekt dargestellt.


Bei Schattenberechnung berücksichtigen

Ist diese Option aktiviert, erfolgt eine zusätzliche Volumenberechnung zur Schattenberechnung. Objekte, die im Strahlbereich des Lichtkegels stehen, werfen einen räumlichen Schatten in den Lichtkegel.

Ohne diese Einstellung werden sämtliche Volumen im Strahlbereich ignoriert, so dass der Lichtstrahl alle Flächen durchdringt.

Image Advanced Settings36

Erst nach Aktivierung der Schattenberechnung wird der Strahl korrekt begrenzt.

Image Advanced Settings37

Attention

Die Schattenberechnung kann nur bei Lichtquellen erfolgen, bei denen auch die Option Schatten werfen aktiviert ist.


Abtastrate

Zur Berechnung des Schattens des sichtbaren Lichts werden Teststrahlen zur Lichtquelle gesendet. Über die Abtastrate stellen Sie die Genauigkeit der Berechnung über die Anzahl der Teststrahlen ein. Je höher die Abtastrate ist, desto genauer wird das Ergebnis. Jedoch erhöht sich dann auch die Berechnungszeit.


Exakte Berechnung

Wenn Sie diese Option aktivieren, verwendet GAMMA-RAY ein alternatives, rechenintensiveres Verfahren zur Bestimmung des sichtbaren Lichts, das jedoch unter Umständen genauere Ergebnisse liefert.


Reflexe

Attention

Dieser Bereich ist nicht verfügbar für den Lichttyp Ambient.

Reflexe sind die sternförmigen oder flächigen Überstrahlungseffekte auf Fotos, in die eine starke Lichtquelle hinein strahlt. Die Reflexe entstehen aus Überlagerungen verschiedener Teileffekte, die aus kreisförmigen Halos (innen und außen), dem Halo-Ring, den Blendenflecken, sowie dem Haupt- und dem Nebenstern bestehen.

Sie sehen Reflexe von Lichtquellen nur dann, wenn Sie direkt in das Licht blicken.

Attention

Reflexe werden nur dann dargestellt, wenn die Option Reflexe von Lichtquellen bei den aktuellen Berechnungseinstellungen aktiviert ist.

Dialog Advanced Settings Reflections


Glühen

Glühen sind die primären Reflexeffekte. Nach Aktivierung dieser Option stellen Sie über den Schieberegler die Stärke des Glühens ein.

Image Advanced Settings38


Blendeneffekte

Blendeneffekte sind die sekundären Linsen-Reflexe. Nach Aktivierung dieser Option stellen Sie über den Schieberegler die Stärke der Blendeneffekte ein.

Image Advanced Settings39


Prüfe, ob außerhalb vom Bild

Ist diese Option aktiviert, werden die Reflexeffekte dieser Lichtquelle nur dann berechnet, wenn die Lichtquelle selbst innerhalb des berechneten Bildes positioniert ist.


Nebensternstrahlen zufällig

Ist diese Option aktiviert, werden die Strahlspitzen des Nebensterns in Richtung und Länge mit einem zufälligen Wert beeinflusst, um eine Unregelmäßigkeit in den Effekt hineinzubringen.

Image Advanced Settings40


Effekt

In dem Auswahlfeld lassen sich die folgenden Effekte selektieren. Der aktuelle Effekt wird durch ein weißes Quadrat gekennzeichnet. Für den ausgewählten Effekt lassen sich dann einzelne Einstellungen verändern.


Halo außen, Halo innen

Der äußere und innere Halo sind kreisförmige oder elliptische, nach außen hin abnehmende Aufhellungen.

Halo außen:

Image Advanced Settings41

Halo innen:

Image Advanced Settings42


Navigation: Die Icons > Licht-Editor > Erweitert... > Reflexe > Effekt >

Return to chapter overview

Halo-Ring

Der Halo-Ring ist eine nach außen zunehmende Aufhellung.

Image Advanced Settings43


Navigation: Die Icons > Licht-Editor > Erweitert... > Reflexe > Effekt >

Return to chapter overview

Hauptstern, Nebenstern

Diese Sterne bestehen aus einer Anzahl sternförmiger Strahlen.


Blendenfleck 1 bis Blendenfleck 12

Die einzelnen Blendenflecke unterhalb der Halos und Sterne lassen sich im Detail verändern.


Navigation: Die Icons > Licht-Editor > Erweitert... > Reflexe >

Return to chapter overview

aktiv

Über diese Option können Sie den aktuellen Effekt an- und ausschalten.


Navigation: Die Icons > Licht-Editor > Erweitert... > Reflexe >

Return to chapter overview

Farbe...

Wählen Sie über den Farbeinstellungs-Dialog die Farbe des aktuellen Effekts aus.


Typ

Attention

Diese Einstellung ist nur verfügbar für den Effekt Blendenfleck.

Stellen Sie für die Blendenflecke einen der Typen Linear, Exp. 1, Exp. 2, Exp. 3 oder Exp. Inv. ein.


Position

Attention

Diese Einstellung ist nur verfügbar für den Effekt Blendenfleck.

Über die Position verschieben Sie die Position des aktuellen Effekts auf einer Geraden. Die Position 0% liegt auf der Lichtquelle, 50% in der Bildmitte und 100% spiegelbildlich zur Lichtquelle am Bildrand.


Radius 1, Radius 2

Radius 1 bestimmt den horizontalen, Radius 2 den vertikalen Radius des Effekts. Somit lassen sich auch elliptische Effekte erzielen. Die Werte beziehen sich prozentual auf die Höhe des berechneten Bildes.


Vorschauposition wie im Projekt

Wenn Sie diese Option aktivieren, wird in dem Vorschaufeld die Ausrichtung der Reflexe entsprechend der tatsächlichen Ausrichtung des Lichts im Projekt dargestellt.


Drehung

Attention

Diese Einstellung ist nur verfügbar für die Effekte Hauptstern, Nebenstern und Blendenfleck.

Bestimmen Sie den Winkel, um den die Sterne bzw. der elliptische Blendenfleck gedreht werden. Der Wertebereich liegt zwischen 0o und 360o.


Anzahl Strahlen

Attention

Diese Einstellung ist nur verfügbar für die Effekte Hauptstern und Nebenstern.

Variieren Sie die Anzahl der Strahlen, die von dem Haupt- und dem Nebenstern ausgehen.


Lichtsymbol

Über den Maus-Modus Licht-Symbol-Modus aktivieren Sie die Darstellung eines Lichtsymbols, über das der Typ und die Einstellung der Lichtquellen sichtbar werden. Das Aussehen des Lichtsymbols definieren Sie in diesem Dialog.

Dialog Advanced Settings Light Symbol

Folgende Symbole werden dargestellt:

Ambient | kein Lichtsymbol
Rundum | Image Advanced Settings44
Sonne | Image Advanced Settings45
Strahler | Image Advanced Settings46
Spot | Image Advanced Settings47
Parallel | Image Advanced Settings48
Röhre | Image Advanced Settings49
Fläche | Image Advanced Settings50

Je nach aktuell eingestelltem Lichttyp stehen die nachfolgenden Einstellungen zur Verfügung. Passen Sie diese je nach Ausdehnung des Projekts an, d.h. wählen Sie größere Werte bei größerer Projektausdehnung (z.B. Bereich Architektur) und kleinere Werte bei kleinerer Projektausdehnung (z.B. Bereich Design).


Kugelradius

Attention

Diese Einstellung ist nur verfügbar für die Lichtquellentypen Rundum, Sonne, Strahler und Spot.

Bestimmt die Ausdehnung der Kugel, die für die Darstellung der Position der Lichtquelle verwendet wird.


Pfeillänge

Attention

Diese Einstellung ist nicht verfügbar für die Lichtquellentyp Ambient..

Bestimmt die Länge des Pfeils, der von der Position in Richtung des Zielpunkts der Lichtquelle gezeichnet wird. Auf dem Pfeil befindet sich ein Hilfspunkt, über den Sie die Lichtquelle parallel verschieben.


Kegellänge

Attention

Diese Einstellung ist nur verfügbar für die Lichtquellentypen Strahler und Spot.

Bestimmt die Ausdehnung des Lichtkegels, der von der Strahlerlichtquelle in Richtung des Zielpunkts gezeichnet wird. Auf der Außenseite des Kegels befinden sich vier Hilfspunkte, über die Sie den Öffnungswinkel verändern.


Materialwahl

Oftmals will man einzelne Materialien aufhellen, um diese hervorzuheben. Das Leuchten in den Materialeinstellungen hellt alle Bildpunkte gleich auf, was dann dazu führt, dass Konturen immer undeutlicher dargestellt werden. Besser wäre es, wenn man das Material über eine Lichtquelle beleuchtet. Dadurch wird aber die gesamte Szenerie aufgehellt, was auch nicht immer gewünscht ist.

In der Materialwahl kann man für eine Lichtquelle festlegen, dass ihre Beleuchtung nur auf ein bestimmtes Material wirkt.

Beispiel:

Image Light on Material 1

In einer düsteren Beleuchtung wird in der Realität der weiße Putz grau dargestellt. Dieses reale Verhalten ist aber nicht immer gewünscht. Um nur den weißen Putz aufzuhellen, kann man eine Lichtquelle definieren, die von vorne auf das Projekt strahlt. In dem neuen Karteireiter Materialwahl wählt man das Material aus, auf das die Aufhellung wirken soll.

Dialog Light on Material

Image Light on Material 2

Nur das Material der Hauswand wird aufgehellt, wobei die Konturen der Objekte sichtbar bleiben. Der Rest des Projekts bleibt wie vorher beleuchtet.

Ein weiterer Anwendungsfall ist das Begrenzen von Glanz auf nur einzelnen Materialien. Auch die Darstellung von Oberflächenstrukturen kann damit optimiert werden.


Materialien wählen

Aktivieren Sie diese Option, um Materialien in der Liste auswählen zu können.


Materialliste

In dieser Liste werden die Materialien, die im Projekt verwendet werden, angezeigt.


Material mit der Maus anklicken

Wenn Sie auf diesen Knopf klicken, können Sie ein Material im Projekt mit der Maus anwählen. Dieses Material ist dann in der Materialliste unterlegt dargestellt.


alle wählen

Wenn Sie auf diesen Knopf klicken, werden alle im Projekt verwendeten Materialien in der Materialliste aktiviert.


keines wählen

Wenn Sie auf diesen Knopf klicken, ist kein Material in der Materialliste aktiviert.


Licht mit der Maus einstellen

Diese Funktion ist auch über das Icon Icon Light Symbol Mode aufrufbar, mit dem Sie den Maus-Modus Licht-Symbol-Modus wählen.


Position und Richtung...

Dieser Dialog bietet die Möglichkeit, die Position und Richtung von Lichtquellen zu bestimmen.

Dialog Light Position

Im oberen Bereich des Dialogs lassen sich exakte Koordinatenwerte für die Position und den Zielpunkt einer Lichtquelle eingeben. Das Licht strahlt von der Position auf den Zielpunkt.

Wenn Sie die Koordinatenwerte nicht kennen, haben Sie über die Bereiche Welchen Punkt mit der Maus anklicken? und Wo mit der Maus anklicken? auch die Möglichkeit, die entsprechenden Punkte im Projekt über den Mauscursor anzuklicken. Den Vorgang starten Sie durch Drücken des Knopfes Punkt mit der Maus anklicken.

Wählen Sie dazu zuerst unter Welchen Punkt mit der Maus anklicken? die Lichtquelle aus. Sie können nun entscheiden, ob Sie die Position direkt auf einer Fläche oder in einer Ansicht anklicken wollen.

Über die Auswahl auf einer Fläche bestimmen Sie, dass Sie alle drei Koordinaten einer Fläche übernehmen wollen, die Sie im Projekt anklicken. Das Programm sendet nach Klick auf Punkt mit der Maus anklicken einen Strahl senkrecht in das Projekt. Die Koordinaten an dem Punkt der Position des Mauscursors der ersten Fläche, die getroffen wird, wird in die Liste eingetragen.

Beispiel:

Image Digitize Surface

Der Punkt auf der oberen Deckelfläche des Würfels wird in die Liste eingetragen. Bewegt man den Cursor etwas nach oben

Image Digitize Surface1

wird der entsprechende Punkt der roten Rückfläche in die Liste eingetragen.

Wählen Sie in einer Ansicht, lässt sich die Position auch in einer der vier Ansichten anklicken, wobei dann immer nur zwei Koordinaten in die obere Liste eingetragen werden, während die dritte auf dem vorherigen Wert bleibt.

Beispiel: In der Liste stehen unter Position die Werte X = 0m, Y = 0m, Z = 0m. Sie klicken nun in der XY-Ansicht einen Punkt für die Position nach Klick auf Punkt mit der Maus anklicken an. Die Anzeige kann dann wie folgt erscheinen: X = -1.54m, Y = 3.98m, Z = 0m. Die Z-Koordinate wird sich bei Verwendung der XY-Ansicht also nicht verändern.


Lichtrichtung wie oben angegeben

Ist diese Option angewählt, gelten für Position und Richtung der Lichtquelle die oben in der Liste angezeigten Werte.


Lichtrichtung wie Kamerarichtung

Mit dieser Option erzeugen Sie ein Licht, das immer von der Kamera ausgehend senkrecht in das Projekt strahlt, egal, welche Werte in der oberen Liste eingetragen sind. Sie können sich dieses Licht wie das Licht, das oben an einem Grubenhelm angebracht ist, vorstellen. Es folgt immer der Bewegung der Kamera (beim Helm der Bewegung des Kopfes).

Image Camera Light


Lichtrichtung folgt einer Gruppe

Über diese Option legen Sie fest, dass die Lichtquelle an ein Geometrieobjekt gekoppelt wird. Bewegt man dann das Objekt an eine andere Stelle, bewegt sich die Lichtquelle mit.

Beispiel:

Image Group Light1

Setzen Sie in die Lampe eine Rundum-Lichtquelle.

Image Group Light2

Dialog Light Position1

Wählen Sie mit dem Fadenkreuz die Lampe an. Wenn Sie anschließend die Lampe in die Auswahl laden und verschieben, folgt die Lichtquelle automatisch der Position der Lampe.

Image Group Light3

Image Group Light4


Sonnenstand...

Wenn Sie ein Licht des Typs Sonne bearbeiten, ist auch der Knopf Sonnenstand... aktiv.

Dialog Light Position2

Über diese Funktion stellen Sie die Ausrichtung der Sonne für einen bestimmten Ort an einem bestimmten Tag zu einer bestimmten Uhrzeit ein.

Dialog Sun Position

Im oberen Teil wählen Sie einen geographischen Ort in einer Liste aus. Dessen Längen- und Breitengrad wird unter Längengrad und Breitengrad angezeigt. Der Längengrad wird gegen den Längengrad von Greenwich gemessen. Positive Winkel liegen westlich von Greenwich, negative östlich. Der Breitengrad bestimmt sich gegen den Äquator. Auf der Nordhalbkugel ist der Breitengrad positiv, auf der Südhalbkugel negativ.

Tip

Die Namen und Einstellungen der Orte sind in der Datei Installationsverzeichnis\Prog_19\Sunpos.ini abgelegt und können hier ergänzt werden.

Oder nehmen Sie die Ergänzungen über den Knopf Einen neuen Ort in die Liste einfügen... vor.

Dialog Sun Position New Town

Es schließt sich der Bereich zur Eingabe des Zeitpunkts an. Wählen Sie hier das Datum und die Uhrzeit, zu der der aktuelle Sonnenstand berechnet werden soll. In das Feld Zeitzonenkorrektur müssen Sie eine Zeitkorrektur für die Zeitzone gegenüber Greenwich Median Time (GMT) angeben. Diese Zeitzonenkorrektur beträgt für Deutschland -1h (Mitteleuropäische Zeit MEZ) während der Winterzeit und -2h (Mitteleuropäische Sommerzeit MESZ) während der Sommerzeit. Geben Sie für andere Länder die entsprechenden Werte ein.

Im nächsten Bereich geben Sie die Ausrichtung des Nordpfeils in dem Grundriss an. Wenn Sie sich nicht sicher sind, stellen Sie das Projekt im Grundriss dar und geben Sie dann die Richtung des Nordpfeils für diesen Grundriss an.

Die Sonnenstandsberechnung wird bei jeder Wertänderung aktuell mitgeführt und in den Feldern Sonnenhöhe und Azimutwinkel angezeigt. Die Sonnenhöhe gibt den Winkel des Sonnenstandes gegenüber einer gedachten horizontalen Ebene an. Eine positive Sonnenhöhe entspricht einer hoch stehenden Sonne, bei negativer Höhe ist die Sonne hinter dem Horizont untergegangen. Der Azimutwinkel gibt die Richtung der Sonne in der Ebene gegen die Südrichtung an.

Im unteren Bereich des Dialogs erkennen Sie eine Weltkarte. Auf dieser ist zur Kontrolle der gewählte geographische Ort durch ein rotes Dreieck markiert. Sie können aber auch durch Anklicken eines Punktes auf der Weltkarte die geographischen Koordinaten ungefähr setzen.

Zur Veranschaulichung wird der Sonnenstand rechts neben der Weltkarte in einem Darstellungsfeld angezeigt. Das Sonnensymbol zeigt die Richtung der Sonne gegenüber Norden. Je näher die Sonne zum Rand des Kreises kommt, desto niedriger steht die Sonne. Außerdem zeigt das Symbol mit der ein- bzw. ausgeschalteten Sonne an, ob sie sichtbar oder untergegangen ist. Wenn Sie mit der linken Maustaste auf das Symbol des Nordpfeils klicken, können Sie mit der Maus den Nordpfeil verdrehen, wenn Sie die Maustaste gedrückt halten. Oder klicken Sie einfach auf die gewünschte Nordrichtung.

Image Sun Position North1

Die neue Nordrichtung wird angezeigt, sobald Sie die Maustaste loslassen.

Attention

Der eingestellte Sonnenstand wird für die Lichtquelle verwendet, sobald Sie den Dialog mit Übernehmen schließen.


In Animation einfügen

Wenn Sie eine animierte Lichtquelle erstellt haben, ist dieser Knopf aktiviert. Treffen Sie ihre Einstellungen für die Lichtquelle und fügen Sie sie dann über diesen Knopf in die Animation ein.

Weitere Informationen zur Erstellung von Lichtanimationen finden Sie im Tutorial.


In Lichtgruppe übernehmen

Hier legen Sie fest, wie die Änderungen für die Mitglieder einer Lichtgruppe übernommen werden.

Dialog Define Lightgroup8

Bitte wählen Sie:

keine Änderung: die bisherigen Mitglieder der Lichtgruppe bleiben unverändert, die neuen Eigenschaften wirken sich nur auf neu definierte Mitglieder der Lichtgruppe aus.

nur geänderte Werte: lediglich die Eigenschaften, die Sie im Anschluss verändern, werden für die Mitglieder der Lichtgruppe übernommen, die anderen Einstellungen bleiben erhalten. Wenn in der Lichtgruppe also Mitglieder mit unterschiedlichen Eigenschaften enthalten sind, bleiben diese erhalten, sofern sie im Anschluss nicht für die Gruppe gesamt geändert werden.

alle Werte: alle Mitglieder der Lichtgruppe erhalten alle Einstellungen der Lichtgruppe, also die bisherigen und die im Anschluss geänderten Einstellungen. Enthält die Lichtgruppe also Mitglieder mit unterschiedlichen Eigenschaften, werden diese gesamt geändert und auf die Eigenschaften der Lichtgruppe gesetzt.


Kamera-Editor

Über die Einstellungen der Kamera bestimmen Sie die Position und den Blickpunkt des Beobachters des Projekts. Zusätzlich sind noch die Brennweite und die Verdrehung der Kamera relevant. Wenn die jeweilige Schnittstelle es zulässt, werden die Einstellungen aus dem CAD-Projekt beim Einlesen des Projekts übernommen.


Kameraliste

In der Kameraliste werden die Kameras angezeigt, die für das aktuelle Projekt definiert sind. Ein Symbol vor dem Namen der Kamera zeigt an, um welchen Kameratyp es sich dabei handelt:

Symbol Perspective Camera | Perspektivische Kamera
Symbol Parallel Camera | Parallele Kamera, Spezialkamera (Grundriss, ...)

Für eine perspektivische Kamera können alle Einstellungen verändert werden. Die parallelen Kameras und die Spezialkameras sind fest vorgegebene Kameras, die eine fixe Position und Richtung haben. Auch die Brennweite und Orientierung lässt sich nicht variieren. Lediglich im Zoom sind Veränderungen möglich.

Tip

Die Spezialkameras werden unter anderem bei der 4-Ansichten Darstellung verwendet. Wenn Sie also Veränderungen an diesen Kameras vornehmen, wirken sich diese auch für die einzelnen Fenster der 4-Ansichten aus.

Durch Anklicken der Kamera in der Liste werden die Eigenschaften dieser Kamera im unteren Teil des Dialogs angezeigt und können dann auch verändert werden. Um die Einstellungen einer anderen Kamera zu ändern, muss diese zuerst in der Kameraliste angeklickt werden.

Ein Doppelklick auf eine Kamera aktiviert diese als aktuelle Kamera. Es erfolgt ein neuer Bildaufbau aus Sicht dieser Kamera. Das Häkchen links neben dem Kamerasymbol kennzeichnet, dass diese gerade die aktuelle Kamera ist.

Wird eine bereits angewählte Kamera erneut einmal angeklickt, lässt sich der Name dieser Kamera verändern.


Neu...

Mit diesem Dialog erzeugen Sie eine neue Kamera.

Dialog New Camera

Geben Sie in der Eingabezeile Name der neuen Kamera den Namen für die neue Kamera ein.

Über die Option Kopie der aktuellen Kamera bestimmen Sie, dass alle Einstellungen der Kamera, die gerade aktuell ist, für die neue Kamera übernommen werden.


Löschen...

Über diese Funktion löschen Sie die aktuell ausgewählte Kamera.

Tip

Eine Kamera löschen Sie auch durch Drücken der Entf-Taste.


Position, Blickpunkt

In diese Eingabefelder geben Sie die Koordinaten für die aktuelle Kamera ein. Somit lassen sich die Position und der Blickpunkt genau vorgeben. Sie können die Kamera auch über die Maus-Modi Kamera-Dreh-Modus und Kamera-Symbol-Modus festlegen. Auch eine Veränderung über die Cursortasten ist möglich.


Nur die aktuelle Kamera anzeigen

Um zu verhindern, dass bei Verwendung zahlreicher Kameras viele Kamerasymbole im Bild dargestellt werden, aktivieren Sie diese Option. Dann wird immer nur das Kamerasymbol der Kamera angezeigt, die gerade in der Kameraliste angewählt ist.

Wollen Sie die Symbole aller im Projekt verwendeten Kameras sehen, deaktivieren Sie diese Option.


Perspektivische Projektion

Über diese Option entscheiden Sie, ob Sie eine perspektivische Darstellung

Image Camera 25

oder eine Parallelprojektion wünschen.

Image Camera 26


Für Innenbeleuchtung verwenden

Wenn diese Option aktiviert ist, wird für diese Sicht eine Innenbeleuchtung berechnet, wenn Sie Tageslicht im Modus Innen, nur für die festgelegten Kameras berechnen. So entscheiden Sie, für welche Kamerapositionen die Berechnung des Tageslichts vorgenommen wird, um die Berechnung auf bestimmte Räume zu limitieren.


Clipping

Über die Optionen ohne, vorne und vorne und hinten entscheiden Sie, ob Sie ein Tiefenclipping einsetzen wollen.


Brennweite

Mit diesem Schieberegler wird der Bildausschnitt von der Kameraposition aus festgelegt.

Die Werte entsprechen den Brennweiten, wie sie beim Fotografieren verwendet werden. Normale Brennweiten liegen zwischen 40mm und 60mm. Die üblichen Objektive einer Kleinbildkamera haben eine Brennweite von 50mm. Kleinere Brennweiten ergeben größere Blickwinkel und damit auch stärkere Verzerrungen, während größere Brennweiten mit ihren kleinen Bildwinkeln eine Ausschnittsvergrößerung mit einer nahezu parallelen Betrachtung ähnlich einem Teleobjektiv ermöglichen.

Verzerrungen können über Stürzende Linien korrigieren behoben werden.


Platzieren

Im oberen Bereich des Dialogs lassen sich exakte Koordinatenwerte für die Position und den Blickpunkt einer Kamera eingeben.

Der Obenvektor gibt die Orientierung der Kamera an. Sie bestimmen damit, welche Richtung für die Kamera nach oben zeigt. Üblicherweise ist die Obenrichtung die positive Z-Achse, so dass für Obenvektor die Werte X=0, Y=0 und Z=1 eingestellt sind.

Image Camera 1

Wollen Sie die Kamera z.B. um 90o drehen, könnte nun die X-Achse die neue Obenrichtung sein. Die Werte lauten dann X=1, Y=0 und Z=0.

Image Camera 2

Werte von X=0.5, Y=1 und Z=0 führen zu folgender Ansicht:

Image Camera 3

Wenn Sie die Koordinatenwerte nicht kennen, haben Sie über die Bereiche Welchen Punkt mit der Maus anklicken? und Wo mit der Maus anklicken? auch die Möglichkeit, die entsprechenden Punkte im Projekt über den Mauscursor anzuklicken. Den Vorgang starten Sie durch Drücken des Knopfes Punkt mit der Maus anklicken.

Wählen Sie dazu zuerst unter Welchen Punkt mit der Maus anklicken? die Position aus. Sie entscheiden nun, ob Sie die Position direkt auf einer Fläche oder in einer Ansicht anklicken wollen.

Über die Auswahl auf einer Fläche bestimmen Sie, dass Sie alle drei Koordinaten einer Fläche übernehmen wollen, die Sie im Projekt anklicken. Das Programm sendet nach Klick auf Punkt mit der Maus anklicken einen Strahl senkrecht in das Projekt. Die Koordinaten an dem Punkt der Position des Mauscursors der ersten Fläche, die getroffen wird, werden in die Liste eingetragen.

Wählen Sie in einer Ansicht, lässt sich die Position auch in einer der vier Ansichten digitalisieren, wobei dann immer nur zwei Koordinaten in die obere Liste eingetragen werden, während die dritte auf dem vorherigen Wert bleibt.

Beispiel: In der Liste stehen unter Position die Werte X=0m, Y=0m, Z=0m. Sie klicken nun in der XY-Ansicht einen Punkt für die Position nach Klick auf Punkt mit der Maus anklicken an. Die Anzeige kann dann wie folgt erscheinen: X=-1.54m, Y=3.98m, Z=0m. Die Z-Koordinate wird sich bei Verwendung der XY-Ansicht also nicht verändern.

Tip

Wesentlich einfacher bestimmen Sie die Kamera über die Funktion Standpunkt und Blickpunkt mit der Maus anklicken im Menü des Maus-Modus Kamera-Dreh-Modus.


Stereo

Dialog Camera Stereo

Weitere Informationen zur Stereo-Darstellung erhalten Sie im Tutorial.


Kameratyp

Wählen Sie hier zwischen den Möglichkeiten Mono (normale Darstellung ohne 3D-Effekt) oder Stereo (Darstellung mit 3D-Effekt).


Darstellung

Wählen Sie hier zwischen den Optionen Schwarz/Weiß, Farbig, Hardwareunterstützt, Überlappend und Nebeneinander.

Die Einstellung Schwarz/Weiß generiert ein Bild passend für die gängigen Rot-/Grün-Brillen, Farbig ein Bild für eine Rot-/Cyan-Brille, so dass eine Farbempfindung möglich ist. Hardwareunterstützt sollten Sie verwenden, wenn Sie einen 3D-Stereo-Beamer verwenden, der den Stereo-Effekt unterstützt. Die Darstellungen Überlappend und Nebeneinander werden von 3D-Fernsehern verwendet.


Augenabstand

Über diesen Schieberegler verändern Sie den Abstand zwischen den beiden virtuellen Kameras für das rechte und das linke Auge, mit denen das Bild berechnet wird. Sie simulieren damit den Abstand zwischen den Augen. Der normale Augenabstand liegt bei ca. 7cm. Vergrößern Sie den Augenabstand, um die perspektivische Wirkung zu verstärken.


Bildverschiebung

Die Blickrichtung von rechtem und linkem Auge kreuzt sich in einem Punkt. Über die Bildverschiebung verschieben Sie den Kreuzungspunkt, um den 3D-Effekt in der Tiefe zu variieren.


Blickwinkel

Über diesen Schieberegler kippen Sie die Darstellung, so dass das Bild auf einem Ausdruck bei Betrachtung unter dem eingestellten Blickwinkel den Eindruck erweckt, als ob die Objekte aus dem Blatt heraus stehen würden.


Modellskalierung

Ein 3D-Effekt ist nur auf Modellen sichtbar, die einige Zentimeter groß sind. Um also einen 3D-Effekt für Gebäude zu realisieren, müssen Sie diese verkleinern. Geben Sie den entsprechenden Verkleinerungsfaktor als Modellskalierung ein. Dieser Wert gilt nur für die Stereo-Darstellung und wirkt sich nicht auf die Geometrie selbst aus.


Nebeneinander darstellen

Verwenden Sie einen 3D-Fernseher, der die 3D-Darstellung per Side-by-Side realisiert, können Sie hier weitere Einstellungen vornehmen.

Testen Sie, ob der 3D-Effekt noch deutlicher wird, wenn Sie das linke und das rechte Bild vertauschen.

Mit der horizontalen Skalierung bestimmen Sie, wie viele Bilder nebeneinander dargestellt werden sollen. Da heutige 3D-Fernseher mit 2 Bildern arbeiten, sollten Sie den vorgegebenen Wert so belassen.

Bei manchen Fernsehern muss zur korrekten 3D-Darstellung ein schwarzer Rand in den beiden Bildern angezeigt werden. Die Größe des Randes können Sie in % angeben.

Tip

Diese Eingaben sind von Hersteller zu Hersteller unterschiedlich. Während man z.B. bei 3D-Fernsehern von Panasonic keinen Rand anzeigen muss, kommt der 3D-Effekt auf Philips-Fernsehern nur dann korrekt, wenn man einen inneren Rand von 9% festlegt.

Bitte fragen Sie Ihren Händler oder testen Sie selbst unterschiedliche Eingaben für den Rand.


Clipping

In diesem Bereich stellen Sie das Clipping ein. Es handelt sich hier um ein Tiefenclipping, d.h. Sie schneiden das dargestellte Bild in gewissen Abständen von der Kamera.

Dialog Camera Clipping

Tip

Im 4-Ansichten-Fenster sind die Clipping-Ebenen der drei Standardansichten miteinander verknüpft. Die drei Standardansichten stellen einen gemeinsamen würfelförmigen Ausschnitt des Gesamt-Projekts dar. Aktivieren Sie in einer der Ansichten das Clipping vorne, bestimmt der sichtbare Bildausschnitt der anderen beiden Ansichten die Clipping-Ebenen. Sie können so z.B. in ein Haus von oben hinein blicken.

Image Camera 19

Bewegen Sie den Mauscursor in die Ansicht der Draufsicht und klicken Sie auf die rechte Maustaste. Aktivieren Sie dann die Option Clipping vorne.

Menu Camera Clipping

Wenn Sie nun in dem oberen linken Fenster das Haus nach oben schieben (Maus mit gedrückter linker Maustaste und gedrückter Shift-Taste nach oben bewegen), wird das Dach genau in der Höhe aufgeschnitten, die oben verbleibt.

Image Camera 20


Typ

Mit der Einstellung ohne wird kein Tiefenclipping durchgeführt.

Über die Einstellung vorne werden alle Flächenteile vor der vorderen Clipping-Ebene entfernt, so dass Sie z.B. Körper aufschneiden und hinein blicken können. Über die Einstellung vorne und hinten entfernen Sie zusätzlich alle Flächenteile hinter der hinteren Clipping-Ebene.


Clipping vorne

Geben Sie hier die Position der vorderen Clipping-Ebene gemessen von der Kameraposition ein.

Diese kann auch mit der Maus direkt im Projekt angeklickt werden.


Clipping hinten

Geben Sie hier die Position der hinteren Clipping-Ebene gemessen von der Kameraposition ein. Dieser Wert ist somit immer größer als der Wert für Clipping vorne.

Diese kann auch mit der Maus direkt im Projekt angeklickt werden.


Einpassen über Punkte

Dialog Camera Fit

Mit dieser Funktion lassen sich Projekte in ein Hintergrundbild einpassen. Sie legen Koordinatenpaare aus Eckpunkten und Bildpunkten fest, aus denen dann die Perspektive berechnet wird.

Weitere Informationen zum Einpassen über Punkte finden Sie im Tutorial.


Einpassen über Flächen

Dialog Camera Fit1

Mit dieser Funktion lassen sich Projekte in ein Hintergrundbild einpassen. Über ein Hilfssymbol wird die Perspektive definiert.

Weitere Informationen zum Einpassen über Flächen finden Sie im Tutorial.


Kamera mit der Maus einstellen

Nach Aufruf der Funktion wechselt die Darstellung automatisch in die 4-Ansichten-Darstellung und der Maus-Modus wechselt zum Kamera-Symbol-Modus. Die Kamera kann dann über das Kamerasymbol eingestellt werden.


Diese Kamera verwenden

Die aktuell in der Kameraliste angewählte Kamera wird zur aktuellen Kamera, aus deren Sicht das Projekt dann nach einem erneuten Bildaufbau erfolgt.

Tip

Dies erreichen Sie auch, indem Sie einen Doppelklick auf die gewünschte Kamera in der Kameraliste durchführen.


Stürzende Linien korrigieren

Oftmals müssen Sie mit einer kleinen Kamerabrennweite arbeiten, um Objekte aus einer bestimmten Sicht komplett darzustellen. Durch die Perspektive ergeben sich jedoch stürzende Linien, die störend wirken, weil das Bild verzerrt aussieht.

Image Keystone Correction 1

Wenn Sie die Option Stürzende Linien korrigieren aktivieren und das Bild erneut aufbauen, wird es wie folgt dargestellt:

Image Keystone Correction 2

Auch bei der Darstellung von kleinen Räumen

Image Keystone Correction 3

ist diese Funktion sehr hilfreich.

Image Keystone Correction 4


Umgebungs-Editor

Die Umgebung eines Projekts muss nicht konstruiert werden. Vielmehr lassen sich dafür auch Farben oder Bilder verwenden, die dann in den Hintergrund, Vordergrund oder in das Projekt als Kulisse platziert werden können.


Umgebungsliste

In der Umgebungsliste werden die Umgebungsbilder aufgelistet, die für das aktuelle Projekt definiert sind.

Links neben dem Namen wird auch ein Bild der Umgebung in der Liste dargestellt.

Durch Anklicken der Umgebung in der Liste werden die Eigenschaften dieser Umgebung im unteren Teil des Dialogs angezeigt und können dann auch verändert werden. Um die Einstellungen einer anderen Umgebung zu ändern, muss diese zuerst in der Umgebungsliste angeklickt werden.

Wird eine bereits angewählte Umgebung erneut einmal angeklickt, lässt sich der Name dieser Umgebung verändern.

Wenn Sie auf das + - Zeichen neben der Umgebung Spezial klicken, öffnet sich eine Liste mit Spezialumgebungen.

Dialog Special Environment


Vorschau-Bild

Diese Umgebung bestimmt die Farbe und das Aussehen der Umgebung, die für die Erzeugung von Vorschaubildern verwendet wird. Es handelt sich hier um die Vorschaubilder, die beim Erzeugen einer 3D-Objekte-Auswahl generiert werden. Neben einer Farbe lassen sich über den Knopf Erweitert... auch Bilder auswählen.


Nebel

Das berechnete Bild eines Projekts lässt sich mit Nebel versehen.

Mit Hilfe des bekannten Farbeinstellungs-Dialogs bestimmen Sie die Farbe des Nebels, nachdem Sie auf den Knopf Farbe... geklickt haben. Normalerweise ist die Farbe des Nebels grau bis weiß.

Sobald Sie den Nebel aktivieren und auf Erweitert... klicken, erscheint folgender Dialog:

Dialog Advanced Fog


Startpunkt des Nebels

Alle Flächen, die sich vor dem Nebelbeginn befinden, werden ohne Nebel dargestellt.

Geben Sie hier einen Wert ein oder klicken Sie über den Knopf Punkt mit der Maus anklicken einen Punkt im Projekt an. Der Wert beschreibt die Entfernung von der aktuellen Kameraposition aus.


Bereich mit Nebel

Alle Flächen in diesem Bereich (hinter dem Startpunkt) sind vom Nebel eingehüllt.

Geben Sie hier einen Wert ein oder klicken Sie über den Knopf Punkt mit der Maus anklicken einen Punkt im Projekt an. Der Wert beschreibt die Entfernung von der aktuellen Kameraposition aus.


Stärke des Nebels im Hintergrund

Über diesen Schieberegler bestimmen Sie die Stärke des Nebels für das Hintergrundbild.


Unschärfe

In diesem Bereich definieren Sie eine Tiefenunschärfe, d.h. das Bild verschwimmt vorne und nach hinten hin.

Sobald Sie die Unschärfe aktivieren und auf Erweitert... klicken, erscheint folgender Dialog:

Dialog Advanced Focus


Das Bild wird scharf dargestellt im Bereich von … bis …

Geben Sie den Bereich an, in dem das Bild scharf dargestellt wird. Die Bereiche vor und hinter diesen Grenzen werden dann unscharf dargestellt.

Geben Sie hier Werte ein oder klicken Sie über den Knopf Punkt mit der Maus anklicken jeweils einen Punkt im Projekt an. Die Werte beschreiben die Entfernung von der aktuellen Kameraposition aus.


maximale Unschärfe vorne bei

Über diese Einstellung legen Sie fest, an welcher Position die maximale Tiefenunschärfe für den vorderen Bereich liegt. Der Wert beschreibt die Entfernung von der aktuellen Kameraposition aus. Die Unschärfe zwischen der aktuellen Kameraposition und dieser Entfernung bleibt dann konstant.


Stärke der Unschärfe im vorderen Bereich

Dieser Wert bestimmt die Stärke der Tiefenunschärfe für die Bereiche, die zwischen der aktuellen Kameraposition und dem vorderen Unschärfebereich liegen.


Stärke der Unschärfe im hinteren Bereich

Dieser Wert bestimmt die Stärke der Tiefenunschärfe für die Bereiche, die zwischen der aktuellen Kameraposition und dem hinteren Unschärfebereich liegen.


Stärke der Unschärfe im Hintergrund

Hier legen Sie die Stärke der Tiefenunschärfe im Hintergrund fest.


Neu...

Mit diesem Dialog erzeugen Sie eine neue Umgebung.

Dialog New Environment

Geben Sie in der Eingabezeile Name der neuen Umgebung den Namen für die neue Umgebung ein.

Über die Option Kopie der aktuellen Umgebung bestimmen Sie, dass alle Einstellungen der Umgebung, die gerade aktuell ist, für die neue Umgebung übernommen werden. Wollen Sie alle Einstellungen neu treffen, deaktivieren Sie die Option.


Löschen...

Über diese Funktion löschen Sie die aktuell ausgewählte Umgebung.

Tip

Eine Umgebung löschen Sie auch durch Drücken der Entf-Taste.


Typ

GAMMA-RAY unterscheidet zwischen folgenden Umgebungstypen:

Vordergrund | Befindet sich vor dem Projekt
Kulisse | Befindet sich innerhalb des Projekts
Hintergrund | Befindet sich hinter dem Projekt

Den Typ Vordergrund verwenden Sie z.B. für Logos.

Oder nutzen Sie das Bild eines Fensters, durch das Sie in den Hintergrund blicken. Oder blicken Sie aus dem Innenraum des Fahrzeugs nach draußen. Die Bereiche, durch die Sie auf das Projekt blicken, müssen dann per Bluescreen transparent geschaltet werden. Oder legen Sie ein Bild wie eine Schablone über das Projekt.

Tip

Wenn Sie ein Umgebungsbild per Drag & Drop aus der Material-Auswahl in die Umgebung ziehen, wird dieses für den Typ verwendet, der in der Umgebungsliste gerade aktuell ist.


aktiv

Diese Option bestimmt, ob die aktuelle Umgebung aktiv ist oder nicht. Um das Projekt in verschiedenen Umgebungen darzustellen, definieren Sie diese also zuerst und schalten dann immer die gewünschte aktiv.


Sichtbar

Tip

Diese Optionen sind nur für den Typ Vordergrund verfügbar.


vor der Kamera

Setzt das Umgebungsbild vor die Kamera.

Um das Projekt dennoch sehen zu können, müssen Teile des Umgebungsbildes über Bluescreen transparent sein.


in Spiegelungen

Setzt das Umgebungsbild hinter die Kamera, so dass es in Spiegelungen sichtbar ist.


Reihenfolge in der Liste

Über diese Knöpfe vertauschen Sie die Reihenfolge der Umgebungsbilder für den jeweiligen Typ. So lassen sich z.B. mehrere Vordergründe und/oder Hintergründe bestimmen. Wenn in diesen Bildern dann auch mittels Bluescreen transparente Bereiche gebildet werden, lassen sie sich aufeinander legen.


Entfernung der Umgebung

Die Entfernung der Umgebung bestimmt die Position, an der die Umgebung im Projekt platziert wird.

Wenn Sie eine Umgebung vom Typ Vordergrund oder Hintergrund bearbeiten, kann die Eingabe erst erfolgen, wenn Sie die Option Entfernung für den Hintergrund aktiviert haben. Bei einer Kulisse ist die Eingabe immer möglich.

Geben Sie einen Wert ein oder klicken Sie über den Knopf Punkt mit der Maus anklicken einen Punkt im Projekt an.

Die Entfernung des Vorder- und Hintergrundbildes zum Projekt kann individuell eingestellt werden. Sie können dadurch bestimmen, ob der Hintergrund nahe am Objekt dran ist und sich so in den Spiegelungen abbildet (z.B. Entfernung der Umgebung = 0m)

Image Environment Brightness3

oder ob es entfernt ist und sich so nicht spiegelt (z.B. Entfernung der Umgebung = 10m).

Image Environment Distance

Der Wert beschreibt die Entfernung von der aktuellen Kameraposition aus.


Helligkeit in Spiegelung [Lumen]

Die Helligkeit des Hintergrunds kann über einen Intensitätswert eingestellt werden, um die Darstellung der Umgebung in einer Spiegelung aufzuhellen.

normale Helligkeit:

Image Environment Brightness1

mittlere Helligkeit:

Image Environment Brightness2

starke Helligkeit:

Image Environment Brightness3


Farbe...

Ein Hintergrund kann auch nur über eine Farbe definiert sein. Bestimmen Sie diese über den Farbeinstellungs-Dialog.


Navigation: Die Icons > Umgebungs-Editor >

Return to chapter overview

Erweitert...

Dialog Advanced Texture


Texturbild

Tip

Da es sich bei der Umgebungstextur um ein großes Bild handelt, sollte bei Bedarf die Texturqualität auf sehr gut (für große Texturbilder) gestellt werden.

Tip

Wie bei Materialtexturen können auch im Hintergrund AVI-Filme abgebildet werden. Diese lassen sich jedoch nicht in die Animation aufnehmen. Sie können lediglich über die Funktion Umgebungsfilm starten im Menü Bearbeiten betrachtet werden.


Texturdatei

In dieser Zeile wird der vollständige Name der gewählten Texturdatei angezeigt. Wenn dem Material kein Texturbild zugeordnet wurde, ist die Zeile leer.

Tip

Sie können auch animierte Materialien definieren. Diese dienen dazu, einen Film auf einer Fläche darzustellen. Wenn Sie also Ihren Werbefilm auf einer großen Leinwand abspielen wollen, einen Film auf einem Fernseher in dem dargestellten Wohnzimmer zeigen wollen, aus dem Fenster auf eine bewegte Landschaft blicken wollen oder animierte Bluescreen-Materialien wie das Bild einer Person, die eine Straße entlang läuft, durch die Szenerie bewegen lassen wollen, verwenden Sie animierte Materialien.

Dazu laden Sie keine Bilddatei als Texturbild, sondern eine AVI-Datei.

Alle Eigenschaften, die Sie bei einem Bitmap-Material vergeben können, lassen sich auch für animierte Materialien einstellen. Wenn Sie in der AVI-Datei einen einfarbigen Hintergrund verwenden, lässt sich dieser also auch per Bluescreen transparent rechnen.


Navigation: Die Icons > Umgebungs-Editor > Erweitert... > Texturbild >

Return to chapter overview

Wählen...

Öffnet einen Dialog, über den Sie die Datei des Texturbildes auswählen.


Navigation: Die Icons > Umgebungs-Editor > Erweitert... > Texturbild >

Return to chapter overview

Vorschau...

Zeigt das Originalbild der Textur in einem eigenen Fenster an.


Entfernen...

Navigation: Die Icons > Umgebungs-Editor > Erweitert... > Texturbild >

Return to chapter overview

Textur entfernen...

Mit dieser Funktion entfernen Sie die Zuordnung des Texturbildes zum aktuellen Material.


Texturqualität

Texturen, die extreme Helligkeitsschwankungen aufweisen, neigen dazu, bei kleiner Größe (entweder bei kleiner Textur oder bei Betrachtung aus einer gewissen Entfernung) so genannte Moiré-Effekte zu zeigen.

Image Texture Filter1

In diesem Beispiel ist die Fuge schmaler als ein Bildpunkt, so dass Grafikkarte und Monitor zufällig entscheiden, ob ein helles oder ein dunkles Pixel angezeigt werden. Dadurch entstehen diese kreisförmigen Effekte.

So ein Bild hat natürlich nichts mit Photorealismus zu tun. Aus diesem Grund bietet GAMMA-RAY die Möglichkeit, die Texturqualität zu erhöhen, um ein harmonisches Texturbild zu erzeugen.

Tip

Die Texturqualität wird nur verbessert, wenn die Option Texturqualität verbessern bei den Berechnungseinstellungen aktiviert ist.

Folgende Einstellungen stehen Ihnen zur Verfügung:

Attention

Durch den erhöhten Speicher- und Rechenaufwand sollte die Erhöhung der Texturqualität immer gezielt verwendet werden. Es macht also keinen Sinn, bei jedem Material pauschal die Texturqualität zu erhöhen. Nur bei unzureichenden Ergebnissen sollte eine Optimierung erfolgen.


Größe und Ausrichtung

Dialog Advanced Position

Dieser Dialog entspricht nahezu dem Dialog zur Positionsbestimmung der Materialtexturen. Für eine detaillierte Beschreibung der einzelnen Einstellungen lesen Sie bitte hier nach.


Bluescreen

Für Vordergrund- und Kulissenbilder bestimmen Sie Bereiche des Umgebungsbildes, die über die Bluescreen-Technik von GAMMA-RAY transparent gerechnet werden.

Dialog Advanced Bluescreen

Attention

Alle Umgebungsbilder, die sich im Vordergrund des Projekts befinden (entweder als Vordergrund oder als Kulisse), müssen transparente Bereiche aufweisen, damit das Projekt dahinter sichtbar wird. Gleiches gilt auch, wenn Sie mehrere Umgebungsbilder aufeinander legen.


Navigation: Die Icons > Umgebungs-Editor > Erweitert... > Bluescreen >

Return to chapter overview

aus

Wenn diese Option aktiviert ist, wird das Bluescreen-Verfahren nicht verwendet.


Farbe ausblenden

Wenn diese Option aktiviert ist, wird das Bluescreen-Verfahren für die aktuelle Umgebung verwendet. Hier wird die Farbe ausgeblendet, die Sie über den Knopf Farbe auswählen.


Farbe...

Mit dem Farbeinstellungs-Dialog wählen Sie die Farbe aus, die durch das Programm transparent dargestellt wird. Verwenden Sie hier den Knopf Vom Bildschirm abgreifen, um die gewünschte Farbe direkt anwählen zu können.


Toleranz

Wenn die Hintergrundfarbe keine eindeutige Farbe ist sondern eine gemischte Farbe (also Farbwerte ungleich 100% besitzt), kann die Bluescreen-Farbe nicht genau bestimmt werden. Verwenden Sie in solchen Fällen den Schieberegler Toleranz, über den Sie eine Bandbreite definieren, die um den Wert der Bluescreen-Farbe herum weitere Farben herausfiltert.

Attention

Stellen Sie die Toleranz nicht zu hoch ein, sonst werden auch Bereiche der Umgebung durchsichtig, die sichtbar sein sollten.


Transparenz-Kanal verwenden

Wenn diese Option aktiviert ist, wird das Bluescreen-Verfahren für die aktuelle Umgebung verwendet. Haben Sie ein Texturbild verwendet, das auch einen Transparenz-Kanal besitzt, verwenden Sie diese Option.


Navigation: Die Icons >

Return to chapter overview

Animation erstellen


Liste der Bewegungen

In dieser Liste werden die einzelnen Bewegungen aufgelistet, die für das aktuelle Projekt definiert sind.

Links neben dem Namen wird in der Liste ein Symbol der Animation dargestellt. Diese Symbole bedeuten:

Symbol Camera | Kameraanimation
Symbol Objekt | Objektanimation
Symbol Material | Materialanimation
Symbol Light | Lichtanimation

Durch Anklicken der Animation in der Liste werden die Eigenschaften dieser Animation im unteren Teil des Dialogs angezeigt und können dann auch verändert werden. Um die Einstellungen einer anderen Animation zu ändern, muss diese zuerst in der Liste der Bewegungen angeklickt werden.

Wird eine bereits angewählte Animation erneut einmal angeklickt, lässt sich der Name dieser Animation verändern.

Die Bewegungen werden einzeln definiert und dann über entsprechende Zeitpunkte miteinander kombiniert. Auch eine Kopplung der Bewegungen ist möglich. Eine Bewegung kann immer nur einem Typ zugewiesen werden. Es lassen sich jedoch beliebig viele Bewegungen definieren, die Sie gleichzeitig oder versetzt aktivieren können, so dass auch komplexe Abläufe resultieren.

Eine Animation ist eine Bildsequenz, die geladen und dann Bild für Bild dargestellt wird. Die berechnete Animation kann als Animationsskript oder als AVI-Datei mit oder ohne Kompression abgespeichert werden. Diese können dann über den integrierten Animations-Player oder über die Medienwiedergabe von Windows® dargestellt werden.


Neu...

Mit diesem Dialog erzeugen Sie eine neue Bewegung.

Dialog Animation New

Geben Sie in der Eingabezeile Name der neuen Bewegung den Namen für die neue Bewegung ein.

Im Bereich Was soll bewegt werden? legen Sie die Art der Bewegung fest:

Kamera | Erzeugt eine Kamerafahrt entlang einem vorgegeben Weg. Sie definieren die Position und Richtung der Kamera für bestimmte Zeitpunkte.
Objekte, die ausgewählt wurden | Erzeugt eine Objektanimation mit den Objekten, die ausgewählt wurden. Sie bestimmen die Position und Ausrichtung der ausgewählten Objekte für bestimmte Zeitpunkte.
Material, das auf einer AVI-Datei basiert | Erzeugt eine Animation eines animierten Materials. Weisen Sie einer Fläche ein animiertes Material zu. Der Film wird dann zusammen mit einer der anderen Animationen abgespielt.

GAMMA-RAY legt dann einen Spline durch diese Zeitpunkte oder verbindet sie direkt und interpoliert die dazwischen liegenden Zeitpunkte.

Tip

Animierte Lichtquellen erstellen Sie im Lichtquellen-Editor.

Attention

Bevor Sie eine Objektanimation erzeugen können, muss ein Objekt ausgewählt sein. Verwenden Sie dazu die Funktionen des Auswahl-Modus. Alle Objekte, die sich in der Auswahl befinden, werden animiert. Auch wenn nur einzelne Flächen eines Objektes ausgewählt sind, wird trotzdem das komplette Objekt bewegt. Wenn Sie sich nicht sicher sind, ob die ausgewählten Flächen ausschließlich ein Objekt beschreiben, wandeln Sie die getroffene Auswahl zu einem neuen Objekt. Verwenden Sie hierzu die Funktion Auswahl zusammenfassen zu neuem Objekt des Auswahl-Modus.

Attention

Einem Objekt kann immer nur eine Bewegung zugeordnet werden. Wird ein Objekt, für das bereits eine Bewegung erstellt wurde, mit der Funktion Auswahl zusammenfassen zu neuem Objekt geändert, kann die Bewegung verloren gehen.

Attention

Materialanimationen können nicht allein ablaufen. Man benötigt unbedingt einen weiteren Bewegungsablauf (Kameraanimation oder Objektanimation).

Im Anschluss öffnet sich folgender Dialog:

Dialog Animation Settings


Maximale Geschwindigkeit (vmax)

Die maximale Geschwindigkeit bestimmt die Geschwindigkeit der Bewegung, die maximal auftreten kann. Über diese Einstellung werden die Vorschlagswerte für die Zeitpunkte eines eingefügten Animationspunktes berechnet. GAMMA-RAY kennt die Entfernung zwischen zwei Punkten und kann dann mit Hilfe der maximalen Geschwindigkeit den Zeitpunkt errechnen, wann dieser Punkt erreicht ist. 10m/s ist ein guter Wert für einen Lauf um ein Gebäude, kleinere Werte reduzieren die Geschwindigkeit (z.B. bei Animationen von Objekten). Für eine Bewegung in einem Innenraum wählen Sie eine Geschwindigkeit von 1m/s oder kleiner.


Maximaler Rotationswinkel (vrot)

Der maximale Rotationswinkel bestimmt die Geschwindigkeit der Rotation, die maximal auftreten kann.


Übergang zwischen den Punkten

Wählen Sie aus folgenden Möglichkeiten aus:

Menu Connection Type

Dabei bedeuten:

Rund | Zwischen den Punkten wird immer ein Spline berechnet.
Gerade/Rund | Von einer geraden Anfahrt an den Punkt wird die Bewegung über einen Spline weitergeführt.
Rund/Gerade | Von einer Splinekurve wechselt die Bewegung in eine gerade Linie.
Gerade | Die Punkte werden über gerade Linien miteinander verbunden.


Animationsweg automatisch schließen

Ist diese Option aktiviert, führt der Animationspfad auf den Startpunkt zurück. Der erste Animationspunkt wird automatisch auch als letzter Punkt in die Zeitpunkteliste eingetragen.


Bewegung in AVI automatisch wiederholen

Diese Option steuert, ob die Bewegung über die gesamte Spieldauer der Animation nur einmal ausgeführt wird oder ob sie automatisch wiederholt wird und kontinuierlich läuft.


Name der Bewegung, die ebenfalls ausgeführt wird

Geben Sie in dieses Feld den Namen einer bereits definierten Animation ein, wird die neue Bewegung an diese gekoppelt. Die übergeordnete Bewegung wird dann auch auf die untergeordnete Bewegung angewandt. Sie können prinzipiell alle Bewegungen miteinander koppeln, d.h. z.B. eine Kamera an ein bewegtes Objekt binden, um z.B. in einem Auto zu fahren und durch die Windschutzscheibe zu blicken, während das Auto fährt, und umgekehrt.


Animiertes Material

Wenn Sie eine Materialanimation definieren, wählen Sie hier das animierte Material aus.


Löschen...

Über diese Funktion löschen Sie die aktuell ausgewählte Bewegung.

Tip

Eine Bewegung löschen Sie auch durch Drücken der Entf-Taste.


Navigation: Die Icons > Animation erstellen >

Return to chapter overview

Einstellungen...

Dialog Animation Settings


Bewegung während der Animation verwenden?

Über diese Option aktivieren Sie die aktuelle Animation. Wenn der Test der Abläufe von mehreren Animationen für Sie zu unübersichtlich ist, können Sie temporär einzelne Animationen deaktivieren.


Navigation: Die Icons > Animation erstellen >

Return to chapter overview

Dauer

In diesem Feld wird die Dauer der angewählten Animation angezeigt.


Objektanimation definieren

Diese Option ist nur für eine Objektanimation verfügbar. Sie unterscheiden hier die Eingabe von Animationspunkten von der Möglichkeit, ein Objekt zu verschieben, wobei dann auch die Animationsinformationen für die neue Position gelten.

Beispiel: Sie erstellen für einen Kran eine Animation, durch die der Kran eine Last nach oben zieht. Während dieser Definition muss die Option Objektanimation definieren aktiviert werden. Nach der Definition schalten Sie sie wieder ab. Wollen Sie nun den Kran an eine andere Stelle verschieben, verwenden Sie die Auswahlfunktion zum Verschieben von Objekten. An der neuen Position wird der Lastentransport wie vorher definiert ausgeführt. Wäre die Option Objektanimation definieren aktiv gewesen, wäre der aktuelle Zeitpunkt verändert und dann in der Liste geändert und nicht der Kran verschoben worden. Die Animation wäre also um die Verschiebung des Krans ergänzt worden.


Geschwindigkeiten anzeigen

Ist diese Option aktiviert, werden die Geschwindigkeiten bei den Zeitpunkten angezeigt.


Eigenschaft für aktuellen Zeitpunkt

Dialog Animation Properties

Für die aktuell angewählte Bewegung lassen sich die Einstellungen verändern.


Dauer für markierten Bereich...

Tip

Die Funktion kann nur aufgerufen werden, wenn die Option Geschwindigkeiten anzeigen aktiviert ist.

Dialog Animation Duration

Markieren Sie mehrere aufeinander folgende Bewegungen und geben Sie eine neue Dauer für diese ein.


nach vorne / nach hinten

Setzt den aktuellen Zeitpunkt in der Liste um eine Position nach vorne bzw. nach hinten. Die Zeiten werden entsprechend der vorgegebenen Geschwindigkeiten nachgerechnet.


Aktueller Zeitpunkt

Tip

Für eine Objektanimation muss zuerst die Option Objektanimation definieren aktiviert werden, damit diese Einstellung verfügbar ist.

Wenn Sie einen Zeitpunkt anwählen, zeigt GAMMA-RAY in diesem Eingabefeld den aktuellen Animationszeitpunkt an. Wenn Sie den Wert ändern und die Änderung mit dem Knopf Eingaben übernehmen bestätigen, wird der neue Zeitpunkt in der Zeitpunkteliste übernommen und dann entsprechend dem neuen Wert in die Liste einsortiert.

Tip

Beim Einfügen von Zeitpunkten in die Liste wird über die eingestellte Laufgeschwindigkeit eine gleichmäßige Bewegung erzeugt. Durch nachträgliche Änderung der aktuellen Zeitpunkte können Sie die Bewegung an bestimmten Zeitpunkten beschleunigen oder abbremsen.


Startzeit

Nach der Definition einer Bewegung startet diese automatisch immer zum Zeitpunkt 0s der Animation. Über die Eingabe einer anderen Startzeit und Bestätigung mit dem Knopf Eingaben übernehmen kann für die aktuelle Bewegung auch definiert werden, dass diese erst nach z.B. 1.5s startet. Bis zu diesem Zeitpunkt bleibt der erste Zeitpunkt der Bewegung erhalten. Somit lassen sich verschiedene Bewegungen gegeneinander zeitlich versetzen. Die Startzeit bezieht sich immer relativ zur Startzeit der gesamten Bewegung. Die Startzeit muss also immer positiv sein.


Zeitpunkte

In dieser Liste werden die einzelnen Zeitpunkte der Animationsschritte aufgeführt. Die Liste enthält den Namen der Bewegung gefolgt von einem Unterstrich (_) und einer dreistelligen Nummer, beginnend mit 000. Die Bewegungsschritte werden fortlaufend nummeriert. Neben dem Namen ist der Zeitpunkt aufgeführt, zu dem dieser Zustand erreicht wird. Der Zeitpunkt errechnet sich aus der Entfernung zum vorherigen Zeitpunkt und der eingestellten maximalen Geschwindigkeit. Dieser Zeitpunkt kann nachträglich noch geändert werden. Daneben finden Sie Angaben zur aktuellen Geschwindigkeit (v), der maximalen Geschwindigkeit (vmax), des aktuellen Rotationswinkels (r) und der maximalen Rotationswinkels (rmax). Schließlich ist noch angegeben, wie der Übergang zwischen den Punkten stattfindet.

Die Zeitpunkte werden nach ihren Zeiten sortiert. Sobald Sie einen Zeitpunkt in der Liste anwählen, wird dieser dann auch im Darstellungsfenster angezeigt.


Einfügen

Tip

Für eine Objektanimation muss zuerst die Option Objektanimation definieren aktiviert werden, damit dieser Knopf verfügbar ist.

Mit Hilfe dieses Knopfs fügen Sie neue Animationspunkte in die Liste der Zeitpunkte ein. Der aktuelle Zeitpunkt wird in die Liste aufgenommen.

Beispiel: Wenn Sie eine Kameraanimation definieren, stellen Sie die gewünschte Perspektive über die Kamerafunktionen ein. Ist diese erreicht, wird sie über Einfügen in die Liste der Zeitpunkte aufgenommen. Bei der Objektanimation platzieren Sie das Objekt an die gewünschte Position mit der gewünschten Ausrichtung und fügen den Zeitpunkt dann über Einfügen in die Liste ein.

Für den neuen Zeitpunkt wird automatisch ein Name erzeugt und in die Liste eingetragen. Über die Entfernung zum vorherigen Zeitpunkt und die eingestellte maximale Geschwindigkeit wird ein Vorschlagswert für den Zeitpunkt eingetragen. Dieser kann dann noch in der Eingabezeile Aktueller Zeitpunkt geändert werden.


Ersetzen

Tip

Für eine Objektanimation muss zuerst die Option Objektanimation definieren aktiviert werden, damit dieser Knopf verfügbar ist.

Ersetzt einen Zeitpunkt in der Liste durch den gerade angezeigten Zeitpunkt.


Löschen

Tip

Für eine Objektanimation muss zuerst die Option Objektanimation definieren aktiviert werden, damit dieser Knopf verfügbar ist.

Entfernt den angewählten Zeitpunkt aus der Liste. Klicken Sie auf den Namen des Zeitpunkts, um diesen auszuwählen.


Animation testen und berechnen

Dialog Animation Test And Play

Über diesen Dialog lassen sich die definierten Animationen testen, endgültig berechnen und erzeugte Animationen abspielen.


Steuerung

Der Schieberegler über den Tasten erlaubt es, an eine bestimmte Stelle der Animation zu gelangen. Über die Knöpfe links und rechts des Reglers gelangen Sie um ein Bild nach vorn und zurück.

Zur Steuerung der Animationsvorschau stehen Ihnen folgende Tasten zur Verfügung:

Symbol To Start | zum Anfang
Symbol Quick Backward | schnell rückwärts
Symbol Backward | rückwärts abspielen
Symbol Pause | Pause
Symbol Stop | Stopp
Symbol Foreward | vorwärts abspielen
Symbol Quick Foreward | schnell vorwärts
Symbol To End | zum Ende


Bilder pro Sekunde

Geben Sie hier die Anzahl der Frames an, die für die Animation verwendet werden soll. Dieser Wert bestimmt zusammen mit der Animationsdauer die Anzahl der zu berechnenden Bilder.

Beispiel: Für eine Animation von 1min Länge und einem Wert von 15 Bildern pro Sekunde werden 900 Bilder berechnet.

Ein zu kleiner Wert führt dazu, dass der Schritt von einem Bild zum nächsten größer wird, was zu einem Ruckeln bei der Darstellung der Animation führt. Ist der Wert größer, werden auch mehr Bilder berechnet.

Tip

Beim Zeichentrickfilm wird mit einer Framerate von 25 - 30 Bilder pro Sekunde gearbeitet.


Anzahl Bilder, Dauer

Hier wird die Anzahl der zu berechnenden Bilder und die Dauer der gesamten Animation angezeigt.


Zeitpunkt

Während der Vorschau lesen Sie in diesem Feld ab, welcher Zeitpunkt gerade angezeigt wird. Außerdem lässt sich hier ein Wert angeben, der dann direkt angefahren wird.


Navigation: Die Icons > Animation erstellen > Animation testen und berechnen >

Return to chapter overview

Berechnen...

Dialog Animation Calculate


Ausgabeformate

In diesem Bereich legen Sie das Ausgabeformat für die erzeugte Animation fest. Folgende Formate stehen zur Verfügung:

Erzeuge Einzelbilder | Das Programm legt die einzelnen Bilder im festgelegten Bildformat ab. Die Bilder können dann in einem Videoschnitt-Programm weiter verarbeitet werden.
Erzeuge unkomprimierten AVI-Film | Konvertiert die berechneten Bilder im Anschluss an die Berechnung der Einzelbilder in eine AVI-Datei ohne Kompression mit voller Bildqualität. AVI ist das Standardformat für Animationen unter Windows®.
Erzeuge komprimierten AVI-Film | Konvertiert die berechneten Bilder im Anschluss an die Berechnung der Einzelbilder in eine AVI-Datei mit Standard-Kompression mit reduzierter Bildqualität. AVI ist das Standardformat für Animationen unter Windows®.

Attention

Unter 64-Bit Windows®-Systemen kann kein komprimierter AVI-Film erzeugt werden.

Die Ergebnisse der Berechnung lassen sich in einem Videoschnitt-Programm weiter bearbeiten.

Tip

Die besten Ergebnisse erzielen Sie, wenn Sie Einzelbilder berechnen und diese dann in einem Videoschnitt-Programm laden und weiter bearbeiten. Ein komprimierter AVI-Film sollte nicht erzeugt werden.


Bildformat

In diesem Bereich bestimmen Sie das Bildformat, in dem die Animationsbilder abgespeichert werden. Wie beim Zeichentrickfilm werden zuerst nacheinander die einzelnen Animationsbilder als Bilder erzeugt und dann zusammengefasst.

Attention

Achten Sie darauf, dass vor Berechnung der Animation genügend Festplattenplatz zur Verfügung steht, um die einzelnen Animationsbilder abspeichern zu können. Je nach Dauer der Animation und Anzahl zu berechnender Bilder können hier schnell mehrere hundert Megabyte benötigt werden.

Wie bei allen Bildformaten unterstützt GAMMA-RAY auch hier die Formate TIFF, TGA, BMP, PNG und JPEG.

Tip

Wenn Sie komprimierte Animationsdateien erzeugen wollen, empfehlen wir, die Bilder ohne Kompression abzulegen. Der Speicherplatz, der auf der Festplatte benötigt wird, ist hier natürlich höher. Bildformate in 24-Bit sind vorzuziehen. Ansonsten werden die Qualitätsverluste zu stark.


Bereich

Über eine Eingabe in die Felder Berechne Bilder von: ... bis: ... kann die Berechnung von Animationen parallelisiert werden. Haben Sie mehrere Lizenzen von GAMMA-RAY installiert, legen Sie hier z.B. fest, dass Bild 1 bis 300 auf PC Nummer 1, Bild 301 bis 600 auf PC Nummer 2 und Bild 601 bis 900 auf PC Nummer 3 berechnet werden.

Speichern Sie dazu das Projekt ab, nachdem alle Einstellungen getroffen sind, laden Sie dieses dann auch auf den beiden anderen PCs und treffen Sie in diesem Bereich die genannten Eingaben. Anschließend werden auf den PCs parallel die jeweiligen 300 Animationsbilder berechnet und lassen sich im Anschluss mit einem Videoschnitt-Programm zusammenfassen.


Dateiname

Geben Sie hier den gewünschten Dateinamen der Animation ein. Unter diesem Namen (z.B. gamma) werden dann die Einzelbilder gefolgt von einer aufsteigenden Nummer (z.B. gamma001.tif, gamma002.tif, ...) und / oder die AVI-Datei (z.B. gamma.avi) abgespeichert.

Mit Klick auf den Knopf Speichern starten Sie die Berechnung.


Abspielen...

Über diese Funktion starten Sie den Animations-Player von GAMMA-RAY. Zum Aufruf können Sie auch den Menüpunkt Animation laden… aus dem Datei-Menü verwenden.

Nach der Eingabe des Namens der Animation wird die Animation in einem eigenen Fenster dargestellt.

Im unteren Teil des Fensters finden Sie folgende Steueroptionen:

Symbol Animation Player Start | Start
Symbol Animation Player Stop | Stopp
Symbol Animation Player Settings | Einstellungen

Über den Schieberegler können Sie jede beliebige Position der Animation anfahren.


Material-Auswahl anzeigen

Unter dem Begriff Material versteht man bei GAMMA-RAY die Kombination aus der Grundfarbe, einem Texturbild, einer Struktur, einem Glanzpunkt, einer Transparenz, einer Spiegelung, einer Brechung, einer Absorption, einer Emission zusammen mit Einstellungen wie Größenskalierung, Verdrehung und anderen. Diese Eigenschaften werden in der Material-Auswahl eingestellt.

Tip

Die Materialien sind alphabetisch sortiert, wobei erst die Namen mit Großbuchstaben und dann die mit Kleinbuchstaben aufgeführt sind. Nutzen Sie hier die Windows©-Funktion zur Auswahl von Namen, indem Sie ein Material anklicken und dann den jeweiligen Anfangsbuchstaben eintippen. Sie gelangen dann zuerst zu den Materialien, die diesen Buchstaben als Großbuchstaben besitzen. Durch wiederholtes Tippen des Buchstabens gelangen Sie dann weiter in der Liste. Sind Sie beim letzten Material mit diesem Großbuchstaben angelangt, wird nach erneutem Eintippen des Buchstabens das erste Material angezeigt, das den Kleinbuchstaben als Anfangsbuchstaben besitzt.

Materialien werden per Drag & Drop zugewiesen. Das bedeutet, dass man ein Material aus der Material-Auswahl oder aus einem Katalog mit der linken Maustaste anklickt, die Maustaste gedrückt hält und das Material dann auf eine Fläche zieht, die das Material bekommen soll. Je nach aktuellem Zuordnungsmodus wird das Material dann zusätzlich mehreren Flächen zugeordnet, z.B. allen Flächen, die eine gleiche Kennung besitzen.

An dem Symbol, das während des Drag & Drop Vorgangs angezeigt wird, erkennen Sie, auf welche Bereiche Sie zuordnen, wenn die Maustaste losgelassen wird:

Image Drag&Drop1 | Grauer Rahmen um das Bitmap: Das Material wird dem Projekt zugewiesen.
Image Drag&Drop2 | Schwarzer Rahmen um das Bitmap: Das Material wird dem Hintergrund zugewiesen.
Image Drag&Drop3 | Bitmap ist durchgestrichen: Das Material kann nicht zugeordnet werden (weil Sie es außerhalb des Darstellungsfensters gezogen haben).

An dem Buchstaben, der auf dem Symbol abgebildet wird, erkennen Sie den aktuellen Zuordnungsmodus.

Auf dem Materialbild können folgende Symbole abgebildet sein:

Image Linked | Dieses Material stammt aus einem Materialkatalog.
Image Locked | Dieses Material nimmt nicht an der Tageslichtberechnung teil. Weitere Informationen finden Sie bei den Optionen der Materialeigenschaften.

Alle Einstellungen, die an Materialien vorgenommen werden können, erreichen Sie über die Material-Auswahl. Nach einem Klick auf Einstellungen öffnet sich folgendes Menü:


Neu...

Um ein neues Material zu definieren, verwenden Sie diesen Menüpunkt. In dem Dialog

Dialog New Material

geben Sie oben den Namen des neuen Materials ein. Über die Option Kopie des aktuellen Materials haben Sie die Möglichkeit, alle Eigenschaften des aktuell ausgewählten Materials für das neue Material zu übernehmen, um dann nur geringe Änderungen vorzunehmen.

Tip

Wählen Sie für ähnliche Materialien Namen mit gleichem Anfang aus, z.B. Furnier Eiche, Furnier Buche, ... Dies erleichtert Ihnen zum einen, in der Materialliste verschiedene Varianten eines Materials zu finden. Außerdem können Sie dann mit den Funktionen zum Löschen, Laden und Speichern von Materialien mit Hilfe von Wildcards (z.B. Furnier *) Materialgruppen bilden. Mit einem Schrägstrich (/) im Namen bilden Sie Mehrfach-Materialien mit mehreren Varianten.


Umbenennen...

Um einem bereits definierten Material einen anderen Namen zu geben, verwenden Sie diesen Menüpunkt. In dem Dialog wird der bisherige Materialname angezeigt, der dann geändert werden kann. Nach Klick auf OK wird das Material entsprechend dem neuen Namen neu in der Materialliste einsortiert.


Löschen...

Tip

Diese Funktion können Sie auch aufrufen, indem Sie ein Material anklicken und dann die Entf-Taste drücken.

Mit dieser Funktion löschen Sie die aktuell ausgewählten Materialien.

Tip

Um Materialien auszuwählen, stehen Ihnen die unter Windows® bekannten Möglichkeiten zur Verfügung, d.h.

·Anklicken eines Materials, um nur dieses auszuwählen,

·Anklicken eines Materials, dann Shift-Taste drücken und ein zweites Material anklicken, um alle Materialien auszuwählen, die sich in der Liste zwischen dem ersten und dem zweiten Material befinden, und

·Anklicken eines Materials, dann Strg-Taste drücken und weitere Materialien anklicken, um all die angeklickten Materialien auszuwählen.

Wenn zu löschende Materialien im Projekt noch zugeordnet sind, wird dies vom Programm erkannt und Sie werden darauf hingewiesen.

Nach dem Löschen sind die Materialien unwiderruflich aus der Material-Auswahl entfernt.


Unbenutzte Materialien löschen...

Alle Materialien, die im aktuellen Projekt nicht mehr verwendet werden, können über diese Funktion gelöscht werden. Dies erhöht die Übersichtlichkeit in der Material-Auswahl.


Navigation: Die Icons > Material-Auswahl anzeigen > Materialeigenschaften... >

Return to chapter overview

Allgemein

Dialog Material Properties

In dieser Gruppe werden allgemeine Materialeigenschaften definiert.


Grundfarbe

Jedes Material besitzt eine Grundfarbe. Wenn Sie ein Material ohne Texturbild definieren, bestimmt die Grundfarbe zusammen mit anderen Eigenschaften das farbliche Aussehen des Materials. Wenn Sie ein Material mit Texturbild definieren, sollte die Grundfarbe normalerweise weiß (RGB auf 100% oder Helligkeit auf 100%) sein. Dann wird die Textur in der Originalfarbe dargestellt und nur durch die anderen Eigenschaften wie Beleuchtung, Glanz, Spiegelung, ... beeinflusst.

Wenn Sie die Grundfarbe verändern, haben Sie die Möglichkeit, das Texturbild abzudunkeln (Intensität kleiner 100%). Sogar ein Umfärben des Texturbildes ist möglich (unterschiedliche Werte für RGB, entsprechend der gewünschten Farbe).

Attention

Über diese Eigenschaft wird immer nur das gesamte Texturbild umgefärbt. Natürlich ist es hier nicht möglich, z.B. bei einer Klinkertextur nur die Fuge umzufärben.

Tip

Über die Grundfarbe können Sie die Farbe, die dem Material zugrunde liegt, abdunkeln. Soll das Texturbild aufgehellt werden, müssen Sie die Eigenschaft Leuchten verwenden.

Über den Knopf Farbe rufen Sie den Farbeinstellungs-Dialog auf.

Mit diesem Schieberegler Intensität verändern Sie die Helligkeit der Grundfarbe einheitlich, d.h. mit gleichen Faktoren für Rot, Grün und Blau.


Rauheit

Über diesen Schieberegler geben Sie den Materialien eine Rauheit, ohne ein spezielles Texturbild wählen zu müssen.

Weitere Informationen zu Strukturen finden Sie im Tutorial.


Struktur

Über diesen Bereich geben Sie den Materialien eine Rauheit. Hier wählen Sie das Texturbild aus, dessen Grauwerte die Struktur bilden. Über einen Schieberegler lässt sich die Strukturtiefe festlegen. In bestimmten Fällen macht es Sinn, die Struktur mit dem Texturbild, das für das Material verwendet wird, zu erzeugen (Struktur wie Grundtextur).

Weitere Informationen zu Strukturen finden Sie im Tutorial.


Leuchten

Die Grundfarbe eines Materials kann man auch noch aufhellen, damit es leuchtet.

Zuerst muss man die Leuchtfarbe definieren, indem man auf den Knopf Farbe klickt. Definieren Sie hier den Farbwert, der das Leuchten bestimmt, wenn die Leuchtintensität auf 100% eingestellt ist. Wenn Sie die Grundfarbe zusammen mit dem Texturbild an sich aufhellen wollen, sollten Sie als Leuchtfarbe weiß eingestellt lassen und dann die Leuchtintensität über den Schieberegler Intensität einstellen. Es kann jedoch auch eine beliebige andere Farbe gewählt werden, in der das Material dann leuchtet.

Attention

Sie bestimmen hier ein Eigenleuchten des Materials. Andere Objekte werden dadurch nicht aufgehellt, da keinerlei Abstrahlung erfolgt.


Glanz

In dieser Gruppe stellen Sie die Glanzeigenschaften des Materials ein.

Dialog Material Properties Highlight

Tip

Glanzpunkte werden besonders gut auf runden Körpern dargestellt. Hier ist auch darauf zu achten, dass auf diese Körper genug direktes Licht strahlt, da der Glanzpunkt eine Reaktion auf eine Beleuchtung ist.

Im rechten Teil des Dialogs erhalten Sie eine Vorschau des definierten Materials. Über die Auswahlliste Vorschaubild haben Sie folgende Einstellmöglichkeiten:

Menu Preview Images

Sie bestimmen hier, welches Aussehen das Materialvorschaubild erhält. Da verschiedene Eigenschaften wie z.B. Glanz erst auf runden Objekten wirken, sollten Sie bei Bedarf auf den Vorschautyp umschalten, der dem Objekt, das Sie mit dem Material belegen wollen, am nächsten kommt.

Tip

In den Materialkatalogen, die bei GAMMA-RAY mitgeliefert werden, sind die zweidimensionalen Bitmaptexturen immer in der Einstellung auf Probefläche dargestellt, während dreidimensionale prozedurale Materialien auf einer Kugel abgebildet sind.

Bei der Einstellung auf Probefläche wird das Material so dargestellt, wie es auf einer Probefläche angezeigt werden würde. Die Ausdehnung der Probefläche legen Sie über den Menüpunkt Bildgröße setzen... der Material-Auswahl fest. Das Material ist hier entsprechend den Einstellungen für die Texturgröße größenrichtig zu sehen.

Bei der Einstellung Benutzerdefiniert können eigene 3D-Körper als Vorschaukörper definiert werden. Diese Körper müssen als .ray und .par Dateien in dem Verzeichnis Installationsverzeichnis\Prog_19\Preview abgelegt werden. Nach der Programminstallation sind Kugeln als benutzerdefinierte Körper abgelegt. Die Namen der Dateien lauten Kugel_10, Kugel_11 und Kugel_12. Wenn Sie ein eigenes 3D-Objekt stattdessen anzeigen wollen, muss dieses am Ende des Dateinamens die jeweilige Zahl (also 10, 11 oder 12) erhalten und das Material muss den Namen mat_001 besitzen.

Die Option zentriert darstellen ist nur bei 3D-Texturen und bei den Einstellungen auf Probefläche und als Bild verfügbar. Ist sie aktiviert, werden die Texturen bei diesen Darstellungen zentriert.


Farbe...

Bestimmen Sie die Glanzpunktfarbe über den Farbeinstellungs-Dialog, der nach Klick auf den Knopf Farbe... erscheint. Normalerweise wählt man hier einen weißen Glanzpunkt, jede andere Farbe ist jedoch genauso möglich.


Reflexe

Dialog Material Properties Highlight Refelction

Die Reflexe entstehen als Überlagerung von verschiedenen Effekten wie dem äußeren Halo, dem inneren Halo und dem äußeren Ring sowie den sternförmigen Effekten, dem Haupt- und dem Nebenstern.

Über die Einstellungen des Dialogs können Sie Reflektionen auf Materialien erzeugen, die dann bei entsprechender Beleuchtung als kleine Sternchen sichtbar werden. Diese werden durch die Option Glühen aktiviert.

Dialog Material Properties Highlight Refelction1

Nun kann über den Schieberegler die Stärke des Glüheffekts reguliert werden.

Über den Schieberegler Empfindlichkeit bestimmen Sie eine Schwelle, ab der ein Glüheffekt erzeugt wird. Je geringer die Empfindlichkeit eingestellt ist, umso weniger Glanzpunkteffekte werden erzeugt.

Bei aktivierter Option Nebenstrahlen zufällig werden die Strahlspitzen des Nebensterns in Richtung und Länge mit einem zufälligen Wert beeinflusst, um eine Unregelmäßigkeit in den Effekt hineinzubringen.

In der Anzeigefläche wird das Aussehen des Glanzpunkt-Effektes dargestellt. Der weiße Rahmen zeigt die Größe des Teileffekts, der gerade im rechten Teil des Dialogs angewählt ist. Durch Klicken in der Anzeigefläche können Sie einen anderen Teileffekt aus der Liste auswählen.

Auf der rechten Seite wählen Sie den Effekt aus, den Sie verändern wollen. Nach Klick auf die Liste Effekt stehen folgende Teileffekte zur Auswahl:

Menu Surface Properties Highlight Refelction Effects

Der jeweilige Effekt kann an- und abgeschaltet werden. Ebenso lässt sich die Farbe festlegen.

Der äußere und der innere Halo sind kreisförmige oder elliptische, nach außen hin abnehmende Aufhellungen, während der Halo Ring eine nach außen hin zunehmende Aufhellung ist. Bei diesen Effekten können Sie die horizontalen und die vertikalen Radien beeinflussen. Diese Werte beziehen sich prozentual auf die Höhe des berechneten Bildes.

Beim Haupt- und Nebenstern, die aus einer Anzahl sternförmiger Strahlen bestehen, können Sie ebenfalls die Größe bestimmen. Ebenso ist eine Drehung um einen bestimmten Winkel in Grad einstellbar und die Anzahl der Strahlen.

Attention

Damit diese Effekte dargestellt werden, muss die Option Reflexe auf Materialien bei den aktuellen Berechnungseinstellungen aktiviert sein.

Dialog Calculation Parameters Reflections Material

Da die Effekte eine Reaktion auf eine Beleuchtung sind, muss das Material auch entsprechend beleuchtet sein.


Intensität

Über diesen Schieberegler steuern Sie die Intensität des Glanzpunktes. Über den Schieberegler stellen Sie Werte von 0% bis 100% ein. Für metallische Materialien muss dieser Effekt jedoch übersteuert werden. Geben Sie hier in das Eingabefeld je nach Bedarf auch Werte größer 100% ein.


Breite

Hier bestimmen Sie die Breite des Glanzpunktes.

Tip

Dieser Wert muss in den meisten Fällen je nach Größe des Objektes, das mit dem Material belegt werden soll, nachjustiert werden. Sollen unterschiedlich große Körper mit dem gleichen Material belegt werden, ist es sinnvoll, das Material zu kopieren und dann nur die Breite anzupassen.


Grundfarbanteil

Der Glanzpunkt entscheidet sehr stark das Aussehen des Materials. Hier spielt die Glanzpunktfarbe eine große Rolle. Mit dem Schieberegler Grundfarbanteil entscheiden Sie, ob die Eigenfarbe des Materials einen geringen Anteil (z.B. für Lacke oder Kunststoffe) oder einen großen Anteil (z.B. für Metalle oder matte Kunststoffe) am Glanzpunkt hat.


Spiegelung

Spiegelungen stellen eine hohe Anforderung an einen Renderer, da sie zu den rechenintensiveren Effekten gehören.

Tip

Spiegelungen werden erst ab einer Berechnung in dem Hybrid-Rendering oder höher dargestellt. Wählen Sie dazu entweder den Darstellungsmodus Shadingdarstellung und höher oder stellen Sie bei den Berechnungseigenschaften für den aktuellen Darstellungsmodus die Darstellung auf Hybrid oder höher um.

Dialog Material Properties Reflection

Im rechten Teil des Dialogs erhalten Sie eine Vorschau des definierten Materials. Über die Auswahlliste Vorschaubild haben Sie folgende Einstellmöglichkeiten:

Menu Preview Images

Sie bestimmen hier, welches Aussehen das Materialvorschaubild erhält. Da verschiedene Eigenschaften wie z.B. Glanz erst auf runden Objekten wirken, sollten Sie bei Bedarf auf den Vorschautyp umschalten, der dem Objekt, das Sie mit dem Material belegen wollen, am nächsten kommt.

Tip

In den Materialkatalogen, die bei GAMMA-RAY mitgeliefert werden, sind die zweidimensionalen Bitmaptexturen immer in der Einstellung auf Probefläche dargestellt, während dreidimensionale prozedurale Materialien auf einer Kugel abgebildet sind.

Bei der Einstellung auf Probefläche wird das Material so dargestellt, wie es auf einer Probefläche angezeigt werden würde. Die Ausdehnung der Probefläche legen Sie über den Menüpunkt Bildgröße setzen... der Material-Auswahl fest. Das Material ist hier entsprechend den Einstellungen für die Texturgröße größenrichtig zu sehen.

Bei der Einstellung Benutzerdefiniert können eigene 3D-Körper als Vorschaukörper definiert werden. Diese Körper müssen als .ray und .par Dateien in dem Verzeichnis Installationsverzeichnis\Prog_19\Preview abgelegt werden. Nach der Programminstallation sind Kugeln als benutzerdefinierte Körper abgelegt. Die Namen der Dateien lauten Kugel_10, Kugel_11 und Kugel_12. Wenn Sie ein eigenes 3D-Objekt stattdessen anzeigen wollen, muss dieses am Ende des Dateinamens die jeweilige Zahl (also 10, 11 oder 12) erhalten und das Material muss den Namen mat_001 besitzen.

Die Option zentriert darstellen ist nur bei 3D-Texturen und bei den Einstellungen auf Probefläche und als Bild verfügbar. Ist sie aktiviert, werden die Texturen bei diesen Darstellungen zentriert.


Farbe...

Bestimmen Sie die Spiegelungsfarbe über den Farbeinstellungs-Dialog, der nach Klick auf den Knopf Farbe... erscheint. Normalerweise wählt man hier für einen perfekten Spiegel eine weiße Farbe, da er jede Farbe gleichmäßig widerspiegelt. Jede andere Farbe ist jedoch genauso möglich, um eine Färbung der Spiegelung zu erreichen.


Umgebung...

Nach Klick auf Umgebung... öffnet sich der folgende Dialog:

Dialog Material Properties Reflection Environment

Hier entscheiden Sie, welcher Hintergrund sich über das so genannte Environment-Mapping in der spiegelnden Oberfläche abbildet. Dadurch erhalten Sie sehr natürliche Spiegelungen.

Tip

Es ist auch möglich, eine Umgebung zu wählen, die für die Darstellung inaktiv geschaltet ist und nur in der Spiegelung sichtbar ist.

Image Environment Mapping

Tip

Im Gegensatz zu einem Spiegelmap für ein Material handelt es sich hier um eine globales Spiegelmap, das für mehrere Materialien übergreifend gewählt werden kann.


Intensität

Über diesen Regler stellen Sie die Intensität der Spiegelung ein. Kleinere Werte führen zu schwächeren Spiegelungen, größere Werte zu stärkeren Spiegelungen.


winkelabhängige Spiegelung

Was von der Umgebung in einer Spiegelung sichtbar ist, hängt von der Sicht des Betrachters ab. Hier gilt die Formal:

Einfallswinkel der Sicht des Betrachters auf das Objekt = Ausfallswinkel auf gespiegelte Umgebung

Bei realen Materialien wie z.B. Wasser und Lacke hängt die Intensität der Spiegelung auch vom Einfallswinkel der Sicht des Betrachters auf das Objekt ab. Bei senkrechter Sicht auf das Objekt ist die Spiegelung schwach, bei der Sicht auf die Seite stärker.

Wird die Option winkelabhängige Spiegelung aktiviert, gilt der Einstellwert Intensität für die senkrechte Sicht auf das Objekt und der Einstellwert Endintensität für die Sicht auf die Seite. Der Übergang zwischen diesen beiden Intensitäten wird über den Bereich für die Endintensität geregelt.


Endintensität

Dieser Wert bestimmt, wie stark die Spiegelung für die Sicht auf die Seite bei einer winkelabhängigen Spiegelung maximal sein kann.


Bereich für die Endintensität

Bestimmen Sie hier den Übergang zwischen der Intensität und der Endintensität bei einer winkelabhängigen Spiegelung.

Je höher dieser Wert ist, desto stärker wirkt sich die Endintensität aus. Dieser Wert ist nach oben nicht beschränkt, er kann also auch höhere Werte als 1 annehmen.


Grundfarbanteil

Bestimmt den Anteil der Eigenfarbe des Materials an der Spiegelung. Je höher dieser Wert eingestellt wird, umso mehr spielt die Eigenfarbe am Spiegelergebnis eine Rolle. Damit können Sie z.B. auch eine Textur zur Manipulation der Spiegelfarbe verwenden.


entfernungsabhängige Spiegelung

Wenn Sie diese Option aktivieren, nimmt die Intensität der Spiegelung über die Entfernung ab.

Um Spiegelungen undeutlicher darzustellen, geben Sie eine Reichweite ein. Die Spiegelung kann dadurch nur leicht angedeutet werden.

Beispiel:

geringe Spiegelung, nicht entfernungsabhängig

Image without Distance Reflection

hohe Spiegelung, entfernungsabhängig

Image with Distance Reflection


Reichweite

Für eine entfernungsabhängige Spiegelung bestimmen Sie hier, in welchem Bereich um das Material herum die Spiegelung dargestellt wird.


Spiegel-Map

Effektvolle Spiegelungen werden in GAMMA-RAY dann berechnet, wenn rund um das Objekt, das mit einem spiegelnden Material belegt ist, auch andere Objekte angeordnet sind, die sich in der Spiegelung abbilden. Doch nicht immer haben Sie zu den Körpern, die Sie visualisieren wollen, auch eine ansprechende Umgebung konstruiert. Wenn Sie also nur einen einfarbigen Hintergrund rund um das Objekt als Umgebung definiert haben, wird auch nur diese Farbe in der Spiegelung sichtbar.

Um sich den Aufwand der zusätzlichen Konstruktion zu ersparen, können Sie Spiegelmaps verwenden. Diese erzeugen Sie als Panoramen entweder als Panoramafotos mit der Digitalkamera oder als Würfelpanorama aus bestehenden Projekten.

Dialog Material Properties Reflection Map

Im rechten Teil des Dialogs erhalten Sie eine Vorschau des definierten Materials. Über die Auswahlliste Vorschaubild haben Sie folgende Einstellmöglichkeiten:

Menu Preview Images

Sie bestimmen hier, welches Aussehen das Materialvorschaubild erhält. Da verschiedene Eigenschaften wie z.B. Glanz erst auf runden Objekten wirken, sollten Sie bei Bedarf auf den Vorschautyp umschalten, der dem Objekt, das Sie mit dem Material belegen wollen, am nächsten kommt.

Tip

In den Materialkatalogen, die bei GAMMA-RAY mitgeliefert werden, sind die zweidimensionalen Bitmaptexturen immer in der Einstellung auf Probefläche dargestellt, während dreidimensionale prozedurale Materialien auf einer Kugel abgebildet sind.

Bei der Einstellung auf Probefläche wird das Material so dargestellt, wie es auf einer Probefläche angezeigt werden würde. Die Ausdehnung der Probefläche legen Sie über den Menüpunkt Bildgröße setzen... der Material-Auswahl fest. Das Material ist hier entsprechend den Einstellungen für die Texturgröße größenrichtig zu sehen.

Bei der Einstellung Benutzerdefiniert können eigene 3D-Körper als Vorschaukörper definiert werden. Diese Körper müssen als .ray und .par Dateien in dem Verzeichnis Installationsverzeichnis\Prog_19\Preview abgelegt werden. Nach der Programminstallation sind Kugeln als benutzerdefinierte Körper abgelegt. Die Namen der Dateien lauten Kugel_10, Kugel_11 und Kugel_12. Wenn Sie ein eigenes 3D-Objekt stattdessen anzeigen wollen, muss dieses am Ende des Dateinamens die jeweilige Zahl (also 10, 11 oder 12) erhalten und das Material muss den Namen mat_001 besitzen.

Die Option zentriert darstellen ist nur bei 3D-Texturen und bei den Einstellungen auf Probefläche und als Bild verfügbar. Ist sie aktiviert, werden die Texturen bei diesen Darstellungen zentriert.


Mapdatei bearbeiten

Als Spiegelmap wählen Sie eine Datei aus oder erzeugen für das aktuelle Projekt ein Spiegelmap. Die Position des Spiegelmaps kann noch beeinflusst werden. Realistischer wirkt ein Spiegelmap, wenn es etwas undeutlich abgebildet wird. Dazu bestimmen Sie eine Unschärfe.


Allgemein

Dialog Material Properties Reflection Map General

Wählen Sie die Bitmap aus, die als Spiegelmap abgebildet werden soll. Das Panoramabild kann in den allgemeinen Bildformaten vorliegen. Für dieses Bild kann eine Vorschau angezeigt werden, es kann auch wieder entfernt werden.

Wenn Sie ein Projekt geladen haben, das sich als Spiegelmap eignet, können Sie um die aktuelle Position herum ein Würfelpanorama berechnen lassen und anschließend in eine Bitmapdatei abspeichern. Klicken Sie dazu auf den Knopf Erzeugen... In dem folgenden Dialog

Dialog Material Properties Reflection Map Save

bestimmen Sie

·in welchem Darstellungsmodus das Panorama erzeugt werden soll,

·in welcher Bildgröße das Panorama erzeugt werden soll und

·welchen Dateinamen das Panorama erhalten soll

Die Texturqualität und Gamma-Korrektur kann wie beim Texturbild eingestellt werden.


Position

Dialog Material Properties Reflection Map Position

Um den Effekt des Spiegelmaps genau festlegen zu können, kann es horizontal und vertikal verschoben werden.


Unschärfe

Dialog Material Properties Reflection Map Blur

Um das Spiegelmap nicht zu deutlich in der Spiegelung abzubilden, sollte es mit einer Unschärfe versehen werden. Um die Unschärfe zu berechnen, können Sie auch die Texturauflösung bestimmen. Die Texturbilder sollten nicht zu klein, aber auch nicht zu groß berechnet werden. Da es sich bei einem Würfelpanorama immer um quadratische Bilder handelt, muss nur ein Wert eingegeben werden.

Wenn Sie auf Berechnen klicken, erfolgt die Berechnung des unscharfen Spiegelmaps. Das Ergebnis können Sie in einer Vorschau betrachten.

Haben Sie das Material mit dem Spiegelmap bereits auf einen Körper aufgelegt, wird die Unschärfe beim nächsten Bildaufbau sichtbar.

Tip

Die Texturauflösung richtet sich nach dem gewählten Wert der Unschärfe. Gute Ergebnisse erzielt man bei einer Unschärfe von

·2% mit einer Auflösung von 1000

·5% mit einer Auflösung von 500

·10% mit einer Auflösung von 100

Tip

Der Wert der Texturabtastung sollte nicht geändert werden.


Glanz-Map

Ein Glanzpunkt spiegelt den hellen Lichtschein einer Lichtquelle wieder, die so auf ein Material leuchtet, dass der reflektierte Lichtschein vom Betrachter gesehen werden kann. Sie müssen also mehrere Lichtquellen rund um das Objekt platzieren, die dann diese Vorgabe erfüllen.

Dies ist nicht immer einfach möglich. Aus diesem Grund können Sie auch Glanzmaps verwenden. Diese erzeugen Sie als Panoramen entweder als Panoramafotos mit der Digitalkamera oder als Würfelpanorama aus bestehenden Projekten.

Wenn man sich in einem Innenraum befindet, sieht man hauptsächlich das helle Licht als Glanz, das zu den Fenstern in den Raum herein scheint. Um dies nachzubilden, sollten Sie alle Flächen bis auf die Fensterflächen schwarz einfärben und nur die Fensterflächen mit einem weißen Material belegen. Sie erzeugen dann als Glanz-Map ein schwarz/weißes Würfelpanorama. Im Glanz sind dann die weißen Fensterflächen zu erkennen.

Die Einstellungen für das Glanzmap sind identisch zu denen des Spiegelmaps.


Transparenz

In dieser Gruppe stellen Sie die transparenten Eigenschaften eines Materials ein.

Dialog Material Properties Transparency

Im rechten Teil des Dialogs erhalten Sie eine Vorschau des definierten Materials. Über die Auswahlliste Vorschaubild haben Sie folgende Einstellmöglichkeiten:

Menu Preview Images

Sie bestimmen hier, welches Aussehen das Materialvorschaubild erhält. Da verschiedene Eigenschaften wie z.B. Glanz erst auf runden Objekten wirken, sollten Sie bei Bedarf auf den Vorschautyp umschalten, der dem Objekt, das Sie mit dem Material belegen wollen, am nächsten kommt.

Tip

In den Materialkatalogen, die bei GAMMA-RAY mitgeliefert werden, sind die zweidimensionalen Bitmaptexturen immer in der Einstellung auf Probefläche dargestellt, während dreidimensionale prozedurale Materialien auf einer Kugel abgebildet sind.

Bei der Einstellung auf Probefläche wird das Material so dargestellt, wie es auf einer Probefläche angezeigt werden würde. Die Ausdehnung der Probefläche legen Sie über den Menüpunkt Bildgröße setzen... der Material-Auswahl fest. Das Material ist hier entsprechend den Einstellungen für die Texturgröße größenrichtig zu sehen.

Bei der Einstellung Benutzerdefiniert können eigene 3D-Körper als Vorschaukörper definiert werden. Diese Körper müssen als .ray und .par Dateien in dem Verzeichnis Installationsverzeichnis\Prog_19\Preview abgelegt werden. Nach der Programminstallation sind Kugeln als benutzerdefinierte Körper abgelegt. Die Namen der Dateien lauten Kugel_10, Kugel_11 und Kugel_12. Wenn Sie ein eigenes 3D-Objekt stattdessen anzeigen wollen, muss dieses am Ende des Dateinamens die jeweilige Zahl (also 10, 11 oder 12) erhalten und das Material muss den Namen mat_001 besitzen.

Die Option zentriert darstellen ist nur bei 3D-Texturen und bei den Einstellungen auf Probefläche und als Bild verfügbar. Ist sie aktiviert, werden die Texturen bei diesen Darstellungen zentriert.


Farbe...

Wenn Sie auf den Knopf Farbe klicken, erscheint der Farbeinstellungs-Dialog, mit dem Sie die Färbung der Transparenz einstellen.


Textur...

Nach Klick auf Textur... öffnet sich der folgende Dialog:

Dialog Material Properties Transparency Map

Hier entscheiden Sie, welche Textur sich in der transparenten Oberfläche abbildet und dadurch den Grad der Transparenz beeinflusst.

Die Einstellungen entsprechen denen der Texturbilder.


Intensität

Über diesen Schieberegler stellen Sie die Intensität der Transparenz ein. Kleinere Werte bedeuten hier eine schwächere Transparenz, größere Werte eine stärkere Transparenz.


Brechung

Attention

Brechungen werden erst ab einer Berechnung in dem Hybrid-Rendering oder höher dargestellt. Wählen Sie dazu entweder den Darstellungsmodus Shadingdarstellung und höher oder stellen Sie bei den Berechnungseinstellungen für den aktuellen Darstellungsmodus die Berechnung auf Hybrid oder höher um.

Eine Brechung in einem transparenten Körper wird dadurch erzeugt, dass das Licht beim Ein- und Austritt aus dem Material gebrochen wird.

Brechungen werden durch Einstellungen des Schiebereglers größer oder kleiner 1 generiert.

Beispiel:

Bei einer Einstellung einer Transparenz von 90% und eines Brechungsindexes von 1.1 für das Material wird es wie folgt dargestellt:

Ein Brechungsindex von 0.9 zeigt folgendes Material:

Attention

Verwenden Sie einen Brechungsindex ungleich 1.0 nur für Flächen, die einen geschlossenen Körper beschreiben. Es können sonst unrealistische Brechungseffekte entstehen.


Absorption

Attention

Absorptionen werden erst ab einer Berechnung in dem Hybrid-Rendering oder höher dargestellt. Wählen Sie dazu entweder den Darstellungsmodus Shadingdarstellung und höher oder stellen Sie bei den Berechnungseinstellungen für den aktuellen Darstellungsmodus die Berechnung auf Hybrid oder höher um.

Diese Eigenschaft bestimmt die Lichtabsorption. Die Lichtintensität in einem absorbierenden Körper nimmt exponentiell zur durchlaufenden Dicke ab. Stellen Sie hier ein, wie viel Prozent des ursprünglichen Lichtes je Millimeter durchlaufenden Materials verloren geht.

Über die Absorption geben Sie Dicke in einem Glas an.


Grundfarbanteil

Bestimmt den Anteil der Eigenfarbe des Materials an der Transparenz. Je höher dieser Wert eingestellt wird, umso mehr spielt die Eigenfarbe am Transparenzergebnis eine Rolle. Damit können Sie z.B. auch eine Textur zur Manipulation der Transparenzfarbe verwenden.


Optionen

In dieser Gruppe stellen Sie globale Optionen des Materials ein.

Dialog Material Properties Options1

Im rechten Teil des Dialogs erhalten Sie eine Vorschau des definierten Materials. Über die Auswahlliste Vorschaubild haben Sie folgende Einstellmöglichkeiten:

Menu Preview Images

Sie bestimmen hier, welches Aussehen das Materialvorschaubild erhält. Da verschiedene Eigenschaften wie z.B. Glanz erst auf runden Objekten wirken, sollten Sie bei Bedarf auf den Vorschautyp umschalten, der dem Objekt, das Sie mit dem Material belegen wollen, am nächsten kommt.

Tip

In den Materialkatalogen, die bei GAMMA-RAY mitgeliefert werden, sind die zweidimensionalen Bitmaptexturen immer in der Einstellung auf Probefläche dargestellt, während dreidimensionale prozedurale Materialien auf einer Kugel abgebildet sind.

Bei der Einstellung auf Probefläche wird das Material so dargestellt, wie es auf einer Probefläche angezeigt werden würde. Die Ausdehnung der Probefläche legen Sie über den Menüpunkt Bildgröße setzen... der Material-Auswahl fest. Das Material ist hier entsprechend den Einstellungen für die Texturgröße größenrichtig zu sehen.

Bei der Einstellung Benutzerdefiniert können eigene 3D-Körper als Vorschaukörper definiert werden. Diese Körper müssen als .ray und .par Dateien in dem Verzeichnis Installationsverzeichnis\Prog_19\Preview abgelegt werden. Nach der Programminstallation sind Kugeln als benutzerdefinierte Körper abgelegt. Die Namen der Dateien lauten Kugel_10, Kugel_11 und Kugel_12. Wenn Sie ein eigenes 3D-Objekt stattdessen anzeigen wollen, muss dieses am Ende des Dateinamens die jeweilige Zahl (also 10, 11 oder 12) erhalten und das Material muss den Namen mat_001 besitzen.

Die Option zentriert darstellen ist nur bei 3D-Texturen und bei den Einstellungen auf Probefläche und als Bild verfügbar. Ist sie aktiviert, werden die Texturen bei diesen Darstellungen zentriert.


Hybrid-Rendering

GAMMA-RAY erlaubt eine Berechnung im Hybrid-Rendering. Hier kann man für jedes Material individuell entscheiden, in welcher Qualität es berechnet wird. Es stehen folgende Darstellungsqualitäten zur Verfügung:

Menu Surface Properties Hybrid Rendering

Diese bedeuten im Einzelnen:

Solid | Das Material wird in seiner Grundfarbe dargestellt, ohne dass irgendeine Lichtberechnung erfolgt.
Flat | Das Material wird mit einer einfachen Lichtberechnung dargestellt. Dabei wird jede Fläche, deren Schwerpunkt durch einen Lichtstrahl getroffen wird, hell dargestellt. Alle anderen Flächen erscheinen abgedunkelt. Facettierte Körper werden facettiert angezeigt.
Gouraud | Das Material wird mit einer genaueren Lichtberechnung dargestellt. Dabei wird die Beleuchtung gemäß der Lichtintensität an den Flächeneckpunkten interpoliert. Facettierte Körper erscheinen rund.
Raytracing | Genaueste Lichtberechnung für ein Material. Die Auswirkungen und Veränderungen des Lichtstrahls werden punktgenau berechnet.

Sobald das Hybrid-Verfahren bei den Berechnungseinstellungen aktiviert ist, werden alle Materialien also per default im Raytracing-Algorithmus berechnet. In GAMMA-RAY ist hier ein extrem optimierter Raytracer der Firma GAMMA mbH integriert, der sehr schnell optimale Ergebnisse erzeugt.


Kollisionsprüfung

Mit abgeschalteter Option legen Sie fest, dass bestimmte Materialien beim Laufen mit Kollisionsprüfung nicht berücksichtigt werden. Wenn es Sie beim Laufen stört, dass Sie durch eine Kollision z.B. immer auf einen Tisch hoch springen, können Sie die Materialien des Tisches von der Kollisionsprüfung ausnehmen. Natürlich laufen Sie dann durch den Tisch hindurch, was aber weniger störend ist.


Schatten

Für jedes Material können Sie wählen, ob dieses Material

·einen Schatten werfen soll

·einen Schatten empfangen soll

·nur abgeschattet werden soll.

Dies sind ganz wichtige Optionen, die deshalb im Detail beschrieben werden sollen:

Wenn Sie von einem Innenraum nach draußen blicken wollen, verwenden Sie normalerweise ein Hintergrundbild für die Umgebung. Wenn Sie sich jedoch in diesem Raum bewegen, ist deutlich zu erkennen, dass es sich um einen fixen Hintergrund handelt, da er die Perspektivänderung nicht wie normal mitmacht, sondern immer feststeht. Um dies zu vermeiden, verwenden Sie entweder einen Panoramahintergrund oder platzieren vor die Fenster große Flächen, auf die dann ein Hintergrundbild per Drag & Drop aufgelegt wird. Wenn Sie nun die Perspektive verändern, gilt dies auch für die Flächen mit dem Hintergrund.

Es ergibt sich hier nur ein Nachteil: Wenn Sie z.B. mit einem Sonnenlicht von außen in den Raum strahlen, erkennt die Lichtberechnung die neue Fläche als Material, wodurch dann alle Flächen, die hinter der Fläche mit dem Hintergrundbild liegen, beschattet werden. Dies ist natürlich unerwünscht und kann dadurch behoben werden, dass für das Hintergrundmaterial die Option Schatten werfen deaktiviert wird. Jetzt kann der Sonnenstrahl die Fläche ungehindert durchdringen und den Innenraum ausleuchten.

Um einen realistischen Eindruck zu erhalten, sollte jede Fläche in der Lage sein, Schatten zu empfangen. Wenn Sie jedoch ein Haus rendern, das von einem großen Grundstück umgeben wird, können Sie die Rechenzeit und auch den Speicheraufwand dadurch reduzieren, dass Sie das umgebende Gelände in unterschiedliche Bereiche aufteilen:

·Bereiche, die von verschiedenen Objekten beschattet werden. Für diese sollte die Option Schatten empfangen aktiviert sein.

·Bereiche, die nicht beschattet werden. Für diese sollte die Option Schatten empfangen deaktiviert sein.

Definieren Sie also zwei unterschiedliche Flächen, bei denen Sie diese Option unterschiedlich schalten. Durch diese Unterscheidung wird die Schattenberechnung nur gezielt in den Bereichen durchgeführt, in denen auch wirklich Schatten vorkommen kann.

Eine sehr interessante Möglichkeit bietet die Option nur abschatten. Sie ist im Detail im Tutorial beschrieben.


Für die weitere Tageslichtberechnung verwenden

Mit dieser Option entscheiden Sie, ob das Material für die Tageslichtberechnung berücksichtigt werden soll oder nicht. Blenden Sie Materialien für die Tageslichtberechnung aus, wenn die Flächen, die damit belegt sind, sehr groß sind.

Die Auflösung für die Tageslichtberechnung richtet sich nach der Ausdehnung der Objekte, auf die das Tageslicht scheint. Wenn die Ausdehnung also groß ist, wird die Auflösung schlechter, so dass die Flächenqualität erhöht werden muss. Oftmals bietet es sich jedoch an, solche Objekte von der Tageslichtberechnung auszuschließen und z.B. mit der Tageslicht-Sonne zu beleuchten. Die Qualität des Ergebnisses der Tageslichtberechnung steigt dadurch spürbar.

Tip

Wenn Sie diese Option deaktivieren, bleibt die bisherige Beleuchtungsinformation auf allen Flächen, die dieses Material besitzen. erhalten. Berechnen Sie also Projekte, die eine große Ausdehnung besitzen, zuerst mit einer Flächenqualität von Entwurf oder Normal, schließen Sie dann die Materialien von Flächen, die zu der sehr großen Ausdehnung führen, von der Tageslichtberechnung aus und berechnen Sie das Tageslicht in optimaler Qualität erneut. Das Ergebnis ist dann wesentlich besser, als wenn Sie die Berechnung für das komplette Projekt durchführen.


Spiegelung und Transparenz

Attention

Diese Einstellungen sind nur bei der Benutzeroberfläche Experten-Modus verfügbar.

Bei ungünstigen Perspektiven werden in Spiegelungen und bei Transparenzen Kanten von Objekten extrem stufig dargestellt. Das ist immer dann der Fall, wenn man in einem spitzen Winkel auf die spiegelnde Fläche blickt. Dies ist insbesondere bei Animationen sehr störend. In vielen Fällen ist es hier besser, das Objekt erst gar nicht darzustellen. Dies kann für das jeweilige Material des Objekts eingestellt werden. Legen Sie dazu unter unsichtbar ab Sichtwinkel den Winkel fest, ab dem das Material in Spiegelungen und Transparenzen ausgeblendet wird, so dass der störende Effekt weg fällt.

Für Spiegelungen und Transparenzen können Sie einstellen, dass innerhalb von Spiegelungen und Transparenzen eine Erhöhung der Kantenqualität erfolgt. In ganz seltenen Fällen werden immer noch schlechte Ergebnisse in Spiegelungen und Transparenzen angezeigt, obwohl diese schon hoch auflösend berechnet werden. Dies könnte z.B. dann vorkommen, wenn Sie einen dünnen Stab im Spiegelbild einer Kugel sehen, dieser Stab sich aber in einer gewissen Entfernung zur Kugel befindet. In so einem Fall ist es möglich, dass das Spiegelbild durch die Dünne des Stabes an verschiedenen Stellen unterbrochen ist, weil er für die Spiegelung nicht richtig erkannt wird. Wenn dies auftritt, aktivieren Sie für das Material des Stabs (Achtung! nicht für das Material der Kugel) die Option Für höhere Qualität der Kanten markieren. Das Material ist dann für die Erhöhung der Kantenqualität dieser Effekte besonders gekennzeichnet. Zusätzlich ist die Eingabe der Erhöhung der Genauigkeit verfügbar. Durch diese Vergrößerung erkennt der Glättungsalgorithmus auch den dünnen Stab und berücksichtigt ihn dann bei der Erhöhung der Kantenqualität. Die Aussetzer im Spiegelbild entfallen.

Tip

Sie erkennen schon an der Beschreibung, dass diese Optionen nur sehr selten benötigt werden. Wegen der drastischen Erhöhung der Berechnungszeit sollten Sie diese Möglichkeit auch nur in Einzelfällen aktivieren. Doch dann eliminieren Sie wirklich alle störenden Effekte, um ein High-End Bild zu erzeugen.


Ausblenden

Sie können die Darstellung des Materials unterdrücken, wenn die Vorderseite oder die Rückseite einer Fläche dargestellt wird. Außerdem können Sie eine Richtung bestimmen, aus deren Sicht ein Material ausgeblendet wird.


Abstrahlen

Attention

Diese Einstellungen sind nur bei der Benutzeroberfläche Experten-Modus verfügbar.

In dieser Gruppe stellen Sie globale Optionen für das Abstrahlen des Materials ein.

Dialog Material Properties Emit

Im rechten Teil des Dialogs erhalten Sie eine Vorschau des definierten Materials. Über die Auswahlliste Vorschaubild haben Sie folgende Einstellmöglichkeiten:

Menu Preview Images

Sie bestimmen hier, welches Aussehen das Materialvorschaubild erhält. Da verschiedene Eigenschaften wie z.B. Glanz erst auf runden Objekten wirken, sollten Sie bei Bedarf auf den Vorschautyp umschalten, der dem Objekt, das Sie mit dem Material belegen wollen, am nächsten kommt.

Tip

In den Materialkatalogen, die bei GAMMA-RAY mitgeliefert werden, sind die zweidimensionalen Bitmaptexturen immer in der Einstellung auf Probefläche dargestellt, während dreidimensionale prozedurale Materialien auf einer Kugel abgebildet sind.

Bei der Einstellung auf Probefläche wird das Material so dargestellt, wie es auf einer Probefläche angezeigt werden würde. Die Ausdehnung der Probefläche legen Sie über den Menüpunkt Bildgröße setzen... der Material-Auswahl fest. Das Material ist hier entsprechend den Einstellungen für die Texturgröße größenrichtig zu sehen.

Bei der Einstellung Benutzerdefiniert können eigene 3D-Körper als Vorschaukörper definiert werden. Diese Körper müssen als .ray und .par Dateien in dem Verzeichnis Installationsverzeichnis\Prog_19\Preview abgelegt werden. Nach der Programminstallation sind Kugeln als benutzerdefinierte Körper abgelegt. Die Namen der Dateien lauten Kugel_10, Kugel_11 und Kugel_12. Wenn Sie ein eigenes 3D-Objekt stattdessen anzeigen wollen, muss dieses am Ende des Dateinamens die jeweilige Zahl (also 10, 11 oder 12) erhalten und das Material muss den Namen mat_001 besitzen.

Die Option zentriert darstellen ist nur bei 3D-Texturen und bei den Einstellungen auf Probefläche und als Bild verfügbar. Ist sie aktiviert, werden die Texturen bei diesen Darstellungen zentriert.

Im rechten Teil des Dialogs erhalten Sie eine Vorschau des definierten Materials. Über die Auswahlliste Vorschaubild haben Sie folgende Einstellmöglichkeiten:

Menu Preview Images

Sie bestimmen hier, welches Aussehen das Materialvorschaubild erhält. Da verschiedene Eigenschaften wie z.B. Glanz erst auf runden Objekten wirken, sollten Sie bei Bedarf auf den Vorschautyp umschalten, der dem Objekt, das Sie mit dem Material belegen wollen, am nächsten kommt.

Tip

In den Materialkatalogen, die bei GAMMA-RAY mitgeliefert werden, sind die zweidimensionalen Bitmaptexturen immer in der Einstellung auf Probefläche dargestellt, während dreidimensionale prozedurale Materialien auf einer Kugel abgebildet sind.

Bei der Einstellung auf Probefläche wird das Material so dargestellt, wie es auf einer Probefläche angezeigt werden würde. Die Ausdehnung der Probefläche legen Sie über den Menüpunkt Bildgröße setzen... der Material-Auswahl fest. Das Material ist hier entsprechend den Einstellungen für die Texturgröße größenrichtig zu sehen.

Bei der Einstellung Benutzerdefiniert können eigene 3D-Körper als Vorschaukörper definiert werden. Diese Körper müssen als .ray und .par Dateien in dem Verzeichnis Installationsverzeichnis\Prog_19\Preview abgelegt werden. Nach der Programminstallation sind Kugeln als benutzerdefinierte Körper abgelegt. Die Namen der Dateien lauten Kugel_10, Kugel_11 und Kugel_12. Wenn Sie ein eigenes 3D-Objekt stattdessen anzeigen wollen, muss dieses am Ende des Dateinamens die jeweilige Zahl (also 10, 11 oder 12) erhalten und das Material muss den Namen mat_001 besitzen.

Die Option zentriert darstellen ist nur bei 3D-Texturen und bei den Einstellungen auf Probefläche und als Bild verfügbar. Ist sie aktiviert, werden die Texturen bei diesen Darstellungen zentriert.


Einstellungen Abstrahlen

Wenn Sie nicht die Werte wie im Lichtmanager eingestellt verwenden wollen, können Sie die Größe der Abstrahlflächen hier global vorgeben.

Die Berechnung wird über eine oder zwei rechteckige Flächen gelöst, die in kurzem Abstand vom jeweiligen Testpunkt liegen. Sie können die Auflösung der Projektionsfläche global vorgeben. Das genauere Verfahren ist das, bei dem in alle Richtungen abgestrahlt wird. Wenn Sie jedoch die Berechnungszeit verkürzen wollen, können Sie die Option in alle Richtungen abstrahlen deaktivieren.

Der Abstrahlwinkel bestimmt die Weite, bis zu der die Energieausstrahlung berechnet wird. Ein kleinerer Öffnungswinkel strahlt die Lichtenergie also nur in einem schmalen Bereich aus, während große Öffnungswinkel nahe 180o Licht in fast alle Richtungen ausstrahlen.


Materialeinstellungen für die Lichtverlaufberechnung

Wenn Sie nicht die Werte wie im Lichtmanager eingestellt verwenden wollen, können Sie für den Lichtverlauf global bestimmen,

·ob das Material die Lichtenergie in der Materialfarbe abstrahlen soll. Wenn Sie diese Option deaktivieren, wird weißes Licht abgestrahlt,

·in welcher Intensität die Farbe abgestrahlt werden soll,

·ob die Farben, die im Texturbild enthalten sind, für das Abstrahlen verwendet werden oder die Grundfarbe.


Lichtmanager

Attention

Diese Einstellungen sind nur bei der Benutzeroberfläche Experten-Modus verfügbar.

In dieser Gruppe stellen Sie globale Optionen für Einstellungen des Lichtmanagers des Materials ein.

Dialog Material Properties Light Manager

Im rechten Teil des Dialogs erhalten Sie eine Vorschau des definierten Materials. Über die Auswahlliste Vorschaubild haben Sie folgende Einstellmöglichkeiten:

Menu Preview Images

Sie bestimmen hier, welches Aussehen das Materialvorschaubild erhält. Da verschiedene Eigenschaften wie z.B. Glanz erst auf runden Objekten wirken, sollten Sie bei Bedarf auf den Vorschautyp umschalten, der dem Objekt, das Sie mit dem Material belegen wollen, am nächsten kommt.

Tip

In den Materialkatalogen, die bei GAMMA-RAY mitgeliefert werden, sind die zweidimensionalen Bitmaptexturen immer in der Einstellung auf Probefläche dargestellt, während dreidimensionale prozedurale Materialien auf einer Kugel abgebildet sind.

Bei der Einstellung auf Probefläche wird das Material so dargestellt, wie es auf einer Probefläche angezeigt werden würde. Die Ausdehnung der Probefläche legen Sie über den Menüpunkt Bildgröße setzen... der Material-Auswahl fest. Das Material ist hier entsprechend den Einstellungen für die Texturgröße größenrichtig zu sehen.

Bei der Einstellung Benutzerdefiniert können eigene 3D-Körper als Vorschaukörper definiert werden. Diese Körper müssen als .ray und .par Dateien in dem Verzeichnis Installationsverzeichnis\Prog_19\Preview abgelegt werden. Nach der Programminstallation sind Kugeln als benutzerdefinierte Körper abgelegt. Die Namen der Dateien lauten Kugel_10, Kugel_11 und Kugel_12. Wenn Sie ein eigenes 3D-Objekt stattdessen anzeigen wollen, muss dieses am Ende des Dateinamens die jeweilige Zahl (also 10, 11 oder 12) erhalten und das Material muss den Namen mat_001 besitzen.

Die Option zentriert darstellen ist nur bei 3D-Texturen und bei den Einstellungen auf Probefläche und als Bild verfügbar. Ist sie aktiviert, werden die Texturen bei diesen Darstellungen zentriert.


Größe der Teilflächen des Materials beim Empfangen

Sie können die Einstellung der Größe der empfangenden Teilfläche im Lichtmanager für jedes Material durch einen globalen Wert ersetzen.


Fenster

Bei der Innenbeleuchtung werden die Fensterflächen automatisch bestimmt. Sie können für jedes Material aber auch individuell festlegen, ob es ein Fenster repräsentiert oder nicht:

Menu Surface Properties Daylight

Sie können auch definieren, welche Auflösung die Fenstermaterialien für die Innenbeleuchtung haben, d.h. wie viele Lichtquellen darauf abgebildet werden.

Auch die Auflösung der Fenster kann individuell eingestellt werden. Wenn ein anderer Lichttyp für die Innenbeleuchtung verwendet werden soll, wählen Sie aus folgenden Möglichkeiten:

Menu Surface Properties Daylight1


Navigation: Die Icons > Material-Auswahl anzeigen > Materialeigenschaften... > Lichtmanager >

Return to chapter overview

Lichtverlauf glätten

Auch die Einstellungen für die Glättung des Lichtverlaufs lassen sich material bezogen einstellen.


Navigation: Die Icons > Material-Auswahl anzeigen > Materialeigenschaften... > Lichtmanager >

Return to chapter overview

Energie empfangen

In der Regel sollen Materialien verteilte Energie empfangen. Dies kann jedoch auch deaktiviert werden.


Navigation: Die Icons > Material-Auswahl anzeigen > Materialeigenschaften... > Lichtmanager >

Return to chapter overview

ausblenden

Ein Material kann auch komplett von der Berechnung des Lichtverlaufs ausgeblendet werden.


pro Polygon

Wenn im Projekt Objekte enthalten sind, die aus vielen kleinen Flächen bestehen, kann sich die Berechnungszeit der Lichtverläufe stark erhöhen. Dies liegt daran, dass sich die einzelnen kleinen Flächen bei der indirekten Beleuchtung immer und immer wieder gegenseitig beleuchten. Ist die Option pro Polygon aktiviert, so wird jedes Polygon nur einmal beleuchtet und insgesamt für das Objekt ein realer Schattenverlauf berechnet.


Texturbild

Ein wesentlicher Bestandteil eines Materials in GAMMA-RAY ist die Textur. GAMMA-RAY verarbeitet sowohl Bitmap-Texturen (also zweidimensionale Texturen, die aus Bildern entstehen) als auch prozedurale Texturen (also dreidimensionale Texturen, die aus mathematischen Berechnungsvorschriften für Farbe und Struktur entstehen). Bitmap-Texturen kann man sich wie Furniere vorstellen, mit denen man die einzelnen Flächen eines 3D-Körpers beklebt. Prozedurale Texturen wirken wie Vollmaterialien (z.B. Vollholz), da sie wie eine Haut den kompletten 3D-Körper umgeben.

Tip

Wie bei allen Pixelbildern kann GAMMA-RAY auch bei Bitmap-Texturen die Formate TIFF, TGA, BMP, GIF, PNG und JPEG verarbeiten. Auch AVI-Texturen werden unterstützt.

Jede Textur, die vom Programm geladen wird, verbraucht internen Arbeitsspeicher. Achten Sie daher darauf, dass die Texturen nicht unnötig groß sind. Hier kommt es immer darauf an, ob man eine Textur nur von Weitem oder auch von Nahem betrachten will.

Wird das Material nur von Weitem betrachtet, muss das Texturbild nicht besonders groß sein. Handelt es sich um ein Material, das sich regelmäßig wiederholt (z.B. eine Klinkerwand), können Sie sich auf einen kleinen Ausschnitt beschränken, der die sich wiederholende Struktur enthält.

Das Programm wiederholt die Textur dann je nach Ausdehnung der Objekte automatisch. Achten Sie unbedingt darauf, dass das Ausgangsbild so aufbereitet ist, dass die linke Seite an die rechte passt, bzw. die obere Seite an die untere.

Eine solche Textur

wäre z.B. unbrauchbar, da sie sich nicht aneinander setzen lässt, ohne dass ein Kacheleffekt sichtbar ist.

Wollen Sie genaue Materialstudien durchführen, sollte das Texturbild in einer ausreichenden Größe vorhanden sein. Je näher Sie das Material betrachten, umso genauer muss es dargestellt werden, d.h. umso größer muss das Pixelbild sein. Reicht die Pixelgröße nicht aus, erscheint das Material unscharf (gepixelt).

Für die Gruppe Texturbild erscheint folgender Dialog:

Dialog Material Properties Texture

Im rechten Teil des Dialogs erhalten Sie eine Vorschau des definierten Materials. Über die Auswahlliste Vorschaubild haben Sie folgende Einstellmöglichkeiten:

Menu Preview Images

Sie bestimmen hier, welches Aussehen das Materialvorschaubild erhält. Da verschiedene Eigenschaften wie z.B. Glanz erst auf runden Objekten wirken, sollten Sie bei Bedarf auf den Vorschautyp umschalten, der dem Objekt, das Sie mit dem Material belegen wollen, am nächsten kommt.

Tip

In den Materialkatalogen, die bei GAMMA-RAY mitgeliefert werden, sind die zweidimensionalen Bitmaptexturen immer in der Einstellung auf Probefläche dargestellt, während dreidimensionale prozedurale Materialien auf einer Kugel abgebildet sind.

Bei der Einstellung auf Probefläche wird das Material so dargestellt, wie es auf einer Probefläche angezeigt werden würde. Die Ausdehnung der Probefläche legen Sie über den Menüpunkt Bildgröße setzen... der Material-Auswahl fest. Das Material ist hier entsprechend den Einstellungen für die Texturgröße größenrichtig zu sehen.

Bei der Einstellung Benutzerdefiniert können eigene 3D-Körper als Vorschaukörper definiert werden. Diese Körper müssen als .ray und .par Dateien in dem Verzeichnis Installationsverzeichnis\Prog_19\Preview abgelegt werden. Nach der Programminstallation sind Kugeln als benutzerdefinierte Körper abgelegt. Die Namen der Dateien lauten Kugel_10, Kugel_11 und Kugel_12. Wenn Sie ein eigenes 3D-Objekt stattdessen anzeigen wollen, muss dieses am Ende des Dateinamens die jeweilige Zahl (also 10, 11 oder 12) erhalten und das Material muss den Namen mat_001 besitzen.

Die Option zentriert darstellen ist nur bei 3D-Texturen und bei den Einstellungen auf Probefläche und als Bild verfügbar. Ist sie aktiviert, werden die Texturen bei diesen Darstellungen zentriert.


Transparenz-Kanal-Datei

Das Ausblenden eines Bildhintergrundes erfolgt entweder über die Bluescreen-Technik oder über einen Transparenz-Kanal.

In dieser Zeile wird der vollständige Name der gewählten Transparenz-Kanal-Datei angezeigt.

Tip

Damit der Transparenz-Kanal verwendet wird, muss die Option Transparenz-Kanal verwenden aktiviert sein.

Tip

Bilder mit Transparenz-Kanal erzeugen Sie in Ihrem Bildbearbeitungsprogramm, indem Sie sie freistellen und dann mit der Option interlaced abspeichern.


Navigation: Die Icons > Material-Auswahl anzeigen > Materialeigenschaften... > Texturbild >

Return to chapter overview

Wählen...

Öffnet einen Dialog, über den Sie die Datei des Transparenz-Kanal-Bildes auswählen.


Navigation: Die Icons > Material-Auswahl anzeigen > Materialeigenschaften... > Texturbild >

Return to chapter overview

Vorschau...

Zeigt das Originalbild des Transparenz-Kanal-Bildes in einem eigenen Fenster an.


Navigation: Die Icons > Material-Auswahl anzeigen > Materialeigenschaften... > Texturbild >

Return to chapter overview

Entfernen...

Mit dieser Funktion entfernen Sie die Zuordnung des Transparenz-Kanal-Bildes zum aktuellen Material.


normal

Einfachste Qualität, bei der der Farbwert der Textur an einer bestimmten Stelle die Farbe des Pixels ist, die dieser Stelle am Nächsten liegt. Durch den geringen Speicherbedarf und die kurze Berechnungszeit eignet sich dieses Verfahren für die allgemeine Texturdarstellung, solange keine Moiré-Effekte auftreten, also bei nahezu einfarbigen Texturen.


gut

Qualität zur Unterdrückung von Moiré-Effekten, bei der nicht nur ein einzelnes Pixel der Textur betrachtet wird, sondern über ein dem Blickwinkel angepasstes Gebiet die Texturpixel gewichtet werden. Der Speicherbedarf und die Rechenzeit sind erhöht.

Image Texture Filter2


sehr gut (für kleine Texturbilder)

Funktioniert ähnlich wie gut, wobei das zu gewichtende Gebiet genauer bestimmt wird, wodurch das visuelle Ergebnis eine höhere Qualität in der Bildschärfe hat. Dadurch wird die Rechenzeit jedoch noch mal erhöht.

Image Texture Filter3

Attention

Für diese Einstellung wird zusätzlicher Arbeitsspeicher benötigt. Die Größe ist hier stark von der Ausdehnung der Textur abhängig.

GAMMA-RAY optimiert bei dieser Einstellung das Texturbild und legt es dann mehrfach nebeneinander und untereinander. Damit wird der Rechenaufwand für eine mehrfache Berechnung pro Texturbild eingespart. Jedoch wird hier für jedes Texturbild der zusätzliche Arbeitsspeicher benötigt, was insgesamt zu erhöhtem Speicherbedarf führt. Sollten Sie dadurch an die Grenzen des Arbeitsspeichers kommen, verwenden Sie die Texturqualität sehr gut (für große Texturbilder).


sehr gut (innerhalb Vergrößerungen)

Um innerhalb von gezoomten Bildern die Texturqualität zu verbessern, verwenden Sie diese Einstellung.


leicht verschwommen, verschwommen, stark verschwommen

Diese Einstellungen untersuchen die Nachbarschaft des gewünschten Punktes, benötigen aber keinen zusätzlichen Speicher. Hier wird bei jeder höheren Einstellung das Bild mehr verschmiert.


sehr gut (für große Texturbilder)

Arbeitet genauso wie sehr gut (für kleine Texturbilder), hält aber die geglätteten Daten nicht im Speicher sondern berechnet die Optimierung für jedes Texturbild, ohne die Informationen im Arbeitsspeicher abzulegen. Dadurch erfordert diese Einstellung keinen zusätzlichen Arbeitsspeicher.

Tip

Die Berechnung in diesem Modus wurde stark optimiert, so dass empfohlen wird, diese Einstellung den anderen vorzuziehen.


Navigation: Die Icons > Material-Auswahl anzeigen > Materialeigenschaften... > Texturbild >

Return to chapter overview

Texturbild nur einmal auf die Fläche auflegen

Eine detaillierte Beschreibung dieser Funktion finden Sie im Tutorial.


Textur aus Sichtrichtung auflegen

Bilder, die für Texturen verwendet werden, sind in der Regel von oben fotografiert. In diesem Fall erfolgt das Mapping so, dass die Fläche von vorne betrachtet, das Texturbild aufgelegt wird und dann die Fläche wieder zurück in den Raum gedreht wird.

Wenn Sie diese Option aktivieren, erfolgt das Mapping nicht auf diese Weise, sondern das Bild wird so auf den Körper aufgelegt, wie es fotografiert wurde.

Wenn Sie also ein Bild von einem Rasen verwenden wollen, bei dem die Grashalme von der Seite sichtbar sein sollen, oder eine Wassertextur, nicht flach, sondern mit Wellen dargestellt werden soll, aktivieren Sie diese Option.

Tip

Der Effekt wird erst ab der Shadingdarstellung sichtbar.


Text-Material erzeugen...

Geben Sie den gewünschten Text ein und wählen Sie die Schriftart und Zeichenauflösung. Über die Eingabe Rand bestimmen Sie, welchen Abstand der Text zum Rand der Fläche, auf die er aufgelegt wird, hat. Mit dem Farbeinstellungs-Dialog wählen Sie die Zeichenfarbe und die Farbe des Hintergrunds. Der Text ist nun ein ganz normales Material, das Sie per Drag & Drop auf die Flächen des Projekts auflegen können. Natürlich sind auch Effekte wie Transparenz, Spiegelung, Bluescreen, ... möglich.


Material-Schichten

GAMMA-RAY erlaubt es, ein Material aus mehreren Schichten aufzubauen. Hier kann eine Oberfläche z.B. mit Moos, Schmutz, Graffiti, Blättern, ... versehen werden. Um auf ein Material eine weitere Schicht aufzulegen, wählen Sie in der Material-Auswahl unter Einstellungen entweder den Menüpunkt Schicht auf die sichtbare Seite zufügen oder Schicht auf beiden Seiten zufügen.

Bilden Sie Materialschichten, indem Sie auf ein Basismaterial ein weiteres Material auflegen, das über die Bluescreen-Technologie transparente Bereiche hat. Das gemischte Material wird dann als neues Material angezeigt.

Tip

Das Material ist ein so genanntes Mehrfach-Material. Es wird als Gesamtmaterial angezeigt. Wenn Sie die einzelnen Komponenten des Materials sehen wollen, müssen Sie die Option Mehrfach-Materialien auflisten im Menü Einstellungen der Material-Auswahl aktivieren.

Wenn Sie einen Doppelklick auf ein mehrschichtiges Material ausführen, erscheint im Dialog der Materialeigenschaften eine Gruppe mit dem Namen Material+Schichten:

In der Liste Material-Schichten werden die einzelnen Materialschichten in der Reihenfolge von außen nach innen angezeigt. Diese Reihenfolge lässt sich ändern, wenn Sie eine Schicht anwählen und diese dann nach vorne oder nach hinten anordnen. Nach Aufruf von Seite wählen... erscheint ein weiterer Dialog:

Hier entscheiden Sie, ob die Schicht auf beide Seiten eines Materials gelegt werden soll oder nur auf die Vorderseite oder nur auf die Rückseite.

Über den Knopf bearbeiten... wird die aktuelle Schicht wieder als Material in die Material-Auswahl eingefügt und lässt sich dann in allen Materialeigenschaften verändern.

Schließlich kann auch noch die angewählte Schicht entfernt werden.

Im rechten Teil des Dialogs erhalten Sie eine Vorschau des definierten Materials. Über die Auswahlliste Vorschaubild haben Sie folgende Einstellmöglichkeiten:

Menu Preview Images

Sie bestimmen hier, welches Aussehen das Materialvorschaubild erhält. Da verschiedene Eigenschaften wie z.B. Glanz erst auf runden Objekten wirken, sollten Sie bei Bedarf auf den Vorschautyp umschalten, der dem Objekt, das Sie mit dem Material belegen wollen, am nächsten kommt.

Tip

In den Materialkatalogen, die bei GAMMA-RAY mitgeliefert werden, sind die zweidimensionalen Bitmaptexturen immer in der Einstellung auf Probefläche dargestellt, während dreidimensionale prozedurale Materialien auf einer Kugel abgebildet sind.

Bei der Einstellung auf Probefläche wird das Material so dargestellt, wie es auf einer Probefläche angezeigt werden würde. Die Ausdehnung der Probefläche legen Sie über den Menüpunkt Bildgröße setzen... der Material-Auswahl fest. Das Material ist hier entsprechend den Einstellungen für die Texturgröße größenrichtig zu sehen.

Bei der Einstellung Benutzerdefiniert können eigene 3D-Körper als Vorschaukörper definiert werden. Diese Körper müssen als .ray und .par Dateien in dem Verzeichnis Installationsverzeichnis\Prog_19\Preview abgelegt werden. Nach der Programminstallation sind Kugeln als benutzerdefinierte Körper abgelegt. Die Namen der Dateien lauten Kugel_10, Kugel_11 und Kugel_12. Wenn Sie ein eigenes 3D-Objekt stattdessen anzeigen wollen, muss dieses am Ende des Dateinamens die jeweilige Zahl (also 10, 11 oder 12) erhalten und das Material muss den Namen mat_001 besitzen.

Die Option zentriert darstellen ist nur bei 3D-Texturen und bei den Einstellungen auf Probefläche und als Bild verfügbar. Ist sie aktiviert, werden die Texturen bei diesen Darstellungen zentriert.


Größe und Ausrichtung

Damit Materialien naturgetreu abgebildet werden, ist es wichtig, die Position, Richtung und Größe festlegen zu können. Dies führen Sie in diesem Dialog durch:

Dialog Material Properties Position

Im rechten Teil des Dialogs erhalten Sie eine Vorschau des definierten Materials. Über die Auswahlliste Vorschaubild haben Sie folgende Einstellmöglichkeiten:

Menu Preview Images

Sie bestimmen hier, welches Aussehen das Materialvorschaubild erhält. Da verschiedene Eigenschaften wie z.B. Glanz erst auf runden Objekten wirken, sollten Sie bei Bedarf auf den Vorschautyp umschalten, der dem Objekt, das Sie mit dem Material belegen wollen, am nächsten kommt.

Tip

In den Materialkatalogen, die bei GAMMA-RAY mitgeliefert werden, sind die zweidimensionalen Bitmaptexturen immer in der Einstellung auf Probefläche dargestellt, während dreidimensionale prozedurale Materialien auf einer Kugel abgebildet sind.

Bei der Einstellung auf Probefläche wird das Material so dargestellt, wie es auf einer Probefläche angezeigt werden würde. Die Ausdehnung der Probefläche legen Sie über den Menüpunkt Bildgröße setzen... der Material-Auswahl fest. Das Material ist hier entsprechend den Einstellungen für die Texturgröße größenrichtig zu sehen.

Bei der Einstellung Benutzerdefiniert können eigene 3D-Körper als Vorschaukörper definiert werden. Diese Körper müssen als .ray und .par Dateien in dem Verzeichnis Installationsverzeichnis\Prog_19\Preview abgelegt werden. Nach der Programminstallation sind Kugeln als benutzerdefinierte Körper abgelegt. Die Namen der Dateien lauten Kugel_10, Kugel_11 und Kugel_12. Wenn Sie ein eigenes 3D-Objekt stattdessen anzeigen wollen, muss dieses am Ende des Dateinamens die jeweilige Zahl (also 10, 11 oder 12) erhalten und das Material muss den Namen mat_001 besitzen.

Die Option zentriert darstellen ist nur bei 3D-Texturen und bei den Einstellungen auf Probefläche und als Bild verfügbar. Ist sie aktiviert, werden die Texturen bei diesen Darstellungen zentriert.


Navigation: Die Icons > Material-Auswahl anzeigen > Materialeigenschaften... > Größe und Ausrichtung >

Return to chapter overview

Horizontal spiegeln

Wenn Sie die Option Horizontal spiegeln anklicken, wird das Bild um die horizontale Achse umgeklappt.


Unregelmäßig anordnen

Texturbilder werden automatisch nebeneinander und übereinander angeordnet. Bei regelmäßigen Bildern kommt es oft vor, dass man eine "Kachelung" auf den Flächen erkennt.

Man sieht deutlich die regelmäßige Wiederholung.

Mit der neuen Option unregelmäßig anordnen wird dies verhindert.

Dialog Material Properties Size and Orientation Aperiodic

Die Bilder sind nun unregelmäßig angeordnet, was einen wesentlich natürlicheren Eindruck macht.

Beim unregelmäßigen Anordnen wird das Texturbild in 16 Kacheln aufgeteilt.

Image Aperiodic 1

Das funktioniert somit nur bei quadratischen Texturbildern, die entweder keine auffälligen Bereiche haben oder bei denen diese auffälligen Bereiche innerhalb der Kacheln sitzen. Das gesamte Texturbild muss so aufbereitet sein, dass es sich horizontal und vertikal aneinanderreihen lässt. Die wiederholten Bilder müssen also an den Nahtstellen aneinander passen.

Auf einer großen Fläche sieht das Material wie folgt aus:

Image Aperiodic 2

Die Kacheln werden regelmäßig angeordnet. Aktiviert man die Option unregelmäßig anordnen, so werden die 16 Teilkacheln auf der Fläche unregelmäßig platziert.

Image Aperiodic 3


Drehen

Über diesen Schieberegler wird das Texturbild zwischen 0o und 360o gedreht. Natürlich lässt sich der gewünschte Drehwinkel auch in dem Eingabefeld direkt eintippen.

Wenn Sie z.B. Küchenfliesen im 45o Winkel verlegen wollen, ändern Sie den Winkel entsprechend.

Tip

Eine Drehung kann auch mit der Maus über den Maus-Modus Textur-Modus erzielt werden. Wählen Sie hier den Menüpunkt Textur drehen.


Mehrfach nebeneinander

Über die aktivierten Optionen horizontal und vertikal bestimmen Sie, dass das Texturbild entsprechend der Angaben unter Skalierung und Größe mehrfach auf eine Fläche gelegt wird.

Wenn diese Optionen deaktiviert werden, wird das Texturbild in Originalgröße nur einmal auf die Fläche gelegt.


Abwechselnd spiegeln

Insbesondere bei Holz-Materialien verhindern Sie durch Aktivierung dieser Optionen einen Kacheleffekt bei der Darstellung.

Weitere Informationen lesen Sie im Tutorial.


Zufallswiederholung...

Wenn eine Textur unregelmäßig verlegt werden soll, kann dies mit der Zufallswiederholung realisiert werden. Per Zufallsgenerator erfolgt eine unterschiedliche Positionierung des Texturbildes.

In diesem Dialog bestimmen Sie den Abstand der Wiederholungen sowie eine Bandbreite der Steuerung. Durch Variation des Zufallsstartwertes verändern Sie das Verhalten des Zufallsgenerators.


Skalierung

In den Eingabefeldern horizontal und vertikal geben Sie an, wie oft das Texturbild in horizontaler und in vertikaler Richtung auf einer Fläche von 1m2 abgebildet wird. Dadurch geben Sie dem Texturbild eine Größe.

Soll das Texturbild also eine Größe von 0,5m * 0,2m erhalten, geben Sie unter horizontal einen Wert von 2 und unter vertikal einen Wert von 5 ein.

Tip

Eine Skalierung kann auch mit der Maus über den Maus-Modus Textur-Modus erzielt werden. Wählen Sie hier den Menüpunkt Textur skalieren.

Die Größe wird automatisch berechnet.


Größe

Wenn Sie nicht selbst die Anzahl der Texturbilder auf einem Quadratmeter berechnen wollen, geben Sie hier die reale Größe des Texturbildes an. Für das Beispiel unter Skalierung tippen Sie also direkt unter horizontal 0,5m und unter vertikal 0,2m ein.

Tip

Die Größe bezieht sich immer auf das komplette Texturbild. Im Zweifelsfall zeigen Sie das Bild über den Knopf Vorschau... in der Gruppe Texturbild an. Bei diesem Bild

müssen Sie also daran denken, dass der Klinkerstein in der Höhe zweimal zu berechnen ist. Soll der Klinker also eine Größe von 20cm * 5cm erhalten, geben Sie die Werte 0,2 und 0,1 (2 * 0,05) ein.

Die Skalierung wird automatisch berechnet.


Verschiebung

Über diese Funktion lässt sich die Textur auf einer Fläche verschieben. Die Eingaben in horizontaler und vertikaler Richtung erfolgen in der aktuell eingestellten Einheit.

Tip

Die Pixelreihen, die auf der einen Seite aus dem Texturbild heraus geschoben werden, werden auf der anderen Seite wieder eingefügt, wenn die Optionen Mehrfach nebeneinander aktiviert sind.

Tip

Eine Verschiebung kann auch mit der Maus über den Maus-Modus Textur-Modus erzielt werden. Wählen Sie hier den Menüpunkt Textur verschieben.


Bluescreen

Sobald Sie einem Material auch eine Textur zugeordnet haben, erscheint im Dialog der Materialeigenschaften auch die Gruppe Bluescreen.

Über die Bluescreen-Technologie von GAMMA-RAY ist es möglich, Pflanzen, Tiere, Fahrzeuge, Personen, ... in ein Projekt zu integrieren, ohne diese aufwändig selbst konstruieren zu müssen. Sie platzieren lediglich eine senkrechte Fläche im Projekt und belegen diese dann mit einer Bluescreen-Textur.

Ein Bluescreen-Material stellt ein Bild vor einem einfarbigen Hintergrund dar. Diese Hintergrundfarbe wird dann wie bei der Bluebox-/Greenscreen-Methode in der Fernsehtechnik transparent gerechnet, so dass das Objekt ohne Hintergrundfarbe im Projekt sichtbar ist.

Tip

Um den Hintergrund eines Bildes einfarbig umzufärben, bieten viele Bildbearbeitungsprogramme (z.B. das preiswerte Programm Paint Shop Pro) die Möglichkeit, über den Zauberstab die Umrisse einer Kontur zu erkennen und dann den umschreibenden Bereich mit einer beliebigen Farbe zu übermalen.

Attention

Achten Sie bitte darauf, dass die Hintergrundfarbe möglichst nicht in dem Objekt vorhanden ist, da sonst an diesen Stellen Löcher erscheinen.

Ein Bluescreen-Material verwenden Sie immer dann, wenn Sie Objekte im Projekt integrieren wollen, die für Sie zeitaufwändig zu konstruieren sind oder die eine zu große Datenmenge bedeuten würden. Diese Methode ziehen Sie immer dann vor, wenn die zusätzlichen Objekte lediglich der Ausschmückung des Bildes dienen und in eine eventuelle Auswertung nicht aufgenommen werden sollen oder hier sogar störend sind.

Attention

Sie legen das Bluescreen-Material wie auch andere Texturen einfach per Drag & Drop auf Flächen, die meist senkrecht im Projekt stehen und die in den Seitenabmessungen den Größen des abgebildeten Objektes entsprechen. Die Textur muss so eingestellt sein, dass sie genau einmal auf der Fläche aufgelegt wird.

Dialog Material Properties Bluescreen

Im rechten Teil des Dialogs erhalten Sie eine Vorschau des definierten Materials. Über die Auswahlliste Vorschaubild haben Sie folgende Einstellmöglichkeiten:

Menu Preview Images

Sie bestimmen hier, welches Aussehen das Materialvorschaubild erhält. Da verschiedene Eigenschaften wie z.B. Glanz erst auf runden Objekten wirken, sollten Sie bei Bedarf auf den Vorschautyp umschalten, der dem Objekt, das Sie mit dem Material belegen wollen, am nächsten kommt.

Tip

In den Materialkatalogen, die bei GAMMA-RAY mitgeliefert werden, sind die zweidimensionalen Bitmaptexturen immer in der Einstellung auf Probefläche dargestellt, während dreidimensionale prozedurale Materialien auf einer Kugel abgebildet sind.

Bei der Einstellung auf Probefläche wird das Material so dargestellt, wie es auf einer Probefläche angezeigt werden würde. Die Ausdehnung der Probefläche legen Sie über den Menüpunkt Bildgröße setzen... der Material-Auswahl fest. Das Material ist hier entsprechend den Einstellungen für die Texturgröße größenrichtig zu sehen.

Bei der Einstellung Benutzerdefiniert können eigene 3D-Körper als Vorschaukörper definiert werden. Diese Körper müssen als .ray und .par Dateien in dem Verzeichnis Installationsverzeichnis\Prog_19\Preview abgelegt werden. Nach der Programminstallation sind Kugeln als benutzerdefinierte Körper abgelegt. Die Namen der Dateien lauten Kugel_10, Kugel_11 und Kugel_12. Wenn Sie ein eigenes 3D-Objekt stattdessen anzeigen wollen, muss dieses am Ende des Dateinamens die jeweilige Zahl (also 10, 11 oder 12) erhalten und das Material muss den Namen mat_001 besitzen.

Die Option zentriert darstellen ist nur bei 3D-Texturen und bei den Einstellungen auf Probefläche und als Bild verfügbar. Ist sie aktiviert, werden die Texturen bei diesen Darstellungen zentriert.


Navigation: Die Icons > Material-Auswahl anzeigen > Materialeigenschaften... > Bluescreen >

Return to chapter overview

aus

Wenn diese Option aktiviert ist, wird das Bluescreen-Verfahren nicht verwendet.


Farbe ausblenden

Wenn diese Option aktiviert ist, wird das Bluescreen-Verfahren für das aktuelle Material verwendet. Hier wird die Farbe ausgeblendet, die Sie über den Knopf Farbe… auswählen.


Farbe...

Mit dem Farbeinstellungs-Dialog wählen Sie die Farbe aus, die durch das Programm transparent dargestellt wird. Verwenden Sie hier den Knopf Vom Bildschirm abgreifen, um die gewünschte Farbe direkt anwählen zu können.

Attention

Klicken Sie dabei nicht in das Projekt, da die Hintergrundfarbe der Textur eventuell durch die Lichtberechnung verändert wurde. Klicken Sie besser den Hintergrund im Vorschaubild der Textur an.


Toleranz

Wenn die Hintergrundfarbe keine eindeutige Farbe ist sondern eine gemischte Farbe (also Farbwerte ungleich 100%) besitzt, kann die Bluescreen-Farbe nicht genau bestimmt werden. Verwenden Sie in solchen Fällen den Schieberegler Toleranz, über den Sie eine Bandbreite definieren, die um den Wert der Bluescreen-Farbe herum weitere Farben herausfiltert.

Attention

Stellen Sie die Toleranz nicht zu hoch ein, sonst werden auch Bereiche des Objekts durchsichtig, die sichtbar sein sollten.

Als Ergebnis der Bluescreen-Berechnung steht z.B. ein Baum im Projekt.


Transparenz-Kanal verwenden

Wenn diese Option aktiviert ist, wird das Bluescreen-Verfahren für das aktuelle Material verwendet. Haben Sie ein Texturbild verwendet, das auch einen Transparenz-Kanal besitzt, verwenden Sie diese Option.

Tip

Bilder mit Transparenz-Kanal erzeugen Sie in Ihrem Bildbearbeitungsprogramm, indem Sie sie freistellen und dann mit der Option interlaced abspeichern.

Tip

Verwenden Sie entweder 32-Bit Bilder, bei denen 8-Bit für den Transparenz-Kanal verwendet werden oder laden Sie eine Transparenz-Kanal-Datei.


Textur drehen

Bluescreen-Texturen werden immer auf "flache" Flächen aufgelegt. Im obigen Bild erkennt man diese sehr genau. Wollen Sie das verhindern, besteht die Möglichkeit, den Baum auf ein Kreuz von mindestens vier Flächen aufzulegen, um einen Volumencharakter zu erhalten. Oder Sie lassen die Bluescreen-Textur automatisch drehen.

Im obigen Bild erkennen Sie, dass die Fläche von der aktuellen Kamerasicht abgewendet ist. Wenn Sie die Option in Richtung der Kamera aktivieren und das Bild neu berechnen lassen, richtet sich das Texturbild immer nach der aktuellen Kamerasicht, so dass es immer von vorne betrachtet wird.

Auch der Schatten ist nicht richtig, da er noch für die von der Seite beleuchtete Fläche berechnet wird. Aktivieren Sie also auch die Option in Richtung der Lichtquelle und lassen Sie das Bild neu berechnen.

Wenn auch das Spiegelbild nicht ganz der Realität entspricht, wird dies durch Aktivierung von in Richtung der spiegelnden Fläche und einem neuen Bildaufbau korrigiert.


3D-Strukturen

Mit den Strukturen, die man bei den Materialeigenschaften im Bereich Allgemein einstellt, erscheinen die Texturbilder wie mit Höhenunterschieden. An den Rändern erkennt man jedoch, dass es sich dabei nur um einen optischen Eindruck handelt.

Image Displacement 1

Auf dem Material selbst sieht man Erhebungen und Vertiefungen, die Ränder sind jedoch gerade. Um dies zu verbessern, muss aus dem Texturbild ein geometrisches Objekt erzeugt werden. Dafür gibt es nun den neuen Karteireiter 3D-Strukturen.

Wählen Sie in diesem Beispiel das gleiche Texturbild wie für das Material (wie Texturbild).

Sobald Sie eine Texturdatei für die 3D-Struktur ausgewählt haben, erscheint auf dem Materialsymbol in der Materialauswahl der Buchstabe D, was bedeutet, dass für dieses Material eine Struktur definiert wurde.

Image Displacement defined

Das Texturbild wird dann in ein Graustufenbild umgewandelt. Hier gilt genau wie bei den Strukturen unter Allgemein, dass helle Bildpunkte in die Höhe gezogen werden, während Bereiche von schwarzen Bildpunkten unten bleiben. Ein schwarzer Bildpunkt bedeutet also Strukturhöhe = 0, während ein weißer Bildpunkt der eingegebenen Strukturhöhe entspricht.

Wenn Sie die 3D-Strukturen erzeugen, erscheint auf dem Materialsymbol der Buchstabe G, weil die 3D-Struktur nun im Projekt generiert ist.

Image Displacement generated

Mit diesen Eingaben

erhalten Sie folgendes Ergebnis:

Image Displacement 2

Die bisherige gerade Kante wird entsprechend dem Texturbild verformt. Dafür wurden viele Polygone auf der Fläche erzeugt.

Image Displacement 3

Das hat den großen Vorteil, dass die 3D-Strukturen bei den weiteren Berechnungen (Spiegelungen, Lichtberechnungen, Transparenzen, Brechungen...) richtig ausgewertet werden, im Gegensatz zu den gängigen Verfahren, bei denen nur eine Bildmanipulation vorgenommen wird. Andere Programme haben Probleme mit solch hohen Datenmengen. GAMMA-RAY wurde schon immer dafür konzipiert, größere Datenmengen gut zu verarbeiten. Aus diesem Grund kann auch hier realistisch gearbeitet werden.

Wenn das 3D-Struktur-Material auf eine andere Fläche zugeordnet wird, erfolgt die folgende Abfrage:

Question Create Displacement

Sie können nun entscheiden, ob auf der Fläche auch ein Polygonzug erzeugt oder das Material ohne 3D-Struktur zugeordnet werden soll. Dadurch muss man das Material nicht doppelt definieren. Verwenden Sie das Material, bei dem Sie keine 3D-Strukturen erzeugen, für Objekte, die weiter von der aktuellen Betrachterposition entfernt sind und das Material mit 3D-Strukturen für nahe Objekte.

Um Datenmenge zu sparen, können Flächen, die einen Winkel kleiner dem angegebenen Grenzwinkel zueinander haben, zusammengefasst werden.

Attention

Wird die 3D-Struktur neu generiert, muss man bereits berechnetes Licht im Lichtmanager neu berechnen, da die bisherigen Informationen verworfen werden. Es empfiehlt sich daher, das Projekt mit Kunstlicht zu beleuchten (z.B. Umgebungslicht und Sonnenlicht von vorne), während man 3D-Strukturen definiert.

Tip

Hier noch ein paar Tipps:

·Um einen besseren Eindruck der 3D-Strukturen zu erhalten, sollten die Materialien auf Flächen zugeordnet werden.

·Damit die 3D-Strukturen richtig dargestellt werden, muss die Texturausrichtung der Flächen, auf die die 3D-Strukturen erzeugt werden, korrekt sein.

·Für die Erzeugung von 3D-Strukturen auf Fliesen eignet sich ein Schwarz/Weiß-Bild (schwarz für die Fugen, weiß für die Platten). Dann wird die Fuge unten belassen, während sich die Platten nach oben erheben.

·Wenn Sie selbst das Graustufenbild für die 3D-Strukturen erzeugen, kann dieses Bild auch eine geringere Farbauflösung als 16 Mio Farben haben (z.B. 256 Farben).

·Verwenden Sie die Einstellung Textur glätten, wenn sich die 3D-Struktur zu stark nach oben zieht. Durch das Verschmieren des Texturbildes erscheinen die Kanten dann weicher.

·Deaktivieren Sie die Option Rand belassen, wenn Sie Tücher, Decken und dergleichen darstellen. Wenn sich die 3D-Struktur über mehrere Kanten ziehen soll, aktivieren Sie diese Option.


Texturdatei

In dieser Zeile wird der vollständige Name der gewählten Texturdatei angezeigt. Wenn der 3D-Struktur kein Texturbild zugeordnet wurde, ist die Zeile leer.


Navigation: Die Icons > Material-Auswahl anzeigen > Materialeigenschaften... > 3D-Strukturen >

Return to chapter overview

Entfernen...

Mit dieser Funktion entfernen Sie die Zuordnung des Texturbildes zur aktuellen 3D-Struktur.


wie Texturbild

Klicken Sie auf diesen Knopf, um den Texturnamen der Grundtextur zu übernehmen. In diesem Fall wird ein Graustufenbild der Grundtextur zur Erzeugung der 3D-Struktur verwendet.


Typ

Sie können zwei unterschiedliche Typen von Texturen für eine 3D-Struktur verwenden:

Dialog 3D Structure Map

Höhenmaps sind Graustufenbilder, über die die Höhen der Polygone bestimmt wird. Hier gilt genau wie bei den Strukturen unter Allgemein, dass helle Bildpunkte in die Höhe gezogen werden, während Bereiche von schwarzen Bildpunkten unten bleiben. Ein schwarzer Bildpunkt bedeutet also Strukturhöhe = 0, während ein weißer Bildpunkt der eingegebenen Strukturhöhe entspricht.

Normalmaps dienen dazu, dass auch eine Richtungsänderung vorgenommen werden kann, so dass Probleme mit senkrechten Flanken durch einen extremen Wechsel von schwarz nach weiß verhindert und zusätzlich auch noch bessere Effekte erzeugt werden. Solche Normalmaps sind typischerweise RGB-Bilder mit einem starken Blauanteil.


Strukturhöhe

Geben Sie hier an, wie hoch die 3D-Polygone für weiße Bereiche berechnet werden sollen. Zwischen schwarz und weiß wird dann entsprechend des Grautons interpoliert.

Um die Struktur ("Berg" und "Tal") umzukehren, verwenden Sie negative Werte.


Verschiebung

Hier geben Sie an, ob der erzeugte Polygonzug nach oben (positive Werte) oder nach unten (negative Werte) verschoben werden soll.

Beispiel:

Sie erzeugen eine 3D-Struktur auf einer 3cm starken Platte mit einer Strukturhöhe von -5cm, so dass die Struktur nach unten gebildet wird. Nach der Erzeugung der 3D-Struktur durchdringt der erzeugte Polygonzug die untere Fläche. Um dies zu verhindern, kann man ihn nach oben verschieben.


Textur glätten

Bei starken Schwarz/Weiß-Schwankungen im Texturbild wird der Polygonzug dunkle Zacken am Rand aufweisen. Um diese zu verhindern, kann man mit dieser Funktion einen Weichzeichner auf das Texturbild anwenden, so dass mehr Graubereiche gebildet werden und die Zacken verschwinden, indem der Höhenzug abgerundet wird.


Polygongröße

Je größer die Polygone berechnet werden, desto weniger Datenmenge fällt an. Es kann durch zu große Polygone aber sein, dass die Strukturen nur ungenau erzeugt werden.

Je kleiner die Polygone berechnet werden, desto genauer bilden sich einzelne Bereiche aus, die im Bild enthalten sind. Dies führt aber auch zu einer Erhöhung der Datenmenge.

Stellen Sie also die Polygongröße so ein, dass die Strukturen gemäß Ihren Wünschen dargestellt werden, die Datenmenge aber nicht zu umfangreich ist.

Die Flächen werden in Dreiecke unterteilt. Die Polygongröße gibt also die längste Seite eines Dreiecks an.


maximale Anzahl erzeugter Polygone (x1000)

Um zu verhindern, dass es durch eine zu kleine Polygongröße zu einem Speicherüberlauf kommt, geben Sie hier ein Limit an, wie viele Polygone maximal erzeugt werden.

Die Flächen werden immer feiner unterteilt. Wenn das Programm registriert, dass eine weitere Unterteilung die eingestellte maximale Anzahl überschreitet, wird der Vorgang abgebrochen. Er erscheint dann eine Anzeige, bei welcher Polygongröße das Limit erreicht wurde.

So wird verhindert, dass versehentlich zu viele Polygone erzeugt werden, was dann zu einem Programmabsturz führen kann.


Navigation: Die Icons > Material-Auswahl anzeigen > Materialeigenschaften... > 3D-Strukturen >

Return to chapter overview

Größe und Ausrichtung

Entspricht den Einstellungen der Größe und Ausrichtung des Grund-Texturbildes.


wie Grundtextur

Sollen alle Einstellungen für Größe und Ausrichtung der Grundtextur auch hier verwendet werden, aktivieren Sie diese Option.


3D-Strukturen erzeugen

Wenn Sie alle Einstellungen vorgenommen haben, berechnen Sie den Polygonzug der 3D-Struktur über diese Funktion.

Attention

Wenn Sie Änderungen an einer Einstellung vornehmen, muss die 3D-Struktur neu erzeugt werden, damit sich diese Änderungen auswirken.


3D-Strukturen entfernen

Um den erzeugten Polygonzug auf den Flächen, die mit einer 3D-Struktur belegt wurden, zu löschen, klicken Sie auf diese Funktion.


3D-Strukturen abtrennen

Wenn Sie eine 3D-Struktur für ein Material erzeugt haben, wird diese bei jeder Änderung und Neuberechnung der 3D-Struktur angepasst. Wollen Sie das Ergebnis für die aktuell erzeugten Polygone aber behalten, an dem Material für andere Flächen Änderungen vornehmen, können Sie die 3D-Struktur abtrennen. Jetzt lassen sich Einstellungen wie an Strukturhöhen, Polygongröße etc. für andere Flächenbereiche verändern, ohne das dies auf die abgetrennte Struktur einen Einfluss hat. Oder Sie wollen einzelnen Polygonen der erzeugten 3D-Struktur eine andere Farbe zuweisen. Auch dies ist jetzt möglich.


Rand belassen

Die 3D-Struktur wird über die gesamte Fläche, der das Material zugewiesen wurde, berechnet, also auch am Rand. Das macht Sinn bei Tüchern, Decken, etc, also wenn es auf einem Flächenzug erzeugt wird. Liegt das Material jedoch auf einer Fläche eines Körpers, so wird der Körper am Rand aufgerissen. Um dies zu verhindern, aktivieren Sie die Option Rand belassen. Dann bleiben die Kanten unverändert.


Grenzwinkel für Reduktion

Um die Polygonanzahl zu optimieren, erfolgt eine Polygonreduktion. Diese wird bis zu dem hier eingegebenen Grenzwinkel durchgeführt. Flächen, die in einem Winkel kleiner dem Grenzwinkel zueinander stehen, werden zusammengefasst.

Kleinere Werte führen zu einer größeren Datenmenge, größere Werte zu immer ungenaueren Ergebnissen.


Beispiel

Zusammenfassend zu den Materialeigenschaften von zweidimensionalen Texturen soll noch mal an einem kleinen Beispiel demonstriert werden, wie ein neues Material definiert wird:

Für eine Markise sollen unterschiedliche Stoffmuster erzeugt werden, so dass der Kunde dann aus diesen auswählen kann.

Mit einem einfachen Bildbearbeitungsprogramm wie z.B. dem Windows® Programm Paint wurden dazu Bilddateien erzeugt, die aus einem farbigen und einem weißen Rechteck bestehen.

Markise1

Markise2

Markise3

Erstellen Sie ein neues Material mit dem Namen Markise1.

Dialog New Material2

Weisen Sie nun die Textur des ersten Markisen-Materials zu. Doppelklicken Sie auf das neue Material, um den Dialog der Materialeigenschaften zu öffnen.

Um die Textur auszuwählen, klicken Sie auf die Gruppe Texturbild und dann auf Wählen. Bestimmen Sie hier nun die erste Texturdatei.

Sowohl der farbige als auch der weiße Streifen sollen eine Breite von 8cm erhalten. Beide Streifen zusammen sind also 16cm breit. Diese Größe geben Sie in der Gruppe Größe und Ausrichtung als Größe ein.

Dialog Material Properties Position3

Der erste Markisenstoff ist definiert und kann nun auf die Markise aufgelegt werden.

Um den gezackten Verlauf auf der Textur zu eliminieren, stellen Sie die Texturqualität auf sehr gut (für kleine Texturbilder) ein.

Dialog Material Properties Texture3

Es ergibt sich dann folgendes Bild:

Nun sollen die beiden anderen Stoffarten definiert werden. Klicken Sie dazu in der Material-Auswahl erneut auf Einstellungen, dann auf Neu... und übernehmen Sie dann den Namen Markise2. Bis auf die Textur soll der neue Markisenstoff die gleichen Materialeigenschaften besitzen wie der soeben definierte. Klicken Sie daher auf die Option Kopie des aktuellen Materials.

Dialog New Material3

Tip

Die Option Kopie des aktuellen Materials erstellt eine Kopie sämtlicher Materialeigenschaften des Materials, das gerade in der Material-Auswahl angewählt ist, derzeit also Markise1.

Für die andere Farbgebung muss nun lediglich die Textur geändert werden. Öffnen Sie erneut den Dialog zur Festlegung der Materialeigenschaften durch Doppelklick auf das neue Material Markise 2 und wählen Sie in der Gruppe Texturbild die zweite Texturdatei aus.

Dialog Material Properties Texture5

Auf die gleiche Art und Weise definieren Sie das dritte Stoffmaterial.

Dialog New Material4

Dialog Material Properties Texture4

Nun können Sie die neu erzeugten Materialien einfach per Drag & Drop auflegen, um die unterschiedlichen Farben anzuzeigen.


3D-Texturen

Wenn Sie die Materialeigenschaften für ein dreidimensionales Material ändern wollen, erscheint folgender Dialog:

Dialog Material Properties 3D Texture

Die Gruppen und Einstellungen sind bis auf den Knopf 3D-Textur... identisch mit den Materialeigenschaften für zweidimensionale Texturen.


3D-Textur...

Eine dreidimensionale Textur wird nicht auf Basis eines Bildes erstellt, sondern durch eine mathematische Berechnungsformel. Diese gibt den prinzipiellen Verlauf von Farben im dreidimensionalen Raum an. Hinzu kommen noch etliche Manipulationsmöglichkeiten, um das Aussehen der Textur zu bestimmen.

Der Vorteil der 3D-Textur ist, dass man diese Textur auch von Nahem betrachten kann, ohne eine Pixelung zu erkennen. Die mathematische Struktur wird dann entsprechend höher aufgelöst. Somit entfallen die hohen Arbeitsspeicheranforderungen, die in so einem Fall bei den zweidimensionalen Bitmap-Texturen nötig wären. Eine Ausrichtung der Textur nach der Flächenrichtung findet hier auch nicht statt. Das Material zieht sich wie eine Haut um den Körper. Probleme, die durch den Versatz von Flächenausrichtungen resultieren, entfallen also ebenfalls. Dadurch, dass die Struktur bei jedem Bildaufbau neu berechnet wird, benötigt man eine höhere Prozessorleistung, was aber heutzutage kein Problem mehr ist.

Dialog Material Properties 3D Texture Layers


Schichten

Eine dreidimensionale Textur kann aus mehreren Schichten aufgebaut sein. Eine Schicht ist jeweils eine eigenständige 3D-Textur. Die Schichten werden in der Liste Schichten von oben nach unten abgearbeitet. Sie müssen dabei darauf achten, dass Teile von den oberen Schichten transparent sind, so dass die unteren Texturen sichtbar sind. Ist eine Schicht komplett undurchsichtig, werden die Schichten, die unter dieser Textur liegen (in der Liste also oberhalb angeordnet sind), nicht beachtet.

In der Schichtenliste sind alle vorhandenen Schichten der 3D-Textur eingetragen. Die aktuelle Schicht, deren Einstellungen verändert werden können, ist hervorgehoben dargestellt. Durch Anklicken einer anderen Schicht können Sie deren Einstellungen ändern.

Im Vorschaubild des Dialogs wird immer die aktuelle Schicht dargestellt.


Einfügen...

Über diesen Knopf fügen Sie eine weitere Schicht in die Liste Schichten ein. Es öffnet sich ein Dialog, in dem alle in der Material-Auswahl vorhandenen 3D-Materialien angezeigt werden. Wählen Sie ein Material aus der Liste aus, das dann als Grundlage für die neue Schicht dient. Die Eigenschaften lassen sich dann anpassen.


Navigation: Die Icons > Material-Auswahl anzeigen > Materialeigenschaften... > 3D-Texturen >

Return to chapter overview

Löschen...

Löscht die aktuell angewählte Schicht aus der Liste.


Farbtextur...

Dialog Material Properties 3D Texture Color Textur

In diesem Dialog beeinflussen Sie den Farbverlauf der 3D-Textur.


Typ

Die grundlegende Verlaufsrichtung wird durch den Typ bestimmt:

Menu Surface Properties 3D Textur Type

Hier sind folgende Typen zu unterscheiden:


Farbe direkt

Die eingestellte Farbe im Bereich Typenspezifische Einstellungen bestimmt das Erscheinungsbild der Oberfläche. Hier lassen sich folgende Einstellungen vornehmen:

Dialog Material Properties 3D Texture Settings Color Direct

Über den Farbeinstellungs-Dialog bestimmen Sie die Farbe.

Mit dem Schieberegler Transparenz legen Sie den Grad der Transparenz für diese Schicht fest.


Navigation: Die Icons > Material-Auswahl anzeigen > Materialeigenschaften... > 3D-Texturen > Farbtextur... > Typ >

Return to chapter overview

Durchschnitt Farbtabelle

Die Durchschnittsfarbe über alle Positionen der Farbtabelle bestimmt das Erscheinungsbild der Oberfläche.


Würfel

Der dreidimensionale Raum wird in Würfel mit 1m Kantenlänge unterteilt. Bei diesem Typ gelten nur die Farbtabelleneinträge an den Positionen 0.0 und 1.0. Die Würfel werden alternierend in allen drei Koordinatenachsenrichtungen X, Y, Z mit den Farbwerten der Farbtabellenpositionen 0.0 und 1.0 belegt.


Mauerwerk

Unterteilt den dreidimensionalen Raum in eine Ziegelmauer mit den im Bereich Typenspezifische Einstellungen einstellbaren Ziegelkantenlängen und der Fugenbreite.

Dialog Material Properties 3D Texture Settings Brickwall

Bei diesem Typ gelten nur die Farbtabelleneinträge an den Positionen 0.0 (für Fugenfarbe) und 1.0 (für die Ziegelfarbe).


Sechskant

Unterteilt den dreidimensionalen Raum in Sechskantstäbe mit einem Durchmesser und einer Tiefe in Z-Richtung von 1m. Bei diesem Typ gelten nur die Farbtabelleneinträge an den Positionen 0.0, 0.5 und 1.0. Die Sechskantstäbe werden alternierend in den Koordinatenachsenrichtungen X und Y mit den Farbwerten der Farbtabellenpositionen 0.0, 0.5 und 1.0 belegt.


Wellen groß

Erzeugt einen wellenartigen Verlauf mit der im Bereich Typenspezifische Einstellungen definierten Anzahl von Wellenzentren innerhalb einer Fläche von 1m2.

Dialog Material Properties 3D Texture Settings Waves Large

Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Wellen klein

Erzeugt einen wellenartigen Verlauf mit der im Bereich Typenspezifische Einstellungen definierten Anzahl von Wellenzentren innerhalb einer Fläche von 1m2.

Dialog Material Properties 3D Texture Settings Waves Small

Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Falten

Erzeugt einen faltenartigen Farbverlauf. Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Steppmuster

Erzeugt einen steppmusterartigen Farbverlauf mit den im Bereich Typenspezifische Einstellungen eingestellten Werten.

Dialog Material Properties 3D Texture Settings Riples

Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Kerben

Erzeugt einen kerbenartigen Farbverlauf. Das Erscheinungsbild wird von der Anzahl der Farbeinträge, ihrer Position und Farbe beeinflusst.


Beulen

Erzeugt einen beulenartigen Farbverlauf. Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Kleckse

Erzeugt einen klecksartigen Farbverlauf. Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Kruste

Erzeugt einen krustenartigen Farbverlauf. Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Gefälle

Erzeugt einen Farbverlauf, der innerhalb eines Meters entsprechend den im Bereich Typenspezifische Einstellungen gewählten Koordinatenachsenrichtungen jeweils von dem Farbwert an Farbtabellenposition 0.0 zu dem Farbwert an Farbtabellenposition 1.0 interpoliert wird.

Dialog Material Properties 3D Texture Settings Gradient

Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Stern

Erzeugt einen strahlartigen Farbverlauf um die Z-Koordinatenachse als Zentrum. Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst. Über den Schieberegler Frequenz kann die Anzahl der Strahlen gesteuert werden.


Spirale

Erzeugt einen spiralartigen Farbverlauf um die Z-Koordinatenachse als Zentrum mit entsprechend der im Bereich Typenspezifische Einstellungen eingestellten Anzahl von Spiralarmen.

Dialog Material Properties 3D Texture Settings Spiral

Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Komplexe Spirale

Erzeugt einen sich überlagernden spiralartigen Farbverlauf um die Z-Koordinatenachse als Zentrum mit entsprechend der im Bereich Typenspezifische Einstellungen eingestellten Anzahl von Spiralarmen.

Dialog Material Properties 3D Texture Settings Complex Spiral

Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Mandelbrotfraktal

Erzeugt den bekannten mandelbrotfraktalartigen Farbverlauf in der X-Y-Ebene und Tiefe in Z-Richtung mit dem im Bereich Typenspezifische Einstellungen eingestellten Wert für Iterationen (Wiederholungen).

Dialog Material Properties 3D Texture Settings Mandelbrot

Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Granit

Erzeugt einen granitartigen Farbverlauf. Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Marmor

Erzeugt einen marmorartigen Farbverlauf. Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Achat

Erzeugt einen achatartigen Farbverlauf mit dem im Bereich Typenspezifische Einstellungen eingestellten Wert für die Turbulenzskalierung.

Dialog Material Prop 3D Textur Settings Turbulence Scaling

Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Holz

Erzeugt einen holzartigen Farbverlauf. Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Kugeln

Unterteilt den dreidimensionalen Raum in Kugelschalen mit jeweils 1m Stärke. Erzeugt einen Farbverlauf in Richtung Radius innerhalb einer Schale von Farbwert an Farbtabellenposition 0.0 zu Farbwert an Farbtabellenposition 1.0.

Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Flecken

Erzeugt einen fleckenartigen Farbverlauf. Das Erscheinungsbild wird von der Anzahl der Farbtabelleneinträge, ihrer Position und Farbe beeinflusst.


Tiefe

Dieser Schieberegler ist nur dann aktiv, wenn im 3D-Textur-Dialog die Schaltfläche Strukturtextur wie Farbtextur aktiviert ist. Dann kann mit diesem Regler die Strukturtiefe der Oberflächenstruktur variiert werden.


Phase

Die Phase bestimmt die Verschiebung des Farbverlaufs im Bereich von 0.0m bis 1.0m. Das Erscheinungsbild bei 1.0 ist identisch mit dem bei 0.0.


Frequenz

Dieser Wert legt die Anzahl der Wiederholungen des Farbverlaufs fest. Je höher dieser Wert ist, umso öfter erscheint der Farbverlauf innerhalb der Textur.

Tip

Wenn Sie ein 3D-Material per Drag & Drop zuweisen, liegt das Zentrum der Wiederholungen immer in der Mitte der umschreibenden Box aller Körper, die das Material erhalten. Wenn Sie z.B. zwei Körpern, die eine gleiche Kennung besitzen, das Material per Kennung zuweisen, richtet sich das Zentrum nach der umschreibenden Box der beiden Körper.

Weisen Sie die Materialien jedoch den Objekten getrennt zu, sitzt das Zentrum in Objektmitte.


Strukturverlauf

Hier legen Sie den Strukturverlauf fest. Folgende Optionen sind möglich:

Menu Surface Prop 3D Textur Settings Structure Cours


Ablenkung

Eine Ablenkung ist eine Störung des typbedingten, linearen Farbverlaufs.

Beispiel: Ein Holz wirkt ohne Ablenkung unnatürlich, da es aus regelmäßigen konzentrischen Zylindern besteht.

Wird eine leichte Ablenkung in X- und in Y-Richtung eingestellt, kommt es zu Störungen des Kreisverhaltens und das Holz wirkt echter.

Dialog Material Properties 3D Texture Settings Turbulence

Mit den Schiebereglern in X, in Y und in Z wird die Ablenkungsstärke in der jeweiligen Achsenrichtung eingestellt.

Ablenkungen verursachen eine Zufallsverschiebung des eingehenden, zu berechnenden Raumpunktes. Der Schieberegler Oktaven gibt an, wie oft die Zufallsberechnung für den Punkt ausgeführt wird. Die Verschiebung ist die Summe aller Berechnungsschritte.

Tip

In höheren Oktavenbereichen gibt es kaum Abweichungen zu vorherigen Schritten, so dass meistens nur Werte im Bereich bis maximal 6 noch Auswirkungen haben. Je höher der Oktavenwert, umso länger die Berechnungszeit.

Der Schieberegler Lambda gibt den Koeffizienten an, mit dem der eigentliche Punkt vor jeder Zufallsberechnung jeweils skaliert wird.

Der Schieberegler Omega gibt den Koeffizienten an, mit dem das Ergebnis jedes Zufallsberechnungsschrittes vor der Aufsummierung multipliziert wird.


Farbtabelle

In diesem Dialog kann der Farbverlauf für die aktuelle Schicht bestimmt werden.

Dialog Material Properties 3D Texture Color Table

Die obere Farbgrafik zeigt den linear gewichteten Farbverlauf der aktuellen Farbtabelle auf 1m.

Im Bereich Farbtabelle über Textur legen Sie einen Farbverlauf dadurch fest, dass Sie eine Linie über einen beliebigen Farbverlauf (z.B. eine Textur) ziehen und die Farbwerte in die Liste aufnehmen. Dadurch nehmen Sie den Farbverlauf, der z.B. auf einer Bitmap-Textur sichtbar ist, in die Farbtabelle auf.

In der anschließenden Liste werden für die einzelnen RGB-Farben die Positionen im Verlauf und der zugehörige Transparenzwert dargestellt. Je transparenter eine bestimmte Position ist, desto mehr nimmt die eingestellte Farbe an dieser Stelle ab und eine eventuell folgende Schicht kann durchscheinen. Ist eine Position in der Farbtabelle doppelt belegt, gibt es einen abrupten Übergang von der einen zur anderen Farbe. Ist eine Farbe nur einfach vorhanden, ist der Übergang zur nächsten Position fließend.

Über den Knopf Einfügen wird die aktuelle Farbtabellenposition kopiert und dann zu dem neuen aktuellen Eintrag. Sie können an diesem anschließend die Änderungen vornehmen. Dieser Knopf ist nur dann aktiv, wenn die aktuelle Position einfach vorhanden ist und wenn die aktuelle Position nicht der erste oder letzte Tabelleneintrag ist.

Mit dem Knopf Löschen wird die aktuelle Farbtabellenposition gelöscht und die folgende Position ist dann der aktuelle Eintrag. Der Knopf ist nur aktiv, wenn die aktuelle Position nicht der erste oder letzte Tabelleneintrag ist.

In der Anzeige neben der Farbtabellenliste wird zur aktuellen Position die eingestellte Farbe dargestellt. Über den Knopf Farbe... öffnet man den allgemeinen Farbeinstellungs-Dialog zur Bestimmung der Farbe.

Über den Knopf 3D-Material einfügen... kann die aktuelle Position anstatt mit einer Farbe mit einem der vorhandenen 3D-Materialien belegt werden. Die Belegung erfolgt über ein Kopieren, d.h. nachfolgende Änderungen dieses Materials haben keine Auswirkungen auf die Farbtabelle. Um dies zu erreichen, muss die entsprechende Position mit dem veränderten Material erneut belegt werden.

Solche 3D-Materialien können über den Knopf 3D-Materialien löschen... aus der Liste wieder heraus gelöscht werden.

Über die Schieberegler Position und Transparenz werden die zugehörigen Werte in der Farbtabelle eingestellt.


Modifikationen...

In diesem Dialog lassen sich weitere Veränderungen an der 3D-Textur vornehmen.

Über den Knopf Einfügen wird die aktuelle Modifikation kopiert und als neuer Eintrag zur Verfügung gestellt. Ist die Liste leer, wird eine Modifikation vom Typ Matrix eingefügt.

Mit dem Knopf Löschen wird die aktuelle Modifikation gelöscht und die folgende Modifikation ist der aktuelle Eintrag.

Im Bereich Typ wird der Typ der aktuellen Modifikation angezeigt und kann über die Auswahl Matrix, Wiederholung und Störung gewählt werden. Die zugehörigen Knöpfe und Schieberegler werden dann im Dialog eingeblendet.


Matrix

Dialog Material Properties 3D Texture Settings Modifications

Bei der Modifikation Matrix kann eine Skalierung und/oder eine Drehung und/oder eine Verschiebung definiert werden. Jede Änderung ist in allen drei Achsrichtungen einstellbar. Die Reihenfolge der Berechnung ist Skalierung, dann Drehung und schließlich Verschiebung.

Tip

Diese Einstellungen sind vergleichbar mit den Einstellungen Skalierung, Drehen und Verschiebung bei den zweidimensionalen Texturen.


Wiederholung

Dialog Material P 3D Text Settings Modifications Alterations

Bei der Modifikation Wiederholung kann eine regelmäßige Wiederholung eines Farb- oder Strukturverlaufs in der gewünschten Achsenrichtung X, Y und Z definiert werden.

Im Bereich Achsen legen Sie fest, in welcher Richtung eine Wiederholung stattfinden soll. Sobald Sie eine Richtung angeklickt haben, werden die weiteren Einstellungen für diese Richtung aktiviert.

Im Bereich Abwechselnd spiegeln wird festgelegt, in welcher Achsenrichtung X, Y und Z die Wiederholungen wechselseitig angeordnet werden.

Über die Schieberegler Bereich in wird die Bandbreite der Wiederholungen eingestellt.

Über die Schieberegler Versatz in kann zu jeder Achsenrichtung X, Y und Z eine Verschiebung je Wiederholungsintervall eingestellt werden.

Tip

Diese Modifikation eignet sich besonders für die Darstellung von Bodenbelägen wie Fliesen, Parkett, ..., Furnieren oder Wandbelägen wie Tapeten, etc.


Störung

Dialog Material P 3D Text Settings Modifications Perturbarion

Bei der Modifikation Störung können Störungszentren (z.B. Astlöcher in Holz) in Farb- oder Strukturverläufen eingestellt werden. Störung bedeutet hierbei, dass Punkte, die im Radiusbereich zwischen dem Zentrum und der Kugeloberfläche der Störungskugel liegen, zum Störungszentrum hin verschoben werden. Mit der Option Invers kann dieses Verhalten umgekehrt werden, d.h. Punkte im Bereich werden vom Störungszentrum weg verschoben.

Die Verschiebung ist umso größer, je näher der Punkt zum Störungszentrum liegt.

Über den Bereich Wiederholung kann eine Wiederholung der Störungszentren in allen drei Achsenrichtungen X, Y und Z eingestellt werden.

Um die Verteilung der Wiederholungen unregelmäßig zu gestalten, kann über den Bereich Ablenkung in allen drei Achsenrichtungen X, Y und Z eine Zufallsverschiebung eingestellt werden.

Der Schieberegler Stärke gibt die Potenz an, mit der das lineare Gewicht (0 = Punkt auf der Kugeloberfläche, 1 = Punkt im Störungszentrum) der Entfernung des Punktes zum Störungszentrum potenziert wird.

Der Schieberegler Gewichtung gibt den Koeffizienten an, mit dem das potenzierte Gewicht multipliziert wird.


Strukturtextur...

Im Dialog für Strukturtexturen definieren Sie dreidimensionale Texturen, die eine Oberflächenstruktur bilden. Glatte Oberflächen erscheinen entsprechend dem eingestellten Typ strukturiert, d.h. es entstehen optisch Erhöhungen und Vertiefungen, wie schon bei der Materialstruktur beschrieben.

Dialog Material Properties 3D Texture Structure

Außer beim Typ haben Knöpfe, Listen und Schieberegler die gleiche Bedeutung wie bei der Farbtextur. Der Typ Farbe direkt macht für eine Struktur keinen Sinn, da diese ja durch unterschiedliche Farbwerte bestimmt wird. Daher wurde dieser Eintrag durch Keine Änderung ersetzt.


Strukturtextur wie Farbtextur

Ist diese Option aktiviert, wird der Knopf Strukturtextur... inaktiv und für die Oberflächendarstellung die Farbtextur auch als Strukturtextur interpretiert.


3D-Textur zu 2D-Textur

Über diese Option bestimmen Sie, dass die 3D-Textur wie eine normale Textur zweidimensional auf Flächen abgebildet werden (d.h. wie Furniere auf die Flächen aufgeklebt werden). Diese Option gilt für alle Schichten gemeinsam. Dadurch erzeugen Sie aus der 3D-Textur eine zweidimensionale Textur, die aber nach wie vor nicht durch ein (eventuell speicherintensives) Bild sondern durch eine mathematische Formel definiert wird.


Texturqualität

Über Texturqualität kann die Qualität der Textur erhöht werden. Es erfolgt eine Optimierung auf der Textur, so dass Moiré-Effekte behoben werden können. Eine Beschreibung hierzu finden Sie hier. Folgende Stufen stehen Ihnen zur Verfügung:

Menu Surface Properties 3D Textur Layers Texturefilter

Tip

Je aufwändiger die Optimierung berechnet wird, umso besser wird die Texturqualität. Aber auch die Berechnungszeit steigt an. Testen Sie die Verfahren also von oben nach unten, bis das gewünschte Ergebnis erzielt wird. Wahrscheinlich erreichen Sie gute Ergebnisse auch ohne die perfekte Einstellung, wobei die Rechenzeit dann aber nicht so hoch ist.


Mehrere ausgewählte Materialien ändern

Wenn Sie mehrere Materialien ausgewählt haben und nun Materialeigenschaften ändern, können Sie über diesen Menüpunkt wählen, ob Sie

Menu Change Multiple Materials

wollen.


Materialien / Kataloge laden...

Zu den vorhandenen Materialien und Katalogen lassen sich noch weitere hinzuladen. Diese können entweder aus früheren Renderings stammen, Materialien der Zubehör-CD sein, die standardmäßig mitgeliefert werden oder Materialien der Material-CDs sein, die zusätzlich zu erwerben sind.

Um Kataloge zu laden, wählen Sie Dateien mit der Endung .cat. Wollen Sie Einstellungsdateien von früheren Projekten laden, wählen Sie Dateien mit der Endung .par.

Tip

Aus den Einstellungen-Dateien werden nur die Materialinformationen übernommen.

Neue Materialien werden zu der bisherigen Material-Auswahl hinzugefügt, bereits vorhandene Materialien werden durch Materialien mit gleichem Namen ersetzt.


Materialien speichern...

Mit dieser Funktion speichern Sie die Materialien ab. Es werden hier nur die Materialinformationen abgelegt.

Tip

Wenn Sie auch die Zuordnung von Materialien und Kennungen mit abspeichern wollen, müssen Sie die Funktion Einstellungen speichern aus dem Datei-Menü verwenden.

Dialog Save Material

Standardmäßig ist die Option Texturen in Projektverzeichnis kopieren aktiviert. Damit ist festgelegt, dass zu den Materialien auch die Texturbilder mit abgespeichert werden.

Attention

Wenn Sie diese Option abschalten, wird absolut auf die Texturbilder zugegriffen. Das bedeutet, dass die Texturbilder an genau den Positionen auf dem Datenträger gesucht werden, an denen sie eingelesen wurden. Wenn sie also z.B. von einer CD stammen und diese CD beim nächsten Laden der Materialien nicht mehr im Laufwerk eingelegt ist, wird eine Fehlermeldung erscheinen.

Wir empfehlen daher, diese Option immer anzuschalten.

Ist die Option Texturen in Projektverzeichnis kopieren aktiviert, werden die Texturbilder in das Unterverzeichnis Dateiname.tex (also z.B. gamma.tex) kopiert. Dateiname steht für den von Ihnen gewählten Dateinamen (also z.B. gamma.par). Zusätzlich werden in das Unterverzeichnis Dateiname.prv (also z.B. gamma.prv) kleine Symbole für die Textur zur Verwendung in den Material-Dialogen abgespeichert. Wird bei der Suche nach verwendeten Texturdateien eine Textur nicht gefunden (z.B. weil Sie die CD mit den Texturbildern aus dem CD-Laufwerk herausgenommen haben), wird dies in einem Warnungsfenster angezeigt sowie in der Datei Dateiname.log (im Beispiel also gamma.log) protokolliert.

Ist die Option nur ausgewählte Materialien speichern aktiviert, werden nur die Materialien abgespeichert, die Sie aktuell in der Material-Auswahl angewählt haben. Um alle Materialien der Material-Auswahl zu speichern, deaktivieren Sie diese Option.

Tip

Um Materialien auszuwählen, stehen Ihnen die unter Windows® bekannten Möglichkeiten zur Verfügung, d.h.

·Anklicken eines Materials, um nur dieses auszuwählen,

·Anklicken eines Materials, dann Shift-Taste drücken und ein zweites Material anklicken, um alle Materialien auszuwählen, die sich in der Liste zwischen dem ersten und dem zweiten Material befinden, und

·Anklicken eines Materials, dann Strg-Taste drücken und weitere Materialien anklicken, um all die angeklickten Materialien auszuwählen.

Mit der Option nur zugeordnete Materialien speichern können Sie die Auswahl auf die Materialien beschränken, die in dem aktuellen Projekt tatsächlich verwendet werden.

Tip

Wenn Sie öfter die gleichen Materialien verwenden, sollten Sie sich über die Funktion Einstellungen speichern... eine Zuordnung von Kennungen zu den Materialien abspeichern (Funktion Einstellungen speichern... aufrufen, nur die Optionen Materialzuordnung und Material aktivieren, z.B. Parameter.par). Sie können dann während der Konstruktion im CAD schon die gewünschten Kennungen (je nach CAD-System unterschiedlich) für die entsprechenden Materialien benutzen.

Sie legen sich also hausintern eine Liste von Zuordnungen Kennungen zu Material an, die Sie immer verwenden. Nach dem Laden des Projekts in GAMMA-RAY müssen Sie die Materialzuordnung für diese Standardmaterialien nicht mehr selbst vornehmen, sondern Sie laden diese Einstellungsdatei (also z.B. Parameter.par) nach dem Laden des Projekts. Die Materialien, die in der Zeichnung vorkommen, werden dann automatisch zugeordnet.


Materialien erzeugen...

Über diese Funktion erzeugen Sie sehr komfortabel aus mehreren Texturdateien Materialdefinitionen, ohne dies einzeln pro Material durchführen zu müssen. Im Handel sind inzwischen zahlreiche CDs mit solchen Texturbildern erhältlich. Für die Verwendung in GAMMA-RAY müssen die Bilddateien in Materialdefinitionen umgewandelt werden. Mit dieser Funktion lässt sich die Konvertierung für eine große Menge von Texturdateien in einem Durchlauf vornehmen.

Texturbilder können in den Formaten TIFF, TGA, BMP, JPEG, HDR, GIF, PNG und TPF vorliegen.

Bevor Sie die Funktion aufrufen, markieren Sie in der Material-Auswahl das Material, dessen Eigenschaften als Vorlage für die neuen Materialien benutzt werden sollen.

Beispiel: Sie haben 50 unterschiedliche Glasstrukturen als Bitmapdateien. Diese sollen nun zu Glasmaterialien generiert werden. Wählen Sie dazu ein bereits in der Material-Auswahl vorhandenes Glasmaterial an, das die gewünschten Materialeigenschaften für die neuen Materialien besitzt und starten Sie die Funktion.

Nach Aufruf der Funktion erscheint der Dialog zum Einstellen der Konvertierungsoptionen:

Dialog Generate Material

In der Eingabezeile Name für neue Materialien geben Sie den Namen ein, unter dem die zu erzeugenden Materialien angelegt werden sollen. An diesen Namen wird für jedes Material noch eine laufende Nummer angehängt, z.B. werden aus der Eingabe Holz_ die Materialnamen Holz_001, Holz_002, etc. erzeugt. Wenn Sie keinen Namen angeben, bestimmt sich der Name der Materialien nach der Material-Einstellungsdatei, in der das Ergebnis abgespeichert wird.

Wenn Sie die Option Texturdateinamen anhängen aktivieren, wird der Materialname um den Namen der ursprünglichen Texturdatei ergänzt, aus der das Material erzeugt wurde (also z.B. Holz_012 (Ahorn)).

Aktivieren Sie die Option Texturdateinamen verwenden, erhält das neue Material den Namen der Textur, aus der es erzeugt wurde (also z.B. Ahorn).

Über die weiteren Auswahloptionen entscheiden Sie, ob Sie Farbtexturen erzeugen, Strukturtexturen erzeugen oder Farb- und Strukturtexturen erzeugen wollen. Hiermit steuern Sie, welche Materialeigenschaften für die Texturdateien verwendet werden. Bei Farbtexturen wird das Texturbild als Material verwendet, während Strukturtexturen die Oberfläche mit Erhöhungen und Vertiefungen versehen. Über die dritte Auswahl erstellen Sie zweidimensionale Materialien, die als Strukturtextur das eigene Texturbild verwenden.

Im Bereich Material-Vorlage wird das Material angezeigt, dessen Materialeigenschaften als Grundlage für die neu zu erzeugenden Materialien gewählt wurde. Wünschen Sie ein anderes Material als Vorlage, müssen Sie lediglich in der Material-Auswahl ein anderes Material anklicken.

Schließlich wählen Sie noch aus, ob ein kompletter Verzeichnisbaum nach Texturdateien durchsucht werden soll (einen Verzeichnisbaum durchsuchen) oder Sie in einem Verzeichnis spezielle Dateien selbst auswählen wollen (einzelne Dateien auswählen).

Nachdem Sie die Angaben gemacht und über OK bestätigt haben, fragt Sie das Programm nach dem Pfad, in dem sich die Texturen befinden, wenn Sie die Option einen Verzeichnisbaum durchsuchen ausgewählt haben, oder nach den gewünschten Dateien, wenn Sie die Option einzelnen Dateien auswählen aktiviert haben. Treffen Sie die Auswahl. Zum Schluss müssen Sie noch den Namen der neuen Materialdatei angeben.

Nach Klick auf OK wird der Generierungsvorgang gestartet. Sind alle Materialien erzeugt, erscheint die Frage, ob Sie gleich einen Materialkatalog erzeugen wollen. Schließlich können Sie entscheiden, ob die erzeugten Materialien gleich geladen werden sollen. Sie können die Materialien direkt nach der Erzeugung in die Material-Auswahl laden oder dies später über die Funktion Materialien / Kataloge laden... vornehmen.


Katalog öffnen...

Wenn Sie in der Material-Auswahl einen Katalog angewählt haben, öffnen Sie ihn über diese Funktion.

Der geöffnete Katalog wird dann in dem Auswahl-Fenster angezeigt.

Tip

Einen Katalog öffnen Sie auch, indem Sie doppelt auf das entsprechende Katalogsymbol klicken. Soll der Katalog in einem eigenen Fenster außerhalb des Auswahl-Fensters dargestellt werden, müssen Sie das Katalogsymbol mit der Maus außerhalb des Auswahl-Fensters ziehen.

Wenn Sie wieder die Materialien der Material-Auswahl anzeigen wollen, klicken Sie einfach auf den Schalter Material-Auswahl anzeigen.


Neuer Katalog...

Ein Katalog bietet Ihnen die Möglichkeit, Materialien zu strukturieren, um mehr Übersichtlichkeit zu schaffen. Sie können so die Materialien z.B. in einzelne Materialgruppen (Holz, Metall, Kunststoff, ...) oder Hersteller (Villeroy & Boch, STO, Vorwerk, ...) aufteilen. Oder erstellen Sie einen eigenen Katalog mit den Materialien, die Sie immer wieder verwenden. Nach dem Aufruf der Funktion erscheint folgender Dialog:

Dialog New Catalog

Nach Eingabe eines Namens wird der neue Katalog in der Material-Auswahl und als eigenes Fenster angezeigt.

Dieser neue Katalog kann jetzt dadurch gefüllt werden, dass bereits vorhandene Materialien per Drag & Drop in den Katalog gezogen werden. Oder definieren Sie in der Material-Auswahl neue Materialien und ziehen Sie diese dann in den Katalog. Schließlich lassen sich auch bereits abgespeicherte Materialien über die Funktion Materialien / Kataloge laden... in den Katalog laden.

Tip

Wollen Sie mehrere Materialien gleichzeitig in einen Katalog aufnehmen, markieren Sie diese und ziehen Sie sie mit der mittleren Maustaste in den Katalog.


Kataloge speichern...

Mit dieser Funktion speichern Sie die Kataloge ab, um sie zu einem späteren Zeitpunkt wieder verwenden zu können. Es erscheint folgender Dialog:

Dialog Save Catalog

Die aktivierte Option Materialien und Unterkataloge mit abspeichern legt fest, dass die Materialien und Unterkataloge mit abgespeichert werden. Im anderen Fall wird ein Verweis auf die Einstellungsdatei abgelegt, aus der das Material oder der Unterkatalog entnommen wurde.

Tip

Um sicherzustellen, dass alle Informationen zu den Katalogen abgespeichert werden, sollte diese Option aktiviert bleiben. Dies gilt besonders dann, wenn Sie die Kataloge auf CDs brennen oder auf einen anderen Rechner übertragen wollen.

Standardmäßig ist die Option Texturen in Projektverzeichnis speichern aktiviert. Damit ist festgelegt, dass zu den Materialien auch die Texturbilder mit abgespeichert werden.

Attention

Wenn Sie diese Option abschalten, wird absolut auf die Texturbilder zugegriffen. Das bedeutet, dass die Texturbilder an genau den Positionen auf dem Datenträger gesucht werden, an denen sie geladen wurden. Wenn sie also z.B. von einer CD stammen und diese CD beim nächsten Laden der Materialien nicht mehr im Laufwerk eingelegt ist, wird eine Fehlermeldung erscheinen.

Wir empfehlen daher, diese Option immer anzuschalten.

Kataloge werden in den beiden Dateien Dateiname.cat und Dateiname.inc (z.B. gamma.cat und gamma.inc) abgespeichert. Dateiname steht für den von Ihnen gewählten Dateinamen. Ist die Option Texturen in Projektverzeichnis speichern aktiviert, werden die Texturbilder in das Unterverzeichnis Dateiname.tex (also z.B. gamma.tex) kopiert. Zusätzlich werden in das Unterverzeichnis Dateiname.prv (also z.B. gamma.prv) kleine Symbole für die Textur zur Verwendung in den Material-Dialogen abgespeichert. Wird bei der Suche nach verwendeten Texturdateien eine Textur nicht gefunden (z.B. weil Sie die CD mit den Texturbildern aus dem CD-Laufwerk herausgenommen haben), wird dies in einem Warnungsfenster angezeigt sowie in der Datei Dateiname.log (im Beispiel also gamma.log) protokolliert.

Aktivieren Sie den Schalter Zuordnungen prüfen, um GAMMA-RAY zu veranlassen, bei allen Zuordnungen von Materialien die Verträglichkeit zu prüfen. Zwei Materialien sind dann verträglich, wenn sie aus dem gleichen Hauptkatalog entnommen werden.

Mit der Option nur ausgewählte Kataloge speichern bestimmen Sie, ob nur die aktuell ausgewählten Kataloge oder alle Kataloge gespeichert werden.

Tip

Um Kataloge auszuwählen, stehen Ihnen die unter Windows® bekannten Möglichkeiten zur Verfügung, d.h.

·Anklicken eines Katalogs, um nur diesen auszuwählen,

·Anklicken eines Katalogs, dann Shift-Taste drücken und einen zweiten Katalog anklicken, um alle Kataloge auszuwählen, die sich in der Liste zwischen dem ersten und dem zweiten Katalog befinden, und

·Anklicken eines Katalogs, dann Strg-Taste drücken und weitere Kataloge anklicken, um all die angeklickten Kataloge auszuwählen.

Tip

Wenn Sie einen Katalog in das Unterverzeichnis Textures des Installationsverzeichnisses speichern, wird dieser Katalog beim Programmstart automatisch immer geladen. Dies ist besonders für die eigenen Kataloge ratsam, die Sie dann immer zur Verfügung haben. Wenn Sie bei den Einstellungen im Datei-Menü das automatische Laden der Kataloge deaktiviert haben, werden die Kataloge nicht geladen. In diesem Dialog können Sie auch noch andere Verzeichnisse bestimmen, aus denen Texturen automatisch geladen werden.


Ausgewählte Kataloge entfernen...

Entfernt die ausgewählten Kataloge aus der Material-Auswahl. Die Kataloge sind auf der Festplatte noch vorhanden, werden in der Material-Auswahl jedoch nicht mehr angezeigt.

Beim nächsten Programmstart erscheinen wieder alle installierten Materialkataloge in der Material-Auswahl.


Alle Kataloge entfernen...

Entfernt alle Kataloge aus der Material-Auswahl. Die Kataloge sind auf der Festplatte noch vorhanden, werden in der Material-Auswahl jedoch nicht mehr angezeigt.

Beim nächsten Programmstart erscheinen wieder alle installierten Materialkataloge in der Material-Auswahl.


Duplikate in Katalogen suchen

Wenn Sie eigene Materialkataloge erstellen, kann es vorkommen, dass Sie Materialien mehrfach definieren. Mit der Funktion Duplikate in Katalogen suchen bei den Material-Einstellungen werden die Kataloge durchsucht und eventuelle Duplikate in einem Warnungsfenster angezeigt.


Alle geöffneten Kataloge ausblenden

Wenn Sie mehrere Kataloge geöffnet haben und diese als Karteireiter im Auswahlfenster angezeigt werden, können Sie diese Karteireiter über Alle geöffneten Kataloge ausblenden in einem Schritt entfernen.


Mehrfach-Materialien auflisten

Mehrfach-Materialien werden vorwiegend im Fliesenbereich verwendet. Normalerweise definieren Sie ein Material, das dann auf Flächen gelegt wird. Haben Sie einen Fliesenspiegel konstruiert, würde hier immer die gleiche Fliese verlegt. Fliesen, die immer die gleiche Struktur besitzen, sind jedoch teure Sonderanfertigungen. Fliesen einer Palette haben daher normalerweise unterschiedliche Strukturen. Dies lässt sich über die Mehrfach-Materialien nachbilden.

Sie benötigen Texturbilder eines Materials mit unterschiedlichen Strukturen. Diese werden als ein Material definiert, das man dann z.B. einem Fliesenspiegel zuweist. Per Zufallsgenerator wählt GAMMA-RAY für jede Fläche jeweils eine der Strukturen aus, die dann aufgelegt wird.

Beispiel: Für den Fliesenspiegel soll ein Mehrfach-Material definiert werden.

Sie müssen zuerst ein Mehrfach-Material erzeugen. Dieses unterscheidet sich in der Namensgebung von den anderen Materialien dadurch, dass der allgemeine Materialname von einem Schrägstrich (/) und dem Namen der Variante gefolgt wird. Über den Menüpunkt Mehrfach-Materialien auflisten entscheiden Sie, ob alle Varianten angezeigt werden sollen oder nicht. Soll nur das Mehrfach-Material angezeigt werden, steht hinter dem Namen ein Stern (*).

Ein Mehrfach-Material Fliese* könnte also aus den Varianten Fliese/001, Fliese/002, Fliese/003, ..., Fliese/010, ... bestehen. Je mehr Varianten Sie definieren, desto unregelmäßiger wird die Darstellung erfolgen.

Erzeugen Sie also das erste Mehrfach-Material Fliese/001 und weisen Sie nun die erste Textur zu. Die weiteren Materialien erzeugen Sie auf die gleiche Art und Weise.

Wenn der Menüpunkt Mehrfach-Materialien auflisten angewählt ist, werden die unterschiedlichen Strukturen in der Material-Auswahl angezeigt. Ist der Menüpunkt deaktiviert, wird lediglich das Mehrfach-Material dargestellt.

Wird dieses Material Fliese* dem Fliesenspiegel zugewiesen, erhalten Sie folgendes Bild:

Image Multi Material2

Sie erkennen sehr schön die unterschiedlichen Fliesenstrukturen.

Tip

Mehrschichtige Materialien werden in der Material-Auswahl auch wie Mehrfach-Materialien dargestellt. Wollen Sie also alle Komponenten des Mehrschicht-Materials anzeigen, muss der Menüpunkt Mehrfach-Materialien auflisten aktiviert werden.


Bildgröße setzen...

Dialog Material Selection Imagesize

Unter Größe der Bilder in der Liste stellen Sie die Pixelgröße der Vorschaubilder ein, die in der Material-Auswahl angezeigt werden.

Attention

Wenn Sie die Bildgröße stark erhöhen, werden die Materialien eventuell in einer schlechten Qualität dargestellt, wenn die ursprünglichen Pixelbilder in einer geringeren Bildgröße berechnet wurden.

Die Ausdehnung der Probefläche der Anzeige bei den Materialeigenschaften wird verwendet, wenn Sie bei den Materialeigenschaften als Vorschaubild Probefläche einstellen.

Wenn Sie die Option Bilder mit Rahmen darstellen aktivieren, wird um die Vorschaubilder ein dreidimensionaler Rahmen gezeichnet.

Tip

Diese Einstellungen werden auch für die Darstellung der 3D-Objekte-Auswahl, der Bild-Auswahl und der Kataloge verwendet.


Bei Sortierung Groß-/Kleinschreibung beachten

Diese Option ist per default aktiviert, so dass die Einträge in der Material-Auswahl und in den Katalogen so sortiert sind, dass zuerst die Materialien und Kataloge angezeigt werden, deren Namen mit einem Großbuchstaben beginnen. Dann folgen die Materialien und Kataloge, die mit einem Kleinbuchstaben beginnen.

Wenn die Option deaktiviert wird, erfolgt keine Unterscheidung zwischen der Groß-/Kleinschreibung, so dass Materialien und Kataloge rein alphabetisch sortiert sind.


Kataloge

Materialien lassen sich in Katalogen strukturieren. Ein Katalog wird in der Material-Auswahl über das vom Windows® Explorer bekannte Ordner-Symbol dargestellt.

Wenn Sie den Katalog mit gedrückter linker Maustaste aus der Material-Auswahl herausziehen, wird der Katalog in einem eigenen Fenster dargestellt. Über einen Doppelklick auf den Katalog eröffnet sich ein neuer Bereich innerhalb des Auswahl-Dialogs mit dem Namen des Katalogs.

Das Menü Einstellungen eines Katalogs enthält folgende Menüpunkte:


Katalog ausblenden...

Entfernt den aktuellen Katalog aus dem Auswahl-Dialog. Der Katalog ist auf der Festplatte noch vorhanden, wird aber in der Material-Auswahl nicht mehr dargestellt.


Katalog öffnen...

Wenn der aktuelle Katalog weitere Unterkataloge enthält, können Sie zu dem ausgewählten Unterkatalog wechseln, indem Sie diese Funktion aufrufen. Der Unterkatalog wird dann als neuer Katalog im Auswahl-Dialog mit dem Namen des Unterkatalogs angezeigt.

Tip

Dies erreichen Sie auch durch einen Doppelklick auf den Unterkatalog.


Katalog in einem neuem Fenster öffnen

Wenn der aktuelle Katalog weitere Unterkataloge enthält, können Sie den aktuell ausgewählten Unterkatalog in einem eigenen Fenster öffnen.

Tip

Dies erreichen Sie auch, indem Sie den Unterkatalog mit gedrückter linker Maustaste außerhalb des Auswahl-Dialogs ziehen.


Katalog beim Start anzeigen

Wenn ein Katalog geöffnet wird, kann er durch Anklicken eines Karteireiters wieder direkt geöffnet werden. Soll der Karteireiter sofort nach dem Programmstart angezeigt werden, verwenden Sie die Funktion Katalog beim Start anzeigen. Nach dem Neustart des Programms ist der Karteireiter für den so markierten Katalog sofort sichtbar.


Materialeigenschaften...

Öffnet den Dialog der Materialeigenschaften, mit dem alle Eigenschaften des Materials eingestellt werden können.

Tip

Die Änderungen werden an einer Kopie des Katalog-Materials vorgenommen, so dass das ursprüngliche Material unverändert bleibt.


Neuer Unterkatalog...

Wenn Sie die hierarchische Katalog-Strukturierung noch weiter unterteilen wollen, können Sie auch Unterkataloge erzeugen. Nach Aufruf der Funktion erscheint folgender Dialog:

Dialog New Subcatalog

Nachdem Sie den neuen Unterkatalog benannt haben, wird ein leerer Katalog angezeigt. Dieser kann nun durch Drag & Drop oder durch Zuladen von Materialien gefüllt werden. Ziehen Sie also einfach Materialien aus anderen Katalogen oder aus der Material-Auswahl in den neuen Unterkatalog oder laden Sie Materialien in diesen Katalog.

Tip

Wollen Sie mehrere Materialien gleichzeitig in einen Unterkatalog aufnehmen, markieren Sie diese und ziehen Sie sie mit der mittleren Maustaste in den Katalog.


Navigation: Die Icons > Material-Auswahl anzeigen > Kataloge >

Return to chapter overview

Materialien zuladen...

Eine genaue Beschreibung dieser Funktion finden Sie hier.


Navigation: Die Icons > Material-Auswahl anzeigen > Kataloge >

Return to chapter overview

Materialien/Kataloge entfernen...

Entfernt die ausgewählten Materialien und Kataloge.


Katalog speichern...

Mit dieser Funktion speichern Sie die Kataloge ab, um sie zu einem späteren Zeitpunkt wieder verwenden zu können. Es erscheint folgender Dialog:

Dialog Save Catalog

Die aktivierte Option Materialien und Unterkataloge mit abspeichern legt fest, dass die Materialien und Unterkataloge mit abgespeichert werden. Im anderen Fall wird ein Verweis auf die Einstellungsdatei abgelegt, aus der das Material oder der Unterkatalog entnommen wurde.

Tip

Um sicherzustellen, dass alle Informationen zu den Katalogen abgespeichert werden, sollte diese Option aktiviert bleiben. Dies gilt besonders dann, wenn Sie die Kataloge auf CDs brennen oder auf einen anderen Rechner übertragen wollen.

Standardmäßig ist die Option Texturen in Projektverzeichnis speichern aktiviert. Damit ist festgelegt, dass zu den Materialien auch die Texturbilder mit abgespeichert werden.

Attention

Wenn Sie diese Option abschalten, wird absolut auf die Texturbilder zugegriffen. Das bedeutet, dass die Texturbilder an genau den Positionen auf dem Datenträger gesucht werden, an denen sie geladen wurden. Wenn sie also z.B. von einer CD stammen und diese CD beim nächsten Laden der Materialien nicht mehr im Laufwerk eingelegt ist, wird eine Fehlermeldung erscheinen.

Wir empfehlen daher, diese Option immer anzuschalten.

Kataloge werden in den beiden Dateien Dateiname.cat und Dateiname.inc (z.B. gamma.cat und gamma.inc) abgespeichert. Dateiname steht für den von Ihnen gewählten Dateinamen. Ist die Option Texturen in Projektverzeichnis speichern aktiviert, werden die Texturbilder in das Unterverzeichnis Dateiname.tex (also z.B. gamma.tex) kopiert. Zusätzlich werden in das Unterverzeichnis Dateiname.prv (also z.B. gamma.prv) kleine Symbole für die Textur zur Verwendung in den Material-Dialogen abgespeichert. Wird bei der Suche nach verwendeten Texturdateien eine Textur nicht gefunden (z.B. weil Sie die CD mit den Texturbildern aus dem CD-Laufwerk herausgenommen haben), wird dies in einem Warnungsfenster angezeigt sowie in der Datei Dateiname.log (im Beispiel also gamma.log) protokolliert.

Aktivieren Sie den Schalter Zuordnungen prüfen, um GAMMA-RAY zu veranlassen, bei allen Zuordnungen von Materialien die Verträglichkeit zu prüfen. Zwei Materialien sind dann verträglich, wenn sie aus dem gleichen Hauptkatalog entnommen werden.

Mit der Option nur ausgewählte Kataloge speichern bestimmen Sie, ob nur die aktuell ausgewählten Kataloge oder alle Kataloge gespeichert werden.

Tip

Um Kataloge auszuwählen, stehen Ihnen die unter Windows® bekannten Möglichkeiten zur Verfügung, d.h.

·Anklicken eines Katalogs, um nur diesen auszuwählen,

·Anklicken eines Katalogs, dann Shift-Taste drücken und einen zweiten Katalog anklicken, um alle Kataloge auszuwählen, die sich in der Liste zwischen dem ersten und dem zweiten Katalog befinden, und

·Anklicken eines Katalogs, dann Strg-Taste drücken und weitere Kataloge anklicken, um all die angeklickten Kataloge auszuwählen.

Tip

Wenn Sie einen Katalog in das Unterverzeichnis Textures des Installationsverzeichnisses speichern, wird dieser Katalog beim Programmstart automatisch immer geladen. Dies ist besonders für die eigenen Kataloge ratsam, die Sie dann immer zur Verfügung haben. Wenn Sie bei den Einstellungen im Datei-Menü das automatische Laden der Kataloge deaktiviert haben, werden die Kataloge nicht geladen. In diesem Dialog können Sie auch noch andere Verzeichnisse bestimmen, aus denen Texturen automatisch geladen werden.

Bitte beachten Sie, dass hier die Option nur ausgewählte Kataloge speichern fehlt, so dass immer alle Kataloge gespeichert werden.


Aktuelles Materialbild als Katalogbild verwenden...

Nach Anwahl dieser Funktion wird das gerade angewählte Materialbild als Bild auf dem Katalogsymbol verwendet.


Alle Vorschaubilder erzeugen

Über diese Funktionen erzeugen Sie alle Vorschaubilder für den Katalog. Dies ist hilfreich, wenn die Texturbilder verändert wurden.

Tip

Nutzen Sie diese Funktion auch, wenn Sie einen eigenen Katalog mit einer Version von GAMMA-RAY vor Version 17 erzeugt haben. Sobald Sie alle Vorschaubilder neu erzeugt haben, werden auch diese in einem großen Vorschaufenster angezeigt, wenn der Mauscursor längere Zeit über diesem Bild bleibt.


3D-Objekte-Auswahl anzeigen

Icon 3D-Object List

GAMMA-RAY bietet Ihnen eine sehr einfache Funktionalität zum Verwalten von 3D-Objekten. Jede Geometrie, die über die Ladefunktionen eingelesen werden kann, lässt sich auch als 3D-Objekt verwenden.

Damit Sie eine Übersicht über die verfügbaren 3D-Objekte erhalten, die dann in das Projekt eingefügt werden können, muss zuerst eine 3D-Objekte-Auswahl erzeugt werden.

Eine erzeugte 3D-Objekte-Auswahl kann jederzeit über die Funktion 3D-Objekte-Auswahl laden... in die 3D-Objekte-Auswahl geladen werden, um sie dann z.B. per Drag & Drop in das Projekt zu platzieren.

Wenn Sie dieses Icon aktivieren, wird die Auswahl der 3D-Objekte angezeigt, die mit der Software mitgeliefert werden.

Dialog Bib Selection

Nach Klick auf Einstellungen oder Klick auf die rechte Maustaste innerhalb der Liste öffnet sich folgendes Untermenü:

Menu Dialog Library Selection Settings


Auswahl ausblenden

Entfernt die aktuelle 3D-Objekte-Auswahl aus der Anzeige im Auswahlfenster. Diesen Menüpunkt nutzen Sie, wenn die 3D-Objekte in der Sitzung nicht mehr benötigt werden. Somit wird die Übersichtlichkeit erhöht.


3D-Objekte-Auswahl beim Start erzeugen

Wenn Sie eine 3D-Objekte-Auswahl geladen haben, wird diese über einen Karteireiter in der Liste angezeigt. Soll der Karteireiter sofort nach dem Programmstart angezeigt werden, verwenden Sie die Funktion 3D-Objekte-Auswahl beim Start anzeigen. Nach dem Neustart des Programms ist der Karteireiter für die so markierte 3D-Objekte-Auswahl sofort sichtbar.


3D-Objekte-Auswahl laden...

In dem Dialog legen Sie fest, aus welchem Dateipfad und sämtlichen Unterpfaden vorbereitete 3D-Objekte geladen werden sollen.


Schnell-Lade-Info neu erzeugen...

Dieser Menüpunkt ist anwählbar, wenn die Option 3D-Objekte-Auswahl schnell laden aktiviert ist.

Dadurch lassen sich die Infos zum schnellen Laden der 3D-Objekte-Auswahl neu erzeugen.


Größe und Platzierung...

In dem Dialog

Dialog Library Size

sehen Sie im oberen Teil die Größe des Objekts.

Es schießt sich die Anzeige der maximalen Ausdehnung an. Hier können Sie auch eine Skalierung vornehmen, indem Sie eine neue maximale Ausdehnung angeben. Das 3D-Objekt wird dann in alle Richtungen um den gleichen Faktor skaliert.

Tip

Diese Funktionalität benötigen Sie hauptsächlich, wenn Sie 3D-Objekte im DXF- oder 3DS-Format benutzen. Da hier im Dateiformat keinerlei Informationen über die aktuelle Größe und den Maßstab vorliegen, ist es die Regel, dass die Objekte zu groß sind.

Mit dem Knopf Originalgröße wird das 3D-Objekt wieder in die Originalgröße zurück skaliert.

Tip

Wenn Sie auf ein 3D-Objekt klicken, erscheint in der Meldungszeile von GAMMA-RAY der Name des 3D-Objekts und dessen Größe in X-/Y- und Z-Richtung.

Im Bereich Platzierung geben Sie an, wie das 3D-Objekt in Bezug auf die Cursorposition platziert wird.

Im Bereich relativ zu wählen Sie eine der folgenden Optionen:

Dialog Library rel Position

Nullpunkt bezieht sich hierbei auf den Nullpunkt des aktuellen Projekts.

Die Optionen Box... beziehen sich auf die umschreibende Raumbox für das 3D-Objekt. Box unten Mitte bezieht sich also auf den Mittelpunkt der unteren Fläche der blauen Box. Hiermit platzieren Sie Objekte z.B. auf einen Fußboden. Über Box oben Mitte hängen Sie z.B. Lampen an Decken. Die übrigen Optionen ermöglichen es, z.B. Möbel an so genannten Hotspots aneinander zu setzen. Positionieren Sie diese Möbelteile an bestimmten Eckpunkten aneinander.

Die folgenden Optionen legen fest, ob die neue Position auf eine Fläche gesetzt wird (z.B. Lampe an eine Decke positionieren: Box oben Mitte, auf Fläche), oder ob ein Eckpunkt für die Position gefangen werden soll (z.B. Möbel von Küchenzeile: Box unten vorne links, auf Eckpunkt). Sie können aber auch bestimmen, dass das 3D-Objekt in einer der vier Ansichten in einer Höhe von z.B. 1m platziert werden soll.

Wenn Sie 3D-Objekte im Projekt platzieren, haben Sie auch die Möglichkeit, das Objekt normal auf eine Flache zu platzieren. Das bedeutet, dass sie bei Aktivierung dieser Option ein Objekt automatisch auf eine Schräge platzieren, wenn Sie es über die schräge Fläche per Drag&Drop absetzen. So ist es kein Problem mehr, z.B. ein Fahrzeug auf eine Auffahrt vor einer Garage zu stellen.

Um ein Objekt auf den Boden zu platzieren, wählen Sie die Option Boden und ziehen es mit dem Cursor auf eine waagrechte Fläche. Der Bezugspunkt Box unten Mitte liegt dann auf der waagrechten Fläche. Bei Wand ziehen Sie das Objekt in die Nähe einer senkrechten Fläche, so dass das Objekt mit dem Bezugspunkt Box unten hinten Mitte an der senkrechten Fläche sitzt. Das Objekt wird um Z passend gedreht. Sie können eine Höhe eingeben, die dann in Bezug auf die darunter liegende Fläche gemessen wird. Bei Decke ziehen Sie das Objekt in die Nähe einer waagrechten Fläche, so dass der Bezugspunkt Box oben Mitte dann auf der waagrechten Fläche liegt.


Katalogbild festlegen...

Mit Hilfe dieser Funktion bestimmen Sie das Katalogbild des Katalogs, den Sie gerade angewählt haben. Wählen Sie ein beliebiges Pixelbild aus.


Alle Dialoge schließen

Icon Close All Dialogs

Über diesen Befehl schließen Sie alle geöffneten Dialoge. Lediglich das Darstellungsfenster bleibt geöffnet. Dadurch schaffen Sie schnell Ordnung, wenn Sie viele Dialoge geöffnet haben.


Pflanzen-Objekte anzeigen

Icon Plant Module

Nach Klick auf dieses Icon werden die Objekte des Pflanzen-Moduls in der Auswahl-Liste angezeigt, sofern Sie dieses Zusatz-Modul erworben und lizenziert haben.


Speicher-Monitor anzeigen...

Icon Memory Monitor

Dialog Memory Monitor

Der Speicher-Monitor ist ein Werkzeug, mit dem Sie den aktuellen Speicherbedarf analysieren. Für die einzelnen Bereiche, die beim Rendering Arbeitsspeicher benötigen, erhalten Sie Auskunft, wie viel Speicher aktuell verwendet und welcher Maximalwert bisher benötigt wurde. Sie ersehen aus diesen Angaben, wo Sie eventuell Speicherbedarf reduzieren können.

Es werden folgende Bereiche unterschieden:

Prozessspeicher: | Summe Systemspeicher + Anwendungsspeicher (ist bei 32-Bit Windows® Systemen auf 2GB begrenzt!)
Anwendungsspeicher: | Speicher, der von GAMMA-RAY belegt wird
Systemspeicher: | Speicherbedarf anderer Programme (z.B. Grafikspeicher, andere Dlls, ...)
Geometriespeicher: | Speicherbedarf für die komplette Geometrie
Bildspeicher: | Speicherbedarf für das berechnete Bild
Texturspeicher: | Speicherbedarf für die Texturen inklusive des zusätzlichen Speichers, der zur Verbesserung der Texturqualität benötigt wird
Schattenbufferspeicher: | Speicherbedarf für die Schattenberechnung über den Schattenbuffer
Raytracingspeicher: | Speicherbedarf für die Berechnungen im Raytracingverfahren
Lichtverlaufspeicher: | Speicherbedarf für die Lichtverlaufsberechnung
Bildaufbauspeicher: | Speicherbedarf für einen Bildaufbau
Sonstiger Speicher: | restlicher Speicherbedarf

Im unteren Bereich erkennen Sie das aktuelle Abbild des Arbeitsspeichers. Wie von Festplatten bekannt gibt es unter Windows® auch im Arbeitsspeicher eine Fragmentierung, durch die unter Umständen freie Speicherbereiche für die Nutzung geblockt werden, so dass bei längerer Arbeit mit Programmen nicht mehr der komplette Arbeitsspeicher verwendet werden kann. Dies können Sie nur dadurch beheben, dass Sie das Programm beenden und neu starten. Dann gibt Windows® den kompletten Speicherbereich wieder frei und stellt ihn im Anschluss unfragmentiert zur Verfügung.

Unter dem Speicher-Abbild finden Sie Informationen zur aktuellen Speichersituation.

Über den Knopf Zurücksetzen setzen Sie die Angaben in der Spalte Spitze auf die aktuellen Werte.


Referenzhandbuch anzeigen...

Tastaturbefehl: F1

Über dieses Icon zeigen Sie dieses Referenzhandbuch an.


Info...

Dieser Menüpunkt liefert Informationen zum Programm, zum Programmhersteller und der Supportadresse, an die Sie sich bei Fragen wenden können.

Im mittleren Bereich lesen Sie die Seriennummer Ihrer Lizenz und das zugehörige Codewort ab.

Unter System-Info... erhalten Sie genaue Informationen zu Ihrem PC-System.

Tip

Eine Technische Spezifikation finden Sie in der Programmgruppe von GAMMA-RAY.


Die Meldungszeile

In der Meldungszeile von GAMMA-RAY, die sich unter der Iconleiste befindet, können Sie Meldungen zu dem aktuellen Vorgang ablesen.


Das Menü Datei

Über das Datei-Menü steuern Sie die Funktionen, die Ihnen ein Laden und Speichern von Dateien ermöglichen.

GAMMA-RAY unterscheidet folgende Dateitypen:

Das Projekt | In diesem Dateityp sind sämtliche geometrischen Informationen abgelegt. Dazu gehören die 3D-Daten, die von dem CAD-Programm übernommen wurden. Beim Speichern werden zusätzlich alle Manipulationen, die Sie vorgenommen haben, sowie jede Ergänzung (z.B. durch Zuladen von 3D-Objekten) mit gesichert. Die Dateien besitzen die Endung .ray.
Die Einstellungen | In diesen Dateityp werden alle Einstellungen abgelegt, die Sie vorgenommen haben. Dazu zählen Materialzuordnungen, Lichtquellen, Perspektiven, Animationen, Hintergrundbilder, ... Die Dateien besitzen die Endung .par.
Das Bild | In diesen Dateien sind Bilder enthalten, die mit GAMMA-RAY oder anderen Programmen erzeugt wurden. GAMMA-RAY verarbeitet Bilder in den Formaten TIFF, TGA, BMP, JPEG, HDR, GIF, PNG und TPF.

Die folgenden Menüpunkte stehen Ihnen zur Verfügung:


Projekt hinzufügen...

Beim Laden des Projekts wird der bisherige Datensatz komplett gelöscht. Im Gegensatz dazu ergänzt die Funktion Projekt hinzufügen... den aktuellen Datensatz um weitere Geometriedaten. Damit können Sie das Projekt z.B. mit Automodellen, Personen, ... erweitern. Oder bauen Sie das komplette Projekt aus Einzelteilen (großes Grundstück, einige Häuser, eines der Häuser bestückt mit weiteren Objekten, ...) auf.

Nachdem die Geometrie aus der Datei geladen wurde, lädt das Programm anschließend noch die Einstellungen-Datei, die den gleichen Namen wie die Projektdatei besitzt (falls vorhanden).

Durch das intelligente Zusammenfügen der Einstellungen des geladenen Projekts sowie der zugeladenen Elemente können Sie perfekt vorbereitete Modelle einfach in das Projekt platzieren. Die Materialien aus dem zugeladen Projekt werden mit aufgenommen. Die Kennungen der Elemente werden neu nummeriert und am Ende der aktuellen Kennungsliste angefügt, wobei zur besseren Unterscheidung eine Kennungsnummer ausgelassen wird.

Hauptsächlich wird diese Funktion dazu benutzt, kleinere 3D-Objekte zu zuladen. Die Objekte werden genau an die Position platziert, an der sie konstruiert wurden. Nach dem Zuladen des Projekts befinden sich die zugeladenen Elemente automatisch in der Auswahl (eine eventuelle vorherige Auswahl wird vorher geleert). Somit können die neuen Objekte direkt über den Auswahl-Modus verschoben, rotiert, skaliert, ... werden.

Tip

Wenn Sie 3D-Objekte gleich an eine bestimmte Position platzieren wollen, verwenden Sie die Möglichkeiten der 3D-Objekte-Auswahl.

Wenn Sie in der 3D-Objekte-Auswahl einen Doppelklick auf das 3D-Objekt durchführen, wird es absolut platziert. Die Funktion Projekt hinzufügen... wird dann für dieses 3D-Objekt ausgeführt.

Neben den Geometriedaten und Materialeigenschaften können auch Lichteigenschaften und Animationsinformationen mit dem zugeladenen Objekt übergeben werden. Einer Lampe kann somit gleich eine Lichtquelle zugeordnet sein. Auch kann bei einem Fahrzeug schon das Drehen der Räder definiert sein. Sie müssen dann in der Animation nur noch den Weg des Fahrzeugs definieren. Lesen Sie dazu auch das Beispiel einer Objektanimation im Tutorial nach.

Der übrige Ladevorgang ist identisch mit der Funktion Projekt laden...

Tip

Daten, die über Projekt hinzufügen... im Projekt eingefügt werden, sind dem Programm als Teilprojekte bekannt und können als diese auch identifiziert werden.


Zuletzt geladene Projekte

In dieser Liste werden die zuletzt geladenen Projekte angezeigt, die Sie erneut laden können.


Projekt speichern unter...

Projekte können auch unter einem anderen Dateinamen abgespeichert werden. Nach dem Aufruf der Funktion erscheint folgender Dialog:

Dialog Save Project

GAMMA-RAY unterscheidet für das Speichern vier verschiedene Dateitypen:

Die Geometrie | In dieser Datei werden sämtliche geometrischen Informationen abgelegt. Dazu gehören die 3D-Daten, die von dem CAD-Programm übernommen wurden, mit allen Manipulationen, die Sie vorgenommen haben, sowie jede Ergänzung (z.B. durch Zuladen von 3D-Objekten). Die Datei besitzt die Endung .ray.
Die Einstellungen | In diese Datei werden alle Einstellungen abgelegt, die Sie vorgenommen haben. Dazu zählen Materialzuordnungen, Lichtquellen, Perspektiven, Animationen, Hintergrundbilder, ... Die Datei besitzt die Endung .par.
Das Bild | In diese Datei speichert GAMMA-RAY das zuletzt berechnete Pixelbild im 24-Bit TIFF-Format ohne Kompression. Um nicht unnötigen Festplattenplatz zu verschwenden, sollten nur wirklich endgültige Bilder abgespeichert werden. Die Endung der Datei lautet .tif.
Die Texturen | Wenn Sie andere Texturen als die Standardtexturen, die nach dem Programmstart in der Material-Auswahl dargestellt werden, verwenden, können diese zu dem Projekt mit abgelegt werden. Wenn z.B. Texturen von einer CD benutzt wurden, sucht GAMMA-RAY beim nächsten Laden des Projekts diese wieder auf der CD. Wenn die CD aber nicht mehr eingelegt ist, erscheint eine Fehlermeldung. Um dies zu verhindern, können die Texturen in einem Unterverzeichnis zu dem Projektverzeichnis abgelegt werden. Sie werden dann beim nächsten Einlesen auch dort gesucht. Wenn ein Projekt abgeschlossen ist und auf ein Backupmedium gesichert werden soll, empfiehlt es sich, vorher das Projekt inklusive der Texturen zu speichern.

Beispiel: Sie speichern eine Datei mit dem Namen gamma ab und aktivieren alle Optionen.

Das Programm erzeugt in dem angegeben Verzeichnis folgende Dateien und Verzeichnisse an:

die Datei gamma.ray, die alle geometrischen Informationen enthält
die Datei gamma.par, die alle Einstellungen enthält
die Datei gamma.tif, die das berechnete Bild enthält
das Verzeichnis gamma.tex, das die Pixelbilder der Texturen enthält
das Verzeichnis gamma.prv, das die Textursymbole enthält

Wird bei dem Abspeichern der verwendeten Texturen eine Texturdatei nicht gefunden (weil sie eventuell von einer CD stammt, die aber nicht mehr im Laufwerk liegt), wird dies in einem Warnungsfenster angezeigt sowie in eine Datei Dateiname.log (im obigen Beispiel also gamma.log) eingetragen.

Attention

Es werden nur diejenigen Elemente abgespeichert, die über die momentanen Bildfiltereinstellungen im Menü Darstellung gerade dargestellt werden. Um das komplette Projekt abzuspeichern, wählen Sie vorher den Menüpunkt Alles darstellen aus dem Menü Darstellung. Eine entsprechende Meldung informiert Sie, wenn nur eine Auswahl abgespeichert wurde.

Tip

Auf der anderen Seite kann es aber auch sehr nützlich sein, nur ein einzelnes Objekt darzustellen und dies dann z.B. als neues 3D-Objekt abspeichern zu können, ohne den Rest des Projekts vorher löschen zu müssen.


Projekt duplizieren

Manchmal wollen Sie das Ergebnis verschiedener Arbeitsschritte miteinander vergleichen. Dazu dient Ihnen diese Funktion, die den aktuellen Stand des Projekts einfriert und in einem neuen Fenster anzeigt. Wenn Sie dann an dem Projekt weiterarbeiten, können Sie jeder Zeit auf die bisherige Geometrie und die bisherigen Einstellungen zurückgreifen.


Arbeitskopie laden

Über diese Funktion laden Sie eine der letzten Arbeitskopien, die Sie zuvor mit der Funktion Arbeitskopie speichern erzeugt haben.


Arbeitskopie speichern

Wenn Sie den aktuellen Stand Ihrer Arbeit sichern wollen, ohne einen neuen Dateinamen anzugeben, speichern Sie eine Arbeitskopie. Diese wird im Installationsverzeichnis abgelegt. Die zuletzt gespeicherten Arbeitskopien laden Sie über die Funktion Arbeitskopie laden.

Tip

Das Programm legt mehrere Arbeitskopien an. Die mögliche Anzahl legen Sie bei den Einstellungen... im Bereich Optionen fest.

Nach der Installation ist hier ein Wert von 5 vorgegeben, den Sie aber auch jederzeit ändern können. Über Arbeitskopie speichern erzeugen Sie also fünf unterschiedliche Arbeitskopiedateien. Beim sechsten Speichern wird dann die erste Arbeitskopiedatei überschrieben.

Sie können aber auf jeden Fall auch auf frühere Arbeitskopien zurückgreifen, indem Sie diese über die Funktion Projekt laden… laden.


Einstellungen laden...

In GAMMA-RAY lädt man eine 3D-Geometrie als Projekt. Dieses wird dann weiter bearbeitet, indem z.B. Materialien zugeordnet, eine spezielle Kameraperspektive angewählt oder Lichtquellen eingestellt werden. Diese Zusatzinformationen speichert man dann als Einstellungen in einer eigenen Datei mit der Endung .par ab. Wenn ein Projekt gesichert wird, speichert man normalerweise auch diese Einstellungen-Datei mit. Beim nächsten Einlesen der Projektdatei werden die Einstellungen dann automatisch mit geladen.

Sie haben aber auch die Möglichkeit, beliebige Einstellungen-Dateien zu laden. Hier können Sie sogar noch entscheiden, ob alle Einstellungen oder nur spezielle eingelesen werden sollen. Einstellungen, die schon im aktuellen Projekt enthalten sind, werden durch die neuen überschrieben. Nicht enthaltene Einstellungen werden ergänzt.

Nach Aufruf der Funktion öffnet sich ein Dialog, in dem Sie die zu ladenden Einstellungen und die Datei, aus der diese zu laden sind, bestimmen können.

Dialog Load Settings

Im Bereich Einstellungen legen Sie fest, welche Einstellungen eingelesen werden sollen. Hierbei bedeuten:

Materialzuordnung | Zuordnungen zwischen Kennungen und Materialien, um gleiche Kennungen auch wieder mit dem gleichen Material belegen zu können
Material | Materialdefinitionen mit Texturen und Einstellungen
Lichtquellen | Lichtdefinitionen mit Positionen, Richtungen und allen Einstellungen
Kamera | Kameradefinitionen mit Positionen, Richtungen und allen Einstellungen
Umgebung | Hintergrund- / Vordergrund- / Kulissendefinitionen
Berechnung | die eingestellten Berechnungsmodi mit allen Optionen
Animationen | die definierten Animationspfade und -definitionen

Tip

Sie können also z.B. Kameraeinstellungen aus früheren Projekten durch Laden der Einstellung Kamera in das aktuelle Projekt aufnehmen. Deaktivieren Sie alle übrigen Einstellungen und laden Sie dann die zugehörige Einstellungen-Datei.

Attention

Beachten Sie, dass Einstellungen, die Sie im aktuellen Projekt definiert haben, mit Einstellungen aus der zu ladenden Einstellungen-Datei überschrieben werden, wenn Namensgleichheit bei gleichem Einstellungstyp besteht. Sie sollten daher nur immer die Einstellungen zum Laden auswählen, die Sie wirklich benötigen. Das vermeidet ungewollte Fehler.

Die neuen Einstellungen werden ab dem nächsten Bildaufbau verwendet.

Tip

Durch die Trennung zwischen Projekt und Einstellungen in unterschiedliche Dateien haben Sie die Möglichkeit, ein 3D-Projekt in GAMMA-RAY zu bearbeiten und dann abzuspeichern. Wenn Sie nun noch konstruktive Änderungen an der 3D-Geometrie vornehmen, muss nicht komplett neu mit den Einstellungen im Renderer begonnen werden. Sie können vielmehr zuerst die Geometriedatei laden, anschließend die abgespeicherten Einstellungen und dann vom letzten Stand aus weiterarbeiten.


Einstellungen speichern...

Beim Speichern eines Projekts werden normalerweise auch alle Einstellungen, die Sie getroffen haben, in einer eigenen Datei, der Einstellungen-Datei mit der Endung .par, abgespeichert. Es ist aber auch möglich, während der Bearbeitung nur die aktuellen Einstellungen abzuspeichern. Hier können Sie auch festlegen, dass nur einzelne Einstellungen abgelegt werden, um auf diese dann wieder über die Funktion Einstellungen laden... zugreifen zu können.

Nach Aufruf der Funktion öffnet sich ein Dialog, in dem Sie die zu speichernden Einstellungen und die Datei, in die diese zu speichern sind, bestimmen können.

Dialog Save Settings

Im Bereich Einstellungen legen Sie fest, welche Einstellungen gespeichert werden sollen.

Die Option Texturen sollten Sie aktivieren, wenn Sie Texturen verwenden, die nicht mit dem Renderer mitgeliefert wurden und auf CD oder im Netzwerk abgelegt sind. Die Texturen werden zu dem Projekt mit abgelegt. Wenn diese Option nicht angewählt ist und z.B. die CD beim nächsten Einlesen des Projektes nicht mehr im CD-Laufwerk liegt, erscheint eine Fehlermeldung, da die Textur nach wie vor auf der CD gesucht wird. Eine nicht gefundene Textur wird dann als weißes Material dargestellt.

Ist die Option Texturen aktiviert, werden die in dem Projekt verwendeten Texturen in das Unterverzeichnis Dateiname.tex (z.B. gamma.tex) kopiert. Dateiname steht für den von Ihnen gewählten Dateinamen. Zusätzlich werden in das Unterverzeichnis Dateiname.prv (z.B. gamma.prv) kleine Symbole für die Texturen zur Verwendung in den Material-Dialogen abgespeichert. Wird bei der Suche nach verwendeten Texturdateien eine Textur nicht gefunden (z.B. weil Sie die CD mit den Texturbildern aus dem CD-Laufwerk herausgenommen haben), wird dies in einem Warnungsfenster angezeigt sowie in der Datei Dateiname.log (z.B. gamma.log) protokolliert.


Bild laden...

Neben CAD-Zeichnungen lassen sich auch Pixelbilder laden. Dies können Bilder sein, die mit GAMMA-RAY erzeugt wurden, aber auch beliebige andere Pixelbilder. Oder verwenden Sie die Kombination Bild laden... / Bild speichern... als Konverter, um ein Bild von einem Pixelformat in ein anderes zu konvertieren, bzw. eine Kompression des Bildes vorzunehmen / zu entfernen. Geladene Bilder lassen sich auch ausdrucken.

GAMMA-RAY verarbeitet Pixelbilder in den Formaten TIFF, TGA, BMP, JPEG, TPF, HDR, GIF, PNG, EXR und GHR. Das TPF- und das GHR-Format sind eigene Pixelformate der Firma GAMMA mbH.

Das Bild wird in ein eigenes Fenster geladen.


Bild speichern...

Bilder, die von GAMMA-RAY berechnet wurden, lassen sich über den Menüpunkt Projekt speichern abspeichern. Als Pixelformat ist hier 24-Bit TIFF ohne Kompression vorgegeben.

Wenn Sie das Bild in einem anderen Format abspeichern müssen, z.B. weil Sie es in einem anderen Programm in ein Dokument integrieren oder es auf Ihrer Internetseite abbilden wollen, nutzen Sie die Funktion Bild speichern... Im aufgerufenen Dialog geben Sie den Dateinamen und das gewünschte Format an.

Folgende Formate mit ihren Untertypen stehen Ihnen zur Verfügung:

·TIFF 32 Bit unkomprimiert

·TIFF 32 Bit LZW Kompression

·TIFF 24 Bit unkomprimiert

·TIFF 24 Bit LZW Kompression

·TIFF 8 Bit unkomprimiert

·TIFF 8 Bit LZW Kompression

·TGA 32 Bit unkomprimiert

·TGA 32 Bit RLE Kompression

·TGA 24 Bit unkomprimiert

·TGA 24 Bit RLE Kompression

·TGA 8 Bit unkomprimiert

·TGA 8 Bit RLE Kompression

·JPEG (mit einstellbarer Qualität)

·BMP 24 Bit unkomprimiert

·BMP 8 Bit unkomprimiert

·GIF 8 Bit

·GIF 8 Bit transparent

·PNG 32 Bit

·PNG 24 Bit

·PNG 8 Bit

·HDR

·GHR

Außer dem eigenen GHR-Format sind dies Formate, die den Grafikbereich dominieren und von nahezu allen Bildbearbeitungsprogrammen weiterverarbeitet werden können. Alle gängigen Textverarbeitungs- und DTP-Programme importieren diese Formate.

Tip

Die Zeit hat sich geändert. Wurde Ihnen früher noch empfohlen, komprimierte 8 Bit Bilder auf Festplatte abzuspeichern, um nicht zu große Dateien zu erzeugen, ist heute angesichts der niedrigen Festplattenpreise bei großen Plattenkapazitäten der einzig sinnvolle Rat, 24 Bit Bilder ohne Kompression entweder im TIFF-Format oder im BMP-Format abzuspeichern. Nur so erreichen Sie es, dass die Qualität der berechneten Bilder erhalten bleibt und nicht durch eine Kompression je nach Format sogar drastisch reduziert wird.

Wollen Sie Bilder nachträglich in der Helligkeit noch anpassen, speichern Sie sie im GHR-Format ab. Wenn Sie das Bild dann in GAMMA-RAY wieder anzeigen, können Sie es aufhellen, wenn z.B. der Beamer das Bild zu dunkel darstellt.

Attention

Verwenden Sie das JPEG-Format nicht zur endgültigen Sicherung Ihrer Arbeit. Dieses Format sollte nur benutzt werden, wenn die Bilder ins Internet übertragen werden sollen. Hier liefert JPEG kleine Dateien, deren Qualität für das Internet ausreicht. Speichern Sie die Bilder zusätzlich aber auch in einem unkomprimierten Format ab.

Sie können beim Speichern in JPEG die Bildqualität angeben. Hier bedeutet eine geringe Qualität eine hohe Kompression und eine hohe Qualität eine geringe Kompression und somit größere Dateien.


Bild duplizieren

Diese Funktion erzeugt eine Kopie des aktuell dargestellten Bildes. Nutzen Sie diese, um die Kopie mit einem neu berechneten Bild zu vergleichen, bei dem Sie Einstellungen geändert haben. Um das gesamte Projekt mit Geometrie und Einstellungen zu duplizieren, verwenden Sie die Funktion Projekt duplizieren.


Animation laden...

Animationen, die Sie mit GAMMA-RAY erzeugt und im AVI-Format abgespeichert haben, lassen sich im Nachhinein über diese Funktion wieder laden.


Panorama laden...

Mit GAMMA-RAY können ansprechende GVR-Animationen mit Hilfe von Panoramen erzeugt werden. Hier unterscheidet man zwischen Innenpanoramen und Außenpanoramen. Die genaue Beschreibung der Erzeugung von solchen Panoramen lesen Sie im Tutorial.

Die berechneten Panoramen zeigen Sie über die Funktion Panorama laden... im GVR-Panorama-Player an.

Folgende Panoramaformate sind lesbar:

·GVR (GAMMA Virtual-Reality): Das Panoramaformat der Firma GAMMA mbH, über das Innen- und Außenpanoramen eingelesen werden können. Das Format ist hoch komprimiert und eignet sich somit auch für den Einsatz im Internet. Der Player führt für dieses Format Optimierungen durch. GVR ist das Standardformat für Panoramen, die mit GAMMA-RAY erzeugt wurden.

·GIA (GAMMA Image Archiv): Das Panoramaformat der Firma GAMMA mbH, über das Außenpanoramen in Version 11 erzeugt wurden. Das Format ist hoch komprimiert und eignet sich somit auch für den Einsatz im Internet. Der Player führt für dieses Format Optimierungen durch.

·IVR (Image-based Virtual-Reality): Ein allgemeines Panoramaformat, das durch Fremdprogramme ohne Optimierungen erzeugt wird.

Nach dem Laden einer Panoramadatei wird das Panorama in dem internen GVR-Panorama-Player angezeigt. Das Fenster kann beliebig vergrößert werden. Benutzen Sie hier die bekannten Windowsfunktionen zur Einstellung der gewünschten Fenstergröße. Je nachdem, wie groß das Panorama berechnet wurde, erfolgt ein Bildzoom oder auch nicht.

Tip

Wir empfehlen, Innenpanoramen mindestens bildschirmfüllend zu berechnen (also z.B. 1280 * 1280), um eine gute Darstellung des Panoramas zu erreichen. Diese Darstellungsgröße ist auch Voraussetzung für gute Ausdrucke der eingestellten Perspektive. Je größer die berechneten Panoramen sind, umso besser sind die Ergebnisse, wenn Sie im Panorama zoomen.

Mit der Maus bewegen Sie sich in diesem Panorama. Klicken Sie dazu die linke Maustaste und bewegen Sie die Maus. Innerhalb des Panoramas können Sie links und rechts schwenken und nach oben und nach unten blicken. Wenn Sie die mittlere Maustaste drücken und die Maus vor und zurück bewegen, zoomen Sie in dem Innenpanorama. Sollte Ihre Maus über nur zwei Maustasten verfügen, können Sie über die Shift-Taste nach vorne zoomen und mit der Strg -Taste wieder zurück.


Innenpanoramen

Über die rechte Maustaste rufen Sie das Menü auf, mit dem Sie weitere Einstellungen vornehmen können. Für geladene Innenpanoramen erscheint folgendes Menü:

Menu Interior Panorama2


Toolbar anzeigen

Über diese Funktion entscheiden Sie, ob die Toolbar mit den Ikons im GVR-Panorama-Player dargestellt werden soll oder nicht.


Verbindungen anzeigen

Wenn Sie mehrere Innenpanoramen miteinander verbunden haben, entscheiden Sie über diese Option, ob die Hotspots dargestellt werden sollen oder nicht.


Auto-Rotation

Klicken Sie diese Funktion an, um eine automatische Rotation in dem Panorama zu starten. Es erfolgt eine Drehung im Panorama um einen festen Winkel, ohne dass Sie die Maus bewegen müssen.


Auto-Rotation anhalten

Beendet die Auto-Rotation. Sobald Sie mit der linken Maustaste in das Ausgabefenster des GVR-Panorama-Players klicken, wird die Auto-Rotation ebenfalls angehalten.


Geschwindigkeit...

Die Darstellungsgeschwindigkeit des GVR-Panorama-Players ist inzwischen auf aktuellen Grafikkarten so hoch, dass die Abfolge der Bilder zu schnell ist. Aus diesem Grund muss sie abgebremst werden.

Im Dialog Geschwindigkeit verwenden Sie einen Schieberegler, um die Geschwindigkeit individuell an die Grafikkarte anzupassen.


Vorheriger Standpunkt

Wenn Sie mehrere Standpunkte für die Panoramaberechnung verwendet haben, können Sie zu dem vorherigen Standpunkt in der Liste ausgewählte Kameras (Reihenfolge) springen.


Nächster Standpunkt

Wenn Sie mehrere Standpunkte für die Panoramaberechnung verwendet haben, können Sie zu dem nächsten Standpunkt in der Liste ausgewählte Kameras (Reihenfolge) springen.


Standpunkte

In dieser Liste werden die Standpunkte, die Sie in der Liste ausgewählte Kameras (Reihenfolge) festgelegt haben, angezeigt. Sie können dann einen dieser Standpunkte direkt anspringen.


Linearer Bildfilter

Wenn Sie sich im Panorama bewegen und die Maustaste dann loslassen, wird das Bild im Anschluss geglättet, um ein optimales Ergebnis zu erzielen. Der Lineare Bildfilter ist hierfür der einfachere Filter, bei dem die Berechnungszeiten etwas geringer als beim Rechteck-Bildfilter sind. Dafür ist aber auch die Qualität des Ergebnisses nicht so hoch.


Rechteck-Bildfilter

Wenn Sie sich im Panorama bewegen und die Maustaste dann loslassen, wird das Bild im Anschluss geglättet, um ein optimales Ergebnis zu erzielen. Per default ist hierfür das Rechteck-Bildfilter ausgewählt, über das eine Weichzeichnung des Bildes erreicht wird. Die Ergebnisse sind von höherer Qualität als beim Linearen Bildfilter. Die Berechnungszeit ist aber auch etwas höher. Auf aktuellen PCs ist dies jedoch vernachlässigbar. Wechseln Sie nur dann auf das Lineare Bildfilter, wenn Sie das Panorama mit einem leistungsschwachen PC betrachten.


Bildfilter auch beim Bewegen verwenden

Ist dieser Menüpunkt aktiviert, werden die Bildfilter auch während der Bewegung im Panorama verwendet. Ist er deaktiviert, werden die Bildfilter erst dann angewandt, sobald das Bild steht und die Maustaste losgelassen wird.


Ausgangsposition

Zeigt das Panorama wieder aus der Perspektive an, die nach dem Laden verwendet wurde.

Sollten Sie sich einmal so weit verdreht haben, dass Sie sich in dem Panorama nicht mehr zurechtfinden, wählen Sie diese Funktion, um wieder in die Ausgangsposition zurück zu gelangen.


Panorama neu laden

An der Panoramadarstellung können auch Anpassungen vorgenommen werden (über die Funktionen Bild- und Druck-Einstellungen..., Einstellungen...). Sollten diese Anpassungen doch nicht zu dem von Ihnen gewünschten Ergebnis führen, laden Sie das Panorama einfach über diese Funktion erneut, um zum Ausgangszustand zurückzugelangen.


Bild- und Druck-Einstellungen...

Dialog Panorama Image Settings

Unter Bildgröße nach dem Laden legen Sie die Bildgröße fest, in der alle weiteren Panoramen nach dem Einlesen dargestellt werden. Wenn Sie die Option automatisch aktivieren, werden alle Panoramen nach dem Laden in einem quadratischen Fenster mit der halben berechneten Panoramabreite dargestellt.

Um die Helligkeit auf verschiedene Displays anpassen zu können, steht Ihnen ein Gamma-Korrekturregler für die Helligkeit zur Verfügung. Werte größer 1 hellen das Bild auf, Werte kleiner 1 dunkeln es ab.

Tip

Die Erfahrung hat gezeigt, dass auf manchen LCD-Bildschirmen von Notebooks oder auch für Beamer ein Aufhellen oder Abdunkeln der Panoramen nötig ist.

Unter Bildgröße des Ausdrucks wählen Sie die Auflösung aus, die dann auch ausgedruckt werden kann.


Einstellungen...

Dialog Panorama Settings

In diesem Dialog lässt sich für ein Innenpanorama der Panorama-Typ zwischen Würfel, Zylinder und Kugel umschalten. Nutzen Sie diese Funktion, wenn Sie Panoramen darstellen wollen, die mit anderen Programmen erzeugt wurden und daher andere Projektionstypen verwenden.

Der vertikale Öffnungswinkel beschreibt den Winkel für das Zylinderpanorama, unter dem das Panorama von der aktuellen Kamerahöhe aus nach oben und nach unten sichtbar ist. Er beschreibt also den oberen und den unteren Rand des Zylinders.


Panorama speichern...

Wenn Sie Änderungen an den Einstellungen der Panoramen vorgenommen haben, können diese wieder als neue Panoramen abgespeichert werden.

Im Bereich Bildformat wählen Sie aus, auf Basis welchen Bildformats das Panorama erzeugt wird. Es stehen hier die Formate BMP, GIF, JPG, PNG, TGA und TIFF zur Auswahl. Für jeden Typ können dann auch noch weitere Untertypen angegeben werden.

Tip

Um die Ergebnisse möglichst klein zu halten, empfehlen wir das JPEG-Format. Sie können auch noch eine Qualität festlegen. Hier gilt:

höhere Qualität = größere Datei

niedrigere Qualität = kleinere Datei

Sehr gute Ergebnisse liefern auch TIFF- und BMP-Dateien. Hier ist die Kompression jedoch nicht ganz so hoch (TIFF) bzw. überhaupt nicht vorhanden (BMP).

Die Datei wird im GVR-Format, dem Panoramaformat der Firma GAMMA mbH, abgelegt. Hierfür steht ein Player zur Verfügung, mit dem die Panoramen auf CDs weitergegeben und auf einer Internet-Homepage dargestellt werden können.

Es existiert eine Variante des GVR-Panorama-Players, die sich in die Internet-Browser einbinden lässt. Damit können die GVR-Dateien auch im Internet präsentiert werden. Im Kundenbereich auf der Internetseite http://www.gamma-ray.de können Sie die benötigten Dateien und eine genaue Beschreibung laden.


Panorama für eine CD aufbereiten...

Mit dieser Funktion erzeugen Sie sehr einfach alle Dateien, die zur Weitergabe eines Panoramas auf CD benötigt werden.

Wenn das Panorama noch nicht freigeschaltet wurde, wird dies zuerst automatisch durchgeführt (vorausgesetzt, Sie haben die Lizenz zur Panoramafreischaltung erworben und im Lizenz-Manager eingetragen). Anschließend werden Sie nach dem Verzeichnis gefragt, in das die Dateien kopiert werden sollen. Geben Sie hier den Namen eines leeren Verzeichnisses an. In dieses Verzeichnis kopiert das Programm dann die Dateien, die auf der CD für den GVR-Panorama-Player benötigt werden, die Panoramadatei selbst sowie eine Datei Autorun.inf. Diese ermöglicht es, dass der Player gleich nach dem Einlegen der CD automatisch startet und das erzeugte Panorama anzeigt, ohne dass der Anwender irgend eine Aktion ausführen muss.

Brennen Sie alle Dateien und Verzeichnisse des gewählten Verzeichnisses auf eine CD. Diese können Sie dann an Ihre Kunden weitergeben.

Tip

Wenn Sie ein Panorama erzeugt haben, das aus mehreren verknüpften Panoramen besteht und Sie im internen Player eine andere Position als die Ausgangsposition gewählt haben, muss das Panorama für diese Situation erst neu abgespeichert werden, bevor eine Freischaltung erfolgen kann.


Panorama als EXE-Datei aufbereiten...

Mit dieser Funktion erzeugen Sie sehr einfach eine einzelne Datei, die alle Informationen zur Anzeige eines Panoramas enthält. Diese kann man dann z.B. per E-Mail versenden. Es handelt sich hier um eine ausführbare Datei, die der Anwender per Doppelklick im Windows® Explorer anwählt. Der GVR-Panorama-Player startet automatisch und lädt auch gleich das Panorama, ohne dass der Anwender irgend eine Aktion ausführen muss.

Wenn das Panorama noch nicht freigeschaltet wurde, wird dies zuerst automatisch durchgeführt (vorausgesetzt, Sie haben die Lizenz zur Panoramafreischaltung erworben und im Lizenz-Manager eingetragen). Anschließend werden Sie gefragt, wohin die Datei kopiert werden soll. Geben Sie lediglich den Dateinamen für das ausführbare Programm an. GAMMA-RAY erzeugt dann eine EXE-Datei, die Sie weitergeben können.

Tip

Wenn Sie ein Panorama erzeugt haben, das aus mehreren verknüpften Panoramen besteht und Sie im internen Player eine andere Position als die Ausgangsposition gewählt haben, muss das Panorama für diese Situation erst neu abgespeichert werden, bevor eine Freischaltung erfolgen kann.


Panorama als QuickTme-Datei aufbereiten...

Navigation: Die Menüs > Das Menü Datei > Panorama laden... > Innenpanoramen >

Return to chapter overview

Panorama als QuickTime-Datei aufbereiten...

Neben dem GAMMA-RAY eigenen GVR-Dateiformat können Panoramen auch im QuickTime®-Dateiformat abgespeichert werden. Diese Dateien lassen sich dann in anderen Programme direkt einbinden.

Attention

Um diese Funktionen nutzen zu können, muss QuickTime® auf Ihrem PC installiert sein. Laden Sie die aktuelle QuickTime® Version unter http://www.apple.com/de/quicktime/download.

Legen Sie den Namen der Datei fest.

Dialog QuickTime Filename

Bestimmen Sie die Kompression der QuickTime®-Datei.

Dialog QuickTime Compression

Über die Qualität beeinflussen Sie die Dateigröße. Je höher die Qualität, um so größer die Datei, und umgekehrt.

Nach Abschluss der Konvertierung wird das Ergebnis im QuickTime®-Player dargestellt.


Panorama für Browser aufbereiten und exportieren...

Außen- und Innenpanoramen können auch aufbereitet werden, um sie in Browsern auf Desktop- und mobilen Geräten darzustellen. Die genaue Vorgehensweise ist im Tutorial beschrieben.

Wenn das Panorama noch nicht freigeschaltet wurde, wird dies zuerst automatisch durchgeführt (vorausgesetzt, Sie haben die Lizenz zur Panoramafreischaltung erworben und im Lizenz-Manager eingetragen). Anschließend werden Sie nach dem Verzeichnis gefragt, in das die aufbereiteten Dateien kopiert werden sollen. Nach der Aufbereitung können Sie das Ergebnis gleich mit Ihrem Browser testen.


Panorama exportieren...

Mit der Lizenz des Panorama-Freischaltungs-Moduls kann ein Panorama auch exportiert werden.

Dialog Export Panorama

Mit dieser Funktion speichern Sie die Einzelbilder, aus denen das Panorama besteht.


Bild drucken...

Diese Funktion zeigt die aktuelle Perspektive, die Sie im Panorama eingestellt haben, in einem neuen Fenster an. Die Bildgröße richtet sich hier nach den Vorgaben, die Sie unter Bild- und Druck-Einstellungen... getroffen haben.

Beantworten Sie die Frage, ob der Ausschnitt gedruckt werden soll, mit Ja, so wird die aktuelle Perspektive ausgedruckt.


Liste der Hotspots anzeigen...

Wenn Sie mehrere Innenpanoramen miteinander verbunden haben, zeigen Sie über diese Funktion die Hotspots an.

Dialog Hotspot List

Im oberen Bereich können Sie noch Anpassungen an den Namen der Hotspots und auch an den Positionen der Hotspots vornehmen. Die Positionen stellen Sie über die Winkel horizontal und vertikal ein.


Neuen Hotspot automatisch setzen...

Mit dieser Funktion fügen Sie einen weiteren Hotspot in die Liste ein. Die Position des Hotspots wird automatisch in die Mitte der aktuellen Ansicht platziert.


Neuen Hotspot manuell setzen...

Mit dieser Funktion fügen Sie einen weiteren Hotspot in die Liste ein. Sie können die Position des Hotspots selbst platzieren.


Navigation: Die Menüs > Das Menü Datei > Panorama laden... > Innenpanoramen > Liste der Hotspots anzeigen... >

Return to chapter overview

Hotspot neu positionieren...

Mit dieser Funktion bestimmen Sie eine neue Position des Hotspots, der aktuell in der Liste ausgewählt ist.


Zielansicht neu setzen...

Mit dieser Funktion bestimmen Sie für den Hotspot, der aktuell in der Liste ausgewählt ist, ein neues Ziel, auf das bei Aktivierung gesprungen wird.


Ausgewählte Hotspots löschen...

Mit dieser Funktion löschen Sie die Hotspots, die in der Liste ausgewählt sind.

Die Auswahl von mehreren Hotspots erfolgt wie unter Windows® üblich mit der Strg-Taste und der Shift-Taste.


Navigation: Die Menüs > Das Menü Datei > Panorama laden... > Innenpanoramen > Liste der Hotspots anzeigen... >

Return to chapter overview

Alle Hotspots löschen...

Wenn Sie alle Hotspots des Panoramas löschen wollen, verwenden Sie diese Funktion.


Hotspot hinzufügen...

Beim Erzeugen von Innenpanoramen geben Sie an, ob Sie automatisch mehrere Panoramen miteinander verbinden wollen. Über diese Funktion können Sie selbst noch Panoramen zur Liste der Hotspots hinzufügen. Dazu klicken Sie in dem Panorama, in das der Hotspot eingefügt werden soll, an die Position, an der ein Hotspot erscheinen soll. Anschließend wählen Sie das geöffnete Panorama an, das dort angezeigt werden soll. Zum Schluss bestimmen Sie noch, ob auch ein Rücksprung aus dem Panorama in das Ausgangspanorama möglich sein soll.

Tip

Über diese Funktion können Sie auch Außenpanoramen oder Innen- und Außenpanoramen miteinander verbinden.


Außenpanoramen

Für geladene Außenpanoramen erscheint folgendes Menü:

Menu Exterior Panorama

Neben den schon für die Innenpanoramen beschriebenen Menüpunkten stehen noch folgende weitere Funktionen zur Verfügung:


RGB-TURBO (... MB mehr)

Außenpanoramen basieren auf komprimierten Bilddaten. Dadurch ist gewährleistet, dass diese Panoramen in kleinen, kompakten Dateien vorliegen können. Für die Anzeige der Panoramen muss jedoch normalerweise die Kompression aufgelöst und die komplette Bildinformation in den Speicher geladen werden (im obigen Fall benötigen Sie also z.B. 3243.9 Megabyte mehr Arbeitsspeicher gegenüber der komprimierten Datei). Dies kann bei größeren Panoramen dazu führen, dass der im PC vorhandene Arbeitsspeicher nicht mehr ausreicht, so dass das Panorama nicht angezeigt werden kann. Aus diesem Grund liest der GVR-Panorama-Player von GAMMA-RAY direkt aus der Kompression der Datei, wodurch die Daten nicht mehr auf die Originalgröße aufgelöst werden müssen, sondern in der kompakten Form belassen werden. Es wird also in Echtzeit dekomprimiert. Dies bedeutet aber auf der anderen Seite, dass durch die stattfindenden Umrechnungen die Geschwindigkeit reduziert wird. Wenn Ihr PC über ausreichend Arbeitsspeicher verfügt, aktivieren Sie den RGB-TURBO-Modus, durch den die Kompression aufgelöst wird. Anschließend erfolgt die Panoramadarstellung schneller.


Pixelzoom 2-fach

Außenpanoramen werden immer in der Bildgröße dargestellt, in der sie berechnet wurden. Über diese Funktion zoomen Sie das Panorama auf die doppelte Größe.


3D-Objekte-Auswahl erzeugen...

Dialog Create 3D Bib

Jede 3D-Geometrie, die über die Ladefunktionen eingelesen werden kann, lässt sich auch als 3D-Objekt innerhalb von GAMMA-RAY verwenden. 3D-Objekte werden in der 3D-Objekte-Auswahl dargestellt.

3D-Objekte, die in einer solchen 3D-Objekte-Auswahl verwendet werden können, bestehen aus folgenden Dateitypen:

Dateiname z.B. gamma.ray

·.ray-Datei (gamma.ray): enthält die 3D-Geometrie

·.par-Datei (gamma.par): enthält alle Einstellungen (falls vorhanden)

·.thb-Datei (gamma.thb): enthält ein Pixelbild, das in der 3D-Objekte-Auswahl angezeigt wird

·.thp-Datei (gamma.thp): enthält ein Panorama, das angezeigt wird, wenn der Cursor längere Zeit auf dem Bild des 3D-Objekts bleibt

·.bib-Datei (gamma.bib): enthält Einträge für die Auswahl

Die 3D-Objekte werden aus der 3D-Objekte-Auswahl per Drag & Drop in das Projekt eingefügt. In der .bib-Datei findet sich unter anderem auch die Information, wo die eigentliche Geometrie zu suchen ist, die dann dem Projekt hinzugefügt wird. Dies bedeutet also, dass sich die Geometrie an einer beliebigen Stelle Ihres Rechnersystems (z.B. auf einem Server-Rechner oder auf einer CD) befinden kann.

Ein weiterer Vorteil der 3D-Objekte-Auswahl ist die Tatsache, dass Sie über die kleinen Bildchen schon eine Übersicht erhalten, auf welche 3D-Objekte Sie zugreifen können. Dies ist gerade dann sinnvoll, wenn Sie z.B. eine CD mit hunderten 3D-Objekten erhalten haben, aber nirgendwo dargestellt wird, welche Teile enthalten sind. Dann erzeugen Sie mit GAMMA-RAY eine 3D-Objekte-Auswahl, die über 3D-Objekte-Auswahl laden... angezeigt werden kann.

Über den Dialog legen Sie das Verzeichnis fest, das die 3D-Objekte enthält. Das Programm wird zu den Geometriedateien Bilddateien (.thb) und Infodateien (.bib) erzeugen. Diese werden normalerweise in das Verzeichnis der Geometrien gespeichert.

Wenn Sie die 3D-Teile einer CD als Auswahl erzeugen, ist ein Speichern zu den Geometrien nicht möglich, da sie sich ja auf der schreibgeschützten CD befinden. Daher müssen Sie über die Option Eigenes Verzeichnis verwenden angeben, dass diese zusätzlichen Dateien auf einer Festplatte (in einem eigenen Verzeichnis) abgelegt werden sollen. Wenn Sie für das angewählte Verzeichnis schon 3D-Objekte erzeugt haben, nun aber weitere 3D-Objekte hinzu kopiert haben, müssen die alten Dateien (.thb und .bib) nicht neu erzeugt werden. Daher ist die Option Überschreiben normalerweise deaktiviert. Sollen die Informationen jedoch komplett neu erzeugt werden (z.B. weil Sie verschiedene 3D-Objekte konstruktiv verändert haben), müssen Sie die Option Überschreiben aktivieren, damit die Dateien neu erzeugt werden.

Es ist es möglich, neben dem Bild von dem 3D-Objekt auch eine 360o-Ansicht anzuzeigen. Dazu muss beim Generieren die Option 360-Grad-Ansicht erzeugen aktiviert sein.

In dem Dateiauswahlbereich wählen Sie das Verzeichnis an, in dem die Objekte zu finden sind.

Wenn Sie die Option Eigenes Verzeichnis verwenden aktiviert haben und dann auf den Knopf Setzen klicken, erscheint eine weitere Abfrage. Hier legen Sie das gewünschte Verzeichnis Ihrer Festplatte fest. Nach Klick auf Setzen startet der Erzeugungsvorgang. Das Programm sucht dann in dem angewählten Verzeichnis und allen seinen Unterverzeichnissen nach Dateien, die als Projekt geladen werden können. Für diese werden kleine Bildchen der 3D-Objekte aus der isometrischen Ansicht berechnet und zudem auch abgespeichert, wo sich die Geometrie befindet. Nach der Erzeugung haben Sie die Möglichkeit, die neue Auswahl gleich anzuzeigen.

Wenn Sie die Auswahl später laden wollen, rufen Sie den Menüpunkt 3D-Objekte-Auswahl laden... auf. In der Dateiauswahl wählen Sie dann das Verzeichnis aus, in dem die Infoeinträge abgespeichert wurden, also

a)das Verzeichnis, in dem sich die 3D-Objekte befinden, oder

b)das eigene Verzeichnis, das Sie bei der Erzeugung angegeben haben.

Tip

Eine 3D-Objekte-Auswahl muss nur einmal erzeugt werden, außer, Sie nehmen Veränderungen an den Elementen der Auswahl vor. Anschließend muss die erzeugte 3D-Objekte-Auswahl lediglich geladen werden, um sie nutzen zu können. Wenn Sie also eine neue CD erwerben, starten Sie einmal den Erzeugungsvorgang und können dann jederzeit darauf zurückgreifen.

Wenn Sie ein Teil im Objekte-Verzeichnis geändert haben, nun jedoch nicht alle anderen 3D-Objekte über die Option Überschreiben neu erzeugen wollen, müssen Sie lediglich die .thb und die .bib Datei des 3D-Objekts löschen. Bei einer erneuten Erzeugung wird dann nur dieses Objekt neu bearbeitet.

Wenn Sie ein 3D-Objekt, das auf einer CD gespeichert ist, per Drag & Drop in das Projekt ziehen und die CD mit den 3D-Objekten nicht eingelegt ist, werden Sie über eine entsprechende Meldung darauf hingewiesen, diese CD einzulegen.


Bild-Auswahl laden...

Wenn Sie eine Sammlung von Bildern, Animationen und Panoramen erzeugt haben, besteht die Möglichkeit, diese als kleine Vorschaubilder anzuzeigen und dann per Doppelklick auf das Bildchen oder per Drag & Drop zu laden. Dies ist eine sehr komfortable Art und Weise, Bilder zu laden, ohne immer den Menüpunkt Bild laden... oder Animation laden… und anschließend den Dateinamen anwählen zu müssen.

Nach der Installation der Software ist bereits eine Bildauswahl geladen, über die Sie Ergebnisse betrachten können, die Kunden mit GAMMA-RAY erzeugt haben.

Um diese Funktion nutzen zu können, müssen die Bilder vorher über die Funktion Bild-Auswahl erzeugen… vorbereitet werden.

Nach dem Aufruf der Funktion erscheint der Dialog, über den Sie das Verzeichnis auswählen, in dem sich die Bilder befinden. Wählen Sie hier das Verzeichnis, in dem sich die Bilder befinden, die über Bild-Auswahl erzeugen... vorbereitet wurden.

Nach Klick auf Setzen sucht das Programm in diesem Verzeichnis sowie allen seinen Unterverzeichnissen nach Bildeinträgen (Dateien mit der Endung .bip). Das Ergebnis dieser Suche wird in der Bild-Auswahl angezeigt.

Über das Menü Einstellungen oder einen Klick auf die rechte Maustaste innerhalb der Liste können Sie folgende Aktionen ausführen:

Menu Dialog Image Selection Settings


Auswahl ausblenden

Entfernt die aktuelle Bild-Auswahl aus der Anzeige im Auswahlfenster. Diesen Menüpunkt nutzen Sie, wenn die aktuelle Bild-Auswahl in der Sitzung nicht mehr benötigt wird. Somit kann die Übersichtlichkeit erhöht werden.


Bild laden...

Stellt das aktuell ausgewählte Bild der Bild-Auswahl in einem eigenen Fenster dar.

Tip

Dies erreichen Sie auch durch einen Doppelklick auf das Vorschaubild in der Bild-Auswahl, bzw. wenn Sie dieses Bild mit gedrückter linker Maustaste außerhalb der Bild-Auswahl ziehen.


Bild-Auswahl erzeugen...

Dialog Create Image List

Wenn Sie eine Sammlung von Bildern präsentieren wollen, ohne diese immer einzeln laden zu müssen, verwenden Sie die Bild-Auswahl von GAMMA-RAY. Dazu müssen über diesen Menüpunkt zuerst Bildeinträge erzeugt werden. Es können alle als Bild ladbaren Dateiformate zur Bild-Auswahl aufbereitet werden. Zusätzlich werden auch Animationsskripte, AVI- und MPEG-Animationen sowie Panoramen geladen.

Über den Dialog legen Sie das Verzeichnis fest, das Ihre Bilder enthält. Das Programm erzeugt zu jeder Bilddatei einen Bildeintrag (.bip). Dieser wird normalerweise zu den Bildern gespeichert. Wenn Sie die Bilder einer CD als Auswahl erzeugen, ist ein Speichern zu den Bildern nicht möglich, da sie sich ja auf der CD befinden. Daher müssen Sie über die Option Eigenes Verzeichnis verwenden angeben, dass diese zusätzlichen Dateien auf einer Festplatte (in einem eigenen Verzeichnis) abgelegt werden sollen. Wenn Sie für das angewählte Verzeichnis schon Bildeinträge erzeugt haben, nun aber weitere Bilder hinzu kopiert haben, müssen die alten Bildeinträge (.bip) nicht neu erzeugt werden. Daher ist die Option Überschreiben normalerweise deaktiviert. Sollen die Informationen jedoch neu erzeugt werden (z.B. weil Sie verschiedene Bilder verändert haben), müssen Sie die Option Überschreiben aktivieren, damit die Dateien neu erzeugt werden.

In dem Dateiauswahlbereich wählen Sie das Verzeichnis an, in dem die Bilder zu finden sind.

Es ist es möglich, von Panoramen im festgelegten Verzeichnis auch eine 360o-Ansicht anzuzeigen, wenn Sie die Cursor länger auf dem Vorschaubild lassen. Dazu muss beim Generieren die Option 360-Grad-Ansicht erzeugen aktiviert sein.

Wenn Sie die Option Eigenes Verzeichnis verwenden aktiviert haben, legen Sie über eine weitere Abfrage das Verzeichnis fest. Nach Klick auf Setzen startet der Erzeugungsvorgang. Das Programm sucht dann in dem angewählten Verzeichnis und allen seinen Unterverzeichnissen nach Bildern, Animationen und Panoramen, die geladen werden können. Für diese werden dann Informationen abgespeichert, wo sich die Bilder befinden. Nach der Erzeugung haben Sie die Möglichkeit, die erzeugte Bild-Auswahl gleich anzuzeigen. Wenn Sie die Bild-Auswahl später laden wollen, rufen Sie den Menüpunkt Bild-Auswahl laden... auf. In der Dateiauswahl wählen Sie dann das Verzeichnis aus, in dem die Bildeinträge abgespeichert wurden, also

a)das Verzeichnis, in dem sich die Bilder befinden, oder

b)das eigene Verzeichnis, das Sie bei der Erzeugung angegeben haben.

Tip

Eine Bildauswahl muss nur einmal erzeugt werden, außer Sie nehmen Veränderungen an den Elementen vor. Anschließend muss die erzeugte Bildauswahl lediglich geladen werden, um mit ihr arbeiten zu können. Wenn Sie also eine gewisse Anzahl an Bildern erzeugt haben, starten Sie einmal den Erzeugungsvorgang und können dann jederzeit darauf zurückgreifen.

Wenn Sie ein Bild im Bildverzeichnis geändert haben, nun jedoch nicht alle anderen Bildeinträge über die Option Überschreiben neu erzeugen wollen, müssen Sie lediglich die .bip Datei des Bildes löschen. Bei einer erneuten Erzeugung wird dann nur dieses Bild neu bearbeitet.


3D Info...

Dieser Dialog wird normalerweise auch nach dem Einlesen eines neuen Projekts angezeigt.

Dialog 3D Info

Im oberen Teil erhalten Sie Informationen über die eingelesene Geometrie mitsamt der umschreibenden Raumbox, die das gesamte Projekt umgibt. Die größte Seite dieser Raumbox wird dann als Maximale Ausdehnung angezeigt.

Wenn diese Ausdehnung nicht den konstruierten Abmessungen entspricht, haben Sie ein Datenformat gewählt, das keinerlei Informationen über Einheit und Maßstab beinhaltet (meist DXF-3D oder 3DS). In diesem Fall muss das Projekt nach skaliert werden, da die richtige Ausdehnung für die korrekte Darstellung der Texturen benötigt wird. Nutzen Sie in solchen Fällen bitte die Möglichkeit, über den Schalter skalieren...

Button 3D Info Scale1

das Projekt nach zu skalieren. In dem folgenden Dialog

Dialog 3D Info Scale1

können Sie den entsprechenden Skalierungsfaktor eingeben. Bitte aktivieren Sie hier bei Bedarf auch noch die Option Texturen. Geben Sie auch den entsprechenden Skalierungsfaktor an. Über die Auswahl Nullpunkt setzen auf verschieben Sie auch gleichzeitig den Ursprung (Nullpunkt) des Projekts.

Menu 3D Info Scale

Nullpunkt | belässt den Ursprung am aktuellen Ort
Box Mitte | positioniert das Projekt zentriert um den Nullpunkt
Box unten Mitte | zentriert das Projekt um den Nullpunkt und hebt es soweit an, dass die niedrigste Koordinate auf Z=0 liegt

Tip

Um diese Nachbearbeitung zu vermeiden, sollten Sie die DXF-3D oder 3DS Dateien immer in der Einheit Meter im Maßstab 1:1 abspeichern!

Tip

Die Unterscheidung original und komprimiert im 3D Info Dialog zeigt Ihnen die hervorragende Datenkompression von GAMMA-RAY. Beim Einlesen werden unnötige Punkte aus dem Datensatz eliminiert und die 3D-Geometrie datenkomprimiert. In den Gruppen werden Kopien Speicherplatz sparend verwaltet, da die Geometrie nur einmal im Speicher gehalten wird und nur die Änderungen wie Position und geänderte Materialzuweisungen für das kopierte Element abgelegt sind.

In dem unteren Bereich des Dialogs haben Sie die Möglichkeit, Punkte in ihren X- / Y- und Z-Koordinaten zu bestimmen. Hier bestimmen Sie, ob Sie einen Punkt auf einer Fläche, in einer Ansicht oder einen Eckpunkt bestimmen wollen. Klicken Sie zuerst auf die gewünschte Methode und dann den gewünschten Punkt im Projekt an. Seine Koordinaten werden dann in den Zeilen für X, Y und Z angezeigt.


Einstellungen...

Das Programm benutzt gewisse Grundeinstellungen, die in der Datei Gray19.ini im Verzeichnis Prog_19 des Installationsverzeichnisses eingetragen sind und bei jedem Programmstart ausgelesen werden. Damit diese nicht per Hand angepasst werden müssen, benutzen Sie den Dialog der Einstellungen.


Programmstart

Dialog Start Options Programstart

Die Einträge aus dem Bereich Programmstart bedeuten im Einzelnen:

Start-Logo anzeigen | Wenn aktiviert, wird ein Eingangsbild beim Programmstart angezeigt.
Material-Auswahl anzeigen | Wenn aktiviert, wird die Material-Auswahl nach dem Programmstart angezeigt.
Navigator anzeigen | Wenn aktiviert, wird der Navigator nach dem Programmstart angezeigt.
3D-Objekte-Auswahl anzeigen | Wenn aktiviert, werden die 3D-Objekte, die im Startverzeichnis Bib und allen seinen Unterverzeichnissen gefunden werden, nach dem Programmstart in der 3D-Objekte-Auswahl angezeigt.
3D-Objekte-Auswahl schnell laden | Wenn aktiviert, werden die 3D-Objekte in der 3D-Objekte-Auswahl schneller geladen.
Bild-Auswahl anzeigen | Wenn aktiviert, werden die Bilder, die im Startverzeichnis Images und allen seinen Unterverzeichnissen gefunden werden, nach dem Programmstart in der Bild-Auswahl angezeigt.
Dynamischen Zoom über Mausrad aktivieren | Wenn aktiviert, können Sie mit Hilfe des Mausrads zoomen.
Dialogpositionen nicht zurücksetzen | Wenn aktiviert, speichert das Programm immer die aktuellen Positionen der Dialoge ab, so dass sie beim nächsten Aufruf des Dialogs erhalten bleiben.
Dialogpositionen zurücksetzen... | Nach Aufruf werden die Dialogpositionswerte auf die nach der Installation verwendeten Originalpositionen zurückgesetzt.
Mauseinstellungen nicht zurücksetzen | Wenn aktiviert, speichert das Programm immer die aktuellen Einstellungen der Maussteuerung ab, so dass sie erhalten bleiben.
Mauseinstellungen zurücksetzen... | Nach Aufruf werden die Mauseinstellungen auf die nach der Installation verwendeten Originaleinstellungen zurückgesetzt.
Benutzeroberfläche | Unterscheiden Sie hier zwischen der Standard-Oberfläche und der Experten-Oberfläche.
Bei Absturz Dump-Datei schreiben | Wenn es zu einem Programmabsturz kommt, werden bei aktivierter Option Dateien in das Unterverzeichnis Dump kopiert, über die die Entwickler von GAMMA-RAY die Möglichkeit erhalten, die Ursache des Absturzes nachzuvollziehen. In diesem Fall werden Sie auch dazu aufgefordert, diese Daten per Email an den Hersteller zu senden. Bitte vergessen Sie nicht, kurz zu beschreiben, welche Bedienschritte Sie durchgeführt haben, bevor es zum Absturz kam.
Bei Absturz Projekt sichern | Sollte es zu einem Programmabsturz kommen, wird, wenn möglich, das aktuelle Projekt in das Unterverzeichnis Dump gesichert. Bitte bedenken Sie, dass nicht garantiert werden kann, dass in jedem Fall so eine Sicherung erfolgen kann.
Systeminformationen senden | Wenn Sie auf diesen Knopf klicken, werden Informationen über Ihr System an das Entwicklungshaus gemailt. Diese enthalten keine persönlichen Daten, können aber Aufschluss geben, falls es auf Ihrem System zu Problemen mit GAMMA-RAY kommt.

Tip

Die meisten Änderungen werden erst bei dem nächsten Programmstart aktiv.


Optionen

Dialog Start Options Options

Die Einträge aus dem Bereich Optionen bedeuten im Einzelnen:

Bild nach "Projekt laden" anzeigen | Wenn aktiviert, wird ein Bild, das im Verzeichnis der Projektdatei abgespeichert wurde, nach dem Einlesen eines Projekts in einem eigenen Fenster angezeigt. Die Bilddatei muss den Namen des Projekts haben.
3D Info nach "Projekt laden" anzeigen | Wenn aktiviert, wird der 3D Info Dialog direkt nach dem Einlesen eines Projekts angezeigt.
Nicht ebene Polygone in Dreiecke aufteilen | Wenn aktiviert, werden alle nicht ebenen Polygone direkt beim Einlesen automatisch in Dreiecke zerlegt. Da dies die Datenmenge drastisch erhöht, sollte diese Option nur bei Bedarf aktiviert werden. Ansonsten haben Sie auch noch über die Funktionen der Auswahl die Möglichkeit, nicht ebene Polygone gezielt in Dreiecke zu zerlegen. Eine Dreieckszerlegung kann benötigt werden, wenn Probleme beim Anklicken mit der Maus oder bei der Schattenberechnung auftreten.
Eingaben automatisch übernehmen | Wenn aktiviert, werden bei den meisten Dialogen die Eingaben automatisch übernommen, ohne dass Sie dies explizit angeben müssen.
Keine Warnung bei falscher Katalogzuordnung | Wenn aktiviert, werden Warnungen wegen unverträglicher Zuordnung von Materialien aus verschiedenen Katalogen unterdrückt. Diese Warnungen teilen Ihnen mit, dass Materialien aus unterschiedlichen Katalogen zugeordnet werden, was zu Problemen führt, wenn sich diese auf unterschiedlichen CDs befinden. Beim Abspeichern fehlen dann die Materialien der nicht eingelegten CDs.
Warnungen nicht anzeigen | Wenn aktiviert, werden alle Warnungen des Programms unterdrückt. Sie können das Fehlerprotokoll aber trotzdem mit der Funktion Letzte Fehlermeldung.... des Hilfe Menüs einsehen.
3D Stereo Ausgabe verwenden | Wenn aktiviert, kann eine 3D-Shutter-Brille in Verbindung mit einer entsprechenden 3D-Grafikkarte verwendet werden. Bitte fragen Sie Ihren Hardwarelieferanten. Auch die Verwendung von speziellen Stereo-Beamern und -Monitoren ist möglich.
3D-Maus verwenden | Wenn aktiviert, können Sie die 3D-Mäuse der Firma 3Dconnexion für die dreidimensionale Einstellung der Objektposition verwenden. Bitte fragen Sie Ihren Hardwarelieferanten.
Grundeinstellung Kanaltrennung aktivieren | Wenn aktiviert, wird die Kanaltrennung, so wie sie bei der Programminstallation eingestellt wurde, verwendet.
Längeneinheit | Auswahl der Einheiten, die in den Dialogen des Programms verwendet werden. Dialog Start Options Unit
1 Einheit = | Zeigt den Umrechnungsfaktor der eingestellten Einheit zu der Standard-Einheit Meter an. Haben Sie die Einheit Benutzer-Einheit gewählt, können Sie einen eigenen Umrechnungsfaktor in Bezug auf 1m angeben, um eine besondere Einheit nutzen zu können (z.B. 1Meile = 1609,344m).
Anzahl Nachkommastellen | Bestimmt die Anzahl der Nachkommastellen, auf die Eingaben in den Dialogen des Programms gerundet werden soll. Eine Länge von 12,1mm wird bei Einheit Meter und 3 Nachkommastellen also als 0,012m angezeigt.
Anzahl Undo-Ebenen | Bestimmt die Anzahl der Schritte, die mit der Rückgängig-Funktion rückgängig gemacht werden können.
Anzahl Arbeitskopien | Bestimmt die Anzahl der Arbeitskopien, die Sie abspeichern können, bevor die erste Arbeitskopie überschrieben wird.
Verteilung auf der Himmelskuppel | Beschreibung siehe unten.
maximale Pixelmenge pro Bildstreifen | Gibt die Pixelmenge an, die als Bildspeicher für die Bilddarstellung verwendet werden darf. Reicht diese Größe nicht aus, wird das zu berechnende Bild in mehrere Streifen unterteilt. Die Menge wurde bei der Installation auf einen Wert gesetzt, der normalerweise vollkommen ausreichend ist und derzeit nicht geändert werden sollte.

Tip

Wenn Sie bei einer Längenangabe in einem Dialog keine Einheit angeben, verwendet GAMMA-RAY automatisch die ausgewählte Längeneinheit. Sie können Eingaben in einer anderen als der eingestellten Einheit angeben, indem Sie den Zahlenwert gefolgt von der Abkürzung der Einheit eintippen (also z.B. 1cm). Das Programm rechnet dann die Eingabe um und stellt das Ergebnis in der ausgewählten Einheit dar (also z.B. 0,01m).

Damit eine Außenbeleuchtung nicht zu stark von oben einstrahlt, geben Sie an, wie weit die Beleuchtung über die Himmelskuppel nach unten gezogen wird.

Dialog Start Options Options Heaven 1

Die Standard-Einstellung ist 1. Wenn Sie das Tageslicht berechnen, ergibt sich folgendes Bild.

Image Heaven 1

Ändern Sie den Wert auf 2

Dialog Start Options Options Heaven 2

und berechnen das Tageslicht anschließend erneut, ändert sich die Beleuchtung wie folgt:

Image Heaven 2

Ändern Sie den Wert auf 3

Dialog Start Options Options Heaven 3

und berechnen das Tageslicht anschließend erneut, ändert sich die Beleuchtung wie folgt:

Image Heaven 3

Die Beleuchtung wird bei höheren Werten immer mehr nach unten gezogen, wodurch die Seitenwände immer heller und der Rasen / das Dach immer dunkler werden.

Der Einstellbereich liegt zwischen 1.0 und 3.0.

Tip

Die meisten Änderungen werden erst bei dem nächsten Programmstart aktiv.


Verzeichnisse

Dialog Start Options Directories

Die Einträge aus dem Bereich Verzeichnisse bedeuten im Einzelnen:

Projekte | Verzeichnis, das nach dem Programmstart angeboten wird, wenn Sie die Menüpunkte zum Laden und Speichern von Projekten aufrufen.
Bild-Auswahl | Verzeichnis, das nach dem Programmstart angeboten wird, wenn Sie die Menüpunkte zum Laden und Erzeugen einer Bild-Auswahl aufrufen. In diesem Verzeichnis samt seinen Unterverzeichnissen wird auch nach Bildern für die Bild-Auswahl gesucht, die automatisch nach dem Programmstart geladen wird, sofern die entsprechende Option aktiviert ist.
Texturen | Verzeichnis, das nach dem Programmstart angeboten wird, wenn Sie den Menüpunkt zur Auswahl von Texturen aufrufen.
Umgebungstextur | Verzeichnis, das nach dem Programmstart angeboten wird, wenn Sie den Menüpunkt zur Auswahl von Umgebungstexturen aufrufen.
Suchpfade für Materialien der Material-Auswahl | Verzeichnisse, in denen nach dem Programmstart nach Texturen und Katalogen gesucht wird, die dann in der Material-Auswahl angezeigt werden. Die einzelnen Verzeichnisse werden durch ein Semikolon (;) voneinander getrennt.
Suchpfade für 3D-Objekte | Verzeichnisse, in denen nach dem Programmstart nach 3D-Objekten gesucht wird, die dann in der 3D-Objekte-Auswahl angezeigt werden. Die einzelnen Verzeichnisse werden durch ein Semikolon (;) voneinander getrennt.

Tip

Die meisten Änderungen werden erst bei dem nächsten Programmstart aktiv.


Prozessoren

Dialog Start Options CPUs

GAMMA-RAY kann für die Berechnungen alle Prozessoren, die im Rechner vorhanden sind, parallel verwenden. Dazu muss die Option Mehrere Prozessoren verwenden aktiv sein.

Wollen Sie nicht alle Prozessoren für GAMMA-RAY reservieren, können Sie die Anzahl der verwendeten Prozessoren reduzieren. Das kann sinnvoll sein, wenn Sie parallel zum Rendering auch ein weiteres rechenintensives Programm verwenden. Bei reduzierter Anzahl für GAMMA-RAY erhält der Rest mehr Rechenleistung. Jedoch werden die Berechnungen in GAMMA-RAY auch deutlich langsamer.


GPU Turbo

Attention

Das neue Zusatzmodul GPU Turbo kann nur unter den 64-Bit Varianten von Windows® VISTA, Windows® 7 und Windows® 8 verwendet werden. Unter 32-Bit Windows® Systemen kann GPU Turbo nicht genutzt werden.

Mit diesem neuen Zusatzmodul für GAMMA-RAY erreichen Sie eine deutliche Beschleunigung der Berechnungen. GPU Turbo nutzt erstmals auch die Prozessoren auf der Grafikkarte (GPUs) für die rechenintensiven Prozesse, die von diesen schneller bearbeitet werden können als von CPUs. Berechnungen werden über hybride Verfahren vorgenommen. Dabei entscheidet GAMMA-RAY selbstständig, ob für die Berechnung die CPUs oder die GPUs verwendet werden. So sind schnelle Ergebnisse garantiert.

Attention1

Es kann nicht sichergestellt werden, dass GPU Turbo auch mit Ihrer Grafikkarte betrieben werden kann. Bitte beachten Sie unbedingt die Technische Spezifikation zu GAMMA-RAY. Außerdem empfehlen wir, den GPU Turbo Test auf Ihrem Computer durchzuführen, um zu überprüfen, ob Ihr System zu GPU Turbo kompatibel ist.

Nach dem Programmstart werden Sie aufgefordert, einen Funktionstest durchzuführen, über den bestimmt wird, ob Ihre Grafikkarte kompatibel zu GPU Turbo ist. Dieser Funktionstest dauert nur wenige Minuten.

Question Start GPU Test

Damit GPU Turbo verwendet werden kann, muss dieser Test durchgeführt werden. Wenn die Grafikkarte kompatibel ist, wird GPU Turbo aktiviert. Außerdem werden zusätzliche Berechnungsarten mit GPU Turbo durchgeführt, sofern die Rechnerhardware dies zulässt.

Question Activate GPU For Exterior

Beantworten Sie diese Frage mit Ja.

Unter Datei->Einstellungen kann dieser Funktionstest wiederholt werden. Zusätzlich kann auch die komplette Hardware (CPU und GPU) getestet werden, um Informationen über die Leistung des Rechners zu erhalten.

Dialog Start Options GPU Turbo

Hat der Funktionstest erkannt, dass ihr System kompatibel zu GPU Turbo ist, wird GPU Turbo aktiviert. Die Berechnungen für Tageslicht innen, Tageslicht Außen exakt und indirekten Lichtverlauf exakt (inklusive indirektes Licht von Lichtquellen und Abstrahlen direkt / indirekt von Materialien) werden mit GPU Turbo beschleunigt. Hat der Selbsttest ergeben, dass auch die Berechnung für Tageslicht Außen mit GPU Turbo beschleunigt werden kann, so wird auch diese Option aktiviert. Dies hängt davon ab, wie viel Speicher auf der Grafikkarte und auf dem Motherboard verfügbar sind.

Informationen über Ihre Grafikkarte erhalten Sie über den Knopf GPU Turbo Info und aktivieren...

Dialog GPU Turbo Info

Bei dem kompletten Funktionstest wird die Leistungsfähigkeit ihres System mit einem Benchmark Test ermittelt. Klicken Sie dazu auf den Knopf CPU und GPU Turbo Funktionstest durchführen... Der Test kann eine Weile dauern. Im Anschluss werden Sie darüber informiert, ob Ihr PC zu GPU Turbo kompatibel ist. Es wird ein Leistungs- und Funktionstest mit verschiedenen Tageslichtberechnungen für ein Referenzprojekt durchgeführt. Dadurch ermittelt GAMMA-RAY die Leistungs-Punkte für CPU und GPU sowie die Gesamtbeschleunigung. Außerdem wird geprüft, ob Ihre GPU ein korrektes Ergebnis liefert. Das Ergebnis des letzten Tests wird in einem Meldungsfenster angezeigt.

Nach erfolgtem Test werden Sie gefragt, ob Sie das Ergebnis an den Hersteller übersenden wollen.

Question Send GPU Test Result

Bitte unterstützen Sie uns, damit wir GPU Turbo weiter optimieren können. Es werden keine persönlichen Daten übertragen.

Im Bereich Leistungs- und Funktionstest mit Referenzprojekt wird das Ergebnis des Tests angezeigt.

Dialog Start Options GPU Turbo1

Je höher die Werte sind, um so schneller führt GAMMA-RAY die Berechnungen durch.

CPU-Punkte: bestimmt die Leistungsfähigkeit Ihrer CPU anhand des Referenzprojekts. Mehr Punkte bedeuten eine höhere Leistung. Ältere oder leistungsschwache CPUs erreichen etwa 1.000 Punkte, aktuelle CPUs wie Intel® Core i7 etwa 8.000 Punkte. High-End-Workstations liegen bei über 10.000 Punkten.

GPU-Punkte: bestimmt die Leistungsfähigkeit Ihrer GPU anhand des Referenzprojekts. Mehr Punkte bedeuten eine höhere Leistung. Schwächere Grafikkarten liegen bei 15.000 Punkten. Übliche Grafikkarten erreichen etwa 50.000 Punkte. Hochleistungskarten erreichen über 100.000 Punkte.

Tip

GPU Turbo wurde extra so ausgelegt, dass Sie die leistungsfähigen Gamer-Grafikkarten, die am Markt für erschwingliche Kosten erhältlich sind, bevorzugen können. Hohe Investitionen in ein Grafiksystem, so wie es bei anderen Rendingprogrammen benötigt wird, stehen bei GPU Turbo also nicht an.

Attention

Die nicht ganz so teuren Grafikkarten mit Quadro-Grafikprozessoren von NVIDIA® sind nicht kompatibel zu GPU Turbo. Bevorzugen Sie daher die Gamer-Grafikkarten mit GeForce-Grafikprozessoren, die zum gleichen Preis aber mit deutlich mehr Leistung erhältlich sind.

Gleiches gilt auch für die Grafikkarten mit Grafikprozessoren von AMD. Bevorzugen Sie die AMD Radeon™ Grafikkarten vor den AMD FirePro™ Grafikkarten.

GPU Turbo Beschleunigungsfaktor: aus der Zusammenarbeit von CPU und GPU ergibt sich eine Gesamt-Beschleunigung der Berechnung. 700% bedeuten, dass das Referenzprojekt mit GPU Turbo Aktivierung sieben mal schneller berechnet wurde als ohne. Die optimale Leistung erzielt GPU Turbo auf Grafikkarten, die viel dedizierten Grafikspeicher (z.B. 4 GB VRAM) sowie einen hohen Dreiecksdurchsatz (z.B. 4.000 Mio. Dreiecke/sec) haben.

Beispiel: NVIDIA® GeForce GTX 680 4 GB: ca. 135.000 Punkte

Wenn GPU Turbo die Berechnung beschleunigt, wechselt die Prozessorlast-Anzeige die Farbgebung. Immer, wenn auch die GPUs für die Berechnung verwendet werden, erscheinen die Balken der Prozessorlast-Anzeige teilweise auch in orange.

CPU And GPU Working

Sollten die Systemressourcen für die aktuelle Berechnung nicht ausreichend sein, so dass GPU Turbo keinen beschleunigenden Effekt erzielen würde, wird er für diese Berechnung temporär deaktiviert.

Nicht geeignet sind z.B. PCs, bei denen die Grafikkarte auf dem Motherboard integriert ist. Nach dem Test erscheint dann folgende Meldung:

Dialog GPU Test Failed

An dem roten X erkennen Sie, dass Ihre Grafikkarte nicht für GPU Turbo verwendbar ist.

Dialog Start Options GPU Turbo2

Gründe für die Inkompatibilität können sein:

·Sie verwenden keine eigenständige Grafikkarte von NVIDIA® oder AMD®.

·Die Grafikkarte enthält weniger als 512 MB dediziertem Grafikspeicher (VRAM).

·Die Grafikkarte unterstützt nicht mindestens OpenGL 3.0.

·Sie haben nicht den aktuellsten Grafiktreiber für ihre Grafikkarte installiert.

·Der Computer hat weniger als 3 GB Hauptspeicher (RAM).


Einstellungen für NVIDIA Optimus Technologie

Zitat: Die NVIDIA® Optimus™ Technologie optimiert auf intelligente Weise Ihr Notebook, indem sie die hervorragende Grafikleistung nur dann zur Verfügung stellt, wenn Sie sie brauchen. Die Akkulaufzeit wird so verlängert Sie haben länger etwas von Ihrem Rechner. (siehe www.nvidia.de, Stand 02/2013)

Diese Technologie macht für leistungsfähige Programme wie GAMMA-RAY Probleme, da die Voreinstellung von NVIDIA® die schnellen Operationen der Grafikkarte deaktiviert. Dadurch kann GPU Turbo auch erst mal nicht verwendet werden. Um dies zu ändern, gibt es zwei Möglichkeiten. Wählen Sie dazu in der NVIDIA Systemsteuerung das Menü 3D-Einstellungen verwalten.

1.Generelle Aktivierung des NVIDIA® Hochleistungsprozessors:

Dialog NVIDIA Global Settings

Wechseln Sie von der Automatischen Auswahl zu NVIDIA Hochleistungsprozessor und übernehmen Sie die Eingabe.

2.Spezielle Einstellung für GAMMA-RAY:

Dialog NVIDIA Program Settings

Wählen Sie bei den Programmeinstellungen unter 1. Hinzufügen und suchen Sie im Installationsverzeichnis von GAMMA-RAY unter Prog_19... nach der Datei GAMMARAY.exe. Wechseln Sie dann unter 2. von Globale Einstellung zu NVIDIA Hochleistungsprozessor und übernehmen Sie Ihre Eingabe.

Dialog NVIDIA Program Settings1

In beiden Fällen ist im Anschluss die schnelle Grafikkarte für GPU Turbo verwendbar.


Navigation: Die Menüs > Das Menü Datei >

Return to chapter overview

Beenden

Mit diesem Menüpunkt beenden Sie das Programm.


Navigation: Die Menüs >

Return to chapter overview

Das Menü Bearbeiten


Mehrere rückgängig

Über diese Funktion lassen sich mehrere Operationen, die Sie vorgenommen haben, gesamt zurücknehmen. Wenn Sie den Cursor auf die Funktion bewegen, wird eine Liste der letzten Operationen angezeigt.


Wiederherstellen mehrere

Über diese Funktion lassen sich mehrere Operationen, die Sie rückgängig gemacht haben, gesamt wiederherstellen. Wenn Sie den Cursor auf die Funktion bewegen, wird eine Liste der letzten zurückgenommenen Operationen angezeigt.


Bild und Auswahl in Zwischenablage kopieren

Nachdem Sie Flächen über eine der Auswahlfunktionen in die Auswahl aufnehmen, kopieren Sie die Auswahl und das aktuelle Bild in die Zwischenablage. Die Auswahl kann dann z.B. in ein anderes Projekt, das Bild kann in andere Programme eingefügt werden.


Zwischenablage als Auswahl einfügen

Wenn Sie eine Auswahl in die Zwischenablage kopiert haben, lässt sich der Inhalt dann z.B. in ein anderes Projekt einfügen. Die Auswahl wird an die gleiche Position platziert wie sie abgespeichert wurde.


Zwischenablage als Auswahl einfügen und platzieren

Wenn Sie eine Auswahl in die Zwischenablage kopiert haben, lässt sich der Inhalt dann z.B. in ein anderes Projekt einfügen. Die Auswahl kann dann gleich platziert werden.


Texturfilm starten

Wenn Sie AVI-Texturen verwenden, können Sie hier die Animation des Materials testen. Nachdem Sie die Textur auf eine Fläche gelegt haben, wählen Sie Texturfilm starten. Die Animation läuft auf der Fläche ab.

Attention

Es wird immer die AVI-Textur gestartet, die gerade in der Material-Auswahl aktiviert (d.h. unterlegt dargestellt) ist.


Umgebungsfilm starten

Wenn Sie AVI-Dateien als Hintergrund verwenden, können Sie hier die Animation des Hintergrunds darstellen. Nachdem Sie die Textur definiert und in den Hintergrund gelegt haben, wählen Sie Umgebungsfilm starten. Die Animation ist im Hintergrund sichtbar.


Benachbarte Flächen in einer Ebene zusammenfassen

Ist identisch zu der Auswahl-Funktion benachbarte Flächen in einer Ebene.

Wenn Sie alle benachbarten Flächen einer Ebene des Projekts zusammenfassen wollen, wählen Sie diese Funktion. Sie müssen dann keine Auswahl treffen.


Das Menu Maus-Modi

Die einzelnen Maus-Modi, die in GAMMA-RAY verwendet werden können, haben Sie bereits kennen gelernt. Die Maus-Modi lassen sich auch über dieses Menü anwählen.

Menu Mouse Modes1

Sie erkennen in diesem Menü auch, mit welcher Tastenkombination ein Maus-Modus gewählt werden kann.

Wenn Sie den Navigator ausgeblendet haben, kann er in diesem Menü wieder dargestellt werden.


Das Menü Darstellung

Im Menü Darstellung finden Sie Funktionen, um Bildfilter zu setzen. Über diese treffen Sie Entscheidungen, welche Teile des Projekts dargestellt werden sollen. Wenn Sie also ein umfangreiches Projekt bearbeiten, können Sie hier gewisse Bereiche ausblenden, um den Bildaufbau zu beschleunigen. So nehmen Sie also bereichsweise die Materialzuweisungen und sonstige Einstellungen vor, ohne immer das gesamte Projekt aufbauen zu müssen.

Zusätzlich gehören zu diesem Bereich Optionen, mit denen Hilfssymbole eingeblendet werden. An den Häkchen am Zeilenanfang erkennen Sie, ob eine Option angewählt ist oder nicht.


Alles darstellen

Ist dieser Menüpunkt aktiviert, wird das Projekt komplett dargestellt. Wenn Sie also über eine der im Folgenden beschriebenen Funktionen nur Teile des Projekts aufbauen, können Sie mit Hilfe von Alles darstellen wieder das komplette Projekt darstellen.


Kennungen auswählen...

Hier bestimmen Sie die Kennungen, die dann über die Funktion Ausgewählte Kennungen darstellen dargestellt werden. Kennungen sind die Hauptstrukturelemente, die über die Datenschnittstelle festgelegt wurden.

Dialog Select Attributes

Bestimmen Sie die Kennungen, indem Sie

·die gewünschten Kennungen in der Liste nacheinander auswählen,

·eine Kennung auswählen und eine darunter liegende Kennung mit gedrückter Shift-Taste anklicken, um den Bereich zwischen der ersten und der zweiten Kennung auszuwählen, oder

·nach Anwahl des Knopfs Kennung über Fläche wählen auf eine Kennung klicken, um diese auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Kennungen als Drahtmodell gelb und die übrigen Kennungen weiß anzuzeigen.


Ausgewählte Kennungen darstellen

Wenn Sie über Kennungen auswählen... die Kennungen festgelegt haben, die separat dargestellt werden sollen, wählen Sie Ausgewählte Kennungen darstellen. Alle weiteren Bildaufbauten zeigen dann nur die Flächen, die Kennungen besitzen, die Sie bestimmt haben.

Um wieder das gesamte Projekt darzustellen, wählen Sie die Funktion Alles darstellen.


Objekte auswählen...

Hier bestimmen Sie die Objekte, die dann über die Funktion Ausgewählte Objekte darstellen dargestellt werden. Objekte sind weitere Strukturelemente, die über die Schnittstelle bestimmt wurden. Es ist jedoch auch möglich, dass das Projekt nur aus einem Objekt besteht. Dann macht diese Funktion natürlich wenig Sinn.

Dialog Select Objects

Bestimmen Sie die Objekte, indem Sie

·die gewünschten Objekte in der Liste nacheinander auswählen,

·ein Objekt auswählen und ein darunter liegendes Objekt mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und dem zweiten Objekt auszuwählen, oder

·nach Anwahl des Knopfs Objekt über Fläche wählen auf ein Objekt klicken, um dieses auszuwählen. Dieser Vorgang kann beliebig wiederholt werden.

Klicken Sie auf Hervorheben, um die in der Liste angewählten Objekte als Drahtmodell gelb und die übrigen Objekte weiß anzuzeigen.


Ausgewählte Objekte darstellen

Wenn Sie über Objekte auswählen... die Objekte festgelegt haben, die separat dargestellt werden sollen, wählen Sie Ausgewählte Objekte darstellen. Alle weiteren Bildaufbauten zeigen dann nur die Flächen, die zu den Objekten gehören, die Sie bestimmt haben.

Um wieder das gesamte Projekt darzustellen, wählen Sie die Funktion Alles darstellen.


Ausgewählte Kennungen/Objekte darstellen

Wenn Sie über die Funktion Kennungen auswählen... die Kennungen und über Objekte auswählen... die Objekte festgelegt haben, die separat dargestellt werden sollen, wählen Sie Ausgewählte Kennungen/Objekte darstellen. Der neue und alle weiteren Bildaufbauten zeigen dann nur die Flächen, die eine Kennungen besitzen bzw. zu den Objekten gehören, die Sie bestimmt haben.

Um wieder das gesamte Projekt darzustellen, wählen Sie die Funktion Alles darstellen.


Materialien auswählen...

Nach Anwahl öffnet sich ein Dialog, in dem Sie Informationen zu den aktuell verwendeten Materialien ablesen können. Außerdem lassen sich hier Flächen ausblenden, indem Sie deren Materialien aus der Liste abwählen.

Dialog Select Materials

Zu jedem Material erhalten Sie Angaben zu der Gesamtfläche, auf die das Material gelegt wurde, die Anzahl der Polygone, die dieses Material besitzen, sowie die durchschnittliche Fläche für das Material. In der Spalte Fenster erkennen Sie, ob das Material bei der Tageslichtberechnung als Fenster dient. Die Spalte Texturspeicher informiert über die tatsächliche unkomprimierte Speichergröße des Texturbildes.

Wenn Sie auf den Titel der jeweiligen Spalte klicken, sortieren Sie diese Spalte von oben nach unten bzw. von unten nach oben. In der Liste können Sie Materialien anwählen, indem Sie

·die gewünschten Materialien in der Liste nacheinander auswählen.

·ein Material auswählen und ein anderes Material mit gedrückter Strg-Taste anklicken, um diese Materialien auszuwählen.

·ein Material auswählen und ein darunter liegendes Material mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und dem zweiten Material auszuwählen.

·nach Anwahl des Knopfs Material über eine Fläche auswählen und ausblenden auf eine Fläche klicken, um deren Material auszuwählen und alle Flächen, die mit diesem Material belegt sind, auszublenden. Auch hier können Sie die Strg-Taste nutzen, um mehrere Materialien zu wählen.

·nach Anwahl des Knopfs Material über eine Fläche auswählen und den Rest ausblenden auf eine Fläche klicken, um deren Material auszuwählen und alle Flächen, die nicht mit diesem Material belegt sind, auszublenden. Auch hier können Sie die Strg-Taste nutzen, um mehrere Materialien zu wählen.

Über Alle Materialien darstellen stellen Sie wieder alle Materialien dar, wenn Sie vorher Materialien durch Abwahl aus der Liste ausgeblendet haben.

Ändern Sie die Materialien bei geöffnetem Material auswählen... Dialog, kann die Liste über Liste aktualisieren neu aufgebaut werden.

Tip

In der Liste erkennen Sie auch die Materialien, die für die Berechnung des Tageslichts eines Innenraum als Fenster gefunden wurden (Fenster…). Somit können Sie sich nur die Flächen betrachten, die als Fenster gewertet werden und hier eventuelle Korrekturen vornehmen.


Teilprojekte auswählen...

Wenn Sie 3D-Objekte zu dem eingelesenen Projekt hinzufügen, werden sie als Teilprojekte behandelt. Auch zugefügte Pflanzen und erzeugte 3D-Texte sind Teilprojekte. Nach Aufruf der Funktion öffnet sich der folgende Dialog:

Dialog Select Partial Project

In der Herkunftsliste werden die zugefügten Teilprojekte dargestellt. Hier können Sie Teilprojekte anwählen, indem Sie

·die gewünschten Teilprojekte in der Liste nacheinander auswählen,

·ein Teilprojekt auswählen und ein anderes Teilprojekt mit gedrückter Strg-Taste anklicken, um diese Teilprojekte auszuwählen,

·ein Teilprojekt auswählen und ein darunter liegendes Teilprojekt mit gedrückter Shift-Taste anklicken, um den Bereich zwischen dem ersten und dem zweiten Teilprojekt auszuwählen, oder

·nach Anwahl des Knopfs Teilprojekt über eine Fläche auswählen und ausblenden auf eine Fläche klicken, um deren Teilprojekt auszuwählen. Auch hier können Sie die Strg-Taste nutzen, um mehrere Teilprojekte zu wählen.

·nach Anwahl des Knopfs Teilprojekt über eine Fläche auswählen und den Rest ausblenden auf eine Fläche klicken, um deren Teilprojekt auszuwählen. Auch hier können Sie die Strg-Taste nutzen, um mehrere Teilprojekte zu wählen.

Über Alle Teilprojekte darstellen stellen Sie wieder alle Teilprojekte dar, wenn Sie vorher Teilprojekte durch Abwahl aus der Liste ausgeblendet haben.

Ändern Sie das Projekt bei geöffnetem Teilprojekte auswählen... Dialog, kann die Liste über Liste aktualisieren neu aufgebaut werden.

Tip

Besonders hilfreich ist diese Funktion, wenn Sie das Projekt speichern wollen, um im Anschluss Änderungen an der Konstruktion im CAD-Programm vorzunehmen. In diesem Fall würden die zugeladenen 3D-Objekte ja verloren gehen. Wählen Sie in diesem Dialog deshalb nur die Teilprojekte an und speichern Sie diese unter einem eigenen Namen. Wenn Sie dann die geänderte Geometrie wieder eingelesen haben, laden Sie die Teilprojekte wieder hinzu.


Auswahl hervorheben

Über die Auswahlfunktionen des Maus-Modus Auswahl-Modus können Sie Flächen in die Auswahl aufnehmen, um diese dann weiter zu bearbeiten. Wenn Sie das Projekt als Drahtmodell darstellen, wird nach Aufruf von Auswahl hervorheben das Drahtmodell umgefärbt. Flächen, die in die Auswahl aufgenommen wurden, werden in rot und Flächen, die nicht ausgewählt sind, in weiß dargestellt. Sind Flächen zur Aufnahme in die Auswahl angewählt, aber noch nicht übernommen worden, erkennen Sie diese an der gelben Farbe.


Auswahl darstellen

Wählen Sie diese Funktion, stellen alle weiteren Bildaufbauten nur die Flächen dar, die sich in der Auswahl befinden.

Tip

Bevor Sie ausgewählte Elemente löschen, sollten Sie vorher noch mal die Auswahl aufbauen, um zu überprüfen, ob auch wirklich nur die Flächen ausgewählt wurden, die gelöscht werden sollen.

Um wieder das gesamte Projekt darzustellen, wählen Sie die Funktion Alles darstellen.


Auswahl / Zuordnung hervorheben

Bei der Materialzuordnung wird durch ein Highliting (Darstellung der umschreibenden Silhouette) angezeigt, welchen Flächen das Material zugeordnet wird. Dieses Highliting schalten Sie über diese Funktion an und aus.


Projektgeometrie darstellen

Über die im Folgenden beschriebenen Funktionen blenden Sie zu der Projektgeometrie Hilfssymbole (z.B. Lichtquellen, Kameras, ...) ein. Bei größeren und aufwändigeren Projekten kann dies dazu führen, dass Sie durch zahlreiche Polygonlinien die Hilfssymbole nicht mehr erkennen. Dann schalten Sie die Flächen der Geometrie aus, so dass nur noch die Hilfssymbole zu sehen sind.


Kameras darstellen

Ist diese Funktion aktiviert, werden ab dem nächsten Bildaufbau die für das Projekt eingestellten Kameras als Symbole dargestellt, wenn man es in 4-Ansichten anzeigt. Diese Darstellung kennen Sie vom Kamera-Symbol-Modus.


Außenpanorama-Weg darstellen

Ist diese Funktion aktiviert, wird der Weg der Kamera, die für die Berechnung eines Außenpanoramas verwendet wird, angezeigt. So können Sie Kollisionen mit Objekten schon im Vorfeld erkennen.


Animationsweg darstellen

Ist diese Funktion aktiviert, werden ab dem nächsten Bildaufbau die für das Projekt definierten Animationen dargestellt.

Der Animationsweg wird als blauer Spline oder blaue Linie angezeigt. Auf diesem Weg erkennen Sie die einzelnen Positionen, aus denen bei der Berechnung der Animationen ein Bild berechnet wird, als kurze grüne Striche. Die Positionen zu jeder vollen Sekunde werden als rote Striche dargestellt.


Lichtquellensymbole darstellen

Ist diese Funktion aktiviert, werden die Hilfssymbole der Lichtquellen eingeblendet. Diese Darstellung kennen Sie vom Licht-Symbol-Modus.


Koordinatensysteme darstellen

Ist diese Funktion aktiviert, werden die Koordinatensysteme des Projekts angezeigt.

Sie erkennen ein größeres Koordinatensystem, das den Koordinatenursprung der CAD-Geometrie anzeigt und ein kleineres Koordinatensystem, das immer in Bildmitte liegt und den Blickpunkt symbolisiert.

Die Achsenfarben geben Auskunft über die jeweilige Achse:

Rote Achse = X-Achse

Grüne Achse = Y-Achse

Blaue Achse = Z-Achse

Tip

Die Zuordnung ist leicht zu lernen, wenn Sie an die Darstellung von Farben denken:

R/G/B entspricht X/Y/Z


Texturausrichtungsebene darstellen

Ist diese Funktion aktiviert, werden die aktuellen Ausrichtungs-Richtungen (U und V) für ebene Ausrichtungen und der aktuelle Zylinder bzw. die aktuelle Kugel für die Ausrichtung angezeigt. Diese Funktion unterstützt Sie beim Ändern der Texturausrichtung.


Das Menü Panorama

Bei den Panoramen unterscheidet man Innenpanoramen und Außenpanoramen.

Bei den Innenpanoramen wird ein Rundumblick um die aktuelle Kameraposition berechnet. Wird das Panorama komplett berechnet, kann mit nur sechs Bildern ein komplettes 360o-Panorama erzeugt werden. Auch die Möglichkeit, nur einen Ausschnitt in bestimmten Winkelgrenzen zu berechnen, existiert.

Bei den Außenpanoramen erzeugt GAMMA-RAY einen Rundblick von außen, wobei auch hier nur ein Ausschnitt erzeugt werden kann.

Eine genaue Beschreibung zur Erzeugung und Weitergabe von Panoramen finden Sie im Tutorial. Auch die Verwendung des GVR-Panorama-Players ist dort beschrieben.


Innenpanorama komplett berechnen...

Dialog Interior Panorama

Wenn Sie mehrere Standpunkte für die Berechnung ausgewählt haben, erfolgt folgende Abfrage:

Dialog Panorama Linking

Wählen Sie hier:

·ob die Panoramen nicht miteinander verbunden sein sollen. Dann wird für jeden einzelnen Standpunkt ein eigenes Panorama berechnet.

·ob die Standpunkte in der Reihenfolge verbunden werden sollen, in der sie in der Liste ausgewählte Kameras (Reihenfolge) eingetragen sind.

·ob alle Standpunkte untereinander verbunden werden sollen. Dann kann man im berechneten Panorama beliebig von einem zum anderen Standpunkt springen.

Nach Bestätigung mit OK erfolgt eine weitere Abfrage;

Dialog Panorama View

Wählen Sie hier

·ob nach dem Sprung in die gleiche Richtung geschaut wird. Die Kamerasicht richtet sich also nach der Sicht der bisherigen Bewegung.

·ob nach dem Sprung zurück zum Ausgangspunkt geschaut wird. Man dreht sich also zur vorherigen Sicht um.

·ob nach dem Sprung in Richtung der Kamera geschaut wird. Die Sicht entspricht also der definierten Sicht für diese Kamera.

Das berechnete Panorama wird im GVR-Panorama-Player angezeigt.


vorhandene Kameras

Wählen Sie eine oder mehrere Kameras, um deren Standpunkt und Einstellung zur Berechnung des Panoramas / der Panoramen zu verwenden. Es stehen die Kameras zur Verfügung, die auch in der Kameraliste des Kamera-Editors aufgelistet sind. Wenn Sie mehrere Kameras anwählen, lassen sich mehrere Panoramen miteinander verbinden.


ausgewählte Kameras (Reihenfolge)

In diese Liste können Sie die Kameras aufnehmen, die für das Innenpanorama verwendet werden sollen. Die Reihenfolge der berechneten Panoramen richtet sich nach der Reihenfolge in der Liste.

Mit Image Into List nehmen Sie die in der Liste vorhandene Kameras ausgewählte Kamera in diese Liste auf, mit Image Out Of List entfernen Sie die in der Liste ausgewählte Kameras (Reihenfolge) ausgewählte Kamera von dieser Liste.

Um die Reihenfolge innerhalb der Liste zu ändern, markieren Sie die gewünschte Kamera und verwenden Sie die Knöpfe Image Up und Image Down.


Darstellungs-Modus

Entscheiden Sie, in welcher Darstellungsqualität das Panorama berechnet werden soll. Es stehen die Modi zur Verfügung, die auch in der Berechnungseinstellungsliste des Berechnungs-Editors aufgelistet sind.


Panoramabildgröße

Folgende Bildgrößen stehen Ihnen zur Verfügung:

Menu Image Size Interior

Für die Einstellung einstellbar geben Sie eine eigene Größe ein. Da Innenpanoramen immer als quadratische Bilder berechnet werden, können Sie nur den linken Wert eingeben. Der rechte wird dann automatisch angepasst.

Tip

Innenpanoramen lassen sich über den GVR-Panorama-Player von GAMMA-RAY in beliebigen Größen darstellen. Da es auch möglich ist, im Panorama zu zoomen, sollten die Bilder nicht zu klein berechnet werden. Verwenden Sie also für die finale Qualität Werte von 1024 * 1024, 1280 * 1280 oder noch größer. Um einen Eindruck zu erhalten, wie das Panorama wirken wird, reichen kleinere Bildgrößen aus.


Drucken des Panoramas ist erlaubt

Wenn Sie diese Option deaktivieren, ist ein Ausdruck des Panoramas in dem GVR-Panorama-Player nicht möglich.


Dateiname

GAMMA-RAY schlägt Ihnen hier einen Namen auf Basis des Projektnamens vor. Natürlich können Sie auch jeden anderen Namen eingeben.


Dateityp

Panoramen werden immer im GVR-Format der Firma GAMMA mbH oder im QuickTime®-Format der Firma Apple® berechnet.


Bildqualität

Über den Schieberegler verringern Sie die Bildqualität, was dann zu kleineren Dateigrößen, aber auch verringerter Bildqualität führt. Mit der Bildqualität von 100% werden die größten Panoramadateien erzeugt.


Innenpanorama als Ausschnitt berechnen...

Dialog Interior Panorama Sector2


Panoramabildgröße

Folgende Bildgrößen stehen Ihnen zur Verfügung:

Menu Image Size Exterior

Für die Einstellung einstellbar geben Sie eine freie Bildgröße ein. Innenpanoramen als Ausschnitt müssen im Gegensatz zu kompletten Innenpanoramen nicht quadratisch sein.


Breitenwinkel

Der Breitenwinkel bestimmt, wie viele Bilder für das Panorama in horizontaler Richtung berechnet werden. Eine Einstellung der Schrittweite von 10o führt also zu 36 Bildern in horizontaler Richtung, wenn von 0o bis 360o berechnet wird. Sie können aber auch Ausschnitte im Bereich von: bis: vorgeben (z.B. von -50o bis 50o).


Höhenwinkel

Der Höhenwinkel bestimmt, wie viele Bilder für das Panorama in vertikaler Richtung berechnet werden. Hier sind die Einstellung der Schrittweite und die Winkelangabe Von: Bis: einzugeben. Wählen Sie eine Schrittweite von 10o und für Von: -10o und für Bis: 10o, erzeugt GAMMA-RAY 108 Bilder, bei einer Eingabe von 10o für die Schrittweite des Breitenwinkels (36 Bilder unter -10o + 36 Bilder unter 0o + 36 Bilder unter 10o).


Navigation: Die Menüs > Das Menü Panorama >

Return to chapter overview

Außenpanorama berechnen...

Dialog Export Panorama


Geschwindigkeit für animierte GIFs (fps)

Damit Außenpanoramen in einer Endlosschleife automatisch ablaufen, können sie als animierte GIFs oder als Shockwave-Dateien erzeugt werden. Diese lassen sich in Ihre Internetseite integrieren und werden dann als Endlosbewegung dargestellt.

Die Geschwindigkeit, in der animierte GIFs ablaufen, geben Sie in der Einheit Bilder pro Sekunde (fps) ein.


Das Menü Fenster

Mit diesem Menü kontrollieren Sie das Darstellungsfenster. Es stehen Ihnen folgende Funktionen zur Verfügung:


Neues Fenster erstellen

Dieser Menüpunkt öffnet ein neues Darstellungsfenster am Bildschirm. Nach Anwahl sehen Sie ein weiteres Popup-Menü:

Menu New Window

Folgende Ansichten stehen Ihnen zur Verfügung:

Menu New Window Standard Views

Sie bestimmen hier feste Ansichten aus den verschiedenen Richtungen. Es handelt sich um vom Programm fix vorgegebene Ansichten, so dass eine Änderung durch die bekannten Kamera-Modi nicht möglich ist.

Tip

Alle Ansichten außer der isometrischen Ansicht stellen das Projekt in einer Parallelprojektion und somit ohne perspektivische Verzerrung dar.

Über Freie Ansicht öffnen Sie ein neues Fenster, das die selbe Perspektive wie das aktuelle Darstellungsfenster aufweist.

Tip

Änderungen an der Kameraperspektive wirken sich nur auf das aktuelle Fenster aus. Öffnen Sie also verschiedene Fenster am Bildschirm, über die Sie das Projekt aus verschiedenen Ansichten betrachten.

Änderungen an den Materialeigenschaften wirken sich in alle Fenster aus. So sehen Sie z.B. ein Material, das Sie per Drag & Drop auf eine Fläche legen, sofort in allen Fenstern.


Fenster schließen

Diese Funktion schließt das aktuelle Fenster. Wenn das Fenster geschlossen wird, bleiben Projekt, Kamera und Berechnungseinstellungen erhalten und können in anderen Darstellungsfenstern weiterverwendet werden.


Fenster nebeneinander

Über diese Funktion platzieren Sie die Darstellungsfenster nebeneinander, ohne dass sie sich überlappen.


Fenster übereinander

Über diese Funktion platzieren Sie die Darstellungsfenster übereinander, so dass sie sich überlappen. Die einzelnen Fenster nehmen ca. 60% der verfügbaren Fläche ein.


Fenster-Symbole anordnen

Über diese Funktion werden alle minimierten Darstellungsfenster am unteren Rand des Darstellungsfensters aufgereiht.


Fenster an Bildgröße anpassen

Ist das dargestellte Fenster größer als die berechnete Bildgröße, passen Sie das Fenster automatisch an die Bildgröße an, ohne es selbst auf die entsprechende Größe ziehen zu müssen.


Fenster frei positionierbar

Wenn Sie mit zwei Monitoren arbeiten, ist es auch möglich, das Ausgabefenster, in dem das aktuelle Renderingergebnis angezeigt wird, auf den zweiten Monitor zu verschieben. Dazu aktivieren Sie die Funktion Fenster frei positionierbar.


Liste der Darstellungsfenster

Im unteren Teil des Menüs finden Sie eine Liste der aktuell geöffneten Fenster, die sie dann per Anwahl aktivieren können.


Das Menü 3D-Text

Dieses Menü erlaubt es Ihnen, einen dreidimensionalen Text zu erzeugen, den Sie dann im Projekt platzieren können.


Neu...

Der Text wird gleich im Darstellungsfenster angezeigt.

In der Zeile Text: geben Sie den gewünschten Text ein. Auch die Schriftart lässt sich wählen. Weitere Eigenschaften wie Zeichenbreite, Zeichenabstand, Zeichentiefe und Zeichenschiefe definieren Sie im Anschluss, ebenso die Formen und Eigenschaften für die vordere und die hintere Kante.

Schließlich lässt sich das Objekt auch noch benennen, mit einer Kennungsnummer versehen und in der Auflösung verändern, damit die Facettierung höher oder niedriger aufgelöst wird.

Die geänderten Eigenschaften werden durch Klick auf Übernehmen dem 3D-Text zugewiesen.


Bearbeiten...

Nach Aufruf der Funktion werden Sie aufgefordert, den gewünschten Text zu wählen. Klicken Sie dazu auf den Text, dessen Einstellungen Sie anzeigen und ändern wollen. Anschließend öffnet sich der 3D-Text Dialog.


Kopieren

Über diese Funktion kopieren Sie den aktuellen Text. Für die Manipulationen geht gleich der Dialog der Dreh- und Verschiebeknöpfe auf.


Verschieben

Über diese Funktion verschieben Sie den aktuellen Text. Für die Manipulationen geht gleich der Dialog der Dreh- und Verschiebeknöpfe auf.


Löschen...

Nach Aufruf der Funktion werden Sie aufgefordert, den Text, den Sie löschen wollen, im Projekt anzuwählen. Nachdem Sie den Text mit der Maus angeklickt haben, wird er gelöscht.


Das Menü Pflanzen

Über dieses Menü erreichen Sie die Funktionen des GAMMA-RAY Pflanzen-Moduls, das ein Zusatz-Modul zum Renderer ist. Für dieses Modul finden Sie in der Programmgruppe ein eigenes Handbuch. Bitte lesen Sie in diesem Handbuch die Beschreibung der Funktionen nach.


Das Menü VR-Machine

Über dieses Menü erreichen Sie die Funktionen der VR-Machine, einem Zusatz-Modul zum Renderer. Bitte lesen Sie im Handbuch der VR-Machine die Beschreibung der Funktionen.


Das Menü Hilfe

In diesem Menü erhalten Sie Unterstützung und weitere Informationen zu GAMMA-RAY. Außerdem steht Ihnen zu jedem Dialog ein Hilfe-Knopf zur Verfügung, über den Sie an die jeweilige Stelle in diesem Handbuch gelangen, an der die entsprechende Funktionalität detailliert beschrieben ist.


Navigation: Die Menüs > Das Menü Hilfe >

Return to chapter overview

Referenzhandbuch

Tastaturbefehl: F1

Öffnet dieses Referenzhandbuch.


Navigation: Die Menüs > Das Menü Hilfe >

Return to chapter overview

Tutorial

Öffnet das Tutorial.


Programm aktualisieren...

Über diesen Menüpunkt können Sie überprüfen, ob ein neues Update für GAMMA-RAY vorliegt und es dann auch gleich downloaden.

Menu Help Update

Um die Aktualisierung durchführen zu können, müssen Sie sich für den Kundenbereich unter http://www.gamma-ray.de angemeldet haben. Sie erhalten dann einen persönlichen Benutzernamen und ein Passwort für diesen Bereich. Beide Angaben werden auch für die Programmaktualisierung benötigt.

Wenn eine Programmaktualisierung verfügbar ist, wird das aktuelle ServicePack auf Ihren PC geladen und gleich gestartet.


Letzte Fehlermeldung

Öffnet ein Fenster, in dem die zuletzt angezeigten Meldungen dargestellt werden.


Navigation: »No topics above this level«

Return to chapter overview

Die Menüs

Enter topic text here.


Navigation: »No topics above this level«

Return to chapter overview

Licht mit der Maus einstellen

Enter topic text here.


Navigation: »No topics above this level«

Return to chapter overview

Lichter mit der Maus einstellen

Enter topic text here.


Materialeigenschaften rechte Seite

Im rechten Teil des Dialogs erhalten Sie eine Vorschau des definierten Materials. Über die Auswahlliste Vorschaubild haben Sie folgende Einstellmöglichkeiten:

Menu Preview Images

Sie bestimmen hier, welches Aussehen das Materialvorschaubild erhält. Da verschiedene Eigenschaften wie z.B. Glanz erst auf runden Objekten wirken, sollten Sie bei Bedarf auf den Vorschautyp umschalten, der dem Objekt, das Sie mit dem Material belegen wollen, am nächsten kommt.

Tip

In den Materialkatalogen, die bei GAMMA-RAY mitgeliefert werden, sind die zweidimensionalen Bitmaptexturen immer in der Einstellung auf Probefläche dargestellt, während dreidimensionale prozedurale Materialien auf einer Kugel abgebildet sind.

Bei der Einstellung auf Probefläche wird das Material so dargestellt, wie es auf einer Probefläche angezeigt werden würde. Die Ausdehnung der Probefläche legen Sie über den Menüpunkt Bildgröße setzen... der Material-Auswahl fest. Das Material ist hier entsprechend den Einstellungen für die Texturgröße größenrichtig zu sehen.

Bei der Einstellung Benutzerdefiniert können eigene 3D-Körper als Vorschaukörper definiert werden. Diese Körper müssen als .ray und .par Dateien in dem Verzeichnis Installationsverzeichnis\Prog_19\Preview abgelegt werden. Nach der Programminstallation sind Kugeln als benutzerdefinierte Körper abgelegt. Die Namen der Dateien lauten Kugel_10, Kugel_11 und Kugel_12. Wenn Sie ein eigenes 3D-Objekt stattdessen anzeigen wollen, muss dieses am Ende des Dateinamens die jeweilige Zahl (also 10, 11 oder 12) erhalten und das Material muss den Namen mat_001 besitzen.

Die Option zentriert darstellen ist nur bei 3D-Texturen und bei den Einstellungen auf Probefläche und als Bild verfügbar. Ist sie aktiviert, werden die Texturen bei diesen Darstellungen zentriert.


Navigation: »No topics above this level«

Return to chapter overview

Panoramabildgröße

Enter topic text here.


Navigation: »No topics above this level«

Return to chapter overview

Unterstützung eines Netzwerkdongles

Enter topic text here.